<?php

namespace App\Common\Ali;


use App\Modules\Live\Models\ShimmerLiveshopLimit;
use App\Services\AppService;

class CreateLiveServices
{

    public static function initConfig($model)
    {
        NotifyServices::LiveStartNotify($model); //推流回调
        NotifyServices::LiveRecordNotify($model); //录播回调
        CreatePushServices::liveRecordConfig($model);//录制配置
    }

    /**
     * 设置直播间观看限制
     * @param $model
     * @param $limitType
     */
    public static function setLimitType($model, $limitType)
    {
        if (!$model) {
            return;
        }

        $limit = $model->liveLimit;

        if ($limit) {
            $limit->limit_type = $limitType;
            return $limit->save();
        } else {
            $data = [
                'uniacid' => AppService::$uniacid,
                'live_id' => $model->id,
                'limit_type' => $limitType,
            ];

            return ShimmerLiveshopLimit::create($data);
        }

    }
}

?>