<?php
/**
 * 一天跑一次订单
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/22
 * Time: 下午3:25
 */

namespace App\Console\Commands;

use App\Common\Ali\StreamServices;
use App\Models\ShimmerLiveshopLive;
use App\Modules\Liveapi\Services\Live\PluginsService;
use App\Modules\Liveapi\Services\LiveService;
use \Illuminate\Console\Command;
use App\Modules\Admin\Models\Account;
use App\Services\AppService;
class LiveOnline extends Command
{
    protected $signature = 'live:online';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '更新直播间状态';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle(){
        $uniacids = Account::getAllWxAppUniacid();

        foreach ($uniacids as $uniacid) {
            AppService::setUniacid($uniacid);
            $this->getAllLives();
        }
    }

    public function getAllLives(){
        $lives = ShimmerLiveshopLive::where('live_status',2)->where('video_type',0)->select('id','uniacid','live_status','last_online_time','start_at','fic_num','real_num','title','end_at','likes','cover')->get();
        foreach ($lives as $live){
            $this->judgeLiveStatus($live);
        }
    }

    /**
     * @param $live
     * 判断直播间状态
     */
    public function judgeLiveStatus($live){
        $isOnline = StreamServices::StreamIsOnline($live);
        if (!$isOnline){

            if ($live->last_online_time && (time()-intval($live->last_online_time))>300){
                $this->setLogs($live);
            }else{
                $this->setLastOnlineTime($live);
            }
        }
    }

    /**
     * @param $live
     * 保存回放
     */
    public function setLogs($live){
        $live->end_at = time();
        $live->live_status = 3;
        $live->save();
        LiveService::saveLiveLogs($live);
        PluginsService::liveEnd(['live_id'=>$live->id]);
    }

    /**
     * @param $live
     * 设置最后在线时间
     */
    public function setLastOnlineTime($live){
        if (!$live->last_online_time){
            $live->last_online_time = time();
            $live->save();
        }
    }
}