<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/8
 * Time: 下午6:19
 */

namespace App\Console\Commands;

use App\Models\ShimmerLiveshopTemplate;
use App\Models\ShimmerLiveshopTemplateQueue;
use App\Models\ShimmerLiveshopUser;
use App\Modules\Admin\Models\Account;
use App\Modules\Liveapi\Services\MiniProgramService;
use App\Services\AppService;
use App\Services\SmsService;
use App\Services\TemplateService;
use Illuminate\Console\Command;


class Template extends Command
{
    protected $signature = 'template:queue';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '订单日脚本';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //获取所有的小程序
        $uniacids = Account::getAllWxAppUniacid();

        foreach ($uniacids as $uniacid) {
            AppService::setUniacid($uniacid);
            $this->send();
        }
    }

    /**
     * 发送模板消息
     */
    private function send()
    {
        $templates = ShimmerLiveshopTemplateQueue::status(0)
            ->limit(1000)
            ->get();

        foreach ($templates as $template) {
            //发送通知
            $app = MiniProgramService::miniprogram();
            $templateId = ShimmerLiveshopTemplate::getTemplateIdByKey($template->tempkey);

            if (!$templateId) {
                $template->status = 2;
                $template->log = '模板不存在';
                $template->save();
                continue;
            }
            
            $user = ShimmerLiveshopUser::find($template->uid);
            if (!$user) {
                $template->status = 2;
                $template->log = '用户不存在';
                $template->save();
                continue;
            }

            $data = [
                'template_id' => $templateId,
                'touser' => $user->wxapp_openid,
                'page' => $template->page,
                'data' => $template->data,
            ];

            $ret = $app->subscribe_message->send($data);

            if ($ret['errcode'] == 0) {
                $template->status = 1;
                $template->save();
                SmsService::recordLog($user->id, 3, $data, 1, '');
            } else {
                $template->status = 2;
                $template->log = $ret['errmsg'];
                $template->save();
                SmsService::recordLog($user->id, 3, $data, $ret['errmsg'], '');
            }
        }
    }
}