<?php

namespace App\Listeners;

use App\Events\LiveEvent;
use App\Models\ShimmerLiveshopLiveViewer;
use App\Modules\Liveapi\Models\ShimmerLiveshopLive;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;

class IntoLiveListener
{
    public $event;
    /**
     * Handle the event.
     *
     * @param  LiveEvent  $event
     * @return void
     */
    public function handle(LiveEvent $event)
    {
        $this->event = $event;
        $this->addViewers();
    }

    /**
     * 记录浏览观众
     */
    public function addViewers(){
        $viewers = ShimmerLiveshopLiveViewer::where('live_id',$this->event->live->id)->where('uid',$this->event->uid)->first();
        if (!$viewers){
            $model = new ShimmerLiveshopLiveViewer();
            $model->uniacid = $this->event->live->uniacid;
            $model->live_id = $this->event->live->id;
            $model->uid = $this->event->id;
            $model->is_shut = 0;
            $model->is_black = 0;
            $model->is_online = 1;
            $model->last_online_time = time();
            $model->save();
        }
        $this->updateNums();
    }

    /**
     * 更新浏览记录
     */
    public function updateNums(){
        $model = ShimmerLiveshopLive::find($this->event->live->id);
        $model->fic_num = (int)$this->event->live->fic_num+1;
        $model->save();
    }
}
