<?php

namespace App\Listeners;

use App\Events\OrderDelivery;
use App\Events\OrderPaySuccess;
use App\Modules\Liveapi\Models\ShimmerLiveshopOrder;
use App\Services\TemplateCustomerService;
use App\Services\TemplateService;
use Illuminate\Contracts\Queue\ShouldQueue;

/**
 * 订单发货通知
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/17
 * Time: 下午1:30
 */
class OrderDeliveryNoticeListener implements ShouldQueue
{
    public $order;

    /**
     * Handle the event.
     *
     * @param  OrderPaySuccess $event
     * @return void
     */
    public function handle(OrderDelivery $event)
    {
        $this->order = $event->order;
        $isGive = $this->order->deliver_type == 1 ? 0 : 1;
        TemplateService::sendOrderPostage($this->order, $isGive);
    }

}
