<?php

namespace App\Listeners;

use App\Events\OrderPaySuccess;
use App\Events\OrderRemoved;
use App\Events\OrderTakeed;
use App\Modules\Liveapi\Models\ShimmerLiveshopOrder;
use App\Services\OrderService;
use App\Services\TemplateService;

/**
 * 用户取消订单/删除订单，数据返还操作
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/21
 * Time: 上午 03:46
 */
class OrderRemoveRegressionListener
{
    public $order;
    public $refundPrice;
    public $event;

    /**
     * Handle the event.
     *
     * @param  OrderPaySuccess $event
     * @return void
     */
    public function handle(OrderRemoved $event)
    {
        $order = $this->order = $event->order;

        if ($order['_status']['_type'] == 0 || $order['_status']['_type'] == -2) {
            $this->regression();
        }
    }

    public function regression()
    {
        \App\Modules\Liveapi\Services\OrderService::regressionStock($this->order);
    }

}
