<?php

namespace App\Listeners;

use App\Events\SendCommission;
use App\Models\ShimmerLiveshopCashApply;
use App\Models\ShimmerLiveshopStoreAsset;
use App\Models\ShimmerLiveshopUser;
use App\Models\ShimmerLiveshopUserBill;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;

class SendCommissionListener
{
    public $event;
    public $commissionId;//用户提现id

    /**
     * Handle the event.
     *
     * @param  SendCommission $event
     * @return void
     */
    public function handle(SendCommission $event)
    {
        $this->event = $event;
        $this->commissionId = $this->event->commission_id;

        $this->addAssetLog();
    }

    /**
     * 插入资产流水表
     */
    public function addAssetLog()
    {
        $cashAppliy = ShimmerLiveshopCashApply::find($this->commissionId);
        $paytype = 0;

        switch ($cashAppliy['type']) {
            case 'weixin':
                $paytype = 1;
                break;
            case 'bank':
                $paytype = 3;
                break;
            case 'alipay':
                $paytype = 2;
                break;
        }

        $user = [];
        if ($cashAppliy['uid']) {
            $user = ShimmerLiveshopUser::find($cashAppliy['uid']);
        }

        //记录用户账单
        $remark = '打款方式:'.$cashAppliy->payTypeText;
        ShimmerLiveshopUserBill::expend(
            '佣金提现', $cashAppliy['uid'], 'now_money', 'extract', $cashAppliy->commission, $cashAppliy->id, 0, '', 1, 0
        );

        //插入资产流水表
        return ShimmerLiveshopStoreAsset::addRecord(ShimmerLiveshopStoreAsset::COMMISSION_WITHDRAW, 0, $cashAppliy['uid'], $user['realname'], $user['mobile'], '', $cashAppliy['commission'], 2, $paytype, $cashAppliy['remark']);
    }
}
