<?php

namespace App\Models;

use App\Exceptions\ParamErrorException;

class BaseLiveModel extends \App\Modules\Live\Models\BaseModel
{

    /**
     * 通过live id查询
     */
    public function scopeLiveId($query, $liveId)
    {
        if (!$liveId) {
            throw new ParamErrorException('直播间id不能为空!');
        }

        return $query->where('live_id', $liveId);
    }

    /**
     * 通过直播间id,获取单条数据
     * @param $liveId
     */
    public static function getByLiveId($liveId)
    {
        if (!$liveId) {
            return false;
        }

        return self::liveId($liveId)->first();
    }

    /**
     * 通过直播间id保存,如没有该直播间数据则插入
     * @param array $liveId
     * @param $data
     * @return bool|void
     */
    public static function saveByLiveId($liveId, $data)
    {
        if (!$liveId || !$data) {
            return false;
        }

        $select = ['live_id' => $liveId];

        $share = self::updateOrCreate($select, $data);

        return $share;
    }
}
