<?php
/**
 * 实名认证
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/10
 * Time: 下午4:22
 */

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopCertification extends BaseUniacidModel
{
    protected $guarded = [];
    public $dateFormat = "U";
    use SoftDeletes;

    public function user()
    {
        return $this->belongsTo(ShimmerLiveshopUser::class, 'uid', 'id');
    }

    /**
     * 获取用户实名认证
     * @param $uid
     */
    public static function getByUid($uid)
    {
        if (!$uid) {
            return false;
        }

        return self::uid($uid)->first();
    }

    /**
     * 通过id查询
     * @param $query
     * @param $uid
     */
    public function scopeUid($query, $uid)
    {
        return $query->where('uid', $uid);
    }

    /**
     * 真实姓名搜索
     * @param $query
     * @param $realname
     */
    public function scopeRealname($query, $realname)
    {
        if (!$realname) {
            return $query;
        }

        return $query->where('realname', 'like', "%{$realname}%");
    }
}