<?php

namespace App\Models;

class ShimmerLiveshopChannel extends BaseUniacidModel
{

    /**
     * 获取话题数量
     */
    public function getLiveNumAttribute()
    {
        return ShimmerLiveshopLive::where('channel_id', $this->id)->count();
    }

    /**
     * 通过关键字搜索
     * @param $query
     * @param $content
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }

    /**
     * 判断是否绑定了该表单
     * @param $formId
     */
    public function isBindForm($formId)
    {
        if (!$formId) {
            return false;
        }

        return ShimmerLiveshopNavEntryformLiveXref::where('live_channel_id', $this->id)->where('entry_form_id', $formId)->count() > 0;
    }
}
