<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/7
 * Time: 上午9:54
 */

namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class ShimmerLiveshopConfig extends Model
{
    protected $guarded = [];
    protected $casts = [
        'config' => 'json'
    ];

    protected $scenarios = [
        'default' => ['type', 'config'],
    ];

    /**
     * 配置类型
     * @var array
     */
    public static $configTypes = [
        1 => '基本配置',
        2 => '推流配置',
        3 => '聊天配置',
        4 => '短信配置',
    ];

    /**
     * 小程序id
     * @param $query
     * @param $uniacid
     * @return mixed
     */
    public function scopeUniacid($query, $uniacid)
    {
        return $query->where('uniacid', $uniacid);
    }

    /**
     * 类型
     * @param $query
     * @param $type
     * @return mixed
     */
    public function scopeType($query, $type)
    {
        return $query->where('type', $type);
    }

    /**
     * 通过type获取通用总配置信息
     * @param $type
     */
    public static function getByType($type)
    {
        $result = [];

        if (!$type) {
            return false;
        }

        $config = self::type($type)
            ->uniacid(0)
            ->first();

        if ($config) {
            $result = $config->config;
        }

        return $result;
    }
}