<?php
/**
 * 余额/积分日志
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/5
 * Time: 上午8:06
 */

namespace App\Models;

class ShimmerLiveshopCreditLog extends BaseUniacidModel
{
    protected $guarded = [];
    public $dateFormat = "U";
    /**
     * 充值类型
     * @var array
     */
    public static $type = [
        1 => '余额',
        2 => '积分',
    ];

    /**
     * 日志类型
     * @var array
     */
    public static $logType = [
        //充值明细from对应
        1 => '现金充值',
        2 => '系统充值',
        3 => '系统扣款',
        //其他明细类型
        50 => '购买商品',
        51 => '充值退款扣余额',
        52 => '余额提现',
        53 => '商品退款',
        54 => '余额提现驳回',
    ];

    public function user()
    {
        return $this->belongsTo(ShimmerLiveshopUser::class, 'uid', 'id');
    }

    public function adminUser()
    {
        return $this->belongsTo(User::class, 'operator', 'uid');
    }

    /**
     * 日志类型文本
     * @param $type
     */
    public function getTypeTextAttribute()
    {
        return isset(self::$type[$this->type]) ? self::$type[$this->type] : '';
    }

    /**
     * 日志来源文本
     * @param $type
     */
    public function getLogTypeTextAttribute()
    {
        return isset(self::$logType[$this->log_type]) ? self::$logType[$this->log_type] : '';
    }
}