<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopDiyformForm extends BaseUniacidModel
{
    use SoftDeletes;
    protected $guarded = [];
    public static $fieldTypes = [
        0 => '单行文本',
        1 => '多行文本',
        2 => '下拉框',
        3 => '多选框',
        4 => '单选框',
        5 => '图片',
        6 => '身份证号码',
        7 => '日期',
        8 => '日期范围',
        9 => '城市',
        10 => '确认文本',
        11 => '时间',
        12 => '时间范围',
        13 => '提示文本',
    ];

    public static $fieldDefaultDataConfig = [
        0 => '',
        1 => '自定义',
        2 => '姓名',
        3 => '电话',
        4 => '微信号',
    ];

    public static $fieldDefaultDateConfig = [
        0 => '',
        1 => '填写当天',
        2 => '特定日期',
    ];

    /**
     * 通过名称搜索
     * @param $query
     * @param $content
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }
}