<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopGift extends BaseUniacidModel
{
    use SoftDeletes;
    public $guarded = [];
    protected $scenarios = [
        'store' => ['uniacid','live_id', 'name', 'image', 'price', 'status', 'sort'],
    ];

    public static $status = [
        0 => '禁用',
        1 => '启用'
    ];

    public function validateFilter($data, $senario)
    {
        if (Request()->route('live_id')){
            $data['live_id'] = Request()->route('live_id');
        }else{
            $data['live_id'] = 0;
        }
        return $data;
    }

    public function getImageAttribute($value){
        return $value ? wgTomedia($value) : '';
    }

    public static function relationSave($live_id, $data, $operate){
        if (!$live_id) {
            return false;
        }
        if ($operate == 'deleted') {
            return ShimmerLiveshopGift::where('live_id',$live_id)->delete();
        }
        $liveGift = ShimmerLiveshopGift::where('live_id',$live_id)->first();
        if ($liveGift) return false;
        $defaultGift = ShimmerLiveshopGift::where('live_id',0)->where('status',1)->get();
        if ($defaultGift){
            foreach ($defaultGift as $key => $value){
                $data = array(
                    'uniacid'=>$value->uniacid,
                    'name'=>$value->name,
                    'image'=>$value->image,
                    'price'=>$value->price,
                    'status'=>$value->status,
                    'sort'=>$value->sort,
                    'live_id'=>$live_id,
                );
                (new ShimmerLiveshopGift())->fill($data)->save();
            }
        }
        return true;
    }
}