<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopGoodsCommission extends BaseUniacidModel
{
    use SoftDeletes;
    public $guarded = [];
    public $dateFormat = "U";
    public $casts = ['rule' => 'json'];
    protected $scenarios = [
        'default' => [ 'goods_id', 'is_commission','show_commission_button', 'poster_picture', 'has_commission', 'rule']
    ];

    public static function relationSave($goods_id, $data, $operate){
        if (!$goods_id) {
            return false;
        }
        if ($operate != 'deleted' && !$data) {
            return false;
        }
        $commissionModel = self::getCommissionModel($goods_id);
        if ($operate == 'deleted') {
            return $commissionModel->delete();
        }
        $data['goods_id'] = $goods_id;
        $data['uniacid'] = Request()->route('uniacid');
        if (!$data['open_own_commission']){
            $data['open_own_commission'] = 0;
        }
        return $commissionModel->fill($data)->save();
    }

    public static function getCommissionModel($goods_id){
        $model = static::where(['goods_id' => $goods_id])->first();
        !$model && $model = new static;
        return $model;
    }
}
