<?php

namespace App\Models;

class ShimmerLiveshopGoodsSpec extends \App\Modules\Live\Models\BaseModel
{
    /**
     * 获取商品规格
     * @param $goodsId
     */
    public static function getGoodsSpec($goodsId)
    {
        $result = [];

        if (!$goodsId) {
            return false;
        }

        $specs = self::where('goods_id', $goodsId)->get();
        if ($specs) {
            $specs = $specs->toArray();
        }
        if(!$specs){
            return $result;
        }
        foreach ($specs as $k => $spec) {
            //获取规格项
            $specItems = ShimmerLiveshopGoodsSpecItem::specId($spec['id'])->get();
            if ($specItems) {
                $specItems = $specItems->toArray();
            }
            $specs[$k]['number'] = $k + 1;

            foreach ($specItems as $k2 => $specItem) {
                $specItems[$k2]['number'] = $k2 + 1;
            }

            $specs[$k]['items'] = $specItems;

        }

        //组合
        $options = [];
        if (count($specs) > 1) {
            for ($i = 0; $i < count($specs) - 1; $i++) {
                if ($i == 0) {
                    $options = $specs[0]['items'];
                }
                $tmp = [];

                foreach ($options as $option) {
                    foreach ($specs[$i + 1]['items'] as $item) {
                        if (isset($option['id'])) {
                            $arr = [$option];
                        } else {
                            $arr = $option;
                        }
                        array_push($arr, $item);
                        $tmp[] = $arr;
                    }
                }
                $options = $tmp;
            }
        } else {
            for ($i = 0; $i < count($specs[0]['items']); $i++) {
                $options[$i][0] = $specs[0]['items'][$i];
            }
        }

        //获取规格项价格
        $optionValues = [];
        foreach ($options as $option) {
            $specItemIds = array_column($option, 'id');
            sort($specItemIds);
            $specItemIdStr = implode(',', $specItemIds);
            $value = ShimmerLiveshopGoodsSpecOption::where('goods_id', $goodsId)
                ->where('spec_item_ids', $specItemIdStr)->first();
            if ($value) {
                $value = $value->toArray();
            }
            $optionValues[$specItemIdStr] = $value;
        }

        $result = [
            'specs' => $specs,
            'options' => $options,
            'option_values' => $optionValues,
        ];

        return $result;
    }
}
