<?php

namespace App\Models;

class ShimmerLiveshopLideshow extends BaseUniacidModel
{
    public $guarded = [];
    public $casts = [
        'link_data' => 'json',
    ];
    CONST HOME = 1;
    CONST VIP_GOODS = 2;
    CONST HOT_GOODS = 3;
    CONST NEW_GOODS = 4;
    CONST SALE_GOODS = 5;
    CONST LIVE_CATE = 6;
    CONST TAG = 7;
    CONST ANCHORCENTER = 8;
    CONST MERCH_CENTER = 9;

    public static $types = [
        self::HOME => '首页',
        self::VIP_GOODS => '精选商品',
        self::HOT_GOODS => '热门榜单',
        self::NEW_GOODS => '抢先好货',
        self::SALE_GOODS => '热卖促销',
        self::LIVE_CATE => '直播列表',
        self::ANCHORCENTER => '主播个人中心',
        self::MERCH_CENTER => '商户中心',
        self::TAG => '专题',
    ];

    public static $linkTypes = [
        0 => '内部跳转',
        1 => '外链跳转',
    ];

    /**
     * 标签
     */
    public function tag()
    {
        return $this->belongsTo(ShimmerLiveshopTag::class, 'tag_id', 'id');
    }

    /**
     * 通过名称搜索
     * @param $query
     * @param $nickname
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }

    /**
     * 获取轮播图标签列表
     * @param $tagId
     */
    public static function getByTagId($tagId)
    {
        return self::where('tag_id', $tagId)
            ->orderBy('sort', 'desc')->get();
    }

    public function getPicAttribute($pic)
    {
        return $pic ? wgTomedia($pic) : '';
    }
}
