<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ShimmerLiveshopNav extends BaseLiveModel
{
    protected $guarded = [];
    protected $casts = [
        'data' => 'json',
    ];

    /**
     * 支持的菜单列表
     * @var array
     */
    public static $menuTypes =
        [
            0 => [
                'type' => 0,//菜单类型
                'name' => '不设置菜单',//菜单名称
                'pic' => '',//默认展示图片
                'data' => '',//菜单数据
            ],
            1 => [
                'type' => 1,
                'name' => '图文',
                'pic' => '',
                'data' => '',
                'type_name' => 'imagetext',
            ],
            2 => [
                'type' => 2,
                'name' => '互动',
                'pic' => 'hudong.png',
                'data' => '',
                'type_name' => 'chat',
            ],
            3 => [
                'type' => 3,
                'name' => '榜单',
                'pic' => 'bangdan.png',
                'data' => '',
                'type_name' => 'rank',
            ],
            4 => [
                'type' => 4,
                'name' => '自定义链接',
                'pic' => '',
                'data' => '',
                'type_name' => 'url',
            ],
            5 => [
                'type' => 5,
                'name' => '小视频',
                'pic' => 'video.png',
                'data' => '',
                'type_name' => 'video',
            ],
            6 => [
                'type' => 6,
                'name' => '菜单跳转',
                'pic' => '',
                'data' => '',
                'type_name' => 'urljump',
            ],
            7 => [
                'type' => 7,
                'name' => '投票活动',
                'pic' => 'vote.jpg',
                'data' => '',
                'type_name' => 'vote',
            ],
            8 => [
                'type' => 8,
                'name' => '直播介绍',
                'pic' => '',
                'data' => '',
                'type_name' => 'intro',
            ],
            /*            9 => [
                            'type' => 9,
                            'name' => 'PPT',
                            'pic' => 'PPT.png',
                            'data' => '',
                        ],*/
            10 => [
                'type' => 10,
                'name' => '报名表单',
                'pic' => 'TpForm.png',
                'data' => '',
                'type_name' => 'formdata',
            ],
            /*            11 => [
                            'type' => 11,
                            'name' => '精彩时刻',
                            'pic' => 'moment.png',
                            'data' => '',
                        ],*/
            /*            12 => [
                            'type' => 12,
                            'name' => '场次抽奖',
                            'pic' => 'newlotterymenu.png',
                            'data' => '',
                        ],
                        13 => [
                            'type' => 13,
                            'name' => '在线抽奖',
                            'pic' => 'rocklottery.png',
                            'data' => '',
                        ],*/
            14 => [
                'type' => 14,
                'name' => '图片直播',
                'pic' => 'ImgTopic.jpg',
                'data' => '',
                'type_name' => 'piclive',
            ],
            /*            15 => [
                            'type' => 15,
                            'name' => '爱心价',
                            'pic' => 'citylove2.png',
                            'data' => '',
                        ],
                        16 => [
                            'type' => 16,
                            'name' => '抢优惠',
                            'pic' => 'citycoupon2.png',
                            'data' => '',
                        ],
                        17 => [
                            'type' => 17,
                            'name' => '商品拼团',
                            'pic' => 'citygroup2.png',
                            'data' => '',
                        ],
                        18 => [
                            'type' => 18,
                            'name' => '减价',
                            'pic' => 'citydown2.png',
                            'data' => '',
                        ],*/
            /*            19 => [
                            'type' => 19,
                            'name' => '推荐内容',
                            'pic' => 'LiveVouch.png',
                            'data' => '',
                        ],*/
            20 => [
                'type' => 20,
                'name' => '关注',
                'pic' => 'newfocus.png',
                'data' => [],
                'type_name' => 'follow',
            ],
            21 => [
                'type' => 21,
                'name' => '优惠券',
                'pic' => 'coupon.png',
                'data' => '',
                'type_name' => 'coupon',
            ],
            22 => [
                'type' => 22,
                'name' => '房产',
                'pic' => 'house.jpg',
                'data' => '',
                'type_name' => 'house',
            ],
            23 => [
                'type' => 23,
                'name' => '边买边看',
                'pic' => 'buy.jpg',
                'data' => '',
                'type_name' => 'goods',
            ],
            24 => [
                'type' => 24,
                'name' => '红包列表',
                'pic' => 'redpack.jpg',
                'data' => '',
                'type_name' => 'redpack',
            ],
            /*            25 => [
                            'type' => 25,
                            'name' => '直播动态',
                            'pic' => 'interactmenu.png',
                            'data' => '',
                        ],
                        26 => [
                            'type' => 26,
                            'name' => '直播练习',
                            'pic' => 'practice.png',
                            'data' => '',
                        ],*/
            27 => [
                'type' => 27,
                'name' => '直播合作',
                'pic' => 'redpack.jpg',
                'data' => '',
                'type_name' => 'cooperation',
            ],
            /*            28 => [
                            'type' => 28,
                            'name' => '问答',
                            'pic' => 'askpage.png',
                            'data' => '',
                        ],
                        29 => [
                            'type' => 29,
                            'name' => '课件',
                            'pic' => 'KeJian_icon.png',
                            'data' => '',
                        ],
                        30 => [
                            'type' => 30,
                            'name' => '专栏',
                            'pic' => 'LiveVouch.png',
                            'data' => '',
                        ],*/
            31 => [
                'type' => 31,
                'name' => '往期回顾',
                'pic' => 'moment.png',
                'data' => '',
                'type_name' => 'history',
            ],
        ];

    /**
     * 默认菜单列表
     * @var array
     */
    public static $defaultMenuTypes = [
        2,
        8,
        3,
    ];
}




