<?php
/**
 * 页面配置
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/09
 * Time: 上午9:54
 */

namespace App\Models;

class ShimmerLiveshopPageConfig extends BaseUniacidModel
{
    protected $guarded = [];
    protected $casts = [
        'config' => 'json'
    ];

    /**
     * 配置页面类型
     * @var array
     */
    public static $configPages = [
        'home' => '首页',
        'goods_search' => '商品搜索',
        'order_addcart' => '购物车',
    ];

    /**
     * 页面
     * @param $query
     * @param $page
     * @return mixed
     */
    public function scopePage($query, $page)
    {
        return $query->where('page', $page);
    }

    /**
     * 通过页面获取配置
     * @param $page
     */
    public static function getByPage($page)
    {
        $config = self::page($page)->first();

        if ($config) {
            return $config->config;
        }
    }
}