<?php
/**
 * 用户model
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:49
 */

namespace App\Models;


use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopUserAddress extends BaseUniacidModel
{
    use SoftDeletes;
    protected $guarded = [];
    public $dateFormat = "U";

    public function scopeUid($query, $uid)
    {
        return $query->where('uid', $uid);
    }

    public function scopeIsDefault($query, $isDefault)
    {
        return $query->where('is_default', $isDefault);

    }

    /**
     * 获取用户收货地址
     * @param $uid
     */
    public static function getUserDefaultAddress($uid)
    {
        return ShimmerLiveshopUserAddress::uid($uid)->isDefault(1)->first();
    }
}