<?php

namespace App\Models;

/**
 * 用户账单
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/16
 * Time: 下午12:13
 */

use App\Services\AppService;

class ShimmerLiveshopUserBill extends BaseLiveModel
{
    protected $guarded = [];

    public static $categorys = [
        'now_money' => '现金',
        'balance' => '余额',
        'credit' => '积分',
    ];

    public static $types = [
        'credit_log_type_' => '余额积分日志',
        'pay_goods' => '购买商品',
        'recharge' => '充值余额',
        'refund_recharge' => '充值退款扣余额',
        'brokerage' => '分销佣金',
        'extract' => '提取佣金',
        'extract_balance' => '提取余额',
        'integral' => '签到奖励',
        'share' => '用户分享',
        'sign' => '签到奖励',
        'system_add_balance' => '系统增加余额',
        'system_add_credit' => '系统增加积分',
        'gain' => '购买商品赠送积分',
        'refund_commission' => '订单退款退佣金',
    ];

    /**
     * 记录用户账单
     * @param $title 标题
     * @param $uid 用户id
     * @param $category 资产类别
     * @param $type 事件类型
     * @param $number 数量
     * @param int $link_id 关联id
     * @param int $balance 余额
     * @param string $mark 备注
     * @param int $status 状态 0 待确定 1有效 -1无效
     * @param int $pm 0支出 1获取
     * @return $this|\Illuminate\Database\Eloquent\Model
     */
    public static function expend($title, $uid, $category, $type, $number, $link_id = 0, $balance = 0, $mark = '', $status = 1, $pm = 0)
    {
        $data = [
            'uniacid' => AppService::$uniacid,
            'title' => (string)($title),
            'uid' => (int)($uid),
            'link_id' => (int)($link_id),
            'category' => (string)($category),
            'type' => (string)($type),
            'number' => (float)($number),
            'balance' => (float)($balance),
            'mark' => (string)($mark),
            'status' => (int)($status),
            'pm' => (int)($pm),
        ];

        $model = new self();
        $model->fill($data);

        return $model->save();
    }
}
