<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopVote extends BaseLiveModel
{
    use SoftDeletes;
    protected $guarded = [];
    public $dates = ['start_at', 'end_at'];
    public static $type = [
        '0' => '图文',
        '1' => '文字',
        '2' => '小视频'
    ];

    public static $freevote = [
        '1' => '每天',
        '2' => '总共'
    ];

    public static $status = [
        '0' => '已开启',
        '1' => '关闭'
    ];

    protected $scenarios = [
        'default' => ['type', 'title', 'end_at', 'start_at', 'theme', 'rule', 'open_pay_vote', 'free_vote', 'free_vote_nums', 'same_nums', 'limit_ip_nums', 'province', 'city', 'show_votes', 'follow_wechat']
    ];

    public function validateRules($request)
    {
        return [
            'default' => [
            ],
        ];
    }

    public function validateMessage()
    {
        return [
            'default' => [
            ],
        ];
    }

    public function validateFilter($data, $senario)
    {
        return $data;
    }

    public function setStartAtAttribute($value)
    {
        return $this->attributes['start_at'] = strtotime($value);
    }

    public function setEndAtAttribute($value)
    {
        return $this->attributes['end_at'] = strtotime($value);
    }

    public function getTypeTextAttribute()
    {
        return self::$type[$this->type];
    }

    public function getFreeVoteTextAttribute()
    {
        return self::$freevote[$this->free_vote];
    }

    public function getStatusTextAttribute()
    {
        return self::$status[intval($this->status)];
    }

    public function getStateAttribute()
    {
        if (time() > $this->start_at) {
            return '未开始';
        } elseif ($this->start_at < time() && time() < $this->end_at) {
            return '进行中';
        } else {
            return '已结束';
        }
    }
}
