<?php

namespace App\Modules\Admin\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use Auth;
use App\Http\Controllers\Controller as BaseController;
use Illuminate\Support\Facades\View;

class Controller extends BaseController
{
    protected $auth;
    protected $manager;
    protected $query;

    public function __construct(Request $request)
    {

        $this->auth = Auth::guard('manager');

        $this->manager = $this->auth->user();
        $this->setQuery();
        $this->setW();
        View::share('pageTitle', '');
        $this->setQuery();

    }

    private function setW(){
        global $_W;
        $_W['uniacid'] = -1;
        $_W['acid'] = -1;
        $_W['siteroot'] = str_replace(config('common.pre_path'), '', $_W['siteroot']);
        View::share('_W', $_W);
    }

    /**
     * 设置后台列表查询条件
     */
    protected function setQuery()
    {
        //搜索条件
        $this->query = request()->get('query');
        View::share('query', $this->query);
    }

    /**
     * 设置页面标题
     */
    protected function setPageTitle($title)
    {
        View::share('pageTitle', $title);
    }


    public function result($errno, $message, $data = '')
    {
        $request = app()->make('request');
        if ($request->ajax()) {
            return [
                'errno' => $errno,
                'data' => $data,
                'message' => $message
            ];
        }
        return $data;
    }

    protected function validateScenario($request, $instance, $scenario = 'default') {
        $this->validate($request,  $instance->getMessages($scenario));
        $validate = $instance->getScenarios($scenario);
        $data = $request->only($validate);
        $data = $instance->validateFilter($data, $scenario);
        return $data;
    }
}
