<?php
namespace App\Modules\Admin\Http\Controllers;
use App\Modules\Admin\Models\Menu;
use App\Modules\Admin\Services\MenuService;
use Illuminate\Http\Request;
class MenuController extends Controller {

    public function index(){
        $menu = MenuService::getMenuLists();
        return view('admin::menu.index',compact('menu'));
    }

    public function create(){
        $menu = MenuService::getMenuLists();
        $model = new Menu();
        return view('admin::menu.create',compact('menu','model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,Menu::instance(),'store');
        $menuModel = new Menu();
        $data['type']='admin';
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit($id){
        $model = Menu::find($id);
        $menu = MenuService::getMenuLists();
        return view('admin::menu.edit',compact('menu','model'));
    }

    public function update(Request $request,$id){
        $data = $this->validateScenario($request,Menu::instance(),'update');
        $menuModel = Menu::find($id);
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    /**
     * @param Request $request
     * @param $id
     * @return array|string
     * 修改菜单显示状态
     */
    public function change(Request $request,$id){
        $menuModel = Menu::find($id);
        $menuModel->status=(int)$request->input('value');
        $menuModel->save();
        return $this->result(0,'ok');
    }

    public function icon(){
        return view('admin::menu.icon');
    }

    public function destroy($id){
        $model = Menu::find($id);
        $model->delete();
        return $this->result(0,'ok');
    }
}