<?php

namespace App\Modules\Admin\Http\Controllers;

use App\Models\ShimmerLiveshopConfig;
use App\Third\TLSSigAPIv2;
use Illuminate\Http\Request;

/**
 * 配置管理
 * Class SettingController
 * @package App\Modules\Admin\Http\Controllers
 */
class SettingController extends Controller
{
    /**
     * 系统配置
     */
    public function system($type = 1)
    {
        $configTypes = ShimmerLiveshopConfig::$configTypes;

        $config = ShimmerLiveshopConfig::type($type)->first();

        $this->setPageTitle('系统配置');

        return view("admin::setting.system", [
            'configTypes' => $configTypes,
            'type' => $type,
            'config' => $config['config']
        ]);
    }

    /**
     * 保存系统配置
     * @param $type
     */
    public function systemSave($type, Request $request)
    {
        if (!$type) {
            $this->result(-1, '参数错误');
        }

        $config = ShimmerLiveshopConfig::type($type)->first();

        $configPost = $request->input('config');

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->type = $type;
            $config->config = $configPost;
        }

        if (method_exists($this, "systemSave{$type}")) {
            $method = "systemSave{$type}";
            $this->$method();
        } else {
            $config->save();
        }

        return $this->result(0, '保存成功');
    }

    /**
     * 保存聊天配置
     */
    private function systemSave3()
    {
        $request = request();

        $type = $request->route('type');
        $typeValue = $request->input('config.type_value');
        $private = $request->input('config.private');
        $appid = $request->input('config.sdk_appid');
        $identifier = $request->input('config.identifier');

        $configPost = $request->input('config');

        if ($typeValue == 1) {
            //生成usersig
            $sdk = new TLSSigAPIv2($appid, $private);
            $usersig = $sdk->genSig($identifier);
            $configPost['user_sig'] = $usersig;
        }

        $config = ShimmerLiveshopConfig::type($type)->first();

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->type = $type;
            $config->config = $configPost;
        }

        $config->save();
    }
}