<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/8
 * Time: 10:30 AM
 */

namespace App\Modules\Admin\Models;

use App\Models\BaseModel;

class UniAccount extends BaseModel
{
    protected $table = 'uni_account';

    public $timestamps = false;

    public function account()
    {
        $this->belongsTo(Account::class, 'uniacid', 'uniacid');
    }

    public function scopeWithAccount($query)
    {
        return $query->leftJoin('account', function ($join) {
            $join->on('uni_account.uniacid', 'account.uniacid');
            $join->on('uni_account.default_acid', 'account.acid');
        });
    }

    /**
     * 通过名称查询
     * @param $query
     * @param $name
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function scopeName($query, $name)
    {
        if (!$name) {
            return $query;
        }

        return $query->where('name', 'like', "%{$name}%");
    }

    public function scopeWithUniAccountUsers($query)
    {
        return $query->leftJoin('uni_account_users', 'uni_account_users.uniacid', 'uni_account.uniacid');
    }

    public function getAccountAttribute()
    {
        if ($this->accountCache) {
            return $this->accountCache;
        } else {
            $account = \WeixinAccount::create($this->uniacid);
            $account->__toArray();
            $this->accountCache = $account;
            return $account;
        }
    }

    public function getLogoUrlAttribute()
    {
        return str_replace('/addons/shimmer_liveshop', '', $this->account['logo']);
    }

    public function getIsconnectAttribute()
    {
        return $this->account['isconnect'];
    }

    public function getEndAttribute()
    {
        return $this->account['endtime'] == USER_ENDTIME_GROUP_EMPTY_TYPE || $this->account['endtime'] == USER_ENDTIME_GROUP_UNLIMIT_TYPE ? '永久' : date('Y-m-d', $this->account['endtime']);
    }

    public function getOwnerNameAttribute()
    {
        return $this->account->owner['username'];
    }
}