@extends('admin::layouts.master')
@section('page_title',$pageTitle)
@section('head')
    <style>
        .table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
            vertical-align: middle;
        }
        .account-logo{
            width: 60px;height: 60px
        }
    </style>
@endsection
@section('content')
    <div class="ibox-content m-b-sm border-bottom">
        <form>
            <div class="row">
                <div class="col-sm-4">
                    <div class="input-group">
                        <input type="text" id="query[name]" name="query[name]" value="{{$query['name']}}"
                               placeholder="请输入公众号名称"
                               class="form-control">
                        <span class="input-group-append">
                        <input type="submit" class="btn btn-sm btn-primary" value="搜索">
                    </span>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content ng-scope">
                    <table class="footable table table-striped table-hover">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>名称</th>
                            <th>接入状态</th>
                            <th>过期时间</th>
                            <th>主管理员</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach ($pager as $item)
                            <tr>
                                <td>{{$item->uniacid}}</td>
                                <td>
                                    <img src="{{$item->logo_url}}" class="account-logo account-img logo"/>
                                    {{$item->name}}
                                </td>
                                <td>
                                    @if($item->isconnect==0)
                                        <span class="label label-danger">未接入</span>
                                    @else
                                        <span class="label label-success">已接入</span>
                                    @endif
                                </td>
                                <td>{{$item->end}}</td>
                                <td>{{$item->owner_name}}</td>
                                <td>
                                    <a href="{{route('livehome',[$item->uniacid])}}" class="btn btn-info">
                                        进入直播间
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            {{$pager->Links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection



