@extends('admin::layouts.master')
@section('title')
    话题列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-title">
                    <a  href="javascript:void(0);" class="btn btn-primary ajax_load" data-url="{{route('adminrole.create')}}" data-width="1000px" data-height="80%">创建角色</a>
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>
                                    <input type="checkbox"  class="i-checks checkedAll" id="checkedAll" name="check">
                                </th>
                                <th>角色别名</th>
                                <th>描述</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($roles as $key=>$role)
                                    <tr>
                                        <td>
                                            <input type="checkbox" class="i-checks" name="check[]" value="{{$role->id}}">
                                        </td>
                                        <td>
                                            <span>
                                                {{$role->name}}
                                            </span>
                                        </td>
                                        <td>
                                            <span>
                                                {{$role->description}}
                                            </span>
                                        </td>
                                        <td>
                                            <a  href="javascript:;" class="btn  btn-info ajax_load" data-url="{{route('adminrole.edit',$role['id'])}}" data-width="1000px" data-height="80%">编辑</a>
                                            <a  href="javascript:;" class="btn btn-primary ajax_load" data-url="{{route('adminrole.empower',$role['id'])}}" data-width="500px" data-height="80%">授权</a>
                                            <a href="javascript:;" class="btn btn-warning delete ajax-confirm" data-url="{{route('adminrole.destroy',$role['id'])}}" data-title="确定要删除吗">删除</a>

                                            <div class="btn-group">
                                                @if($role['status']==0)
                                                    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">禁用
                                                    </button>
                                                    <ul class="dropdown-menu">
                                                        <li><a href="javascript:;" class="ajax-switch" data-url="{{route('adminrole.change',$role['id'])}}" data-value="1">启用</a>
                                                        </li>
                                                    </ul>
                                                @else
                                                    <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">启用
                                                    </button>
                                                    <ul class="dropdown-menu">
                                                        <li><a href="javascript:;" class="ajax-switch" data-url="{{route('adminrole.change',$role['id'])}}" data-value="0">禁用</a>
                                                        </li>
                                                    </ul>
                                                @endif
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            {{$roles->Links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection