<?php
namespace App\Modules\Admin\Services;

use App\Modules\Admin\Models\Permission;
use App\Modules\Admin\Models\UserRole;

class UserRoleService{

    /**
     * @param $data
     * @throws \Exception
     * 保存权限菜单
     */
    public static function roleSave($data,$id){
        $model = UserRole::where('user_id',$id)->first();
        if (!$model){
            $model = new UserRole();
            $model->user_id=$id;
        }
        $model->role_id = intval($data['role_id']);
        $model->save();
    }

    /**
     * @param $role_id
     * @return \Illuminate\Support\Collection
     * 获取权限拥有菜单
     */
    public static function getMenuIds($user){
        if ($user->founder_groupid==1){
            return 0;
        }else{
            $role_id = UserRole::where('user_id',$user->uid)->value('role_id');
            $result = PermissionService::getRole($role_id);
            if ($result->isEmpty()){
                return 0;
            }
            return $result->toArray();
        }
    }
}