<?php

namespace App\Modules\Learn\Providers;

use Caffeinated\Modules\Support\ServiceProvider;

class ModuleServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the module services.
     *
     * @return void
     */
    public function boot()
    {
        $this->loadTranslationsFrom(__DIR__.'/../Resources/Lang', 'learn');
        $this->loadViewsFrom(__DIR__.'/../Resources/Views', 'learn');
        $this->loadMigrationsFrom(__DIR__.'/../Database/Migrations', 'learn');
    }

    /**
     * Register the module services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->register(RouteServiceProvider::class);
    }
}
