<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/6
 * Time: 上午9:20
 */

namespace App\Modules\Live\Http\Controllers;


use App\Services\PluginService;
use Illuminate\Support\Facades\Artisan;

class AdminController extends Controller
{
    /**
     * 更新sql语句
     */
    public function updatesql()
    {
        set_time_limit(0);

        load()->func('file');

        include ADDON_PATH . '/data/update.php';

        //执行插件更新
        $plugins = PluginService::getEnablesPlugins();
        foreach ($plugins as $plugin) {
            $pluginPath = PluginService::getPluginPath($plugin->slug);
            $update = $pluginPath . '/data/update.php';

            if (file_exists($update)) {
                include $update;
            }
        }

        admin_toastr('执行成功', 'success');
        return redirect(wgRoute('livehome'));
    }

    /**
     * 重置菜单
     */
    public function resetMenu()
    {
        set_time_limit(0);

        load()->func('file');

        include ADDON_PATH . '/data/data/menu.php';

        //执行插件菜单
        $plugins = PluginService::getEnablesPlugins();
        foreach ($plugins as $plugin) {
            $pluginPath = PluginService::getPluginPath($plugin->slug);
            $initPath = $pluginPath . '/data/_init.php';

            if (file_exists($initPath)) {
                include $initPath;
            }
        }

        admin_toastr('执行成功', 'success');
        return redirect(wgRoute('livehome'));
    }

    /**
     * 清除缓存
     */
    public function clearCache()
    {
        Artisan::call('cache:clear');

        admin_toastr('清除成功', 'success');
        return redirect(wgRoute('livehome'));
    }
}