<?php

namespace App\Modules\Live\Http\Controllers\Commission;
use App\Modules\Live\Http\Controllers\Controller;
use App\Modules\Live\Models\ShimmerLiveshopAgent;
use App\Modules\Live\Models\ShimmerLiveshopSpreadPoster;
use App\Services\ImageService;
use Illuminate\Http\Request;

class SpreadPosterController extends Controller
{
    public function index(Request $request){
        $lists = ShimmerLiveshopSpreadPoster::paginate(ShimmerLiveshopSpreadPoster::PAGE_SIZE);
        return view('live::commission.spread-poster.index',compact('lists'));
    }

    public function create(){
        $model = new ShimmerLiveshopSpreadPoster();
        return view('live::commission.spread-poster.create',compact('model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopSpreadPoster::instance(),'store');
        $data['local_poster'] = ImageService::ossImgToLocal($data['poster']);
        $model = new ShimmerLiveshopSpreadPoster();
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit(Request $request){
        $model = (new ShimmerLiveshopSpreadPoster())->loadModel($request->route('spread_poster'));
        return view('live::commission.spread-poster.edit',compact('model'));
    }

    public function update(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopSpreadPoster::instance(),'store');
        $data['local_poster'] = ImageService::ossImgToLocal($data['poster']);
        $model = (new ShimmerLiveshopSpreadPoster())->loadModel($request->route('spread_poster'));
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function destroy(Request $request){
        $model = (new ShimmerLiveshopSpreadPoster())->loadModel($request->route('spread_poster'));
        $model->delete();
        return $this->result(0,'ok');
    }
}