<?php

/**
 * 报名直播间列表
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/31
 * Time: 下午7:48
 */

namespace App\Modules\Live\Http\Controllers;


use App\Models\ShimmerLiveshop;
use App\Models\ShimmerLiveshopChannel;
use App\Services\LiveNavEntryformService;
use Illuminate\Http\Request;

class EntryformLiveControler extends Controller
{
    /**
     * 直播间列表 | 频道列表，
     */
    public function bindList(Request $request)
    {
        $formId = $request->route('id');
        $type = $this->query['type'] ? $this->query['type'] : 1;

        $queryData = [
            'type' => [
                1 => '话题',
                2 => '频道',
            ],
            'contentType' => config('live.contentType'),
            'contentType' => config('live.contentType'),
        ];

        $query = $this->query;
        unset($query['type']);

        if ($type == 1) {
            $query['title'] = $query['name'];
            unset($query['name']);
            $pager = ShimmerLiveshopLive::search($query)->paginate($this->pageNum);
        } else if ($type == 2) {
            $pager = ShimmerLiveshopChannel::search($query)->paginate($this->pageNum);
        }

        $channleIsShowTexts = \App\Modules\Live\Models\ShimmerLiveshopChannel::$isshow;
        $channleTypeTexts = \App\Modules\Live\Models\ShimmerLiveshopChannel::$type;

        return view('live::enterform.bind_list', [
            'queryData' => $queryData,
            'formId' => $formId,
            'pager' => $pager,
            'type' => $type,
            'channleIsShowTexts' => $channleIsShowTexts,
            'channleTypeTexts' => $channleTypeTexts,
        ]);
    }

    /**
     * 表单批量绑定直播间 / 频道
     */
    public function bind(Request $request)
    {
        $formId = $request->route('id');
        $type = $request->input('type');
        $ids = $request->input('ids');
        $checkedIds = $request->input('checkedIds');

        switch ($type) {
            case 1:
                LiveNavEntryformService::bindLiveBatch($formId, $ids, $checkedIds);
                break;
            case 2:
                LiveNavEntryformService::bindChannelBatch($formId, $ids, $checkedIds);
                break;
        }

        return $this->result(0, '保存成功');
    }
}