<?php
namespace App\Modules\Live\Http\Controllers;

use App\Models\ShimmerLiveshopGiveup;
use App\Modules\Live\Services\GiftService;
use Illuminate\Http\Request;

class GiveupController extends Controller {
    public function index(Request $request){
        $giveups = ShimmerLiveshopGiveup::where('live_id',$request->route('live_id'))->paginate($this->pageNum);
        return view('live::giveup.index',compact('giveups'));
    }

    public function create(Request $request){
        $model = new ShimmerLiveshopGiveup();
        return view('live::giveup.create',compact('model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopGiveup::instance(),'store');
        $data['live_id'] = $request->route('live_id');
        $data['uniacid'] = $request->route('uniacid');
        $model = new ShimmerLiveshopGiveup();
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit(Request $request){
        $model = (new ShimmerLiveshopGiveup())->loadModel($request->route('giveup'));
        return view('live::giveup.edit',compact('model'));
    }

    public function update(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopGiveup::instance(),'store');
        $data['live_id'] = $request->route('live_id');
        $data['uniacid'] = $request->route('uniacid');
        $model = (new ShimmerLiveshopGiveup())->loadModel($request->route('giveup'));
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function destroy(Request $request){
        $model = (new ShimmerLiveshopGiveup())->loadModel($request->route('giveup'));
        $model->delete();
        return $this->result(0,'ok');
    }

    public function changeStatus(Request $request){
        $model = (new ShimmerLiveshopGiveup())->loadModel($request->route('id'));
        $model->isshow = $model->isshow==1 ? 0 : 1;
        $model->save();
        return $this->result(0,'ok');
    }
}
