<?php

namespace App\Modules\Live\Http\Controllers;


use App\Models\ShimmerLiveshopAnchorApply;
use App\Models\ShimmerLiveshopLiveIntoLog;
use App\Modules\Live\Models\ShimmerLiveshopAgent;
use App\Modules\Liveapi\Services\Live\AnchorService;
use App\Services\StatService;
use Illuminate\Http\Request;
use We7\Table\Qrcode\Stat;

class IndexController extends Controller
{

    /**
     * 首页统计
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        $data = [];

        //待发货数量
        $data['to_delivered_num'] = StatService::getToDeliveredNum();
        //待退款数量
        $data['pending_refund_num'] = StatService::getPendingRefundNum();
        //提现申请数量

        //订单总数
        $data['today_order_num'] = StatService::getTodayOrderNum();
        //今日直播间观看人数
        $data['live_into_num'] = ShimmerLiveshopLiveIntoLog::where('created_at','>=',strtotime(date('Y-m-d'.'00:00:00',time())))->groupBy('uid')->count();
        //主播申请待处理
        $data['anchor_apply_num'] = ShimmerLiveshopAnchorApply::where('status',0)->count();
        //分销商申请待处理
        $data['agent_apply_num'] = ShimmerLiveshopAgent::where('status',0)->count();
        //交易额
        $data['today_order_pay_money'] = StatService::getTodayOrderPayMoney();

        return view('live::index.home', [
            'data' => $data
        ]);
    }

    /**
     * 订单图表数据
     * @param Request $request
     */
    public function orderChart(Request $request)
    {
        //默认30天
        $cycle = $request->input('cycle', 'thirtyday');

        $data = StatService::getOrderChartData($cycle);

        return [
            'status' => 200,
            'msg' => 'ok',
            'data' => $data,
        ];
    }

    /**
     * 用户图表数据
     * @param Request $request
     */
    public function userChart(Request $request)
    {
        $data = StatService::getUserChatData();

        return [
            'status' => 200,
            'msg' => 'ok',
            'data' => $data,
        ];
    }

    /**
     * 直播间图表数据
     * @param Request $request
     */
    public function liveChart(Request $request)
    {
        //默认30天
        $cycle = $request->input('cycle', 'thirtyday');

//        $data = StatService::getLiveChartData($cycle);
        /**
         * @todo wuhuaian
         */
        $data = [];

        return [
            'status' => 200,
            'msg' => 'ok',
            'data' => $data,
        ];
    }
}