<?php
/**
 * 商品管理
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/8/9
 * Time: 上午9:48
 */

namespace App\Modules\Live\Http\Controllers\Live;

use App\Models\ShimmerLiveshopAnchorApply;
use App\Models\ShimmerLiveshopAnchorApplyPay;
use App\Models\ShimmerLiveshopAnchorPayLevel;
use App\Modules\Live\Http\Controllers\Controller;
use App\Modules\Live\Services\Anchor\AnchorLevelService;
use App\Services\PluginService;
use Illuminate\Http\Request;

class AnchorPayLevelController extends Controller
{
    public function index(Request $request){
        $lists = ShimmerLiveshopAnchorPayLevel::paginate($this->pageNum);
        return view('live::live.anchor-level.index',compact('lists'));
    }

    public function create(){
        $model = new ShimmerLiveshopAnchorPayLevel();
        $partnerPlugin = PluginService::isEnabled('partner');
        $partners = AnchorLevelService::getPartners();
        return view('live::live.anchor-level.create',compact('partners','partnerPlugin','model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopAnchorPayLevel::instance(),'store');
        $model = new ShimmerLiveshopAnchorPayLevel();
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit(Request $request){
        $partnerPlugin = PluginService::isEnabled('partner');
        $partners = AnchorLevelService::getPartners();
        $model = (new ShimmerLiveshopAnchorPayLevel())->loadModel($request->route('anchor_pay_level'));
        return view('live::live.anchor-level.edit',compact('partners','partnerPlugin','model'));
    }

    public function update(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopAnchorPayLevel::instance(),'store');
        $model = (new ShimmerLiveshopAnchorPayLevel())->loadModel($request->route('anchor_pay_level'));
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function destroy(Request $request){
        $model = (new ShimmerLiveshopAnchorPayLevel())->loadModel($request->route('anchor_pay_level'));
        $model->delete();
        return $this->result(0,'ok');
    }

    /**
     * @param Request $request
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     * 查看主播购买等级记录
     */
    public function getAnchorLevel(Request $request){
        $anchor_id = $request->route('anchor_id');
        $anchorPay = ShimmerLiveshopAnchorApplyPay::where('anchor_id',$anchor_id)
            ->pluck('level_id')->toArray();
        $anchor = ShimmerLiveshopAnchorApply::where('id',$anchor_id)->with('userLevel')->first();

        $lists = ShimmerLiveshopAnchorPayLevel::get();
        foreach ($lists as &$list){
            if (in_array($list->id,$anchorPay)){
                $list->has_level = true;
            }else{
                $list->has_level = false;
            }
        }
        return view('live::live.anchor-level.get-anchor-level',compact('lists','anchor'));
    }

    public function delAnchorLevel(Request $request){
        $level_id = $request->route('level_id');
        $anchor_id = $request->route('anchor_id');
        ShimmerLiveshopAnchorApplyPay::where('level_id',$level_id)
            ->where('anchor_id',$anchor_id)
            ->delete();
        return $this->success();
    }

    public function addAnchorLevel(Request $request){
        $level_id = $request->route('level_id');
        $anchor_id = $request->route('anchor_id');
        $level = ShimmerLiveshopAnchorPayLevel::find($level_id);
        if (!$level){
            return $this->result('','等级不存在',400);
        }
        $anchor = ShimmerLiveshopAnchorApply::find($anchor_id);
        if (!$level){
            return $this->result('','主播不存在',400);
        }
        $model = new ShimmerLiveshopAnchorApplyPay();
        $model->uniacid = $anchor->uniacid;
        $model->uid = $anchor->uid;
        $model->give_anchor_num = $level->give_anchor_num;
        $model->buy_anchor_rate = $level->buy_anchor_rate;
        $model->commission_rate = $level->commission_rate;
        $model->status = 1;
        $model->pay_price = $level->price;
        $model->anchor_id = $anchor->id;
        $model->level_id = $level->id;
        $model->name = $level->name;
        $model->intro_pic = $level->intro_pic;
        $model->cost_price = $level->cost_price;
        $model->intro = $level->intro;
        $model->card_pic = $level->card_pic;
        $model->content = $level->content;
        $model->order_id = 0;
        $model->pay_type = 2;
        $model->save();
        if (!$anchor->userLevel || $anchor->userLevel->pay_price<= $level->price){
            $anchor->level_pay_id = $model->id;
            $anchor->save();
        }
        return $this->result();
    }
}