<?php
namespace App\Modules\Live\Http\Controllers\Live;

use App\Models\ShimmerLiveshopLiveLog;
use App\Modules\Live\Http\Controllers\Controller;
use Illuminate\Http\Request;

class PlaybackController extends Controller {

    public function index(Request $request){
        $live_id = $request->route('live_id');
        $logs = ShimmerLiveshopLiveLog::where('live_id',$live_id)
            ->where('video_time','>',0)
            ->paginate($this->pageNum);
        return view('live::live.playback.index',compact('logs'));
    }

    /**
     * @param Request $request
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     * 视频播放
     */
    public function playVideo(Request $request){
        $url = $request->input('url');

        if($url && strpos($url,'https') === false && strpos($url,'http') === false){
            $url = 'https://'.$url;
        }

        return view('live::live.playback.play-video',compact('url'));
    }

    public function destory(Request $request){
        $model = ShimmerLiveshopLiveLog::find($request->route('playback'));
        if (!$model){
            return $this->result(1,'记录不存在');
        }
        $model->delete();
        return $this->result();
    }

}
