<?php
namespace App\Modules\Live\Http\Controllers;

use App\Modules\Live\Models\ShimmerLiveshop;
use App\Modules\Live\Models\ShimmerLiveshopLiveAdv;
use App\Modules\Live\Models\ShimmerLiveshopLiveConfig;
use App\Modules\Live\Services\AdvService;
use App\Modules\Live\Services\LiveConfigService;
use Illuminate\Http\Request;

class LiveConfigController extends Controller {

    //保存礼物配置
    public function setGiftSaveConfig(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveConfig::instance(),'600');
        $data['live_id'] = $request->route('live_id');
        (new LiveConfigService())->saveGiftConfig($data);
        return $this->result(0,'ok');
    }

    //打赏配置
    public function setRewardConfig(Request $request){
        $model =  (new LiveConfigService())->loadModel(700,$request->route('live_id'));
        return view('live::live-config.700',compact('model'));
    }

    //保存打赏配置
    public function setRewardSaveConfig(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveConfig::instance(),'700');
        $data['live_id'] = $request->route('live_id');
        (new LiveConfigService())->saveRewardConfig($data);
        return $this->result(0,'ok');
    }

    public function setting(Request $request){
        $type = $request->input('type');
        $model = (new LiveConfigService())->loadModel($type,$request->route('live_id'));
        return view('live::live-config.'.$type,compact('model','type'));
    }

    public function save(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveConfig::instance(),$request->input('type'));
        $data['live_id'] = $request->route('live_id');
        $model=(new LiveConfigService())->loadModel($request->input('type'),$data['live_id']);
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    //保存水印配置
    public function setWatermarkSaveConfig(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveConfig::instance(),'1200');
        $data['live_id'] = $request->route('live_id');
        $model = (new LiveConfigService())->loadModel(1200,$request->route('live_id'));
        return $this->result(0,'ok');
    }
}
