<?php
namespace App\Modules\Live\Http\Controllers;


use App\Modules\Live\Models\ShimmerLiveshopLiveadmin;
use Illuminate\Http\Request;

class LiveadminController extends Controller {

    public function index(){
        $admins = (new ShimmerLiveshopLiveadmin())->paginate($this->pageNum);
        $role = ShimmerLiveshopLiveadmin::$role;
        return view('live::liveadmin.index',compact('admins','role'));
    }

    public function create(){
        $role = ShimmerLiveshopLiveadmin::$role;
        $model = new ShimmerLiveshopLiveadmin();
        return view('live::liveadmin.create',compact('model','role'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveadmin::instance(),'store');
        $model = new ShimmerLiveshopLiveadmin();
        $data['uid']=0;
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit(Request $request){
        $id = $request->route('liveadmin');
        $model = (new ShimmerLiveshopLiveadmin())->loadModel($id);
        $role = ShimmerLiveshopLiveadmin::$role;
        return view('live::liveadmin.edit',compact('model','role'));
    }

    public function update(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopLiveadmin::instance(),'store');
        $id = $request->route('liveadmin');
        $model = (new ShimmerLiveshopLiveadmin())->loadModel($id);
        $data['uid']=0;
        $model->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function destroy(Request $request){
        $id = $request->route('liveadmin');
        $model = (new ShimmerLiveshopLiveadmin())->loadModel($id);
        $model->delete();
        return $this->result(0,'ok');
    }

    public function changeStatus(Request $request){
        $model = (new ShimmerLiveshopLiveadmin())->loadModel($request->route('admin_id'));
        $model->status = $model->status==1 ? 0 : 1;
        $model->save();
        return $this->result(0,'ok');
    }

    public function getInvCode(Request $request){
        global $_W;
        $model = (new ShimmerLiveshopLiveadmin())->loadModel($request->route('admin_id'));
        $route = wgRoute('liveapiqrcodeqrcode.manager',['type'=>1,'liveadmin_id'=>$model->id]);
        $thumbdir = IA_ROOT . '/' . $_W['config']['upload']['attachdir'] . '/shimmer_liveshop/' . date('Ymd') . '/qrcode/manager/';
        !is_dir($thumbdir) && @mkdir($thumbdir, 0777, true);

        $imgName = "shimmer_liveshop_manager".$_W['uniacid'].$request->route('admin_id').'png';
        $filename = '/shimmer_liveshop/' . date('Ymd') . '/qrcode/manager/'.$imgName;

        $errorCorrectionLevel = "L";
        $matrixPointSize = "4";
        \QRcode::png($route,$thumbdir.$imgName,$errorCorrectionLevel,$matrixPointSize);

        return view('live::liveadmin.inicode',compact('model',
            'filename'));
    }
}
