<?php

/**
 * 发送日志管理
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/21
 * Time: 下午8:38
 */

namespace App\Modules\Live\Http\Controllers\Log;

use App\Modules\Live\Http\Controllers\Controller;
use App\Models\ShimmerLiveshopSmslog;
use Illuminate\Http\Request;

class SmslogController extends Controller
{
    /**
     * 小程序发送日志
     * @param Request $request
     */
    public function index(Request $request)
    {
        //获取分页数据
        $query = $this->query;
        $startTime = $query['start_time'];
        $endTime = $query['end_time'];

        $queryData = [];
        $queryData['log_types'] = ShimmerLiveshopSmslog::$logTypes;

        unset($query['start_time'], $query['end_time']);

        $builder = ShimmerLiveshopSmslog::with('user');

        $builder = ShimmerLiveshopSmslog::search($query);

        if ($startTime) {
            $builder->where('created_at', '>=', $startTime);
        }
        if ($endTime) {
            $builder->where('created_at', '<=', $endTime);
        }

        $builder->orderBy('id', 'desc');

        $pager = $builder->paginate($this->pageNum);

        return view('live::log.smslog_list', [
            'pager' => $pager,
            'queryData' => $queryData,
        ]);
    }

    /**
     * 删除日志
     * @param Request $request
     * @return array|string
     */
    public function delete(Request $request)
    {
        $id = $request->input('id');

        if (!$id) {
            return $this->result(1, '请选择删除对象');
        }

        if (is_array($id)) {
            ShimmerLiveshopSmslog::whereIn('id', $id)->delete();
        } else {
            $log = ShimmerLiveshopSmslog::find($id);
            $log->delete();
        }

        return $this->result(0, '删除成功');
    }
}