<?php
namespace App\Modules\Live\Http\Controllers;

use Illuminate\Http\Request;

class LoginController extends Controller {

    public function login() {
        return view('admin::login.login');
    }

    public function loginSubmit(Request $request)
    {
        $this->validate($request, [
            'username' => 'required',
            'password' => 'required',
        ], [
            'username.required' => '请输入登陆用户名',
            'password.required' => '请输入登陆密码',
        ]);

        if (!\Auth::guard('manager')->attempt(['username' => $request->input('username'), 'password' => $request->input('password')])) {
            return $this->result(1,'账号密码错误');
        }
        return $this->result(0,'登录成功');
    }

    public function logout() {
        $this->auth->logout();
        return \Redirect::to(wgRoute('livelogin'));
    }

}