<?php
namespace App\Modules\Live\Http\Controllers;
use App\Modules\Live\Models\ShimmerLiveshopMenu;
use App\Modules\Live\Services\MenuService;
use Illuminate\Http\Request;
class MenuController extends Controller {

    public function index(){
        $menu = MenuService::getMenuLists();
        return view('live::menu.index',compact('menu'));
    }

    public function create(){
        $menu = MenuService::getMenuLists();
        $model = new ShimmerLiveshopMenu();
        return view('live::menu.create',compact('menu','model'));
    }

    public function store(Request $request){
        $data = $this->validateScenario($request,ShimmerLiveshopMenu::instance(),'store');
        $menuModel = new ShimmerLiveshopMenu();
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    public function edit(Request $request,$uniacid,$id){
        $model = ShimmerLiveshopMenu::find($id);
        $menu = MenuService::getMenuLists();
        return view('live::menu.edit',compact('menu','model'));
    }

    public function update(Request $request,$uniacid,$id){
        $data = $this->validateScenario($request,ShimmerLiveshopMenu::instance(),'update');
        $menuModel = ShimmerLiveshopMenu::find($id);
        $menuModel->fill($data)->save();
        return $this->result(0,'ok');
    }

    /**
     * @param Request $request
     * @param $id
     * @return array|string
     * 修改菜单显示状态
     */
    public function change(Request $request,$uniacid,$id){
        $menuModel = ShimmerLiveshopMenu::find($id);
        $menuModel->status=(int)$request->input('value');
        $menuModel->save();
        return $this->result(0,'ok');
    }

    public function icon(){
        return view('live::menu.icon');
    }

    public function destroy($uniacid,$id){
        $model = ShimmerLiveshopMenu::find($id);
        $model->delete();
        return $this->result(0,'ok');
    }
}