<?php

/**
 * 配置相关
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/20
 * Time: 上午11:30
 */

namespace App\Modules\Live\Http\Controllers;

use App\Modules\Live\Models\ShimmerLiveshopConfig;
use App\Services\Chat\TxService;
use App\Third\TLSSigAPIv2;
use Illuminate\Http\Request;

class SettingController extends Controller
{

    public function panel()
    {
        $configs = [
            '0' => [
                'name' => '系统配置',
                'icon' => '/static/web/img/设置.png',
                'route' => 'livesetting.system',
            ],
            //'1' => [
            //'name' => '直播间设置',
            //'icon' => '/static/web/img/设置.png',
            //'route' => 'livesetting.live',
            //],
            /*            '2' => [
                            'name' => '打赏/礼物设置',
                            'icon' => '/static/web/img/付费.png',
                            'route' => 'javascript:;',
                        ],*/
            '3' => [
                'name' => '轮播图设置',
                'icon' => '/static/web/img/照片5.png',
                'route' => 'livelideshow.index',
            ],

            /*            '4' => [
                            'name' => 'App接入',
                            'icon' => '/static/web/img/手机.png',
                            'route' => 'javascript:;',
                        ],*/
            /*            '5' => [
                            'name' => '消息推送',
                            'icon' => '/static/web/img/list-26.png',
                            'route' => 'javascript:;',
                        ],*/
            /*            '5' => [
                            'name' => '动态管理',
                            'icon' => '/static/web/img/评论.png',
                            'route' => 'javascript:;',
                        ],*/
            /*           '6' => [
                           'name' => '积分管理',
                           'icon' => '/static/web/img/钻石.png',
                           'route' => 'javascript:;',
                       ],*/
            /*            '7' => [
                            'name' => '通用广告',
                            'icon' => '/static/web/img/音响.png',
                            'route' => 'liveadv.index',
                        ],*//*
            '8' => [
                'name' => '直播间装修',
                'icon' => '/static/web/img/分类.png',
                'route' => 'javascript:;',
            ],*/
            /*            '10' => [
                            'name' => '房产设置',
                            'icon' => '/static/web/img/fangchan-01.png',
                            'route' => 'livehousemanage.index',
                        ],*/
            '11' => [
                'name' => '商城装修',
                'icon' => '/static/web/img/分类.png',
                'route' => 'livesetting.page',
            ],
            '12' => [
                'name' => '模版消息',
                'icon' => '/static/web/img/编辑.png',
                'route' => 'livetemplate.index',
            ],
//            '13' => [
//                'name' => '客服设置',
//                'icon' => '/static/web/img/用户.png',
//                'route' => 'liveshopservice.index',
//            ],
            '14' => [
                'name' => '底部导航自定义',
                'icon' => '/static/web/img/首页.png',
                'route' => 'livewxapptabbar.index',
            ],
            '15' => [
                'name' => '专题页管理',
                'icon' => '/static/web/img/点赞.png',
                'route' => 'liveshoptag.index',
            ],
            '16' => [
                'name' => '快递公司',
                'icon' => '/static/web/img/物流 (1).png',
                'route' => 'liveshopexpress.index',
            ],
            '17' => [
                'name' => '默认礼物',
                'icon' => '/static/web/img/物流 (1).png',
                'route' => 'livedefault-gift.index',
            ],
        ];

        $this->setPageTitle('设置');
        return view('live::setting.panel', [
                'configs' => $configs
            ]
        );
    }

    /**
     * 系统配置
     */
    public function system(Request $request, $uniacid, $type = 1)
    {
        $configTypes = ShimmerLiveshopConfig::$configTypes;

        $config = ShimmerLiveshopConfig::type($type)->first();
        $this->setPageTitle('系统配置');

        return view("live::setting.system", [
            'configTypes' => $configTypes,
            'type' => $type,
            'config' => $config['config']
        ]);
    }

    /**
     * 保存系统配置
     * @param $type
     */
    public function systemSave(Request $request, $uniacid, $type)
    {
        if (!$type) {
            $this->result(-1, '参数错误');
        }

        $uniacid = $request->route('uniacid');
        $config = ShimmerLiveshopConfig::type($type)->first();

        $configPost = $request->input('config');

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->type = $type;
            $config->uniacid = $uniacid;
            $config->config = $configPost;
        }

        if (method_exists($this, "systemSave{$type}")) {
            $method = "systemSave{$type}";
            $this->$method();
        } else {
            $config->save();
        }

        return $this->result(0, '保存成功');
    }


    /**
     * 系统配置
     */
    public function live(Request $request, $uniacid, $type = 5)
    {
        $configTypes = ShimmerLiveshopConfig::$liveConfigTypes;

        $config = ShimmerLiveshopConfig::type($type)->first();
        $this->setPageTitle('直播间设置');

        return view("live::setting.live", [
            'configTypes' => $configTypes,
            'type' => $type,
            'config' => $config['config']
        ]);
    }

    /**
     * 保存系统配置
     * @param $type
     */
    public function liveSave(Request $request, $uniacid, $type)
    {
        if (!$type) {
            $this->result(-1, '参数错误');
        }

        $uniacid = $request->route('uniacid');
        $config = ShimmerLiveshopConfig::type($type)->first();

        $configPost = $request->input('config');

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->type = $type;
            $config->uniacid = $uniacid;
            $config->config = $configPost;
        }

        if (method_exists($this, "liveSave{$type}")) {
            $method = "liveSave{$type}";
            $this->$method();
        } else {
            $config->save();
        }
        return $this->result(0, '保存成功');
    }

    private function systemSave20(){
        $request = request();
        $type = $request->route('type');
        $uniacid = $request->route('uniacid');
        $configPost = $request->input('config');
        if ($configPost['share_image']){
            $configPost['share_image'] = wgTomedia($configPost['share_image']);
        }
        $config = ShimmerLiveshopConfig::type($type)->first();

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->uniacid = $uniacid;
            $config->type = $type;
            $config->config = $configPost;
        }

        $config->save();
    }
    /**
     * 保存聊天配置
     */
    private function systemSave3()
    {
        $request = request();

        $type = $request->route('type');
        $typeValue = $request->input('config.type_value');
        $appid = $request->input('config.sdk_appid');
        $private = $request->input('config.private');
        $identifier = $request->input('config.identifier');
        $uniacid = $request->route('uniacid');

        $configPost = $request->input('config');

        if ($typeValue == 1) {
            //生成usersig
            $sdk = new TLSSigAPIv2($appid, $private);
            $usersig = $sdk->genSig($identifier);
            $configPost['user_sig'] = $usersig;
            TxService::delLiveChatConfig($appid, $usersig, $identifier, $request->route('uniacid'));
        }

        $config = ShimmerLiveshopConfig::type($type)->first();

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->uniacid = $uniacid;
            $config->type = $type;
            $config->config = $configPost;
        }

        $config->save();
    }

    /**
     * 保存支付配置
     */
    private function systemSave9()
    {
        $request = request();

        $uniacid = $request->route('uniacid');
        $type = $request->route('type');
        $certFile = $request->file('config.cert_file');
        $keyFile = $request->file('config.key_file');
        $configPost = $request->input('config');

        //保存证书
        if ($certFile) {
            $filename = $certFile->getClientOriginalName();
            $configPost['cert_file'] = $certFile->storeAs("{$uniacid}/cert", $filename);
        }
        if ($keyFile) {
            $filename = $keyFile->getClientOriginalName();
            $configPost['key_file'] = $keyFile->storeAs("{$uniacid}/cert", $filename);
        }

        $config = ShimmerLiveshopConfig::type($type)->first();

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopConfig();
            $config->uniacid = $uniacid;
            $config->type = $type;
            $config->config = $configPost;
        }

        $config->save();
    }
}