<?php
/**
 * 快递公司管理
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/8/15
 * Time: 下午5:32
 */

namespace App\Modules\Live\Http\Controllers\Shop;


use App\Models\ShimmerLiveshopExpress;
use App\Modules\Live\Http\Controllers\Controller;
use App\Services\ExpressService;
use Illuminate\Http\Request;

class ExpressController extends Controller
{
    /**
     * 商品分类列表
     */
    public function index(Request $request)
    {
        //获取分页数据
        $query = $this->query;
        $keyword = trim($query['keyword']);

        unset($query['keyword']);

        $builder = ShimmerLiveshopExpress::search($query);

        if ($keyword) {
            $builder->where('name', 'like', "%{$keyword}%");
            $builder->orWhere('code', 'like', "%{$keyword}%");
        }

        $builder->orderBy('is_show', 'desc')->orderBy('sort', 'desc');

        $pager = $builder->paginate($this->pageNum);

        return view('live::shop.express.index', [
            'pager' => $pager,
        ]);
    }

    public function create(Request $request)
    {
        return view('live::shop.express.create', [
        ]);
    }

    public function store(Request $request)
    {
        $data = $this->validateScenarioPass($request, ShimmerLiveshopExpress::instance());

        if ($data['id']) {
            $model = (new ShimmerLiveshopExpress())->loadModel($data['id']);
            unset($data['id']);
            $ret = $model->fill($data)->save();
        } else {
            $model = new ShimmerLiveshopExpress();
            $ret = $model->fill($data)->save();
        }

        if ($ret) {
            return $this->result(0, '保存成功');
        } else {
            return $this->result(1, '保存失败');
        }
    }

    public function edit($uniacid, $id)
    {
        $info = ShimmerLiveshopExpress::find($id);

        return view('live::shop.express.create', [
            'info' => $info,
        ]);
    }

    public function destroy($uniacid, $id)
    {
        $model = ShimmerLiveshopExpress::find($id);
        $model->delete();
        return $this->result(0, '删除成功');
    }

    /**
     * 修改商品分类是否显示状态
     */
    public function changeIsShow(Request $request)
    {
        $id = $request->input('id');
        $isShow = $request->input('is_show');

        if (!$id) {
            return $this->error(-1, '参数错误');
        }

        $ret = ExpressService::changeIsShow($id, $isShow);

        if ($ret) {
            return $this->success();
        } else {
            return $this->error();
        }
    }
}