<?php
/**
 * 店铺管理
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/8/15
 * Time: 下午5:27
 */

namespace App\Modules\Live\Http\Controllers\Shop;

use App\Models\ShimmerLiveshopShop;
use App\Modules\Live\Http\Controllers\Controller;
use App\Services\LiveShopService;
use Illuminate\Http\Request;

class ShopController extends Controller
{

    /**
     * 店铺设置
     */
    public function setting()
    {
        $info = LiveShopService::getShopInfo();
        return view('live::shop.shop.setting', [
            'info' => $info,
        ]);
    }

    /**
     * 店铺更新
     */
    public function update(Request $request)
    {
        $id = $request->input('id');
        $data = $this->validateScenarioPass($request, ShimmerLiveshopShop::instance());

        if ($id) {
            $model = (new ShimmerLiveshopShop())->loadModel($id);
            $ret = $model->fill($data)->save();
        } else {
            $model = new ShimmerLiveshopShop();
            $ret = $model->fill($data)->save();
        }

        if ($ret) {
            return $this->result(0, '保存成功');
        } else {
            return $this->result(1, '保存失败');
        }
    }
}