<?php
/**
 * 模版消息配置
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/16
 * Time: 下午2:13
 */

namespace App\Modules\Live\Http\Controllers;

use App\Models\ShimmerLiveshopTemplate;
use App\Services\AppService;
use App\Services\TemplateService;
use Illuminate\Http\Request;

class TemplateController extends Controller
{
    /**
     * 模版消息列表
     */
    public function index(Request $request)
    {
        //获取分页数据
        $query = $this->query;
   
        $builder = ShimmerLiveshopTemplate::search($query);

        $builder->where(function ($query) {
            $query->where('uniacid', $this->uniacid);
            $query->orWhere('uniacid', 0);
        });

        $pager = $builder->paginate($this->pageNum);

        return view('live::setting.template.index', [
            'pager' => $pager,
        ]);
    }

    public function create(Request $request)
    {
        return view('live::setting.template.create', [
        ]);
    }

    public function store(Request $request)
    {
        $data = $this->validateScenarioPass($request, ShimmerLiveshopTemplate::instance());
        $data['uniacid'] = AppService::$uniacid;

        if ($data['id']) {
            $model = (new ShimmerLiveshopTemplate())->loadModel($data['id']);
            unset($data['id']);
            $ret = $model->fill($data)->save();
        } else {
            $model = new ShimmerLiveshopTemplate();
            $ret = $model->fill($data)->save();
        }

        if ($ret) {
            return $this->result(0, '保存成功');
        } else {
            return $this->result(1, '保存失败');
        }
    }

    public function edit($uniacid, $id)
    {
        $info = ShimmerLiveshopTemplate::find($id);

        return view('live::setting.template.create', [
            'info' => $info,
        ]);
    }

    public function destroy($uniacid, $id)
    {
        $model = ShimmerLiveshopTemplate::find($id);
        $model->delete();
        return $this->result(0, '删除成功');
    }

    /**
     * 修改模版消息启用状态
     */
    public function changeStatus(Request $request)
    {
        $id = $request->input('id');
        $status = $request->input('status');

        if (!$id) {
            return $this->error(-1, '参数错误');
        }

        $ret = TemplateService::changeStatus($id, $status);

        if ($ret) {
            return $this->success();
        } else {
            return $this->error();
        }
    }
}