<?php
/**
 * 自定义表单
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/3
 * Time: 上午10:07
 */

namespace App\Modules\Live\Http\Controllers\Utils;


use App\Models\ShimmerLiveshopDiyformData;
use App\Models\ShimmerLiveshopDiyformForm;
use App\Modules\Live\Http\Controllers\Controller;
use App\Services\PinyinService;
use Illuminate\Http\Request;

class DiyFormController extends Controller
{
    /**
     * 表单列表
     * @param Request $request
     */
    public function index(Request $request)
    {
        //获取分页数据
        $query = $this->query;

        $builder = ShimmerLiveshopDiyformForm::search($query);

        $pager = $builder->paginate($this->pageNum);

        return view('live::utils.diyform.index', [
            'pager' => $pager,
        ]);
    }

    /**
     * 创建表单
     */
    public function create()
    {
        $fieldTypes = ShimmerLiveshopDiyformForm::$fieldTypes;

        return view('live::utils.diyform.create', [
            'fieldTypes' => $fieldTypes,
            'fieldkey' => 0,
        ]);
    }

    /**
     * 保存表单
     */
    public function store(Request $request)
    {
        $name = trim($request->input('name'));
        if (!$name) {
            return $this->error(-1, '请填写表单名称!');
        }

        $data = $this->getInsertData();
        if (!$data) {
            return $this->error(-1, '请填写表单字段!');
        }
        $model = new ShimmerLiveshopDiyformForm();
        $model->uniacid = $this->uniacid;
        $model->name = $name;
        $model->fields = iserializer($data);
        $ret = $model->save();

        if ($ret) {
            return $this->success(['redirect' => wgRoute('liveutilsdiyform.index')]);
        } else {
            return $this->error(-1, '保存失败');
        }
    }

    /**
     * 修改
     */
    public function edit($uniacid, $id)
    {
        $fieldTypes = ShimmerLiveshopDiyformForm::$fieldTypes;
        $model = ShimmerLiveshopDiyformForm::find($id);

        if (!$model) {
            admin_toastr('表单不存在', 'error');
            return back();
        }

        $fieldTypes = ShimmerLiveshopDiyformForm::$fieldTypes;
        $fieldDefaultDataConfig = ShimmerLiveshopDiyformForm::$fieldDefaultDataConfig;
        $fieldDefaultDateConfig = ShimmerLiveshopDiyformForm::$fieldDefaultDateConfig;
        $dfields = iunserializer($model->fields);

        return view('live::utils.diyform.edit', [
            'fieldTypes' => $fieldTypes,
            'fieldkey' => 0,
            'model' => $model,
            'dfields' => $dfields,
            'fieldTypes' => $fieldTypes,
            'fieldDefaultDataConfig' => $fieldDefaultDataConfig,
            'fieldDefaultDateConfig' => $fieldDefaultDateConfig,
        ]);
    }

    /**
     * 保存表单
     */
    public function update(Request $request, $uniacid, $id)
    {
        $name = trim($request->input('name'));
        if (!$name) {
            return $this->error(-1, '请填写表单名称!');
        }

        $data = $this->getInsertData();
        if (!$data) {
            return $this->error(-1, '请填写表单字段!');
        }

        $model = ShimmerLiveshopDiyformForm::find($id);
        $model->name = $name;
        $model->fields = iserializer($data);
        $ret = $model->save();

        if ($ret) {
            return $this->success(['redirect' => wgRoute('liveutilsdiyform.index')]);
        } else {
            return $this->error(-1, '保存失败');
        }
    }

    /**
     * 表单样式
     */
    public function fieldTpl(Request $request)
    {
        $fieldTypes = ShimmerLiveshopDiyformForm::$fieldTypes;
        $fieldDefaultDataConfig = ShimmerLiveshopDiyformForm::$fieldDefaultDataConfig;
        $fieldDefaultDateConfig = ShimmerLiveshopDiyformForm::$fieldDefaultDateConfig;
        $fieldkey = $request->input('fieldkey');
        $fieldType = $request->input('fieldType');
        $flag = $request->input('flag');

        return view('live::utils.diyform.field_tpl', [
            'fieldTypes' => $fieldTypes,
            'fieldDefaultDataConfig' => $fieldDefaultDataConfig,
            'fieldDefaultDateConfig' => $fieldDefaultDateConfig,
            'fieldkey' => $fieldkey,
            'fieldType' => $fieldType,
            'flag' => $flag,
        ]);
    }

    /**
     * 自定义表单数据弹框
     * @param Request $request
     */
    public function fieldData(Request $request)
    {
        $id = $request->input('id');
        $formData = ShimmerLiveshopDiyformData::find($id);

        $data = iunserializer($formData->data_fields);

        return view('live::utils.diyform.field_data', [
            'data' => $data,
        ]);
    }

    /**
     * 获取表单提交数据
     * @return array
     */
    private function getInsertData()
    {
        $request = request();

        $tp_type = $request->input('tp_type');
        $tp_name = $request->input('tp_name');
        $placeholder = $request->input('placeholder');
        $tp_is_default = $request->input('tp_is_default');
        $tp_default = $request->input('tp_default');
        $tp_must = $request->input('tp_must');
        $tp_text = $request->input('tp_text');
        $tp_max = $request->input('tp_max');
        $tp_name2 = $request->input('tp_name2');
        $tp_area = $request->input('tp_area');
        $default_time_type = $request->input('default_time_type');
        $default_time = $request->input('default_time');
        $default_btime_type = $request->input('default_btime_type');
        $default_btime = $request->input('default_btime');
        $default_etime_type = $request->input('default_etime_type');
        $default_etime = $request->input('default_etime');

        $data = [];

        if (!(empty($tp_name))) {
            $data = array();
            $j = 0;
            foreach ($tp_name as $key => $val) {
                $i = PinyinService::getPinyin(trim($val), 'diy');
                if (array_key_exists($i, $data)) {
                    $i .= $j;
                    ++$j;
                }
                $temp_tp_type = intval($tp_type[$key]);
                $data[$i]['data_type'] = trim($temp_tp_type);
                $data[$i]['tp_name'] = trim($val);
                $data[$i]['tp_must'] = intval(trim($tp_must[$key]));
                if (($temp_tp_type == 0) || ($temp_tp_type == 1)) {
                    if ($temp_tp_type == 0) {
                        $data[$i]['tp_is_default'] = trim($tp_is_default[$key]);
                        if ($data[$i]['tp_is_default']) {
                            $data[$i]['tp_default'] = trim($tp_default[$key]);
                            switch ($data[$i]['tp_is_default']) {
                                case 'diy':
                                    $data[$i]['tp_default'] = trim($tp_default[$key]);
                                    break;
                            }
                        }
                    }
                    $data[$i]['placeholder'] = trim($placeholder[$key]);
                } else {
                    if (($temp_tp_type == 2) || ($temp_tp_type == 3) || ($temp_tp_type == 4)) {
                        $text_array = explode("\n", trim($tp_text[$key]));
                        foreach ($text_array as $k => $v) {
                            $text_array[$k] = trim($v);
                        }
                        $data[$i]['tp_text'] = $text_array;
                    } else if ($temp_tp_type == 14) {
                        $text_array = explode("\n", trim($tp_text[$key]));
                        foreach ($text_array as $k => $v) {
                            $text_array[$k] = trim($v);
                        }
                        $data[$i]['tp_text'] = $text_array;
                    } else if ($temp_tp_type == 5) {
                        $data[$i]['tp_max'] = intval(trim($tp_max[$key]));
                    } else if ($temp_tp_type == 7) {
                        $data[$i]['default_time_type'] = intval($default_time_type[$key]);
                        if ($data[$i]['default_time_type'] == 2) {
                            $data[$i]['default_time'] = trim($default_time[$key]);
                        }
                    } else if ($temp_tp_type == 8) {
                        $data[$i]['default_btime_type'] = intval($default_btime_type[$key]);
                        $data[$i]['default_etime_type'] = intval($default_etime_type[$key]);
                        if ($data[$i]['default_btime_type'] == 2) {
                            $data[$i]['default_btime'] = trim($default_btime[$key]);
                        }
                        if ($data[$i]['default_etime_type'] == 2) {
                            $data[$i]['default_etime'] = trim($default_etime[$key]);
                        }
                    } else if ($temp_tp_type == 9) {
                        $data[$i]['tp_area'] = intval($tp_area[$key]);
                    } else if ($temp_tp_type == 10) {
                        $data[$i]['tp_name2'] = trim($tp_name2[$key]);
                    } else if ($temp_tp_type == 13) {
                        $data[$i]['tp_text'] = trim($tp_text[$key]);
                    }
                }
            }
        }
        return $data;
    }

    public function destroy($uniacid, $id)
    {
        ShimmerLiveshopDiyformForm::destroy($id);
        return $this->result(0, '删除成功');
    }
}