<?php
/**
 * 商品工具
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/03/11
 * Time: 下午10:29
 */

namespace App\Modules\Live\Http\Controllers\Utils;

use App\Models\ShimmerLiveshopGoods;
use App\Models\ShimmerLiveshopGoodsCategory;
use App\Modules\Live\Http\Controllers\Controller;
use Illuminate\Http\Request;

class GoodsController extends Controller
{
    /**
     * 选择商品弹框
     * @param Request $request
     */
    public function selectlist(Request $request)
    {
        $callback = $request->input('callback');
        $inputClass = $request->input('input_class');

        $query = $this->query;

        $builder = ShimmerLiveshopGoods::search($query);

        $pager = $builder->paginate($this->pageNum);

        return view('live::utils.goods.selectlist', [
            'pager' => $pager,
            'callback' => $callback,
            'inputClass' => $inputClass,
        ]);
    }

    /**
     * 选择商品分类
     * @param Request $request
     */
    public function selectCategory(Request $request)
    {
        $callback = $request->input('callback');
        $inputClass = $request->input('input_class');

        $query = $this->query;

        $builder = ShimmerLiveshopGoodsCategory::search($query);
        $builder->where('parent_id', '>', 0);
        $builder->where('isshow', 1);
        $builder->orderBy('sort', 'desc');

        $pager = $builder->paginate($this->pageNum);

        return view('live::utils.goods.select_category', [
            'pager' => $pager,
            'callback' => $callback,
            'inputClass' => $inputClass,
        ]);
    }
}