<?php
namespace App\Modules\Live\Models;

class ShimmerLiveshopHousemanage extends BaseModel{
    public $guarded = [];
    protected $scenarios = [
        'default' => ['title','layout','cover','price','phone','area','intro']
    ];

    public function validateRules($request) {
        return [
            'default' => [
                'title'=>'required',
                'layout'=>'required',
                'price'=>'required',
                'phone'=>'required',
            ],
        ];
    }

    public function validateMessage() {
        return [
            'default' => [
                'title.required' => '请填写房产名称',
                'layout.required' => '请填写户型信息',
                'price.required' => '请填写售价',
                'phone.required' => '请填写联系方式',

            ],
        ];
    }

    public function validateFilter($data, $senario) {
        if ($senario=='store'){
            $data['sort']=1;
        }

        return $data;
    }


    public function getAreaTextAttribute()
    {
        return $this->area.' ㎡';
    }


    public function getPriceTextAttribute()
    {
        return $this->price.'元';
    }





}