<?php

namespace App\Modules\Live\Models;

class ShimmerLiveshopLideshow extends \App\Models\ShimmerLiveshopLideshow
{
    protected $scenarios = [
        'default' => ['type','tag_id', 'name',  'wxappurl', 'pic', 'sort','link_type','link_data']
    ];

    /**
     * 类型
     * @param $query
     * @param $type
     * @return mixed
     */
    public function scopeType($query, $type)
    {
        return $query->where('type', $type);
    }

    public function validateRules($request)
    {
        return [
            'default' => [
                'name' => 'required',
                'pic' => 'required',
            ],
        ];
    }

    public function validateMessage()
    {
        return [
            'default' => [
                'name.required' => '名称不能为空',
                'pic.required' => '轮播图不能为空',
            ],
        ];
    }

    public function validateFilter($data, $senario)
    {
        if ($senario == 'store') {
            $data['sort'] = 1;
        }
        return $data;
    }

    /**
     * @param $type
     */
    public static function getPageBanners($type, $fields = 'id,name,wxappurl,pic,link_type,link_data')
    {
        if (!$type) {
            return [];
        }

        $fields = explode(',', $fields);

        $list = self::select(...$fields)->type($type)->orderBy('sort', 'desc')->get();
        if ($list) {
            $list->each(function ($item) {
                $item->pic = wgTomedia($item->pic);
            });
        }
        return $list;
    }


}
