<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */

namespace App\Modules\Live\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class ShimmerLiveshopLiveadmin extends BaseModel
{
    use SoftDeletes;
    public $guarded = [];
    protected $scenarios = [
        'store' => ['relation_type', 'mobile', 'role_id', 'name', 'relation_id', 'status'],
    ];

    public static $status = [
        0 => '禁用',
        1 => '启用'
    ];

    /**
     * @var array
     * type 0 不限 1 话题 2频道 3核销记录
     */
    public static $role = [
        1 => [
            'name' => '直播间管理员',
            'type' => 0,
        ],
        2 => [
            'name' => '直播助理',
            'type' => 0,
        ],
        3 => [
            'name' => '频道管理员',
            'type' => 2,
        ],
        4 => [
            'name' => '话题管理员',
            'type' => 1,
        ],
        5 => [
            'name' => '嘉宾',
            'type' => 1,
        ],
        6 => [
            'name' => '直播间核销员',
            'type' => 3,
        ],
    ];

    public function validateFilter($data, $senario)
    {
        return $data;
    }

    public function getContentAttribute()
    {
        if ($this->relation_type == 1) {
            return (new ShimmerLiveshop())->where('id', $this->relation_id)->value('title');
        } elseif ($this->relation_type == 2) {
            return (new ShimmerLiveshopChannel())->where('id', $this->relation_id)->value('name');
        } else {
            return '全部直播间内容';
        }
    }

    public function getStatusTextAttribute()
    {
        return self::$status[intval($this->status)];
    }
}