<?php
/**
 * Created by PhpStorm.
 * User: wuhuaian
 * Date: 2019/7/5
 * Time: 9:01 PM
 */

namespace App\Modules\Live\Models;

use Illuminate\Database\Eloquent\Builder;
use \App\Models\BaseModel;

class ShimmerLiveshopMenu extends BaseModel
{
    public $timestamps = false;
    public $guarded = [];
    protected $scenarios = [
        'default' => ['name', 'sort', 'type', 'route', 'status', 'pid', 'ico', 'describe']
    ];

    public static function boot()
    {
        parent::boot();
        static::addGlobalScope(function (Builder $builder) {
            $builder->where(['type' => 'live']);
        });
    }

    /**
     * 路由属性
     */
    public function getAttributeRoute(){
        return $this->route ?: 'javascript:;';
    }

    public function validateRules($request)
    {
        return [
            'default' => [
                'ico' => 'required',
            ],
        ];
    }

    public function validateMessage()
    {
        return [
            'default' => [
                'ico.required' => '请上传icon',
            ],
        ];
    }

    public function validateFilter($data, $senario)
    {
        return $data;
    }

    public function setTypeAttribute($value)
    {
        $this->attributes['type'] = 'live';
    }


    public function scopeSearchIds($query, $ids)
    {
        if ($ids && is_array($ids)) {
            return $query->whereIn('id', $ids);
        }
    }
}