@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">日志类型:</label>
                                <div class="layui-input-inline">
                                    <select name="query[type]" lay-verify="">
                                        <option value="">全部</option>
                                        @foreach($queryData['type'] as $index=>$item)
                                            <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''}}>{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">日志来源:</label>
                                <div class="layui-input-inline">
                                    <select name="query[log_type]" lay-verify="">
                                        <option value="">全部</option>
                                        @foreach($queryData['log_type'] as $index=>$item)
                                            <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['log_type']) && $query['log_type']==$index ? 'selected': ''}}>{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">关键字:</label>
                                <div class="layui-input-inline">
                                    <input type="text" name="query[keywords]" lay-verify="" placeholder="昵称/真实姓名/手机号"
                                           style="width: 200px;" value="{{$query['keywords']}}" autocomplete="off"
                                           class="layui-input">
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">记录时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>

                    @include('live::common.toolbar', ['pager' => $pager])

                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>粉丝</th>
                                <th>会员</th>
                                <th>类型</th>
                                <th>数量</th>
                                <th>当前</th>
                                <th>事件</th>
                                <th>备注</th>
                                <th>操作人</th>
                                <th>记录时间</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>
                                        <img src="{{$item->user->avatar}}"
                                             class="rounded-circle img-sm img_pop_show"/><br/>
                                        {{$item->user->nickname}}
                                    </td>
                                    <td>
                                        {{$item->user->realname}}<br/>
                                        {{$item->user->mobile}}
                                    </td>
                                    <td>{{$item->typeText}}</td>
                                    <td>
                                        @if($item->type==1)
                                            余额:
                                            <span class="{{getNumberColor($item->num)}}" >{{$item->num}}</span>
                                        @elseif($item->type==2)
                                            积分:
                                            <span class="{{getNumberColor($item->num)}}" >{{$item->num}}</span>
                                        @endif
                                        @if($item->give_credit > 0)
                                            <br/>
                                                赠送积分: <span class="{{getNumberColor($item->give_credit)}}" > {{$item->give_credit}}</span>
                                        @endif
                                        @if($item->give_money > 0)
                                            <br/>
                                                赠送金额:  <span class="{{getNumberColor($item->give_money)}}" >{{$item->give_money}}</span>
                                        @endif
                                    </td>
                                    <td>
                                        @if($item->type==1)
                                            当前余额: {{$item->presentcredit}}<br/>
                                            @if($item->give_presentcredit > 0)
                                                赠送余额: {{$item->give_presentcredit}}
                                            @endif
                                        @elseif($item->type==2)
                                            当前积分: {{$item->presentcredit}}
                                        @endif
                                    </td>
                                    <td>{{$item->logTypeText}}</td>
                                    <td>{{$item->remark}}</td>
                                    <td>{{$item->adminUser->username}}</td>
                                    <td>{{$item->created_at}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection