

@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    <div class="toolbar">
                        <span class="left">
                            <a  href="{{wgRoute('livechannel.create')}}" class="btn btn-primary">添加频道</a>
                         </span>
                    </div>
                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>频道ID</th>
                                <th>频道封面</th>
                                <th>频道名称</th>
                                <th>频道类型</th>
                                <th>票价</th>
                                <th>显示状态</th>
                                <th>创建时间</th>
                                <th>排序</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($channels as $channel)
                                <tr>
                                    <td>{{$channel->id}}</td>
                                    <td>
                                        <img src="{{wgTomedia($channel->cover)}}">
                                    </td>
                                    <td>
                                        {{$channel->name}}
                                    </td>
                                    <td>
                                        {{$channel->type_text}}
                                    </td>
                                    <td>
                                        {{$channel->price_text}}
                                    </td>
                                    <td>
                                        {{$channel->isshow_text}}
                                    </td>
                                    <td>
                                        {{$channel->created_at}}
                                    </td>
                                    <td>
                                        {{$channel->sort}}
                                    </td>
                                    <td>
                                        <div class="dropdown btn  btn-info" >
                                            <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                                操作
                                            </div>
                                            <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                                <li>
                                                    <a class="dropdown-item" href="{{wgRoute('livechannel.edit',[$channel->id])}}">
                                                        编辑
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item" href="{{wgRoute('livesynopsis.index',[$channel->id])}}">
                                                        简介
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm delete" data-url="{{wgRoute('livechannel.destroy',[$channel->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">
                                                        删除
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item load_prompt" data-url="{{wgRoute('livechannel.changesort',[$channel->id])}}" data-title="{{$channel->name}}" href="javascript:;">
                                                        排序
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item">
                                                        获取分享链接
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="dropdown btn  btn-info" >
                                            <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                                查看
                                            </div>
                                            <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                                <li>
                                                    <a class="dropdown-item">
                                                        频道话题
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="dropdown-item">
                                                        数据分享
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            @include('live::common.pagination', ['pager' => $channels])
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
