@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">频道ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入频道ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">频道名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入频道名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $channels])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>频道ID</th>
                            <th>频道名称</th>
                            <th>频道封面</th>
                            <th>类型</th>
                            <th>创建时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($channels as $channel)
                            <tr>
                                <th>{{$channel->id}}</th>
                                <th>{{$channel->name}}</th>
                                <th>
                                    <img src="{{wgTomedia($channel->cover)}}">
                                </th>
                                <th></th>
                                <th>
                                    {{$channel->created_at}}
                                </th>
                                <th>
                                    <a  href="javascript:;" class="btn  btn-info" onclick="bind({{$channel->id}},'{{$channel->name}}')">
                                        绑定
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $channels])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function bind(id,name) {
            var index = parent.layer.getFrameIndex(window.name);
            window.parent.document.getElementById("relation_id").value=id;
            window.parent.document.getElementById("channel_name").innerHTML=name;
            parent.layer.close(index);
        }
    </script>
@endsection