@extends('live::layouts.master')
@section('page_title',$pageTitle)

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="tabs-container">
                <ul class="nav nav-tabs" role="tablist">
                    <li><a class="nav-link active" data-toggle="tab" href="#tab-1">评论列表</a></li>
                    <li><a class="nav-link" data-toggle="tab" href="#tab-2">设置</a></li>
                </ul>
                <div class="tab-content">
                    <div role="tabpanel" id="tab-1" class="tab-pane active">
                        <div class="panel-body">
                            @include('live::comment.list')
                        </div>
                    </div>
                    <div role="tabpanel" id="tab-2" class="tab-pane">
                        <div class="panel-body">
                            @include('live::comment.config')
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        //评论设置
        layui.use('form', function () {
            var form = layui.form;
            var layer = layui.layer;
            form.on('switch(config)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.value = data.elem.checked ? 1 : 0;
                params.key = data.elem.getAttribute("name");

                $.ajax({
                    url: $("#ajaxform").attr('action'),
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });
    </script>
@endsection