<form class="layui-form" action="">
    <div class="layui-inline">
        <label class="layui-form-label">关键字:</label>
        <div class="layui-input-inline">
            <input type="text" name="query[content]" lay-verify="" placeholder="请输入关键字" autocomplete="off"
                   value="{{$query['content']}}"
                   class="layui-input">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">用户id:</label>
        <div class="layui-input-inline">
            <input type="number" name="query[user_id]" lay-verify="" placeholder="请输入用户id" value="{{$query['user_id']}}"
                   autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">用户昵称:</label>
        <div class="layui-input-inline">
            <input type="text" name="query[nickname]" lay-verify="" placeholder="请输入用户昵称" value="{{$query['nickname']}}"
                   autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">评论状态</label>
        <div class="layui-input-inline">
            <select name="query[checked]" lay-verify="">
                <option value="">全部</option>
                @foreach($queryData['checked'] as $index=>$item)
                    <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['checked']) && $query['checked']==$index ? 'selected': ''}}>{{$item}}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">推荐状态</label>
        <div class="layui-input-inline">
            <select name="query[recommend_state]" lay-verify="">
                <option value="">全部</option>
                @foreach($queryData['recommend_state'] as $index=>$item)
                    <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['recommend_state']) && $query['recommend_state']==$index ? 'selected': ''}}>{{$item}}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="layui-inline" style="padding-bottom: 5px">
        <div class="layui-input-inline">
            <input type="hidden" name="page_num" value="{{$currentPageNum}}">
            <button name="submit" class="btn btn-success" type="submit">搜索</button>
            <input name="submit" type="submit" class="btn btn-success" value="导出"/>
        </div>
    </div>
</form>

@section('toolbar')
    <span class="left">
         <button class="btn btn-primary ajax-confirm" data-title="确定全部审核通过？" data-method="post" data-batch="id"
                 data-url="{{ShimmerLiveshopRoute('livecomment.check')}}"
                 data-param="{{json_encode(['checked'=>1])}}">批量审核通过</button>
         <button class="btn btn-warning ajax-confirm" data-title="确定全部审核不通过？" data-method="post" data-batch="id"
                 data-url="{{ShimmerLiveshopRoute('livecomment.check')}}"
                 data-param="{{json_encode(['checked'=>2])}}">批量审核不通过</button>
         <button class="btn btn-danger ajax-confirm" data-title="确定全部删除？" data-method="post" data-batch="id"
                 data-url="{{ShimmerLiveshopRoute('livecomment.delete')}}">批量删除</button>
     </span>
@endsection
@include('live::common.toolbar', ['pager' => $pager])

<table class="layui-table">
    <thead>
    <tr>
        <th>
            <input type="checkbox" class="check_all">
        </th>
        <th>用户ID</th>
        <th>用户昵称</th>
        <th>用户头像</th>
        <th>评论内容</th>
        <th>评论时间</th>
        <th>状态</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    @foreach($pager as $item)
        <tr>
            <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
            <td>{{$item->user_id}}</td>
            <td>{{$item->nickname}}</td>
            <td>
                <a href="{{$item->avatar}}" target="_blank">
                    <img src="{{$item->avatar}}" class="rounded-circle img-sm"/>
                </a>
            </td>
            <td>{{str_limit($item->content,20)}}</td>
            <td>{{$item->created_at}}</td>
            <td>
                @if($item->checked==0)
                    <span class="label label-info">待审核</span>
                @elseif($item->checked==1)
                    <span class="label label-success">审核通过</span>
                @elseif($item->checked==2)
                    <span class="label label-danger">审核不通过</span>
                @endif
            </td>
            <td>
                <button type="button" class="btn btn-outline btn-success ajax-confirm"
                        data-param="{{json_encode(['id'=>$item->id,'checked'=>1])}}" data-title="确定审核通过该评论？"
                        data-url="{{ShimmerLiveshopRoute('livecomment.check')}}" data-method="post">审核通过
                </button>
                <button type="button" class="btn btn-outline btn-success ajax-confirm"
                        data-param="{{json_encode(['id'=>$item->id,'checked'=>2])}}" data-title="确定审核不通过该评论？"
                        data-url="{{ShimmerLiveshopRoute('livecomment.check')}}" data-method="post">审核不通过
                </button>
                @if($item->user_id)
                    @if ($item->user->state == 1)
                        <button type="button" class="btn btn-outline btn-success  ajax-confirm"
                                data-param="{{json_encode(['state'=>0])}}" data-title="确定取消禁言该用户？"
                                data-url="{{wgRoute('liveuser.upstate',['user_id'=>$item->user_id])}}"
                                data-method="post">取消禁言
                        </button>
                    @else
                        <button type="button" class="btn btn-outline btn-warning ajax-confirm"
                                data-param="{{json_encode(['state'=>1])}}" data-title="确定禁言该用户？"
                                data-url="{{wgRoute('liveuser.upstate',['user_id'=>$item->user_id])}}"
                                data-method="post">禁言
                        </button>
                    @endif

                    @if ($item->user->state==2)
                        <button type="button" class="btn btn-outline btn-success ajax-confirm"
                                data-param="{{json_encode(['state'=>0])}}" data-title="确定取消拉黑该用户？"
                                data-url="{{wgRoute('liveuser.upstate',['user_id'=>$item->user_id])}}"
                                data-method="post">取消拉黑
                        </button>
                    @else
                        <button type="button" class="btn btn-outline btn-danger ajax-confirm"
                                data-param="{{json_encode(['state'=>2])}}" data-title="确定拉黑该用户？"
                                data-url="{{wgRoute('liveuser.upstate',['user_id'=>$item->user_id])}}"
                                data-method="post">拉黑
                        </button>
                    @endif
                @endif
            </td>
        </tr>
    @endforeach
    </tbody>
</table>

@include('live::common.pagination', ['pager' => $pager])