@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" >
                            <label class="layui-form-label">uid:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" lay-verify="" placeholder="uid"
                                       value="{{\Request::input('query.uid')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="昵称"
                                       value="{{\Request::input('query.nickname')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="{{\Request::input('query.realname')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">手机号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[mobile]" lay-verify="" placeholder="手机号"
                                       value="{{\Request::input('query.mobile')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">审核状态</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="" @if(\Request::input('query.status')==null) selected @endif>全部</option>
                                    <option value="0" @if(\Request::input('query.status')!=null && \Request::input('query.status')==0) selected @endif>未审核</option>
                                    <option value="1" @if(\Request::input('query.status')==1) selected @endif>已审核</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">拉黑状态</label>
                            <div class="layui-input-inline">
                                <select name="query[is_black]" lay-verify="">
                                    <option value="" @if(\Request::input('query.is_black')==null) selected @endif>全部</option>
                                    <option value="0" @if(\Request::input('query.is_black')!=null && \Request::input('query.is_black')==0) selected @endif>正常</option>
                                    <option value="1" @if(\Request::input('query.is_black')==1) selected @endif>拉黑</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">

                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>id</th>
                            <th>昵称</th>
                            <th>姓名/手机号码</th>
                            <th>累计佣金(元)</th>
                            <th>打款佣金(元)</th>
                            <th>下级分销商(个数)</th>
                            <th>注册时间</th>
                            <th>审核时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $list)
                            <tr>
                                <td>
                                    {{$list->uid}}
                                </td>
                                <td>
                                    <img src="{{$list->user->avatar}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    {{$list->user->nickname}}
                                </td>
                                <td>
                                    {{$list->user->realname}}/{{$list->user->mobile}}
                                </td>
                                <td>
                                    {{$list->commission_total}}
                                </td>
                                <td>
                                    {{$list->pay_commission_total}}
                                </td>
                                <td>
                                    {{$list->my_child}}
                                </td>
                                <td>
                                    {{$list->user->created_at}}
                                </td>
                                <td>
                                    {{$list->examine_at}}
                                </td>
                                <td>
                                    @if($list->status==1)
                                    <a  href="javascript:;" data-url="{{wgRoute('livecommissionagent.change-status',[$list->id])}}" data-title="确定要取消审核吗" class="btn  btn-primary ajax-confirm">
                                        审核通过
                                    </a>
                                    @else
                                        <a  href="javascript:;" data-url="{{wgRoute('livecommissionagent.change-status',[$list->id])}}" data-title="确定审核通过吗" class="btn  btn-warning ajax-confirm">
                                            未审核
                                        </a>
                                    @endif
                                    @if($list->is_black==1)
                                            <a href="javascript:;" data-url="{{wgRoute('livecommissionagent.change-black',[$list->id])}}" data-title="确定要取消黑名单吗" class="btn  btn-danger ajax-confirm">
                                                黑名单
                                            </a>
                                       @else
                                            <a href="javascript:;" data-url="{{wgRoute('livecommissionagent.change-black',[$list->id])}}" data-title="确定要加入黑名单吗" class="btn  btn-primary ajax-confirm">
                                                正常
                                            </a>
                                    @endif
                                </td>
                                <td>
                                    <a  href="javascript:;" data-url="{{wgRoute('livecommissionagent.destroy',[$list->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection