@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                       value="{{\Request::input('query.name')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        {{--<span class="left">--}}
                            {{--<a href="javascript:;" data-url="{{wgRoute('livelevel.create')}}" class="btn btn-primary load_iframe">添加分销等级</a>--}}
                        {{--</span>--}}
                    @endsection
                    <div class="alert alert-primary">
                        提示: 没有设置等级的分销商将按默认设置计算提成。商品指定的佣金金额的优先级仍是最高的，也就是说只要商品指定了佣金金额就按商品的佣金金额来计算，不受等级影响
                    </div>
                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>等级名称</th>
                            <th>一级佣金比例</th>
                            <th>二级佣金比例</th>
                            <th>三级佣金比例</th>
                            <th>升级条件</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $key=>$list)
                            <tr>
                                <th>{{$list->name}}</th>
                                <th>{{$list->level_first}}%</th>
                                <th>{{$list->level_second}}%</th>
                                <th>{{$list->level_third}}%</th>
                                <th>
                                    @if($list->id==1)
                                        默认等级
                                    @else
                                        @if($list->order_amount==0)
                                            不自动升级
                                        @else
                                            {{$list->order_amount}}元
                                        @endif
                                    @endif
                                </th>
                                <th>
                                    <a href="javascript:;" data-url="{{wgRoute('livelevel.edit',[$list->id])}}" class="btn load_iframe btn-info">
                                        编辑
                                    </a>
                                    {{--<a  href="javascript:;" data-url="{{wgRoute('livelevel.destroy',[$list->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">--}}
                                        {{--删除--}}
                                    {{--</a>--}}
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection