@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">订单id:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[id]" lay-verify="" placeholder="订单id"
                                       value="{{\Request::input('query.id')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">订单编号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[order_sn]" lay-verify="" placeholder="订单编号"
                                       value="{{\Request::input('query.order_sn')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <div class="layui-input-inline" style="width: 150px;">
                                <select name="query[time_name]">
                                    <option value="created_at" @if(\Request::input('query.time_name')=='created_at') selected @endif>创建时间</option>
                                    <option value="pay_time" @if(\Request::input('query.time_name')=='pay_time') selected @endif>支付时间</option>
                                </select>
                            </div>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{\Request::input('query.start_time')}}" name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{\Request::input('query.end_time')}}" name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">收货人:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" placeholder="用户id"  value="{{\Request::input('query.uid')}}"  class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="margin-top: 8px;">
                            <div class="layui-inline">
                                <label class="layui-form-label">订单状态</label>
                                <div class="layui-input-inline">
                                    <select name="query[order_status]" lay-verify="">
                                        <option value="" @if(!in_array(\Request::input('query.order_status'),[-1,0,1,2,3,4])) selected @endif>全部</option>
                                        <option value="-1" @if(\Request::input('query.order_status')==-1) selected @endif>交易关闭</option>
                                        <option value="0" @if(\Request::input('query.order_status')!=null && \Request::input('query.order_status')==0) selected @endif>未付款</option>
                                        <option value="1" @if(\Request::input('query.order_status')==1) selected @endif>待发货</option>
                                        <option value="2" @if(\Request::input('query.order_status')==2) selected @endif>待收货</option>
                                        <option value="3" @if(\Request::input('query.order_status')==3) selected @endif>已签收</option>
                                        <option value="4" @if(\Request::input('query.order_status')==4) selected @endif>已退款</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>

                            </div>
                        </div>
                    </form>

                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品</th>
                            <th>单价(元)</th>
                            <th>数量</th>
                            <th>买家</th>
                            <th>订单金额</th>
                            <th>佣金</th>
                            <th>详情</th>
                            <th>分销商</th>
                            <th>买家备注</th>
                            <th>状态</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $key=>$list)
                        <tr>
                            <td colspan="9" style="text-align: left;border-right: 0 none;">
                                订单ID：{{$list->order_id}}&nbsp;&nbsp;&nbsp;订单编号：{{$list->order->order_id}} &nbsp;&nbsp;&nbsp; 下单时间：{{$list->order->created_at}}&nbsp;&nbsp;&nbsp;
                            </td>
                            <td style="border-left: 0 none;">
                                <text style="color:red;">{{\App\Models\ShimmerLiveshopCommissionOrder::$type[$list->type]}}</text>
                            </td>
                        </tr>
                        @include('live::commission.order.type.'.$list->type, ['list' => $list])
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection