@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级uid:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" lay-verify="" placeholder="uid"
                                       value="{{\Request::input('query.uid')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="昵称"
                                       value="{{\Request::input('query.nickname')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="{{\Request::input('query.realname')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" >
                            <label class="layui-form-label">上级手机号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[mobile]" lay-verify="" placeholder="手机号"
                                       value="{{\Request::input('query.mobile')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">

                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>上级</th>
                            <th>下级</th>
                            <th>累计佣金</th>
                            <th>打款佣金</th>
                            <th>下级分销商</th>
                            <th>注册时间</th>
                            <th>审核时间</th>
                            <th>绑定时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $list)
                            <tr>
                                <td>
                                    <img src="{{$list->parentUser->avatar}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    {{$list->parentUser->uid}}<br>
                                    {{$list->parentUser->nickname}}<br>
                                    {{$list->parentUser->realname}}<br>
                                    {{$list->parentUser->mobile}}<br>
                                </td>
                                <td>
                                    <img src="{{$list->user->avatar}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                    {{$list->user->uid}}<br>
                                    {{$list->user->nickname}}<br>
                                    {{$list->user->realname}}<br>
                                    {{$list->user->mobile}}<br>
                                </td>

                                <td>
                                    {{$list->commission_total}}
                                </td>
                                <td>
                                    {{$list->pay_commission_total}}
                                </td>
                                <td>
                                    {{$list->user->child_nums}}
                                </td>
                                <td>
                                    {{$list->parentUser->created_at}}
                                </td>
                                <td>
                                    {{$list->parentUser->examine_at}}
                                </td>
                                <td>
                                    {{$list->created_at}}
                                </td>
                                <td>
                                    <a  href="javascript:;" data-url="{{wgRoute('livecommissionrelation.destory',[$list->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection