@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                       value="{{\Request::input('query.name')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a href="javascript:;" data-url="{{wgRoute('livespread-poster.create')}}" class="btn btn-primary load_iframe">添加海报</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>编号</th>
                            <th>名称</th>
                            <th>背景图</th>
                            <th>是否可用	</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $key=>$list)
                            <tr>
                                <td>{{$list->id}}</td>
                                <td>{{$list->name}}</td>
                                <td>
                                    <img src="{{wgTomedia($list->poster)}}" style="width: 100px;height: 100px;">
                                </td>
                                <td>{{$list->status}}</td>
                                <td>
                                    <a href="javascript:;" data-url="{{wgRoute('livespread-poster.edit',[$list->id])}}" class="btn load_iframe btn-info">
                                        编辑
                                    </a>
                                    <a  href="javascript:;" data-url="{{wgRoute('livespread-poster.destroy',[$list->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection