@extends('live::layouts.layouts')
@section('content')
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-content">
                <form class="layui-form-item">
                    <div class="layui-inline">
                        <label class="layui-form-label">id:</label>
                        <div class="layui-input-inline" style="width: 100px">
                            <input type="text" name="query[id]" lay-verify="" placeholder="id" autocomplete="off"
                                   value="{{$query['id']}}"
                                   class="layui-input">
                        </div>
                    </div>
                    <div class="layui-inline">
                        <label class="layui-form-label">名称:</label>
                        <div class="layui-input-inline" style="width: 100px">
                            <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                   value="{{$query['name']}}"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>

                    <div class="layui-inline">
                        <label class="layui-form-label">推荐烈性</label>
                        <div class="layui-input-inline" style="width: 100px">
                            <select name="query[type]" lay-filter="type" lay-verify="" class="query_type">
                                @foreach($queryData['type'] as $index=>$item)
                                    <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''}}>{{$item}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline" style="padding-bottom: 5px">
                        <div class="layui-input-inline" style="width:210px;">
                            <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                            <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            <button name="save" class="btn btn-success save" type="button">保存</button>
                        </div>
                    </div>
                </form>

                @include('live::common.toolbar', ['pager' => $pager])
                @if($type==1)
                    @include('live::enterform.live_list')
                @else
                    @include('live::enterform.channel_list')
                @endif
                @include('live::common.pagination', ['pager' => $pager])
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(".save").click(function () {
            var ids = [];
            var checkedIds = [];
            $(".check_item").each(function () {
                var id = $(this).data('id');
                if ($(this).is(":checked")) {
                    checkedIds.push(id);
                }
                ids.push(id);
            });

            var params = {};
            var index = layer.load(0);

            params.type = $(".query_type").val();
            params.ids = ids;
            params.checkedIds = checkedIds;

            $.ajax({
                url: "{{ShimmerLiveshopRoute('liveentryform.bind',['id'=>$formId])}}",
                type: 'POST',
                dateType: 'json',
                data: params,
                success: function (res) {
                    layer.closeAll();
                    var index = parent.layer.getFrameIndex(window.name);
                    if (index) {
                        parent.layer.close(index);
                    }
                }
            });
        });
    </script>
@endsection