@extends('live::layouts.master')
@push('stylesheets')
    <link href="{{ URL::asset('/static/modules/live/css/enterform.css')}}" rel="stylesheet">
@endpush
@push('scripts')
@endpush
@section('content')
    <div class="container col-lg-12">
        <div class="title">
            <a href="{{wgRoute('liveenterform.index')}}" class="btn btn-secondary"
               style="margin-right:20px; margin-top:10px; float:right;cursor:pointer;">返回报名列表 </a>
        </div>
        <div class="content">
            <form class="layui-form form-horizontal" id="ajaxform"
                  action="{{wgRoute('liveenterform.store',['id'=>$item->id])}}" method="post">
                <span>功能开关</span>
                {{csrf_field()}}
                <div class="signup-switch-box clearfix" style="margin-bottom:20px;">
                    <span>开启报名表：</span>
                    <input type="checkbox" id="fun-switch" lay-skin="switch" checked lay-text="开启|关闭" {{!$item || $item->enabled==1 ? 'checked' :''}}>
                    <div class="isMustWritebox">
                        <span>开启强制填写：</span>
                        <input type="checkbox" id="ismustwrite-switch" lay-skin="switch" lay-filter="ismustwrite"
                               lay-text="开启|关闭" {{$item->ismustwrite==1 ? 'checked' :''}}>
                    </div>
                    <div class="isGoTobox" @if($item->ismustwrite==1)style="display:none"@endif>
                        <span>进入直播前显示：</span>
                        <input type="checkbox" id="isgoto-switch" lay-skin="switch" lay-filter="isgoto" {{!$item || $item->is_enter_show==1 ? 'checked' :''}}
                               lay-text="开启|关闭">
                        <span style="font-size:12px;margin-left:-10px;">关闭后，用户进入直播前/频道前不弹出报名表，互动区显示报名表入口</span>
                    </div>
                </div>
                <hr/>
                <div class="signup-info-box cover d-flex">
                    <span>封面</span>
                    <div class="info-bg-content cover-img">
                        @php echo wg_tpl_form_field_image('cover',$item->cover) @endphp
                        <span class="help-block">大小2M以内，支持：PNG、JPG、JPGE，推荐大小360*170</span>
                    </div>
                    <div class="name-desc-box">
                        <div class="title_name"><span>报名表名称：</span><input type="text" name="name" value="{{$item->name}}"
                                                                          class="input-text radius layui-input"
                                                                          id="title" lay-verify="username"
                                                                          placeholder="报名表名称"
                                                                          maxlength="20"/><span class="size-number"
                                                                                                id="title_count">20</span>
                        </div>
                        <div class="desc mt-3"><p>报名表介绍：</p>
                            <textarea class="input-text radius layui-input" id="descInfo" placeholder="报名表介绍"
                                      maxlength="200">{{$item->intro}}</textarea>
                            <span class="size-number" id="descInfo_count">200</span>
                        </div>
                    </div>
                </div>
                <hr/>
                <div class="signup-info-box tips">
                    <span>报名成功提示图</span>
                    <div class="info-bg-content tips-img col-xs-4">
                        @php echo wg_tpl_form_field_image('tips_banner',$item->tips_banner) @endphp
                        <span class="help-block">大小2M以内，支持：PNG、JPG、JPGE，推荐大小360*170</span>
                    </div>
                    <div class="name-desc-box col-xs-7">
                        <div class="title_name">
                            <span>提示标题：</span><input type="text" class="input-text radius layui-input"
                                                     id="tipsTitle" lay-verify="username" placeholder="报名成功"
                                                     maxlength="10" value="报名成功" style="float:left" value="{{$item->tips_title}}"/>
                            <span class="size-number"
                                  id="tipsTitle_count">10
                            </span>
                        </div>
                        <div class="desc mt-3"><p>提示内容：
                            </p><textarea class="input-text radius layui-input" id="tipsInfo" placeholder="感谢您的耐心填写"
                                          maxlength="100"
                                          value="感谢您的耐心填写">{{$item->tips_info}}</textarea>
                            <span class="size-number" id="tipsInfo_count">100
                            </span>
                        </div>
                    </div>
                </div>
                @include('live::enterform.column')
                <div class="submit-area">
                    <button class="btn btn-primary submit_btn" type="button" >保存设置</button>
                </div>
            </form>
        </div>
    </div>
    @include('live::enterform.column_script')
@endsection