@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">报名id:</label>
                            <div class="layui-input-inline">
                                <input type="number" name="query[id]" lay-verify="" placeholder="请输入报名id"
                                       value="{{$query['id']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="请输入报名表名称"
                                       value="{{$query['name']}}"
                                       autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">类型</label>
                            <div class="layui-input-inline">
                                <select name="query[form_type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['form_type'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['form_type']) && $query['form_type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        @if(!$liveId)
                            <div class="layui-inline">
                                <label class="layui-form-label">状态</label>
                                <div class="layui-input-inline">
                                    <select name="query[enabled]" lay-verify="">
                                        <option value="">全部</option>
                                        @foreach($queryData['enabled'] as $index=>$item)
                                            <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['enabled']) && $query['enabled']==$index ? 'selected': ''}}>{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        @endif
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        @if(!$liveId)
                            <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('liveenterform.create')}}"><i
                                        class="fa fa-plus"></i>&nbsp;添加报名表</a>
                        </span>
                        @endif
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>报名表名称</th>
                            <th>封面</th>
                            <th>报名表类型</th>
                            <th>创建时间</th>
                            <th>状态</th>
                            <th>报名人数</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->name}}</td>
                                <td>
                                    <a href="{{wgTomedia($item->cover)}}" target="_blank">
                                        <img src="{{wgTomedia($item->cover)}}" class="rounded img-md"/>
                                    </a>
                                </td>
                                <td>{{$queryData['form_type'][$item->form_type]}}</td>
                                <td>{{$item->created_at}}</td>
                                <td>{{$queryData['enabled'][$item->enabled]}}</td>
                                <td>
                                    <a href="{{wgRoute('liveenterform.record',['id'=>$item->id])}}" class="label label-success">{{$item->enter_num}}</a>
                                </td>
                                <td>
                                    @if($liveId)
                                        @if($liveNavEntryForm && $liveNavEntryForm->id==$item->id)
                                            <button type="button" class="btn btn-outline btn-warning ajax-confirm"
                                                    data-title="确定取消绑定报名表？"
                                                    data-url="{{wgRoute('liveenterform.unbindLive',['live_id'=>$liveId,'id'=>$item->id])}}"
                                                    data-method="post">取消绑定
                                            </button>
                                        @else
                                            <button type="button" class="btn btn-outline btn-warning ajax-confirm"
                                                    data-title="确定绑定报名表？"
                                                    data-url="{{wgRoute('liveenterform.bindLive',['live_id'=>$liveId,'id'=>$item->id])}}"
                                                    data-method="post">绑定
                                            </button>
                                        @endif
                                    @else
                                        <div class="btn-group">
                                            <button data-toggle="dropdown"
                                                    class="btn btn-primary btn-xs dropdown-toggle">操作
                                            </button>
                                            <ul class="dropdown-menu">
                                                <li><a class="dropdown-item"
                                                       href="{{wgRoute('liveenterform.edit',['id'=>$item->id])}}">编辑</a>
                                                </li>
                                                <li><a class="dropdown-item load_iframe" href="#" data-url="{{ShimmerLiveshopRoute('liveentryform.bind_list',['id'=>$item->id])}}" data-width="1280px" data-height="800px" >绑定</a></li>
                                                <li><a class="dropdown-item exportRecord" href="#" data-id="{{$item->id}}">导出</a></li>
                                                <li><a class="dropdown-item"
                                                       href="{{wgRoute('liveenterform.record',['id'=>$item->id])}}">报名详情</a>
                                                </li>
                                                <li class="dropdown-divider"></li>
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-title="确定删除该报名表？"
                                                       data-url="{{wgRoute('liveenterform.delete',['id'=>$item->id])}}"
                                                       href="javascript:;">删除</a>
                                                </li>
                                            </ul>
                                        </div>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(".exportRecord").click(function () {
            var id = $(this).attr('id');
            layer.msg('数据导出中，请耐心等候...', {icon: 16, time: 60 * 60 * 1000, shade: 0.1});
            location.href = "{{wgRoute('liveenterform.record',['id'=>id,'submit'=>'导出'])}}";
            layer.closeAll('dialog');
        });

        /**
         * 绑定直播间
         */
        function bindLive(id) {

        }
    </script>
@endsection