<form class="layui-form-item" action="">
    <div class="layui-inline">
        <label class="layui-form-label">id:</label>
        <div class="layui-input-inline" style="width: 100px">
            <input type="text" name="query[id]" lay-verify="" placeholder="id" autocomplete="off"
                   value="{{$query['id']}}"
                   class="layui-input">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">用户昵称:</label>
        <div class="layui-input-inline" style="width: 100px">
            <input type="number" name="query[nickname]" lay-verify="" placeholder="用户昵称"
                   value="{{$query['nickname']}}"
                   autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">报名时间:</label>
        <div class="layui-input-inline" style="width: 150px;">
            <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}" name="query[start_time]"
                   readonly>
        </div>
        <div class="layui-form-mid">-</div>
        <div class="layui-input-inline" style="width: 150px;">
            <input type="text" class="layui-input end_time" value="{{$query['end_time']}}" name="query[end_time]"
                   readonly>
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">绑定话题/频道</label>
        <div class="layui-input-inline" style="width: 100px">
            <select name="query[bind_type]" lay-verify="">
                <option value="">全部</option>
                @foreach($queryData['bind_type'] as $index=>$item)
                    <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['bind_type']) && $query['bind_type']==$index ? 'selected': ''}}>{{$item}}</option>
                @endforeach
            </select>
        </div>
    </div>
    <div class="layui-inline" style="padding-bottom: 5px">
        <div class="layui-input-inline" style="width:210px;">
            <input type="hidden" name="page_num" value="{{$currentPageNum}}">
            <button name="submit" class="btn btn-success" type="submit">搜索</button>
            <input name="submit" type="submit" class="btn btn-success" value="导出"/>
            <a href="{{wgRoute('liveenterform.index')}}" class="btn btn-success">返回报名列表</a>
        </div>
    </div>
</form>

@include('live::common.toolbar', ['pager' => $pager])

<table class="layui-table">
    <thead>
    <tr>
        <th>用户ID</th>
        <th>用户昵称</th>
        <th>用户头像</th>
        <th>所属话题/频道</th>
        @foreach((array)$liveNavEntryForm->form_content as $formcontent)
            <th>
                {{$formcontent['title']}}
            </th>
        @endforeach
        <th>报名时间</th>
    </tr>
    </thead>
    <tbody>
    @foreach($pager as $item)
        <tr>
            <td>{{$item->user_id}}</td>
            <td>{{$item->nickname}}</td>
            <td>
                <a href="{{$item->avatar}}" target="_blank">
                    <img src="{{$item->avatar}}" class="rounded-circle img-sm"/>
                </a>
            </td>
            <td>
                @if($item->live_id>0)
                    {{$item->live->title}}
                @elseif($item->channel_id)
                    {{$item->live_channel->name}}
                @endif
            </td>
            @foreach((array)$liveNavEntryForm->form_content as $index=>$formcontent)
                <td>
                    {{$item->form_content[$index]['title']}}
                </td>
            @endforeach
            <td>{{$item->created_at}}</td>
        </tr>
    @endforeach
    </tbody>
</table>

@include('live::common.pagination', ['pager' => $pager])

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection