@extends('live::layouts.master')
@section('title')
    会员信息
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="nickname"  placeholder="请输入昵称" class="layui-input" value="{{\Request::input('nickname')}}">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">

                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $fans])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>粉丝</th>
                            <th>openid</th>
                            <th>会员信息</th>
                            <th>积分/余额</th>
                            <th>成交</th>
                            <th>关注数/粉丝数</th>
                            <th>注册时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($fans as $item)
                            <tr>
                                <th>{{$item->id}}</th>
                                <td>
                                    <img src="{{$item->avatar}}"
                                         class="rounded-circle img-sm img_pop_show"/><br/>
                                    {{$item->nickname}}
                                </td>
                                <td>
                                    {{$item->wxapp_openid}}
                                </td>
                                <td>
                                    {{$item->realname}}<br/>
                                    {{$item->mobile}}
                                </td>

                                <th>
                                    积分: <span class="text-success">{{$item->credit}}</span><br/>
                                    余额: <span class="text-danger">{{$item->balance}}</span>
                                    @if($item->give_balance>0)
                                        <br/>
                                        赠送余额: <span class="text-danger">{{$item->give_balance}}</span>
                                    @endif
                                </th>
                                <th>
                                    订单: <span class="text-success">{{$item->pay_count}}</span><br/>
                                    金额: <span class="text-danger">{{$item->pay_money}}</span>
                                </th>
                                <th>
                                    关注数: <span class="text-success">{{$item->follow_num}}</span><br/>
                                    粉丝数: <span class="text-danger">{{$item->follower_num}}</span>
                                    @if($item->give_balance>0)
                                        <br/>
                                        赠送余额: <span class="text-danger">{{$item->give_balance}}</span>
                                    @endif
                                </th>
                                <th>
                                    {{$item->created_at}}
                                </th>
                                <th>
                                    <div class="dropdown btn btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item" href="{{wgRoute('livefans.info',[$item->id])}}">
                                                    会员详情
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="{{wgRoute('liveshoporder.list.all',['uid'=>$item->id])}}">
                                                    会员订单
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" href="javascript:;" data-width="1000px" data-height="700px"  data-url="{{wgRoute('live.member.manager.recharge',['uid'=>$item->id])}}">
                                                    会员充值
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <a class="btn btn-danger ajax-confirm delete"
                                       data-url="{{wgRoute('livefans.destroy',[$item->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $fans])
                </div>
            </div>
        </div>
    </div>
@endsection