@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    @section('toolbar')
                        <span class="left">
                            <a  href="javascript:;" data-url="{{ShimmerLiveshopRoute('livegiveup.create')}}" data-width="1200px" data-height="900px" class="btn btn-primary load_iframe">添加图片</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $giveups])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>图片</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($giveups as $giveup)
                            <tr>
                                <th>{{$giveup->id}}</th>
                                <th>
                                    <img src="{{wgTomedia($giveup->icon)}}">
                                </th>
                                <th>
                                    @if($giveup->isshow==1)
                                        <text class="text-success">启用</text>
                                    @else
                                        <text class="text-danger">禁用</text>
                                    @endif
                                </th>
                                <th>
                                    <a href="javascript:;" data-url="{{ShimmerLiveshopRoute('livegiveup.edit',[$giveup->id])}}" data-width="1200px" data-height="900px" class="btn load_iframe btn-info">
                                        编辑
                                    </a>

                                        @if($giveup->isshow==1)
                                        <a  data-url="{{ShimmerLiveshopRoute('livegiveup.change_status',[$giveup->id])}}" data-title="确定要修改状态吗" href="javascript:;" class="btn ajax-confirm btn-danger">
                                            禁用
                                        </a>
                                        @else
                                        <a  data-url="{{ShimmerLiveshopRoute('livegiveup.change_status',[$giveup->id])}}" data-title="确定要修改状态吗" href="javascript:;" class="btn ajax-confirm btn-success">
                                            启用
                                        </a>
                                        @endif
                                    <a  href="javascript:;" data-url="{{ShimmerLiveshopRoute('livegiveup.destroy',[$giveup->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $giveups])
                </div>
            </div>
        </div>
    </div>
@endsection