
@extends('live::layouts.master')
@section('title')
    房产管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">


                    <div class="toolbar">
                        <span class="left">
                            <a  href="{{wgRoute('livehousemanage.create')}}" class="btn btn-primary">添加房产</a>
                         </span>
                    </div>
                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>标题</th>
                                <th>房型</th>
                                <th>图片</th>
                                <th>面积大小</th>
                                <th>单价</th>
                                <th>排序</th>
                                <th>添加时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>

                            @foreach($Houses as $house)
                                <tr>
                                    <td>{{$house->title}}</td>
                                    <td>{{$house->layout}}</td>
                                    <td><img src="{{wgTomedia($house->cover)}}"></td>
                                    <td>{{$house->area_text}}</td>
                                    <td>{{$house->price_text}}</td>
                                    <td>{{$house->sort}}</td>
                                    <td>{{$house->created_at}}</td>
                                    <td>
                                        <a class="btn btn-outline  btn-success load_prompt" data-url="{{wgRoute('livehousemanage.changesort',[$house->id])}}"  data-title="{{$house->title}}" href="javascript:;">排序</a>
                                        <a class="btn btn-outline btn-success load_iframe"
                                           href="javascript:;" data-url="{{wgRoute('livehousemanage.edit',[$house->id])}}">编辑</a>
                                        <a class="btn btn-outline btn-success ajax-confirm delete"
                                           data-url="{{wgRoute('livehousemanage.destroy',[$house->id])}}" data-title="确定要删除该记录吗？" href="javascript:;" >删除</a>
                                    </td>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="datatable-footer">
                        <div class="dataTables_paginate paging_simple_numbers">
                            @include('live::common.pagination', ['pager' => $Houses])
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection