@extends('live::layouts.dashboard')

@section('content')
    <div class="row">
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-info float-right">待处理</span>
                    <h5>待发货</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">
                        <a href="{{wgRoute('liveshoporder.list.deliver')}}">
                            {{$data['to_delivered_num']}}
                        </a>
                    </h1>
                    {{--<div class="stat-percent font-bold text-success"> <i class="fa fa-bolt"></i></div>--}}
                    <small>订单数量</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-danger float-right">待处理</span>
                    <h5>待退款</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">
                        <a href="{{wgRoute('liveshoporder.list.refunding')}}">
                            {{$data['pending_refund_num']}}
                        </a>
                    </h1>
                    {{--<div class="stat-percent font-bold text-danger">38% <i class="fa fa-level-down"></i></div>--}}
                    <small>订单数量</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-info float-right">待处理</span>
                    <h5>提现申请</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">{{$data['pending_refund_num']}}</h1>
                    {{--<div class="stat-percent font-bold text-info">20% <i class="fa fa-level-up"></i></div>--}}
                    <small>申请数量</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-primary float-right">今天</span>
                    <h5>订单总数</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">
                        <a href="{{wgRoute('liveshoporder.list.all',['query[time_type]'=>1,'query[start_time]'=>date('Y-m-d').' 00:00:00','query[end_time]'=>date('Y-m-d').' 23:59:59'])}}">
                            {{$data['today_order_num']}}
                        </a>
                    </h1>
                    {{--<div class="stat-percent font-bold text-navy">44% <i class="fa fa-level-up"></i></div>--}}
                    <small>总数</small>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-success float-right">今日</span>
                    <h5>直播观看人数</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">{{$data['live_into_num']}}</h1>
                    <small>人数</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-info float-right">待处理</span>
                    <h5>主播申请</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">{{$data['anchor_apply_num']}}</h1>
                    <small>人数</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-info float-right">待处理</span>
                    <h5>分销商申请</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">{{$data['agent_apply_num']}}</h1>
                    <small>人数</small>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox ">
                <div class="ibox-title">
                    <span class="label label-primary float-right">今天</span>
                    <h5>交易额</h5>
                </div>
                <div class="ibox-content">
                    <h1 class="no-margins">
                        <a href="{{wgRoute('liveshoporder.list.all',['query[time_type]'=>1,'query[start_time]'=>date('Y-m-d').' 00:00:00','query[end_time]'=>date('Y-m-d').' 23:59:59'])}}">
                            {{$data['today_order_pay_money']}}
                        </a>
                    </h1>
                    {{--<div class="stat-percent font-bold text-navy">44% <i class="fa fa-level-up"></i></div>--}}
                    <small>总金额</small>
                </div>
            </div>
        </div>
    </div>
    <div id="app">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>订单</h5>
                        <div class="pull-right">
                            <div class="btn-group">
                                <button type="button" class="btn btn-xs btn-white" :class="{'active': order_active == 'thirtyday'}" v-on:click="getOrderlist('thirtyday')">30天</button>
                                <button type="button" class="btn btn-xs btn-white" :class="{'active': order_active == 'week'}" v-on:click="getOrderlist('week')">周</button>
                                <button type="button" class="btn btn-xs btn-white" :class="{'active': order_active == 'month'}" v-on:click="getOrderlist('month')">月</button>
                                <button type="button" class="btn btn-xs btn-white" :class="{'active': order_active == 'year'}" v-on:click="getOrderlist('year')">年</button>
                            </div>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <div class="col-lg-9">
                                <div class="flot-chart-content echarts" ref="order_echart" id="flot-dashboard-chart1"></div>
                            </div>
                            <div class="col-lg-3">
                                <ul class="stat-list">
                                    <li>
                                        <h2 class="no-margins ">@{{order_pre_cycleprice}}</h2>
                                        <small>@{{order_precyclename}}销售额</small>
                                    </li>
                                    <li>
                                        <h2 class="no-margins ">@{{order_cycleprice}}</h2>
                                        <small>@{{order_cyclename}}销售额</small>
                                        <div class="stat-percent text-navy" v-if='order_cycleprice_is_plus ===1'>
                                            @{{order_cycleprice_percent}}%
                                            <i  class="fa fa-level-up"></i>
                                        </div>
                                        <div class="stat-percent text-danger" v-else-if='order_cycleprice_is_plus === -1'>
                                            @{{order_cycleprice_percent}}%
                                            <i class="fa fa-level-down"></i>
                                        </div>
                                        <div class="stat-percent" v-else>
                                            @{{order_cycleprice_percent}}%
                                        </div>
                                        <div class="progress progress-mini">
                                            <div :style="{width:order_cycleprice_percent+'%'}" class="progress-bar box"></div>
                                        </div>
                                    </li>
                                    <li>
                                        <h2 class="no-margins ">@{{order_pre_cyclecount}}</h2>
                                        <small>@{{order_precyclename}}订单总数</small>
                                    </li>
                                    <li>
                                        <h2 class="no-margins">@{{order_cyclecount}}</h2>
                                        <small>@{{order_cyclename}}订单总数</small>
                                        <div class="stat-percent text-navy" v-if='order_cyclecount_is_plus ===1'>
                                            @{{order_cyclecount_percent}}%
                                            <i class="fa fa-level-up"></i>
                                        </div>
                                        <div class="stat-percent text-danger" v-else-if='order_cyclecount_is_plus === -1'>
                                            @{{order_cyclecount_percent}}%
                                            <i  class="fa fa-level-down"></i>
                                        </div>
                                        <div class="stat-percent " v-else>
                                            @{{order_cyclecount_percent}}%
                                        </div>
                                        <div class="progress progress-mini">
                                            <div :style="{width:order_cyclecount_percent+'%'}" class="progress-bar box"></div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {{--<div class="row">--}}
            {{--<div class="col-lg-12">--}}
                {{--<div class="ibox float-e-margins">--}}
                    {{--<div class="ibox-title">--}}
                        {{--<h5>直播间</h5>--}}
                        {{--<div class="pull-right">--}}
                            {{--<div class="btn-group">--}}
                                {{--<button type="button" class="btn btn-xs btn-white" :class="{'active': live_active == 'thirtyday'}" v-on:click="getLivelist('thirtyday')">30天</button>--}}
                                {{--<button type="button" class="btn btn-xs btn-white" :class="{'active': live_active == 'week'}" v-on:click="getLivelist('week')">周</button>--}}
                                {{--<button type="button" class="btn btn-xs btn-white" :class="{'active': live_active == 'month'}" v-on:click="getLivelist('month')">月</button>--}}
                                {{--<button type="button" class="btn btn-xs btn-white" :class="{'active': live_active == 'year'}" v-on:click="getLivelist('year')">年</button>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                    {{--<div class="ibox-content">--}}
                        {{--<div class="row">--}}
                            {{--<div class="col-lg-9">--}}
                                {{--<div class="flot-chart-content echarts" ref="live_echart" id="flot-dashboard-chart1"></div>--}}
                            {{--</div>--}}
                            {{--<div class="col-lg-3">--}}
                                {{--<ul class="stat-list">--}}
                                    {{--<li>--}}
                                        {{--<h2 class="no-margins ">@{{live_pre_cycleprice}}</h2>--}}
                                        {{--<small>@{{live_precyclename}}销售额</small>--}}
                                    {{--</li>--}}
                                    {{--<li>--}}
                                        {{--<h2 class="no-margins ">@{{live_cycleprice}}</h2>--}}
                                        {{--<small>@{{live_cyclename}}销售额</small>--}}
                                        {{--<div class="stat-percent text-navy" v-if='live_cycleprice_is_plus ===1'>--}}
                                            {{--@{{live_cycleprice_percent}}%--}}
                                            {{--<i  class="fa fa-level-up"></i>--}}
                                        {{--</div>--}}
                                        {{--<div class="stat-percent text-danger" v-else-if='live_cycleprice_is_plus === -1'>--}}
                                            {{--@{{live_cycleprice_percent}}%--}}
                                            {{--<i class="fa fa-level-down"></i>--}}
                                        {{--</div>--}}
                                        {{--<div class="stat-percent" v-else>--}}
                                            {{--@{{live_cycleprice_percent}}%--}}
                                        {{--</div>--}}
                                        {{--<div class="progress progress-mini">--}}
                                            {{--<div :style="{width:live_cycleprice_percent+'%'}" class="progress-bar box"></div>--}}
                                        {{--</div>--}}
                                    {{--</li>--}}
                                    {{--<li>--}}
                                        {{--<h2 class="no-margins ">@{{live_pre_cyclecount}}</h2>--}}
                                        {{--<small>@{{live_precyclename}}订单总数</small>--}}
                                    {{--</li>--}}
                                    {{--<li>--}}
                                        {{--<h2 class="no-margins">@{{live_cyclecount}}</h2>--}}
                                        {{--<small>@{{live_cyclename}}订单总数</small>--}}
                                        {{--<div class="stat-percent text-navy" v-if='live_cyclecount_is_plus ===1'>--}}
                                            {{--@{{live_cyclecount_percent}}%--}}
                                            {{--<i class="fa fa-level-up"></i>--}}
                                        {{--</div>--}}
                                        {{--<div class="stat-percent text-danger" v-else-if='live_cyclecount_is_plus === -1'>--}}
                                            {{--@{{live_cyclecount_percent}}%--}}
                                            {{--<i  class="fa fa-level-down"></i>--}}
                                        {{--</div>--}}
                                        {{--<div class="stat-percent " v-else>--}}
                                            {{--@{{live_cyclecount_percent}}%--}}
                                        {{--</div>--}}
                                        {{--<div class="progress progress-mini">--}}
                                            {{--<div :style="{width:live_cyclecount_percent+'%'}" class="progress-bar box"></div>--}}
                                        {{--</div>--}}
                                    {{--</li>--}}


                                {{--</ul>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                {{--</div>--}}
            {{--</div>--}}
        {{--</div>--}}

        <div class="row" >
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>用户</h5>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="flot-chart">
                                    <div class="flot-chart-content" ref="user_echart" id="flot-dashboard-chart2"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        require.config({
            waitSeconds: 0
        });
        require([
            "{{ URL::asset('/static/web/js/vue.js')}}",
            "{{ URL::asset('/static/web/js/axios.min.js')}}"
        ], function (Vue, axios) {
            new Vue({
                el: "#app",
                data: {
                    option: {},
                    myChart: {},
                    order_active: 'thirtyday',
                    live_active: 'thirtyday',

                    order_cyclename: '最近30天',
                    order_precyclename: '上个30天',
                    order_cyclecount: 0,
                    order_cycleprice: 0,
                    order_cyclecount_percent: 0,
                    order_cycleprice_percent: 0,
                    order_cyclecount_is_plus: 0,
                    order_cycleprice_is_plus: 0,
                    order_pre_cyclecount: 0,
                    order_pre_cycleprice: 0,

                    live_cyclename: '最近30天',
                    live_precyclename: '上个30天',
                    live_cyclecount: 0,
                    live_cycleprice: 0,
                    live_cyclecount_percent: 0,
                    live_cycleprice_percent: 0,
                    live_cyclecount_is_plus: 0,
                    live_cycleprice_is_plus: 0,
                    live_pre_cyclecount: 0,
                    live_pre_cycleprice: 0
                },
                methods: {
                    info: function () {
                        var that = this;
                        axios.get("{{wgRoute('liveuserchart')}}").then((res) => {
                            that.myChart.user_echart.setOption(that.userchartsetoption(res.data.data));
                        });
                    },
                    getOrderlist: function (e) {
                        var that = this;
                        var cycle = e != null ? e : 'thirtyday';
                        axios.get("{{wgRoute('liveorderchart')}}?cycle=" + cycle).then((res) => {
                            that.myChart.order_echart.clear();
                            that.myChart.order_echart.setOption(that.orderchartsetoption(res.data.data));
                            that.order_active = cycle;
                            switch (cycle) {
                                case 'thirtyday':
                                    that.order_cyclename = '最近30天';
                                    that.order_precyclename = '上个30天';
                                    break;
                                case 'week':
                                    that.order_precyclename = '上周';
                                    that.order_cyclename = '本周';
                                    break;
                                case 'month':
                                    that.order_precyclename = '上月';
                                    that.order_cyclename = '本月';
                                    break;
                                case 'year':
                                    that.order_cyclename = '去年';
                                    that.order_precyclename = '今年';
                                    break;
                                default:
                                    break;
                            }
                            var data = res.data.data;
                            if (data) {
                                that.order_cyclecount = data.cycle.count.data;
                                that.order_cyclecount_percent = data.cycle.count.percent;
                                that.order_cyclecount_is_plus = data.cycle.count.is_plus;
                                that.order_cycleprice = data.cycle.price.data;
                                that.order_cycleprice_percent = data.cycle.price.percent;
                                that.order_cycleprice_is_plus = data.cycle.price.is_plus;
                                that.order_pre_cyclecount = data.pre_cycle.count.data;
                                that.order_pre_cycleprice = data.pre_cycle.price.data;
                            }
                        });
                    },
                    getLivelist: function (e) {
                        var that = this;
                        var cycle = e != null ? e : 'thirtyday';
                        axios.get("{{wgRoute('livelivechart')}}?cycle=" + cycle).then((res) => {
                            that.myChart.live_echart.clear();
                            that.myChart.live_echart.setOption(that.livechartsetoption(res.data.data));
                            that.live_active = cycle;
                            switch (cycle) {
                                case 'thirtyday':
                                    that.live_cyclename = '最近30天';
                                    that.live_precyclename = '上个30天';
                                    break;
                                case 'week':
                                    that.live_precyclename = '上周';
                                    that.live_cyclename = '本周';
                                    break;
                                case 'month':
                                    that.live_precyclename = '上月';
                                    that.live_cyclename = '本月';
                                    break;
                                case 'year':
                                    that.live_cyclename = '去年';
                                    that.live_precyclename = '今年';
                                    break;
                                default:
                                    break;
                            }
                            var data = res.data.data;
                            if (data) {
                                that.live_cyclecount = data.cycle.count.data;
                                that.live_cyclecount_percent = data.cycle.count.percent;
                                that.live_cyclecount_is_plus = data.cycle.count.is_plus;
                                that.live_cycleprice = data.cycle.price.data;
                                that.live_cycleprice_percent = data.cycle.price.percent;
                                that.live_cycleprice_is_plus = data.cycle.price.is_plus;
                                that.live_pre_cyclecount = data.pre_cycle.count.data;
                                that.live_pre_cycleprice = data.pre_cycle.price.data;
                            }
                        });
                    },
                    orderchartsetoption: function (data) {
                        data = data == undefined ? {} : data;
                        this.option = {
                            tooltip: {
                                trigger: 'axis',
                                axisPointer: {
                                    type: 'cross',
                                    crossStyle: {
                                        color: '#999'
                                    }
                                }
                            },
                            toolbox: {
                                feature: {
                                    dataView: {show: true, readOnly: false},
                                    magicType: {show: true, type: ['line', 'bar']},
                                    restore: {show: false},
                                    saveAsImage: {show: true}
                                }
                            },
                            legend: {
                                data: data.legend || []
                            },
                            grid: {
                                x: 70,
                                x2: 50,
                                y: 60,
                                y2: 50
                            },
                            xAxis: [
                                {
                                    type: 'category',
                                    data: data.xAxis,
                                    axisPointer: {
                                        type: 'shadow'
                                    },
                                    axisLabel: {
                                        interval: 0,
                                        rotate: 40
                                    }
                                }
                            ],
                            yAxis: [{type: 'value'}],
                            series: data.series
                        };
                        return this.option;
                    },
                    livechartsetoption: function (data) {
                        data = data == undefined ? {} : data;
                        this.option = {
                            tooltip: {
                                trigger: 'axis',
                                axisPointer: {
                                    type: 'cross',
                                    crossStyle: {
                                        color: '#999'
                                    }
                                }
                            },
                            toolbox: {
                                feature: {
                                    dataView: {show: true, readOnly: false},
                                    magicType: {show: true, type: ['line', 'bar']},
                                    restore: {show: false},
                                    saveAsImage: {show: true}
                                }
                            },
                            legend: {
                                data: data.legend || []
                            },
                            grid: {
                                x: 70,
                                x2: 50,
                                y: 60,
                                y2: 50
                            },
                            xAxis: [
                                {
                                    type: 'category',
                                    data: data.xAxis,
                                    axisPointer: {
                                        type: 'shadow'
                                    },
                                    axisLabel: {
                                        interval: 0,
                                        rotate: 40
                                    }
                                }
                            ],
                            yAxis: [{type: 'value'}],
                            series: data.series
                        };
                        return this.option;
                    },
                    userchartsetoption: function (data) {
                        this.option = {
                            tooltip: {
                                trigger: 'axis',
                                axisPointer: {
                                    type: 'cross',
                                    crossStyle: {
                                        color: '#999'
                                    }
                                }
                            },
                            toolbox: {
                                feature: {
                                    dataView: {show: false, readOnly: false},
                                    magicType: {show: true, type: ['line', 'bar']},
                                    restore: {show: false},
                                    saveAsImage: {show: false}
                                }
                            },
                            legend: {
                                data: data.legend
                            },
                            grid: {
                                x: 70,
                                x2: 50,
                                y: 60,
                                y2: 50
                            },
                            xAxis: [
                                {
                                    type: 'category',
                                    data: data.xAxis,
                                    axisPointer: {
                                        type: 'shadow'
                                    }
                                }
                            ],
                            yAxis: [
                                {
                                    type: 'value',
                                    name: '人数',
                                    min: 0,
                                    max: data.yAxis.maxnum,
                                    interval: 5,
                                    axisLabel: {
                                        formatter: ''
                                    }
                                }
                            ],
                            series: [{
                                name: '人数',
                                type: 'bar',
                                barWidth: '50%',
                                itemStyle: {
                                    normal: {
                                        label: {
                                            show: true, //开启显示
                                            position: 'top', //在上方显示
                                            textStyle: { //数值样式
                                                color: '#666',
                                                fontSize: 12
                                            }
                                        }
                                    }
                                },
                                data: data.series
                            }]

                        };
                        return this.option;
                    },
                    setChart: function (name, myChartname) {
                        this.myChart[myChartname] = echarts.init(name, 'macarons');//初始化echart
                    }
                },
                mounted: function () {
                    const self = this;
                    this.setChart(self.$refs.user_echart, 'user_echart');//用户图表
                    this.setChart(self.$refs.order_echart, 'order_echart');//订单图表
                    // this.setChart(self.$refs.live_echart, 'live_echart');//直播间图表
                    this.info();
                    this.getOrderlist();
                    // this.getLivelist();
                }
            });
        })
    </script>
@endsection



