<div class="layui-form-item">
    <label class="layui-form-label">显示位置</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-search="" lay-filter="type">
            @foreach(\App\Modules\Live\Models\ShimmerLiveshopLideshow::$types as $key=>$val)
                <option value="{{$key}}" @if($model->type==$key) selected @endif>{{$val}}</option>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item lideshows_special_item lideshows_special_item7">
    <label class="layui-form-label">选择专题会场</label>
    <div class="layui-input-block">
        <select name="tag_id" lay-verify="required" lay-search="" lay-filter="tag_id">
            <option value="">请选择</option>
            @foreach($tags as $row1)
                <optgroup label="{{$row1['name']}}">
                    @foreach($row1['list'] as $row2)
                        <option value="{{$row2['id']}}"
                                @if($model->tag_id==$row2['id']) selected @endif>{{$row2['name']}}</option>
                    @endforeach
                </optgroup>
            @endforeach
        </select>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">名称</label>
    <div class="layui-input-block">
        <input type="text" name="name" class="layui-input" value="{{$model->name}}"/>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">轮播图</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('pic',$model->pic); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">跳转类型</label>
    <div class="layui-input-block">
        @foreach($linkTypes as $key=>$linkType)
            <input type="radio" name="link_type" value="{{$key}}" title="{{$linkType}}"
                   @if( $model->link_type==$key) checked
                   @endif lay-filter="link_type">
        @endforeach
    </div>
</div>

<div class="link_type link_type0" @if($model->link_type==1) style="display: none" @endif>
    <div class="layui-form-item">
        <label class="layui-form-label">跳转地址</label>
        <div class="layui-input-block">
            <div class="input-group">
                <input type="text" name="wxappurl" class="form-control valid" value="{{$model->wxappurl}}"
                       aria-invalid="false" placeholder="请填写小程序跳转链接" id="wxappurl">
                <div class="input-group-addon ajax-link" data-url="{{wgRoute('liveutilsuser.get-page-urls')}}"
                     data-id="wxappurl">选择链接
                </div>
            </div>
        </div>
    </div>
</div>

<div class="link_type link_type1" @if($model->link_type==0) style="display: none" @endif>
    @include('live::wxapp.navigator.outlink',['column'=>'link_data'])
</div>

<div class="layui-form-item">
    <label class="layui-form-label">排序</label>
    <div class="layui-input-block">
        <input type="text" name="sort" class="layui-input" value="{{$model->sort}}"/>
    </div>
</div>
@section('script')
    <script>
        var modeltype = "{{$model->type}}";
        $(".lideshows_special_item").hide();
        if (modeltype) {
            $(".lideshows_special_item" + modeltype).show();
        }

        layui.use('form', function () {
            var form = layui.form;
            form.on('select(type)', function (data) {
                var type = data.value;
                //标签轮播图
                $(".lideshows_special_item").hide();
                $(".lideshows_special_item" + type).show();
            });
            form.on('radio(link_type)', function (data) {
                var link_type = data.elem.value;
                $(".link_type").hide();
                $(".link_type" + link_type).show();
            });
        });

    </script>
@endsection
