
@extends('live::layouts.master')
@section('title')
    轮播图管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="轮播图名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">显示位置</label>
                            <div class="layui-input-block">
                                <select name="query[type]" lay-verify="required" lay-search="" lay-filter="type">
                                    @foreach(\App\Modules\Live\Models\ShimmerLiveshopLideshow::$types as $key=>$val)
                                        <option value="{{$key}}" @if($query['type']==$key) selected @endif>{{$val}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        {{--<div class="layui-inline">--}}
                        {{--<label class="layui-form-label">添加时间:</label>--}}
                        {{--<div class="layui-input-inline" style="width: 150px;">--}}
                        {{--<input type="text" class="layui-input  start_time" value="{{$query['start_time']}}" name="query[start_time]"--}}
                        {{--readonly>--}}
                        {{--</div>--}}
                        {{-----}}
                        {{--<div class="layui-input-inline" style="width: 150px;">--}}
                        {{--<input type="text" class="layui-input end_time" value="{{$query['end_time']}}" name="query[end_time]"--}}
                        {{--readonly>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('livelideshow.create')}}" ><i class="fa fa-plus"></i>&nbsp;添加类别</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <div class="">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>位置</th>
                                <th>名称</th>
                                <th>排序</th>
                                <th>轮播图</th>
                                <th>跳转地址</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $lideshow)
                                <tr>
                                    <td>{{$lideshow->id}}</td>
                                    <td>{{$types[$lideshow->type]}}</td>
                                    <td>
                                        {{$lideshow->name}}
                                        @if($lideshow->tag)
                                            |
                                            <a class="load_iframe" href="javascript:;" data-url="{{wgRoute('liveshoptag.edit',[$lideshow->tag->id])}}">{{$lideshow->tag->name}}</a>
                                        @endif
                                    </td>
                                    <td>{{$lideshow->sort}}</td>
                                    <td><img class="rounded img-md img_pop_show" src="{{wgTomedia($lideshow->pic)}}"></td>
                                    <td>{{$lideshow->wxappurl}}</td>
                                    <td>
                                        <a class="btn btn-outline  btn-success load_prompt" data-url="{{wgRoute('livelideshow.change_sort',[$lideshow->id])}}"  data-title="{{$lideshow->id}}" href="javascript:;">排序</a>
                                        <a class="btn btn-outline btn-success load_iframe"
                                           href="javascript:;" data-url="{{wgRoute('livelideshow.edit',[$lideshow->id])}}" data-width="1000px" data-height="700px">编辑</a>
                                        <a class="btn btn-outline btn-success ajax-confirm delete"
                                           data-url="{{wgRoute('livelideshow.destroy',[$lideshow->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                    </td>
                                </tr>
                            </tbody>
                            @endforeach
                        </table>
                        @include('live::common.pagination', ['pager' => $pager])
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
