@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline" style="margin-top: 8px;">
                            <label class="layui-form-label">名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="名称"
                                       value="{{\Request::input('query.name')}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.create')}}" data-width="1000px" data-height="700px" class="btn btn-primary load_iframe">添加主播申请付费</a>
                        </span>
                    @endsection
                    {{--<div class="alert alert-primary">--}}
                        {{--提示: 没有设置等级的分销商将按默认设置计算提成。商品指定的佣金金额的优先级仍是最高的，也就是说只要商品指定了佣金金额就按商品的佣金金额来计算，不受等级影响--}}
                    {{--</div>--}}
                    @include('live::common.toolbar', ['pager' => $lists])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>名称</th>
                            <th>副标题</th>
                            <th>卡片背景</th>
                            <th>价格</th>
                            <th>原价</th>
                            <th>赠送主播</th>
                            <th>主播付费提成</th>
                            {{--<th>佣金提成</th>--}}
                            <th>图片介绍</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lists as $key=>$list)
                            <tr>
                                <th>{{$list->name}}</th>
                                <th>{{$list->intro}}</th>
                                <th>
                                    <img src="{{wgTomedia($list->card_pic)}}">
                                </th>
                                <th>{{$list->price}}</th>
                                <th>{{$list->cost_price}}</th>
                                <th>{{$list->give_anchor_num}}</th>
                                <th>{{$list->buy_anchor_rate}}%</th>
                                {{--<th>{{$list->commission_rate}}%</th>--}}
                                <th>
                                    <img src="{{wgTomedia($list->intro_pic)}}">
                                </th>
                                <th>
                                    <a href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.edit',[$list->id])}}" class="btn load_iframe btn-info" data-width="1000px" data-height="700px">
                                        编辑
                                    </a>
                                    <a  href="javascript:;" data-url="{{wgRoute('liveanchor-pay-level.destroy',[$list->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lists])
                </div>
            </div>
        </div>
    </div>
@endsection