<form class="layui-form" action="">
    <div class="layui-inline">
        <label class="layui-form-label">用户ID:</label>
        <div class="layui-input-inline">
            <input type="text" name="uid"  placeholder="请输入用户ID" class="layui-input" value="{{\Request::input('uid')}}">
        </div>
    </div>
    <div class="layui-inline">
        <label class="layui-form-label">昵称:</label>
        <div class="layui-input-inline">
            <input type="text" name="nickname"  placeholder="请输入用户昵称" class="layui-input" value="{{\Request::input('nickname')}}">
        </div>
    </div>
    <div class="layui-inline" style="padding-bottom: 5px">
        <div class="layui-input-inline">
            <button class="btn btn-success" type="submit" >搜索</button>
            <input name="submit" type="submit" class="btn btn-success" value="导出"/>
        </div>
    </div>
</form>

@section('toolbar')
@endsection
@include('live::common.toolbar', ['pager' => $users])
<table class="layui-table">
    <thead>
    <tr>
        <th>用户ID</th>
        <th style="width: 200px;">头像</th>
        <th>主播等级</th>
        <th>带货总金额</th>
        <th>带货总佣金</th>
        <th>当前佣金</th>
        <th>剩余邀请主播名额</th>
        <th>扩展资料</th>
        <th>状态</th>
        <th>拉黑</th>
        <th>收到礼物(元)</th>
        <th>名下主播数量</th>
        <th>邀请主播佣金</th>
        <th>申请时间</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    @foreach($users as $user)
        <tr>
            <th>{{$user->uid}}</th>
            <th>
                <img src="{{wgTomedia($user->user->avatar)}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
                <br>
                {{$user->user->nickname}}<br>
                {{$user->user->realname}}<br>
                {{$user->user->mobile}}<br>
            </th>
            <th>{{$user->userLevel->name or '普通'}} <a href="javascript:;" class="link-color load_iframe" data-url="{{wgRoute("liveanchor-pay-level.get-anchor-level",['anchor_id'=>$user->id])}}" data-width="1000px" height="700px">修改</a></th>
            <th>{{$user->total_amount}}</th>
            <th>{{$user->total_commission}}</th>
            <th>{{$user->now_commission}}</th>
            <th>{{$user->surplus_anchor_nums}}</th>
            <th>
                @if($user->diyform_data_id>0)
                    <a href="javascript:;" class="link-color load_iframe" data-url="{{wgRoute("liveutilsdiyform.fieldData",['id'=>$user->diyform_data_id])}}" data-width="1000px" data-height="700px" >查看表单</a>
                @else
                    无
                @endif
            </th>
            <th>
                @if($user->status==1)
                    <text class="text text-success">正常</text>
                @else
                    <text class="text text-warning">待审核</text>
                @endif
            </th>
            <th>
                @if($user->is_black==1)
                    <text class="text text-warning">已拉黑</text>
                @else
                    <text class="text text-success">正常</text>
                @endif
            </th>
            <th>
                {{$user->income_gift}}
            </th>
            <th>
                {{$user->child_anchor_nums}}
            </th>
            <th>
                {{$user->ini_anchor_commission}}
            </th>
            <th>
                {{$user->created_at}}
            </th>
            <th>
                @if ($user->is_black == 1)
                    <button type="button" class="btn btn-success  ajax-confirm"
                            data-title="确定取消拉黑该主播？" data-url="{{wgRoute('liveanchor.change-black',[$user->id])}}">取消拉黑
                    </button>
                @else
                    <button type="button" class="btn btn-warning ajax-confirm" data-title="确定拉黑该主播？"
                            data-url="{{wgRoute('liveanchor.change-black',[$user->id])}}">拉黑
                    </button>
                @endif

                @if ($user->status==1)
                    <button type="button" class="btn btn-danger ajax-confirm" data-title="确定取消审核该主播？"
                            data-url="{{wgRoute('liveanchor.change-status',[$user->id])}}">取消审核
                    </button>
                @else
                    <button type="button" class="btn btn-success ajax-confirm" data-title="确定审核该主播？"
                            data-url="{{wgRoute('liveanchor.change-status',[$user->id])}}">审核通过
                    </button>
                @endif
                <button type="button" class="btn btn-danger ajax-confirm delete" data-title="确定删除该主播？"
                        data-url="{{wgRoute('liveanchor.destory',[$user->id])}}">删除
                </button>
            </th>
        </tr>
    @endforeach
    </tbody>
</table>
@include('live::common.pagination', ['pager' => $users])