<input type="hidden" name="type" value="{{$model->type}}">
<div class="layui-form-item">
    <label class="layui-form-label">直播间标题</label>
    <div class="layui-input-block">
        <input type="text" name="title" required  lay-verify="required" placeholder="请输入话题名称" autocomplete="off" value="{{$model->title}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">副标题</label>
    <div class="layui-input-block">
        <input type="text" name="subtitle" required  lay-verify="required" placeholder="请输入副标题" autocomplete="off" value="{{$model->subtitle}}" class="layui-input">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">话题开始时间</label>
    <div class="layui-input-block">
        <input type="text" class="layui-input" id="calendar" name="start_at" value="{{$model->start_at}}">
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">话题分类</label>
    <div class="layui-input-block">
        <select name="cate_id" lay-verify="required" lay-search="">
            <option value="0">直接选择或搜索选择</option>
        @foreach($categories as $key=>$val)
            <option value="{{$key}}" @if($model->cate_id==$key) selected @endif>{{$val}}</option>
        @endforeach
        </select>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">话题状态</label>
    <div class="layui-input-block">
        <input type="radio" name="live_status" value="1" title="即将直播" @if($model->live_status==1) checked="" @endif>
        <input type="radio" name="live_status" value="2" title="直播中" @if($model->live_status==2) checked="" @endif>
        <input type="radio" name="live_status" value="3" title="回放" @if($model->live_status==3) checked="" @endif>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">直播封面</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('cover',wgTomedia($model->cover)); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">视频流类型</label>
    <div class="layui-input-block">
        <div class="layui-tab layui-tab-card" lay-filter="video_type">
            <input type="hidden" name="video_type" value="{{$model->video_type}}" class="video_type">
            <ul class="layui-tab-title">
                <li @if($model->video_type==0) class="layui-this" @endif>阿里云</li>
                <li @if($model->video_type==1) class="layui-this" @endif>自建服务器</li>
                <li @if($model->video_type==2) class="layui-this" @endif>YY</li>
            </ul>
            <div class="layui-tab-content">
                <div class="layui-tab-item @if($model->video_type==0) layui-show @endif">
                    <span>系统自动调用阿里云配置</span>
                </div>
                <div class="layui-tab-item @if($model->video_type==1) layui-show @endif">
                    <span>HLS：</span>
                    <input name="video_setting[hls]" type="text" value="{{$model->video_setting['hls']}}" placeholder="请输入HLS" class="layui-input">
                    <span>RTMP：</span>
                    <input name="video_setting[rtmp]" type="text" value="{{$model->video_setting['rtmp']}}" placeholder="请输入RTMP" class="layui-input">
                </div>
                <div class="layui-tab-item @if($model->video_type==2) layui-show @endif">
                    <span>sid：</span>
                    <input name="video_setting[sid]" type="text" value="{{$model->video_setting['sid']}}" placeholder="请输入sid" class="layui-input">
                    <span>ssid：</span>
                    <input name="video_setting[ssid]" type="text" value="{{$model->video_setting['ssid']}}" placeholder="请输入ssid" class="layui-input">
                    <span>tid：</span>
                    <input name="video_setting[tid]" type="text" value="{{$model->video_setting['tid']}}" placeholder="请输入tid" class="layui-input">
                </div>
            </div>
        </div>
    </div>
</div>

<div class="layui-form-item" style="display: none;">
    <label class="layui-form-label">是否展示虚拟人数</label>
    <div class="layui-input-block">
        <input type="radio" name="num_type" value="2" title="是" checked lay-filter="num_type">
        <input type="radio" name="num_type" value="1" title="否" lay-filter="num_type">
    </div>
</div>
<div class="layui-form-item num_type num_type2">
    <label class="layui-form-label">虚拟人数</label>
    <div class="layui-input-block">
        <input type="text" name="fic_num" required  lay-verify="required" placeholder="请输入虚拟人数" autocomplete="off" value="{{$model->fic_num}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">是否显示</label>
    <div class="layui-input-block">
        <input type="radio" name="isshow" value="1" title="上架" @if($model->isshow==1) checked="" @endif>
        <input type="radio" name="isshow" value="2" title="下架" @if($model->isshow==2) checked="" @endif>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">是否推荐</label>
    <div class="layui-input-block">
        <input type="radio" name="is_recommend" value="1" title="推荐" @if($model->is_recommend==1) checked="" @endif>
        <input type="radio" name="is_recommend" value="0" title="取消" @if($model->is_recommend==0) checked="" @endif>
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">观看限制</label>
    <div class="layui-input-block">
        <input type="radio" name="limit_type" value="0" title="无" @if($model->limit->limit_type==0) checked="" @endif>
        @foreach($limitType as $key=>$_limitType)
            <input type="radio" name="limit_type" value="{{$key}}" title="{{$_limitType}}" @if($model->limit->limit_type==$key) checked="" @endif>
        @endforeach
    </div>
</div>