@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入商品名称" class="layui-input" value="{{\Request::input('title')}}">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" >搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a href="javascript:;" data-url="{{ShimmerLiveshopRoute('livegoods.select-goods')}}" class="btn btn-primary load_iframe" data-width="1000px" data-height="700px">选择商品</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $goods])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品ID</th>
                            <th style="width: 200px;">商品标题</th>
                            <th>商品图片</th>
                            <th>价格</th>
                            <th>库存</th>
                            <th>讲解状态</th>
                            <th>状态</th>
                            <th>绑定时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($goods as $good)
                            <tr>
                                <th>{{$good->goods_id}}</th>
                                <th>{{$good->title}}</th>
                                <th>
                                    <img src="{{wgTomedia($good->thumb)}}">
                                </th>
                                <th>
                                    市场价：{{$good->productprice}}<br>
                                    销售价：{{$good->marketprice}}<br>
                                    成本价：{{$good->costprice}}<br>
                                </th>
                                <th>{{$good->stock}}</th>
                                <th>
                                    <button class="layui-btn @if($good->status==0 ) layui-btn-danger @else layui-btn-primary @endif  layui-btn-xs" onclick="changeStatus({{$good->id}},0)">即将讲解</button>
                                    <button class="layui-btn @if($good->status==1 ) layui-btn-danger @else layui-btn-primary @endif layui-btn-xs" onclick="changeStatus({{$good->id}},1)">讲解中</button>
                                    <button class="layui-btn @if($good->status==2 ) layui-btn-danger @else layui-btn-primary @endif layui-btn-xs" onclick="changeStatus({{$good->id}},2)">讲解结束</button>
                                </th>
                                <th>
                                    @if($good->state==1)
                                        <span class="text-success">上架</span>
                                    @else
                                        <span class="text-danger">下架</span>
                                    @endif
                                </th>
                                <th>{{$good->created_at}}</th>
                                <th>{{$good->sort}}</th>
                                <th>
                                    <a class="btn btn-primary load_prompt" data-url="{{ShimmerLiveshopRoute('livegoods.change-sort',[$good->id])}}" data-title="{{$live->title}}" href="javascript:;">
                                        排序
                                    </a>
                                    <a href="javascript:;" data-url="{{ShimmerLiveshopRoute('livegoods.destory',[$good->id])}}" class="btn ajax-confirm delete btn-danger">
                                        移除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $goods])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        function changeStatus(id,type) {
            $.ajax({
                url: "{{ShimmerLiveshopRoute('livegoods.change-status')}}",
                type: 'POST',
                dateType: 'json',
                data: {id:id,status:type},
                success: function (res) {
                    if (res.errno == 0) {
                        location.reload();
                    } else {
                        layer.msg(res.message, {time: 2000, icon: 5});
                    }
                }
            });
        }
    </script>
@endsection    