@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入商品名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $goods])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品ID</th>
                            <th style="width: 100px;">名称</th>
                            <th>商品图片</th>
                            <th>价格</th>
                            <th>库存</th>
                            <th>销量</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($goods as $good)
                            <tr>
                                <th>{{$good->id}}</th>
                                <th>{{$good->title}}</th>
                                <th>
                                    <img src="{{wgTomedia($good->thumb)}}" style="width: 100px;height: 100px;">
                                </th>
                                <th>
                                    市场价：{{$good->productprice}}<br>
                                    销售价：{{$good->marketprice}}<br>
                                    成本价：{{$good->costprice}}<br>
                                </th>
                                <th>{{$good->stock}}</th>
                                <th>{{$good->sale_num}}</th>
                                <th>
                                    @if($good->state==1)
                                        <span class="text-success">上架</span>
                                    @else
                                        <span class="text-danger">下架</span>
                                    @endif
                                </th>
                                <th>
                                    <a href="javascript:;" class="btn btn-danger" onclick="unbind(this,{{$good->id}})"  @if(!in_array($good->id,$goodsIds)) style="display: none;" @endif>
                                        解绑
                                    </a>
                                    <a href="javascript:;" class="btn btn-info" onclick="bind(this,{{$good->id}})" @if(in_array($good->id,$goodsIds)) style="display: none;" @endif>
                                        绑定
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $goods])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function bind(obj,goods_id) {
            $.ajax({
                url: '{{ShimmerLiveshopRoute("livegoods.bind")}}',
                type: 'POST',
                data: {goods_id:goods_id},
                dataType: "json",
                success: function (result) {
                    $(obj).parent().find('.btn-info').hide();
                    $(obj).parent().find('.btn-danger').show();
                }
            });
        }
        function unbind(obj,goods_id) {
            $.ajax({
                url: '{{ShimmerLiveshopRoute("livegoods.unbind")}}',
                type: 'POST',
                data: {goods_id:goods_id},
                dataType: "json",
                success: function (result) {
                    $(obj).parent().find('.btn-danger').hide();
                    $(obj).parent().find('.btn-info').show();
                }
            });
        }
    </script>
@endsection