@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[id]" value="{{$query['id']}}" placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" value="{{$query['title']}}"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">直播分类:</label>
                            <div class="layui-input-inline">
                                <select name="query[cate_id]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['categorys'] as $index=>$item)
                                        <option value="{{$item['id']}}" {{ isNotNullAndNotEmptyString($query['cate_id']) && $query['cate_id']==$item['id'] ? 'selected': ''}}>{{$item['name']}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[live_status]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['live_status'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['live_status']) && $query['live_status']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">审核状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['status'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['status']) && $query['status']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">显示状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[isshow]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['isshow'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['isshow']) && $query['isshow']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('livelive.create')}}" class="btn btn-primary">创建直播间</a>
                            <a  href="{{wgRoute('livecategory.index',[1])}}" class="btn btn-default">直播分类</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $lives])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>话题ID</th>
                            <th>话题封面</th>
                            <th>话题名称</th>
                            <th>主播</th>
                            <th>直播分类</th>
                            <th>话题状态</th>
                            <th>浏览量</th>
                            <th>显示状态</th>
                            <th>拉黑状态</th>
                            <th>审核状态</th>
                            <th>是否推荐</th>
                            <th>开始时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lives as $live)
                            <tr>
                                <th>{{$live->id}}</th>
                                <th>
                                    <img src="{{wgTomedia($live->cover)}}">
                                </th>
                                <th>{{$live->title}}</th>
                                <th>
                                    @if($live->uid)
                                        <img src="{{$live->user->avatar}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;"><br>
                                        {{$live->user->nickname}}
                                    @else
                                        暂无
                                    @endif
                                </th>
                                <th>{{$live->cate_name}}</th>
                                <th>{{\Config('live.liveStatus')[$live->live_status]}}</th>
                                <th>{{$live->real_num}}</th>
                                <th>{{\Config('live.isShowType')[$live->isshow]}}</th>
                                <th>
                                    @if($live->is_black==1)
                                        <text class="text text-danger">{{\Config('live.Black')[$live->is_black]}}</text>
                                    @else
                                        <text class="text">{{\Config('live.Black')[$live->is_black]}}</text>
                                    @endif
                                </th>
                                <th>
                                    @if($live->status==0)
                                        <text class="text text-danger">{{\Config('live.Status')[$live->status]}}</text>
                                    @else
                                        <text class="text">{{\Config('live.Status')[$live->status]}}</text>
                                    @endif
                                </th>
                                <th>
                                    @if($live->is_recommend==1)
                                        <text class="text text-danger">已推荐</text>
                                    @else
                                        <text class="text">未推荐</text>
                                    @endif
                                </th>
                                <th>{{$live->start_at}}</th>
                                <th>{{$live->sort}}</th>
                                <th>
                                    <div class="dropdown btn btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item load_prompt" data-url="{{wgRoute('livelive.change_sort',[$live->id])}}" data-title="{{$live->title}}" href="javascript:;">
                                                    排序
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm delete" data-url="{{wgRoute('livelive.destroy',[$live->id])}}" data-title="确定要删除吗" href="javascript:;">
                                                    删除
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('livelive.change-live-status',[$live->id])}}" data-title="确定要恢复未开始状态吗" href="javascript:;">
                                                    恢复未开始状态
                                                </a>
                                            </li>
                                            @if($live->is_recommend==1)
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-recommend',[$live->id])}}" data-title="确定要取消推荐吗" href="javascript:;">
                                                    取消推荐
                                                </a>
                                            </li>
                                            @else
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-recommend',[$live->id])}}" data-title="确定要推荐吗" href="javascript:;">
                                                    推荐
                                                </a>
                                            </li>
                                            @endif
                                            @if($live->status==1)
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-status',[$live->id])}}" data-title="确定要取消审核吗" href="javascript:;">
                                                        取消审核
                                                    </a>
                                                </li>
                                            @else
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-status',[$live->id])}}" data-title="确定要审核通过吗" href="javascript:;">
                                                        审核通过
                                                    </a>
                                                </li>
                                            @endif
                                            @if($live->is_black==1)
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-black',[$live->id])}}" data-title="确定要取消拉黑吗" href="javascript:;">
                                                        取消拉黑
                                                    </a>
                                                </li>
                                            @else
                                                <li>
                                                    <a class="dropdown-item ajax-confirm" data-url="{{ShimmerLiveshopRoute('livelive.change-black',[$live->id])}}" data-title="确定要拉黑吗" href="javascript:;">
                                                        拉黑
                                                    </a>
                                                </li>
                                            @endif
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('livelive.copy_live',[$live->id])}}" data-title="确定要克隆该直播间吗" href="javascript:;">
                                                    克隆
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="{{wgRoute('livelive.get-url',[$live->id])}}" data-title="分享链接" data-width="350px" data-height="450px">
                                                    绑定主播
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="{{wgRoute('livelive.get-push-url',[$live->id])}}" data-title="推流信息" data-width="350px" data-height="450px">
                                                    推流信息
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="{{wgRoute('livelive.live-code',[$live->id])}}" data-title="直播间二维码" data-width="350px" data-height="450px">
                                                    直播间二维码
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    <a  href="{{wgRoute('livelive.panel',[$live->id])}}" class="btn  btn-info">
                                        管理
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lives])
                </div>
            </div>
        </div>
    </div>
@endsection