@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">订单号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="order_id"  placeholder="请输入订单号" class="layui-input" value="{{\Request::input('order_id')}}">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">直播间名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入直播间名称" class="layui-input" value="{{\Request::input('title')}}">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">主播昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="nickname"  placeholder="请输入主播昵称" class="layui-input" value="{{\Request::input('nickname')}}">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" >搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                    @endsection
                    @include('live::common.toolbar', ['pager' => $orders])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>订单号</th>
                            <th>用户信息</th>
                            <th>商品信息</th>
                            <th>实际支付</th>
                            <th>本笔扣除</th>
                            <th>订单状态</th>
                            <th>支付时间</th>
                            <th>下单时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($orders as $item)
                            <tr class="tr_checkbox_switch">
                                <td>
                                    {{$item->order_id}}
                                </td>
                                <td>
                                    <img src="{{$item->avatar}}" class="rounded-circle img-sm"><br/>
                                    {{$item->nickname}}(UID:{{$item->uid}})<br/>
                                    {{$item->real_name}}<br/>
                                    {{$item->user_phone}}
                                </td>
                                <td style="max-width: 300px;text-align: left" >
                                    开通{{$item->pay_name}}
                                </td>
                                <td>
                                    {{$item->pay_price}}
                                </td>
                                <td>
                                    {{$item->commission}}
                                </td>
                                <td>
                                    <span style="color: {{$item->status['color']}}">{{$item->status['text']}}</span>
                                    @if($item->refund_reason_wap)
                                        <br/>
                                        退款方式: {{$item->refund_type}}<br/>
                                        退款原因: {{$item->refund_reason_wap}}<br/>
                                        退款说明: {{$item->refund_reason_wap_explain}}<br/>
                                        退款凭证:
                                        @foreach((array)$refundReasonWapImgs as $refundImg)
                                            <img  class="img_pop_show rounded img-sm" src="{{$refundImg}}" />
                                        @endforeach
                                    @endif
                                </td>
                                <th>
                                    @if($item->pay_time)
                                        @php echo date('Y-m-d',$item->pay_time) @endphp<br/>
                                @php echo date('H:i:s',$item->pay_time) @endphp
                                @endif
                                <th>
                                    {{$item->created_at}}
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $orders])
                </div>
            </div>
        </div>
    </div>
@endsection