@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $lives])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>话题ID</th>
                            <th>话题封面</th>
                            <th>话题名称</th>
                            <th>直播分类</th>
                            <th>话题状态</th>
                            <th>话题类型</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lives as $live)
                            <tr>
                                <th>{{$live->id}}</th>
                                <th>
                                    <img src="{{wgTomedia($live->cover)}}">
                                </th>
                                <th>{{$live->title}}</th>
                                <th>{{$live->cate_id}}</th>
                                <th>{{\Config('live.liveStatus')[$live->live_status]}}</th>
                                <th>{{\Config('live.contentType')[$live->type]['name']}}  {{\Config('live.limitType')[$live->limit_type]}}</th>
                                <th>
                                    <a  href="javascript:;" class="btn  btn-info" onclick="bind({{$live->id}},'{{$live->title}}')">
                                        绑定
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lives])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function bind(id,name) {
            var index = parent.layer.getFrameIndex(window.name);
            $(".bindeddiv",window.parent.document).css('display',"block");
            $(".textbinded",window.parent.document).html('已绑定话题（ID:'+id+','+name+'）');
            $("#bind_video_live_id",window.parent.document).val(id);
            $("#bind_video_live_name",window.parent.document).val(name);
            parent.layer.close(index);
        }
    </script>
@endsection