@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">


                    @section('toolbar')
                    @endsection
                    @include('live::common.toolbar', ['pager' => $logs])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>标题</th>
                            <th style="width: 200px;">封面</th>
                            <th>开始时间</th>
                            <th>结束时间</th>
                            <th>开播时长</th>
                            <th>视频</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($logs as $item)
                            <tr>
                                <th>{{$item->title}}</th>
                                <th>
                                    <img src="{{wgTomedia($item->cover)}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
                                </th>
                                <th>{{$item->video_start}}</th>
                                <th>{{$item->video_end}}</th>
                                <th>{{format_sec_time($item->video_time)}}</th>
                                <th>
                                    @if($item->flv)
                                        flv:<a style="color: #44abf7 !important" class="text-primary op js-clip" data-url="{{$item->flv}}">复制链接</a>

                                        <a href="javascript:;" class="text-primary load_iframe" data-url="{{ShimmerLiveshopRoute('liveplayback.play-video',array('url'=>$item->flv))}}">播放</a>
                                    @endif

                                    @if($item->mp4)
                                         mp4:<a style="color: #44abf7 !important" class="text-primary op js-clip" data-url="{{$item->mp4}}">复制链接</a>
                                            <a href="javascript:;" class="text-primary load_iframe" data-url="{{ShimmerLiveshopRoute('liveplayback.play-video',array('url'=>$item->mp4))}}">播放</a>
                                            <br>
                                         <br>
                                    @endif

                                    @if($item->m3u8)
                                         m3u8:<a style="color: #44abf7 !important" class="text-primary op js-clip" data-url="{{$item->m3u8}}">复制链接</a>
                                            <a href="javascript:;" class="text-primary load_iframe" data-url="{{ShimmerLiveshopRoute('liveplayback.play-video',array('url'=>$item->m3u8))}}">播放</a>
                                         <br>
                                    @endif
                                </th>
                                <th>
                                    <a class="btn btn-danger ajax-confirm delete"
                                       data-url="{{ShimmerLiveshopRoute('liveplayback.destory',[$item->id])}}" data-title="确定要删除该记录吗？" href="javascript:;">删除</a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $logs])
                </div>
            </div>
        </div>
    </div>
@endsection