@extends('live::layouts.master')
@section('title')
    角色列表
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入用户ID" class="layui-input" value="{{\Request::input('title')}}">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" >搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                    @endsection
                    @include('live::common.toolbar', ['pager' => $users])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>用户ID</th>
                            <th style="width: 200px;">头像</th>
                            <th>昵称</th>
                            <th>真实姓名</th>
                            <th>手机号码</th>
                            <th>是否拉黑</th>
                            <th>是否禁言</th>
                            <th>在线状态</th>
                            <th>浏览时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <th>{{$user->uid}}</th>
                                <th>
                                    <img src="{{wgTomedia($user->user->avatar)}}" style="width:50px; height:50px; border-radius:50%; overflow:hidden;">
                                </th>
                                <th>{{$user->user->nickname}}</th>
                                <th>{{$user->user->realname}}</th>
                                <th>{{$user->user->mobile}}</th>
                                <th>
                                    @if($user->is_shut==1)
                                        <a href="javascript:;" class="btn btn-danger ajax-confirm" data-url="{{ShimmerLiveshopRoute('liveviewer.change-shut',[$user->id])}}" data-title="确定要解除禁言吗">禁言中</a>
                                    @else
                                        <a href="javascript:;" class="btn btn-success ajax-confirm" data-url="{{ShimmerLiveshopRoute('liveviewer.change-shut',[$user->id])}}" data-title="确定要禁言吗">正常</a>
                                    @endif
                                </th>
                                <th>
                                    @if($user->is_black==1)
                                        <a href="javascript:;" class="btn btn-danger ajax-confirm" data-url="{{ShimmerLiveshopRoute('liveviewer.change-black',[$user->id])}}" data-title="确定要解除拉黑吗">拉黑中</a>
                                    @else
                                        <a href="javascript:;" class="btn btn-success ajax-confirm" data-url="{{ShimmerLiveshopRoute('liveviewer.change-black',[$user->id])}}" data-title="确定要拉黑吗">正常</a>
                                    @endif
                                </th>
                                <th>
                                    @if($user->is_online==1)
                                        <text class="text text-success">在线</text>
                                    @else
                                        <text class="text text-danger">离线</text>：最后在线时间：{{$user->last_online_time}}
                                    @endif
                                </th>
                                <th>{{$user->created_at}}</th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $users])
                </div>
            </div>
        </div>
    </div>
@endsection