@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入小视频ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 105px;">使用者名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入使用者名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('liveliveadmin.create')}}" class="btn btn-primary">添加人员</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $admins])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>用户ID</th>
                            <th>微信昵称</th>
                            <th>使用者名称</th>
                            <th>联系方式</th>
                            <th>角色</th>
                            <th>管理的内容</th>
                            <th>创建时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($admins as $admin)
                            <tr>
                                <td>{{$admin->uid}}</td>
                                <td>{{$admin->user->nickname}}</td>
                                <td>{{$admin->name}}</td>
                                <td>{{$admin->mobile}}</td>
                                <td>{{$role[$admin->role_id]['name']}}</td>
                                <td>{{$admin->content}}</td>
                                <td>{{$admin->created_at}}</td>
                                <td>{{$admin->status_text}}</td>
                                <td>
                                    <a  href="{{wgRoute('liveliveadmin.edit',[$admin->id])}}" class="btn  btn-info">
                                        编辑
                                    </a>
                                    <a  href="javascript:;" class="btn  btn-info ajax-confirm" data-url="{{wgRoute('liveliveadmin.change_status',[$admin->id])}}" data-title="确定要操作吗">
                                        @if($admin->status==1)
                                            禁用
                                        @else
                                            启用
                                        @endif
                                    </a>
                                    <a  href="javascript:;" class="btn  btn-info ajax_load" data-url="{{wgRoute('liveliveadmin.get_inv_code',[$admin->id])}}" data-title="邀请码" data-width="300px" data-height="350px">
                                        邀请
                                    </a>
                                    <a  href="javascript:;" class="btn  btn-info ajax-confirm delete" data-url="{{wgRoute('liveliveadmin.destroy',[$admin->id])}}" data-title="确定要删除吗">
                                        删除
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $admins])
                </div>
            </div>
        </div>
    </div>
@endsection