@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]"  placeholder="商品名称"  value="{{$query['title']}}"  class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a  href="{{ShimmerLiveshopRoute('livepiclivepic.create')}}" class="btn btn-primary">添加图片</a>
                            <a  href="{{wgRoute('livecategory.index',[3])}}" class="btn btn-default">添加分类</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pics])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>图片详情</th>
                            <th>图片大小(KB)</th>
                            <th>所属分类</th>
                            <th>上传者</th>
                            <th>上传时间</th>
                            <th>点赞数量</th>
                            <th>排序值</th>
                            <th>修图状态</th>
                            <th>审核状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pics as $pic)
                            <tr>
                                <th></th>
                                <th>{{$pic->id}}</th>
                                <th>
                                    <img src="{{wgTomedia($pic->thumb)}}">
                                </th>
                                <th>{{$pic->size}}</th>
                                <th>{{$pic->cate_id}}</th>
                                <th>{{$pic->user_id}}</th>
                                <th>{{$pic->created_at}}</th>
                                <th>{{$pic->zan}}</th>
                                <th>{{$pic->sort}}</th>
                                <th>{{$pic->sort}}</th>
                                <th>{{$pic->status}}</th>
                                <th></th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection