@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">发送类型</label>
                            <div class="layui-input-inline">
                                <select name="query[type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['log_types'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">发送时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        {{--<span class="left">--}}
                        {{--<span class="static-left-text">订单总金额: {{$stats['total_money']}}</span>--}}
                        {{--<span class="static-left-text">|</span>--}}
                        {{--<span class="static-left-text">售出商品: {{$stats['total_goods_num']}}</span>--}}
                        {{--</span>--}}
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>用户信息</th>
                            <th>发送手机号</th>
                            <th>发送内容</th>
                            <th>日志</th>
                            <th>发送时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr class="">
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                                <td>
                                    {{$item->id}}
                                </td>
                                <td>
                                    {{$item->user->id}}<br/>
                                    {{$item->user->nickname}}
                                    {{$item->user->realname}}<br/>
                                    {{$item->user->mobile}}
                                </td>
                                <td>
                                    {{$item->mobile}}
                                </td>
                                <td>
                                    {{str_limit($item->data,50)}}
                                    <a style="color: #44abf7 !important" class="text-primary op js-clip" data-url="{{$item->data}}">复制</a>
                                </td>
                                <td>
                                    @if($item->log==1)
                                        <span class="label label-success">成功</span>
                                    @else
                                        {{$item->log}}
                                    @endif
                                </td>
                                <td>
                                    {{$item->created_at}}
                                </td>
                                <td data-id="{{$item->id}}">
                                    <button class="btn btn-danger ajax-confirm delete"  data-url="{{wgRoute('livelogsmslog.delete',['id'=>$item->id])}}" type="button" data-title="确定删除该条日志吗?"><i class="fa fa-trash"></i>&nbsp;&nbsp;<span class="bold">删除</span></button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="{{wgRoute('livelogsmslog.delete')}}" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection