@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">文章标题:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" lay-verify="" placeholder="文章标题搜索"
                                       value="{{$query['title']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('live.market.article.create')}}"  ><i class="fa fa-plus"></i>&nbsp;添加文章</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>标题</th>
                                <th>作者</th>
                                <th>封面图</th>
                                <th>浏览量</th>
                                <th>排序</th>
                                <th>显示</th>
                                <th>创建时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->title}}</td>
                                    <td>{{$item->author}}</td>
                                    <td><img class="rounded img-md img_pop_show" src="{{wgTomedia($item->cover_img)}}"></td>
                                    <td>{{$item->view_num}}</td>
                                    <td>{{$item->sort}}</td>
                                    <td data-url="{{wgRoute('live.market.article.changeIsShow',['id'=>$item->id])}}">
                                        <input type="checkbox" {{ $item->isshow==1 ? 'checked' : '' }} lay-filter="isshow" name="isshow" lay-skin="switch" lay-text="显示|隐藏"
                                               value="1">
                                    </td>
                                    <td>{{$item->created_at}}</td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="{{wgRoute('live.market.article.edit',['id'=>$item->id])}}" class="btn btn-outline btn-success">
                                                编辑
                                            </a>
                                            <a href="javascript:;"  class="btn btn-outline btn-danger ajax-confirm delete" data-url="{{wgRoute('live.market.article.destroy',['id'=>$item->id])}}" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });

            form.on('switch(isshow)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.isshow = data.elem.checked ? 1 : 2;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
@endsection