@extends('live::layouts.master')
@section('page_title',$pageTitle)
@section('head')
    <style>
        .input-group-addon {
            line-height: initial;
        }
    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="tabs-container">
                @include("live::market.basic.tabs")
                <form class="layui-form form-horizontal" id="ajaxform"
                      action="{{wgRoute('live.market.basic.rechargeSave')}}" method="post"
                      enctype="multipart/form-data">
                    <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>">
                    <div class="tab-content">
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <div class="col-sm-7">
                                            <div class="recharge-items">
                                                @foreach($config as $item)
                                                    <div class="input-group recharge-item fixmore-input-group" style="margin-top:5px"><span class="input-group-addon">满</span>
                                                        <input type="text" class="form-control" name="enough[]" value="{{$item['enough']}}">
                                                        <span class="input-group-addon">赠送</span>
                                                        <input type="text" class="form-control" name="give[]" value="{{$item['give']}}">
                                                        <span class="input-group-addon">元</span>
                                                        <div class="input-group-btn">
                                                            <button class="btn btn-danger" type="button" onclick="removeRechargeItem(this)"><i class="fa fa-remove"></i></button>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            </div>
                                            <div style="margin-top:5px">
                                                <button type="button" class="btn btn-default"
                                                        onclick="addRechargeItem()"
                                                        style="margin-bottom:5px"><i class="fa fa-plus"></i> 增加优惠项
                                                </button>
                                            </div>
                                            <span class="help-block">两项都填写才能生效，赠送的余额可以固定数或比例(带%)号</span>
                                            <span class="help-block">例如：充值满100，赠送10</span>
                                            <span class="help-block">例如：充值满200，赠送15%，实际赠送30(200*15%)</span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="offset-sm-2 col-sm-4">
                                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存设置
                                            </button>
                                            <button class="btn btn-white" type="reset">取消</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function addRechargeItem() {
            var html = '<div class="input-group recharge-item"  style="margin-top:5px">';
            html += '<span class="input-group-addon">满</span>';
            html += '<input type="text" class="form-control" name="enough[]"  />';
            html += '<span class="input-group-addon">赠送</span>';
            html += '<input type="text" class="form-control"  name="give[]"  />';
            html += '<span class="input-group-addon">元</span>';
            html += '<div class="input-group-btn"><button type="button" class="btn btn-danger" onclick="removeRechargeItem(this)"><i class="fa fa-remove"></i></button></div>';
            html += '</div>';
            $('.recharge-items').append(html);
        }

        function removeRechargeItem(obj) {
            $(obj).closest('.recharge-item').remove();
        }
    </script>
@endsection