@extends('live::layouts.master')
@section('page_title')
    实名认证
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="{{$query['realname']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>用户id</th>
                            <th>用户昵称</th>
                            <th>真实姓名</th>
                            <th>身份证号</th>
                            <th>身份证正面照</th>
                            <th>身份证背面照</th>
                            <th>审核状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                                <td>{{$item->id}}</td>
                                <td>{{$item->uid}}</td>
                                <td>{{$item->user->nickname}}</td>

                                <td>{{$item->realname}}</td>
                                <td>{{$item->idcard}}</td>

                                <td>
                                    <img src="{{wgTomedia($item->idcard_front_photo)}}" class="img-md img_pop_show"/>
                                </td>
                                <td>
                                    <img src="{{wgTomedia($item->idcard_behind_photo)}}" class="img-md img_pop_show"/>
                                </td>
                                <td>
                                    @if($item->check_status==0)
                                        <span class="label label-info">待审核</span>
                                    @elseif($item->check_status==1)
                                        <span class="label label-success">审核通过</span>
                                    @elseif($item->check_status==2)
                                        <span class="label label-danger">审核未通过</span>
                                    @endif
                                </td>
                                <td>
                                    <div class="btn-group">
                                        <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">审核 </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="dropdown-item ajax-confirm" href="javascript:;"  data-title="确定审核通过吗？" data-url="{{wgRoute('live.member.certification.check',['check_status'=>1,'id'=>$item->id])}}" data-method="post">审核通过</a></li>
                                            <li><a class="dropdown-item load_iframe" href="javascript:;" data-url="{{wgRoute('live.member.certification.check_reject',['check_status'=>2,'id'=>$item->id])}}" data-width="1000px" data-height="700px">审核不通过</a></li>
                                        </ul>
                                    </div>
                                    <a class="btn btn-outline btn-success"
                                       href="{{wgRoute('live.member.certification.edit',[$item->id])}}">编辑</a>
                                    <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete" data-title="删除实名认证后不可恢复，确定吗？" data-url="{{wgRoute('live.member.certification.destroy',[$item->id])}}">删除
                                    </button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定审核通过吗？" data-batch="id" data-url="{{wgRoute('live.member.certification.check',['check_status'=>1])}}" data-method="post"><i class="fa fa-gear"></i> 审核通过
                        </button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定审核不通过吗？" data-batch="id" data-url="{{wgRoute('live.member.certification.check',['check_status'=>2])}}" data-method="post"><i class="fa fa-gear"></i> 审核不通过
                        </button>
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="{{wgRoute('live.member.certification.destroy',[$item->id])}}" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>

    </script>
@endsection