@extends('live::layouts.layouts')
@section('title')
    会员充值
@endsection
@section('head')
    <style>
        .member_info {
            display: flex;
            justify-content: space-around;
            margin-bottom: 10px;
        }

        .member_info .item {
            flex: 1;
            border: 1px solid #efefef;
            margin: 0 10px;
            padding: 10px 22px;
            line-height: 25px;
            color: #333;
        }

        .layui-tab-title .layui-this:after {
            border-bottom: 2px solid #fff;
        }

        .recharge-box {
            padding: 0 10px;
        }

        .layui-input-block {
            line-height: 36px;
        }
    </style>
@endsection
@section('content')
    <div class="col-lg-12">
        <div style="width: 100%;">
            <div class="ibox-content">
                <div class="member-info">
                    <div class="member_info">
                        <div class="item">
                            <label class="pull-left" style="margin-right: 25px">粉丝信息</label>
                            <div class="pull-left">
                                <img class="rounded-circle img-sm img_pop_show"
                                     src="{{$user->avatar}}">
                                {{$user->nickname}}
                            </div>
                        </div>
                        <div class="item">
                            <label class="pull-left " style="margin-right: 25px">会员信息</label>
                            <div class="pull-left">
                                ID: {{$user->id}}<br>
                                姓名: {{$user->realname ?: '未填写'}}<br>
                                手机号: {{$user->mobile  ?: '未填写'}}
                            </div>
                        </div>
                    </div>
                    <div class="recharge-box">
                        <form action="{{wgRoute('live.member.manager.doRecharge',['id'=>$user->id])}}" method="post"
                              class="layui-form" id="ajaxform"  enctype="multipart/form-data">
                            <div class="layui-tab layui-tab-brief" lay-filter="recharge">
                                <ul class="layui-tab-title">
                                    <li class="layui-this" data-type="1">充值余额</li>
                                    <li data-type="2">充值积分</li>
                                </ul>
                                <div class="layui-tab-content">
                                    <div class="layui-tab-item layui-show">
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">当前余额</label>
                                            <div class="layui-input-block">
                                                {{$user->balance}}
                                            </div>
                                        </div>
                                        @if($user->give_balance > 0)
                                            <div class="layui-form-item">
                                                <label class="layui-form-label">赠送余额</label>
                                                <div class="layui-input-block">
                                                    {{$user->balance}}
                                                </div>
                                            </div>
                                        @endif
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">变化</label>
                                            <div class="layui-input-block">
                                                <input type="radio" name="balance_change_type" value="0" title="增加"
                                                       checked>
                                                <input type="radio" name="balance_change_type" value="1" title="减少">
                                                <input type="radio" name="balance_change_type" value="2" title="最终余额">
                                            </div>
                                        </div>
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">充值金额</label>
                                            <div class="layui-input-block">
                                                <input type="text" name="balance_num" placeholder="请输入充值金额"
                                                       class="layui-input">
                                            </div>
                                        </div>
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">备注</label>
                                            <div class="layui-input-block">
                                                <textarea name="balance_remark" class="layui-textarea"></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="layui-tab-item">
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">当前积分</label>
                                            <div class="layui-input-block">
                                                {{$user->credit}}
                                            </div>
                                        </div>
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">变化</label>
                                            <div class="layui-input-block">
                                                <input type="radio" name="credit_change_type" value="0" title="增加"
                                                       checked>
                                                <input type="radio" name="credit_change_type" value="1" title="减少">
                                                <input type="radio" name="credit_change_type" value="2" title="最终积分">
                                            </div>
                                        </div>
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">充值数量</label>
                                            <div class="layui-input-block">
                                                <input type="text" name="credit_num" placeholder="请输入充值数量"
                                                       class="layui-input">
                                            </div>
                                        </div>
                                        <div class="layui-form-item">
                                            <label class="layui-form-label">备注</label>
                                            <div class="layui-input-block">
                                                <textarea name="credit_remark" class="layui-textarea"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="layui-form-item">
                                        <div class="layui-input-block">
                                            <button class="btn btn-primary" type="submit" id="ajaxsubmit">确定充值</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <input type="hidden" name="recharge_type" value="1"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        layui.use(['form', 'element'], function () {
            var element = layui.element;
            element.on('tab(recharge)', function (data) {
                var recharge_type = data.index + 1;
                $("input[name=recharge_type]").val(recharge_type);
            });
        });
    </script>
@endsection