@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">插件名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="插件名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        {{--<span class="left">--}}
                            {{--<a class="btn btn-primary" href="https://s.w7.cc/module-23383.html" target="_blank"><i--}}
                                        {{--class="fa fa-buysellads"></i>&nbsp;购买插件</a>--}}
                        {{--</span>--}}
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>标识</th>
                                <th>名称</th>
                                <th>图标</th>
                                <th>说明</th>
                                <th>状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->slug}}</td>
                                    <td>{{$item->module->title}}</td>
                                    <td>
                                        <img src="{{wgTomedia($item->module->logo)}}"
                                             class="rounded img-md img_pop_show"/>
                                    </td>
                                    <td>{{$item->module->description}}</td>
                                    <td data-url="{{wgRoute('liveplugin.enable.switch',['id'=>$item->id])}}">
                                        <input type="checkbox"
                                               {{ $item->enable==1 ? 'checked' : '' }} lay-filter="enable" name="enable"
                                               lay-skin="switch" lay-text="启用|禁用"
                                               value="1">
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            {{--<a href="javascript:;"--}}
                                            {{--class="btn btn-outline btn-danger ajax-confirm delete"--}}
                                            {{--data-url="{{wgRoute('liveplugin.delete',['id'=>$item->id])}}"--}}
                                            {{--data-title="删除插件,会清除插件所有数据，确定要删除吗?">--}}
                                            {{--删除--}}
                                            {{--</a>--}}
                                            @if( $item->enable==1)
                                            <a href="@php echo wgRoute("web_plugin_{$item->slug}.index"); @endphp"
                                               class="btn btn-outline btn-success">
                                                进入
                                            </a>
                                            @endif
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });

            form.on('switch(enable)', function (data) {
                var params = {};
                var index = layer.load(0);
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                            location.reload();
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
@endsection