<div class="layui-tab layui-tab-brief" lay-filter="pay_config_type">
    <ul class="layui-tab-title">
        <li class="{{(int)$config['account_type'] == 0 ? 'layui-this' :'' }}" data-type="0">普通商户版</li>
        <li class="{{(int)$config['account_type'] == 1 ? 'layui-this' :'' }}" data-type="1">服务商版</li>
    </ul>
    <div class="layui-tab-content">
        <div class="layui-tab-item layui-tab-item0 {{(int)$config['account_type'] == 0 ? 'layui-show' :'' }}">
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">商户号(mch_id)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[mch_id]" class="form-control" value="{{$config['mch_id']}}"
                           placeholder="">
                    <span class="form-text m-b-none"></span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">支付秘钥(APIKEY)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[apikey]" class="form-control" value="{{$config['apikey']}}"
                           placeholder="">
                    <span class="form-text m-b-none">服务商的 APIKEY,并不是子商户的APIKEY</span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">CERT证书文件</label>
                <div class="col-sm-10">
                    <input type="file" name="config[cert_file]" class="form-control" value="config[cert_file]">
                    <span class="form-text m-b-none">下载证书 cert.zip 中的 apiclient_cert.pem 文件</span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">KEY密钥文件</label>
                <div class="col-sm-10">
                    <input type="file" name="config[key_file]" class="form-control" value="config[key_file]">
                    <span class="form-text m-b-none">下载证书 cert.zip 中的 rootca.pem 文件,新下载证书无需上传此文件！</span>
                </div>
            </div>

        </div>

        <div class="layui-tab-item layui-tab-item1 {{(int)$config['account_type'] == 1 ? 'layui-show' :'' }}">
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">服务商(appid)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[appid]" class="form-control" value="{{$config['appid']}}"
                           placeholder="">
                    <span class="form-text m-b-none">服务商商户的APPID</span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">商户号(mch_id)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[mch_id]" class="form-control" value="{{$config['mch_id']}}"
                           placeholder="">
                    <span class="form-text m-b-none"></span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">子商户号(sub_mch_id)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[sub_mch_id]" class="form-control" value="{{$config['sub_mch_id']}}"
                           placeholder="请填写子商户号">
                    <span class="form-text m-b-none"></span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">支付秘钥(APIKEY)</label>
                <div class="col-sm-10">
                    <input type="text" name="config[apikey]" class="form-control" value="{{$config['apikey']}}"
                           placeholder="">
                    <span class="form-text m-b-none">服务商的 APIKEY,并不是子商户的APIKEY</span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">CERT证书文件</label>
                <div class="col-sm-10">
                    <input type="file" name="config[cert_file]" class="form-control" value="config[cert_file]">
                    <span class="form-text m-b-none">下载证书 cert.zip 中的 apiclient_cert.pem 文件</span>
                </div>
            </div>
            <div class="form-group  row">
                <label class="col-sm-2 col-form-label">KEY密钥文件</label>
                <div class="col-sm-10">
                    <input type="file" name="config[key_file]" class="form-control" value="config[key_file]">
                    <span class="form-text m-b-none">下载证书 cert.zip 中的 rootca.pem 文件,新下载证书无需上传此文件！</span>
                </div>
            </div>

        </div>
    </div>
</div>

<input type="hidden" name="config[account_type]" value="{{$config['account_type']}}"/>

@section('script')
    <script>
        $(".layui-tab-item input").attr("disabled", "disabled");
        $(".layui-tab-item{{(int)$config['account_type']}} input").removeAttr("disabled");

        layui.use(['form', 'element'], function () {
            var element = layui.element;
            element.on('tab(pay_config_type)', function (data) {
                var pay_config_type_type = data.index;
                $(".layui-tab-item" + pay_config_type_type + " input").removeAttr("disabled");
                $(".layui-tab-iteminput").attr("disabled", "disabled");
                $("input[name='config[account_type]']").val(pay_config_type_type);
            });
        });
    </script>
@endsection