@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="">全部</option>
                                    <option @if($query['status']==1) selected @endif value="1">启用</option>
                                    <option @if(isNotNullAndNotEmptyString($query['status']) && $query['status']==0) selected @endif value="0">禁用</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">模版名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="模版名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary load_iframe" data-url="{{wgRoute('livetemplate.create')}}" data-width="1000px" data-height="700px" href="javascript:;" ><i
                                        class="fa fa-plus"></i>&nbsp;添加模版</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>模版名称</th>
                                <th>模版编号</th>
                                <th>模版ID</th>
                                <th>模版格式</th>
                                <th>状态</th>
                                <th>添加时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->name}}</td>
                                    <td>{{$item->tempkey}}</td>
                                    <td>{{$item->tempid}}</td>
                                    <td>
                                        <pre>{{$item->content}}</pre>
                                    </td>
                                    <td data-url="{{wgRoute('livetemplate.changeStatus',['id'=>$item->id])}}">
                                        <input type="checkbox" {{ $item->status==1 ? 'checked' : '' }} lay-filter="status" name="status" lay-skin="switch" lay-text="启用|禁用"
                                               value="1">
                                    </td>
                                    <td>{{$item->created_at}}</td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"  data-url="{{wgRoute('livetemplate.edit',['id'=>$item->id])}}" data-width="1000px" data-height="700px">
                                                编辑
                                            </a>&nbsp;
                                            <a href="javascript:;" class="btn btn-outline btn-danger ajax-confirm delete" data-url="{{wgRoute('livetemplate.destroy',['id'=>$item->id])}}" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            form.on('switch(status)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.status = data.elem.checked ? 1 : 0;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
@endsection