@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">分类名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="分类名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        {{--<div class="layui-inline">--}}
                            {{--<label class="layui-form-label">添加时间:</label>--}}
                            {{--<div class="layui-input-inline" style="width: 150px;">--}}
                                {{--<input type="text" class="layui-input  start_time" value="{{$query['start_time']}}" name="query[start_time]"--}}
                                       {{--readonly>--}}
                            {{--</div>--}}
                            {{-----}}
                            {{--<div class="layui-input-inline" style="width: 150px;">--}}
                                {{--<input type="text" class="layui-input end_time" value="{{$query['end_time']}}" name="query[end_time]"--}}
                                       {{--readonly>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                            <span class="left">
                            <a class="btn btn-primary load_iframe" data-url="{{wgRoute('liveshopcategory.create',['parent_id'=>$parentId])}}" data-width="1000px" data-height="700px" href="javascript:;" ><i
                                        class="fa fa-plus"></i>&nbsp;添加类别</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>父级</th>
                                <th>名称
                                    @if($parentId==0)
                                        (点击查看二级分类)
                                    @endif
                                </th>
                                @if($parentId)
                                <th>分类图标</th>
                                @endif
                                <th>排序</th>
                                <th>状态</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>
                                        @if($item->parent_id>0)
                                            {{$item->getParent()->name}}
                                        @else
                                            顶级
                                        @endif
                                    </td>
                                    <td>
                                        @if($item->parent_id==0)
                                            <a title="点击查看二级分类" class="link-color" href="{{wgRoute('liveshopcategory.index',['parent_id'=>$item->id])}}">{{$item->name}}</a>
                                        @else
                                            {{$item->name}}
                                        @endif
                                    </td>
                                    @if($parentId)
                                    <td>
                                        <a href="{{wgTomedia($item->pic)}}" target="_blank">
                                            <img src="{{wgTomedia($item->pic)}}" class="rounded img-md"/>
                                        </a>
                                    </td>
                                    @endif
                                    <td>{{$item->sort}}</td>
                                    <td data-url="{{wgRoute('liveshopcategory.changeIsShow',['id'=>$item->id])}}">
                                        <input type="checkbox" {{ $item->isshow==1 ? 'checked' : '' }} lay-filter="isshow" name="isshow" lay-skin="switch" lay-text="显示|隐藏"
                                               value="1">
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"  data-url="{{wgRoute('liveshopcategory.edit',['id'=>$item->id])}}" data-width="1000px" data-height="700px">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"  class="btn btn-outline btn-danger ajax-confirm delete" data-url="{{wgRoute('liveshopcategory.destroy',['id'=>$item->id])}}" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });

            form.on('switch(isshow)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.isshow = data.elem.checked ? 1 : 2;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
@endsection