@extends('live::layouts.layouts')
@section('head')
    <style>
        .layui-table td {
            text-align: left;
        }
    </style>
@endsection
@section('content')
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-content">
                <div class="alert alert-success">
                    排序值越大，越靠前
                </div>
                <table class="layui-table">
                    <thead>
                    <tr>
                        <th>选择</th>
                        <th>ID</th>
                        <th>名称</th>
                        <th>首页图标</th>
                        <th>排序</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($categorys as $parent)
                        <tr>
                            <td>顶级</td>
                            <td>{{$parent['id']}}</td>
                            <td style="color: blue">
                                |-----{{$parent['name']}}
                            </td>
                            <td>
                            </td>
                            <td>
                            </td>
                        </tr>
                        @foreach((array)$parent['child'] as $item)
                            <tr>
                                <td><input type="checkbox" class="check_item" data-id="{{$item['id']}}" @if(isset($categoryValues[$item['id']])) checked @endif
                                           data-name="{{$item['name']}}"></td>
                                <td>{{$item['id']}}</td>
                                <td>
                                    |-----|-----{{$item['name']}}
                                </td>
                                <td>
                                    <img src="{{wgTomedia($item['home_pic'])}}" class="rounded img-md"/>
                                </td>
                                <td>
                                    <input class="sort_{{$item['id']}}" type="number" value="{{$categoryValues[$item['id']]['sort']}}"
                                           style="width: 50px;height: 30px;padding: 2px"/>
                                </td>
                            </tr>
                        @endforeach
                    @endforeach
                    </tbody>
                </table>
                <div style="text-align: center">
                    <button class="btn btn-success confirm">确定</button>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        function sortByproperty(properyName) {
            var sortFun = function (obj1, obj2) {
                if (obj1[properyName] > obj2[properyName]) {
                    return -1;
                } else if (obj1[properyName] == obj2[properyName]) {
                    return 0;
                } else {
                    return 1;
                }
            }
            return sortFun;
        }

        $(".confirm").on('click', function () {
            var categorys = [];
            $(".check_item:checked").each(function (item) {
                var id = $(this).data('id');
                var name = $(this).data('name');
                var sort = parseInt($(".sort_" + id).val());
                if (!sort) {
                    sort = 0;
                }
                var category = {
                    'id': id,
                    'name': name,
                    'sort': sort,
                };
                categorys.push(category);
            });

            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.close(index);

            var categoryHtml = '';
            var categoryIds = '';

            categorys.sort(sortByproperty('sort'));
            var categoryValue = [];

            for (var i in categorys) {
                var category = categorys[i];
                categoryHtml += '<a href="javascript:;"><span lay-value="' + category.id + '">' + category.name + '</span></a>';
                categoryIds += category.id;

                if (i < Object.keys(categorys).length - 1) {
                    categoryIds += ',';
                }
                categoryValue.push(category);
            }

            $(".selectCategory", window.parent.document).html(categoryHtml);
            $(".categoryIds", window.parent.document).val(JSON.stringify(categoryValue));
        });
    </script>
@endsection