@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">优惠券类型</label>
                            <div class="layui-input-inline">
                                <select name="query[type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['type'] as $index=>$item)
                                        <option value="{{$index}}" {{ $query['type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">优惠券状态</label>
                            <div class="layui-input-inline">
                                <select name="query[state]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['state'] as $index=>$item)
                                        <option value="{{$index}}" {{ $query['state']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">有效期状态</label>
                            <div class="layui-input-inline">
                                <select name="query[valid_state]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['valid_state'] as $index=>$item)
                                        <option value="{{$index}}" {{ $query['valid_state']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">优惠券名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="优惠券名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('liveshopcoupon.create')}}"><i
                                        class="fa fa-plus"></i>&nbsp;添加优惠券</a>
                                         <a class="btn btn-outline btn-success"
                                            href="{{wgRoute('liveshopcoupon.stat')}}">数据统计</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>优惠券名称</th>
                            <th>优惠券类型</th>
                            <th>优惠类型</th>
                            <th>优惠金额</th>
                            <th>领取限制</th>
                            <th>优惠券状态</th>
                            <th>有效状态</th>
                            <th>有效期</th>
                            <th>领取数量</th>
                            <th>剩余数量</th>
                            <th>使用数量</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->type_text}}</td>
                                <td>
                                    @if($item->discount_type==1)
                                        满减
                                    @elseif($item->discount_type==2)
                                        折扣
                                    @endif
                                </td>
                                <td>
                                    @if($item->discount_type==1)
                                        <p style="color:red;">￥{{$item->discount_price}}</p>
                                    @elseif($item->discount_type==2)
                                        <p style="color:red;">￥{{$item->discount_radio}}折</p>
                                    @endif
                                    <p>满{{$item->threshold}}元可用</p>
                                </td>
                                <td>
                                    <p style="color:red;">￥{{$item->limit_count}}</p>
                                    <p>总量: {{$item->num}}</p>
                                </td>
                                <td>{{$item->state_text}}</td>
                                <td>{{$item->valid_text}}</td>
                                <td>
                                    @if($item->valid_type==1)
                                        {{$item->start_date}}至{{$item->end_date}}
                                    @elseif($item->valie_type==2)
                                        领到券当日开始 {{$item->valid_day}} 天内有效
                                    @endif
                                </td>
                                <td>{{$item->num - $item->left_num}}</td>
                                <td>{{$item->left_num}}</td>
                                <td>{{$item->use_num}}</td>
                                <td>
                                    @if($item->state==1)
                                        <button type="button" class="btn btn-outline btn-success ajax-confirm" data-title="开启优惠券后不可再编辑修改,确定吗？" data-url="{{wgRoute('liveshopcoupon.changeState',['id'=>$item->id,'state'=>2])}}">开启
                                        </button>
                                        <a  class="btn btn-outline btn-success" href="{{wgRoute('liveshopcoupon.edit',[$item->id])}}">编辑</a>
                                        <button type="button" class="btn btn-outline btn-success" data-title="开启优惠券后不可再编辑修改,确定吗？" data-url="">推广</button>
                                        <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete" data-title="删除优惠券后不可恢复，确定吗？" data-url="{{wgRoute('liveshopcoupon.destroy',[$item->id])}}">删除
                                        </button>
                                    @elseif($item->state==2)
                                        <button type="button" class="btn btn-outline btn-success ajax-confirm" data-title="开启优惠券后不可再编辑修改,确定吗？" data-url="{{wgRoute('liveshopcoupon.changeState',['id'=>$item->id,'state'=>3])}}">下架</button>
                                        <button type="button" class="btn btn-outline btn-success" data-title="开启优惠券后不可再编辑修改,确定吗？" data-url="">推广</button>
                                    @elseif($item->state==3)
                                        <button type="button" class="btn btn-outline btn-success ajax-confirm" data-title="开启优惠券后不可再编辑修改,确定吗？" data-url="{{wgRoute('liveshopcoupon.changeState',['id'=>$item->id,'state'=>2])}}">开启</button>
                                        <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete" data-title="删除优惠券后不可恢复，确定吗？" data-url="{{wgRoute('liveshopcoupon.destroy',[$item->id])}}">删除
                                        </button>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection