@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" lay-verify="" placeholder="商品名称"
                                       value="{{$query['title']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">类别</label>
                            <div class="layui-input-inline">
                                <select name="query[category_id]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['category'] as $index=>$item)
                                        <option value="{{$item['id']}}" {{ $query['category_id']==$item['id'] ? 'selected': ''}}>|-----{{$item['name']}}</option>
                                        @foreach((array)$item['child'] as $index1=>$item1)
                                            <option value="{{$item1['id']}}" {{ $query['category_id']==$item1['id'] ? 'selected': ''}}>|-----|-----{{$item1['name']}}</option>
                                        @endforeach
                                     @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">上架时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">状态</label>
                            <div class="layui-input-inline">
                                <select name="query[state]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['state'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['state']) && $query['state']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        @if(!$liveId)
                            <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('liveshopgoods.create')}}"><i class="fa fa-plus"></i>&nbsp;添加商品</a>
                                    <a class="btn btn-primary load_iframe" href="javascript:;" data-url="{{wgRoute('liveshopgoods.import')}}" data-width="1000px" data-height="800px"><i class="fa fa-plus"></i>&nbsp;导入商品</a>
                                         {{--<a class="btn btn-outline btn-success"--}}
                                            {{--href="{{wgRoute('liveshopcategory.index')}}">商品类别</a>--}}
                                 {{--<a class="btn btn-outline btn-success"--}}
                                    {{--href="{{wgRoute('liveshopcoupon.index')}}">商品优惠券</a>--}}
                                   {{--<a class="btn btn-outline btn-success load_iframe"--}}
                                      {{--data-url="{{wgRoute('liveshopshop.setting')}}" data-width="80%" data-height="80%"--}}
                                      {{--href="javascript:;">设置店铺信息</a>--}}
                        </span>
                        @endif
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>商品ID</th>
                            <th>商品名称</th>
                            <th>购买方式</th>
                            <th>商品主图</th>
                            <th>购买价</th>
                            <th>库存</th>
                            <th>运费</th>
                            <th>总销量</th>
                            <th>排序</th>
                            <th>时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr title="{{$item->title}}">
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>

                                <td>{{$item->id}}</td>
                                <td>{{str_limit($item->title,40)}}</td>
                                <td>{{$item->buywayText}}</td>
                                <td>
                                    <img src="{{wgTomedia($item->thumb)}}" class="rounded img-md img_pop_show"/>
                                </td>
                                <td>{{$item->marketprice}}</td>
                                <td>{{$item->stock}}</td>
                                <td>{{$item->expressprice}}</td>
                                <td>{{$item->sale_num}}</td>
                                <td>{{$item->sort}}</td>
                                <td>
                                    创建: {{$item->created_at}}<br/>
                                    @if($item->state==1)
                                     上架: {{$item->stateon_at}}<br/>
                                    @endif
                                    最后修改: {{$item->updated_at}}
                                </td>
                                <td>
                                    @if($item->state==1)
                                        <span class="label label-success">上架</span>
                                    @elseif($item->state==0)
                                        <span class="label label-danger">下架</span>
                                    @endif
                                </td>
                                <td>
                                    <a class="btn btn-outline btn-success"
                                       href="{{wgRoute('liveshopgoods.edit',[$item->id])}}">编辑</a>
                                    @if($item->state==1)
                                        <button type="button" class="btn btn-outline btn-success  ajax-confirm"
                                                data-title="确定下架该商品吗？"
                                                data-url="{{wgRoute('liveshopgoods.changeState',['id'=>$item->id,'state'=>0])}}"
                                                data-method="post">下架
                                        </button>
                                    @elseif($item->state==0)
                                        <button type="button" class="btn btn-outline btn-success  ajax-confirm"
                                                data-title="确定上架该商品吗？"
                                                data-url="{{wgRoute('liveshopgoods.changeState',['id'=>$item->id,'state'=>1])}}"
                                                data-method="post">上架
                                        </button>
                                    @endif
                                    <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete"
                                            data-title="删除商品后不可恢复，确定吗？"
                                            data-url="{{wgRoute('liveshopgoods.destroy',[$item->id])}}">删除
                                    </button>
                                </td>
                            </tr>
                            @if(\App\Services\PluginService::isEnabled('merch') &&
                            $item['role_type']==\App\Services\GlobalRoleService::MERCH
                            )
                                <tr style="background: #f2f2f2;">
                                    <th colspan="13" style="text-align: left;">
                                        店铺名称:
                                        <a class="link-color" href="{{wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->role->id])}}">{{$item->role->name}}</a>
                                    </th>
                                </tr>
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="{{wgRoute('liveshopgoods.destroy',[$item->id])}}" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定全部上架吗？" data-batch="id"  data-url="{{wgRoute('liveshopgoods.changeState',['state'=>1])}}" data-method="post"><i class="fa fa-exchange"></i> 批量上架</button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定全部下架吗？" data-batch="id"  data-url="{{wgRoute('liveshopgoods.changeState',['state'=>0])}}" data-method="post"><i class="fa fa-exchange"></i> 批量下架</button>
                        <button class="btn btn-default load_iframe" type="button"  data-batch="id" data-url="{{wgRoute('liveshopgoods.changeCategory')}}" data-width="1000px" data-height="700px"><i class="fa fa-exchange"></i> 批量分类</button>
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection



@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection