@extends('live::layouts.master')

@push('stylesheets')
    <link href="{{ URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')}}?v=33" rel="stylesheet">
@endpush

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[goods_name]" lay-verify="" placeholder="商品名称搜索"
                                       value="{{$query['goods_name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">评论内容:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[comment]" lay-verify="" placeholder="评论内容关键字搜索"
                                       value="{{$query['comment']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">是否回复</label>
                            <div class="layui-input-inline">
                                <select name="query[is_reply]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['is_reply'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['is_reply']) && $query['is_reply']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">商品质量</label>
                            <div class="layui-input-inline">
                                <select name="query[goods_score]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['score_text'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['goods_score']) && $query['goods_score']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">服务态度</label>
                            <div class="layui-input-inline">
                                <select name="query[service_score]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['score_text'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['service_score']) && $query['service_score']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        {{--<span class="left">--}}
                            {{--<span class="static-left-text">订单总金额: {{$stats['total_money']}}</span>--}}
                            {{--<span class="static-left-text">|</span>--}}
                            {{--<span class="static-left-text">售出商品: {{$stats['total_goods_num']}}</span>--}}
                        {{--</span>--}}
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>用户信息</th>
                            <th>商品信息</th>
                            <th>回复内容</th>
                            <th>评论图片</th>
                            <th>管理员回复</th>
                            <th>商品质量</th>
                            <th>服务态度</th>
                            <th>评论时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr class="tr_checkbox_switch">
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                                <td>
                                    {{$item->id}}
                                </td>
                                <td>
                                    {{$item->user->id}}<br/>
                                    {{$item->user->nickname}}
                                    {{$item->user->realname}}<br/>
                                    {{$item->user->mobile}}
                                </td>
                                <td style="max-width: 300px;text-align: left" >
                                        <img title="{{$item->goods->title}}" src="{{$item->goods->thumb}}" class="img_pop_show rounded img-sm"/>&nbsp;{{str_limit($item->goods->title,30)}}
                                </td>
                                <td>
                                    {{$item->comment}}
                                </td>
                                <td>
                                    @if($item->pics)
                                        @foreach((array)$item->pics as $pic)
                                            <img  class="img_pop_show rounded img-sm" src="{{$pic}}" />
                                        @endforeach
                                    @endif
                                </td>
                                <td title="{{$item->merchant_reply_content}}">
                                    {{str_limit($item->merchant_reply_content,50)}}
                                </td>
                                <td>
                                    {{$item->goods_score_text}}
                                </td>
                                <td>
                                    {{$item->service_score_text}}
                                </td>
                                <td>
                                    {{$item->created_at}}
                                </td>
                                <td data-id="{{$item->id}}">
                                    <button class="btn btn-success comment_reply" type="button"><i class="fa fa-commenting"></i>&nbsp;&nbsp;<span class="bold">回复</span></button>
                                    <button class="btn btn-danger ajax-confirm delete"  data-url="{{wgRoute('liveshoporder.comment.delete',['id'=>$item->id])}}" type="button" data-title="确定删除该评论吗?"><i class="fa fa-trash"></i>&nbsp;&nbsp;<span class="bold">删除</span></button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="{{wgRoute('liveshoporder.comment.delete')}}" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        require(["{{ URL::asset('/static/web/js/plugins/sweetalert/sweetalert.min.js')}}"], function (swal) {
            layui.use(['laydate', 'element'], function () {
                $(".comment_reply").click(function () {
                    var id = $(this).parent().data('id');
                    swal({
                        title: '评论回复',
                        input: 'textarea',
                        confirmButtonText: "提交",
                        cancelButtonText: "取消",
                        showCancelButton: true
                    }).then(function(result) {
                        var content = result.value;
                        if(content){
                            var index = layer.load(0);
                            $.ajax({
                                url: '{{wgRoute("liveshoporder.comment.reply")}}',
                                type: 'POST',
                                data: {id:id,content:content},
                                dataType: "json",
                                success: function (result) {
                                    layer.close(index);
                                    if (result.errno || result.errno == 0) {
                                        layer.msg(result.message, {time: 2000, icon: 6});
                                        window.location.reload();
                                    } else {
                                        layer.msg(result.message, {time: 2000, icon: 5});
                                    }
                                }
                            });
                        }

                    })
                })
            });
        })
    </script>
@endsection