@extends('live::layouts.master')
@section('title')
    批量发货
@endsection
@section('content')
    <div style="width: 100%;">
        <div class="col-lg-12">
            <div class="ibox-content">
                <div class="alert alert-info">
                    功能介绍: 使用excel快速导入进行订单发货<br/>
                    注意事项:<br/>
                    &nbsp;&nbsp;&nbsp;&nbsp;1: 批量发货只会更新待发货未取消状态订单，其他状态会自动忽略<br/>
                    &nbsp;&nbsp;&nbsp;&nbsp;2: 未填写快递单号订单会自动忽略<br/>
                    &nbsp;&nbsp;&nbsp;&nbsp;3: 批量发货会自动将导入订单更改为已发货状态,并更新快递单号，结算相关佣金，请一一对应，谨慎提交<br/>
                    使用方法:<br/>
                    &nbsp;&nbsp;&nbsp;&nbsp;1. 请先从订单列表导出EXCEL订单数据。<br/>
                    &nbsp;&nbsp; &nbsp;&nbsp;2. EXCEL一项有快递单号，请与订单号一一对应填写<br/>
                    &nbsp;&nbsp;&nbsp;&nbsp;3. 选择快递公司，上传刚才填写的EXCEL，点击确认导入，等待导入结果
                </div>

                <form class="layui-form form-horizontal m-t" id="ajaxform"
                      action="{{wgRoute('liveshoporder.deliver.batchSave')}}" method="post">
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>快递公司</label>
                        <div class="layui-input-block">
                            <select name="express_id" lay-verify="required" lay-search="">
                                <option value="0">请选择</option>
                                @foreach($expresses as $key=>$item)
                                    <option value="{{$item->id}}">{{$item->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>EXCEL</label>
                        <div class="layui-input-block">
                            <input type="file" name="excel" class="form-control" style="font-size: 12px">

                        </div>
                    </div>
                    <div class="layui-form-item" >
                        <div class="layui-input-block">
                            <button class="btn btn-primary" type="submit" id="ajaxsubmit" >确认导入</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection