@extends('live::layouts.layouts')
@section('title')
    设置收货信息
@endsection
@section('content')
<div class="col-lg-12">
    <div style="width: 100%;">
        <div class="ibox-content" style="height: 500px;">
            <form class="layui-form form-horizontal m-t" id="ajaxform" action="{{wgRoute('liveshoporder.deliver.submit',['oid'=>$oid])}}" method="post">
                {{csrf_field()}}
                <div class="layui-form-item">
                    <label class="layui-form-label">发货订单号</label>
                    <div class="layui-input-block">
                        <input type="text" value="{{$order->order_id}}" class="layui-input" disabled>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">发货类型</label>
                    <div class="layui-input-block">
                        <input type="radio"  @if(!$order->deliver_type || $order->deliver_type==1) checked @endif name="deliver_type" value="1" title="发货" lay-filter="deliver_type">
                        <input type="radio" @if($order->deliver_type==2) checked @endif name="deliver_type" value="2" title="送货" lay-filter="deliver_type">
                        {{--<input type="radio" @if($order->deliver_type==3) checked @endif name="deliver_type" value="3" title="虚拟发货" lay-filter="deliver_type">--}}
                    </div>
                </div>
                <div class="deliver_type_box deliver_type1"  @if($order->deliver_type && $order->deliver_type!=1) style="display: none;" @endif>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>快递公司</label>
                        <div class="layui-input-block">
                            <select name="express_id" lay-verify="required" lay-search="">
                                <option value="0">请选择</option>
                                @foreach($expresses as $key=>$item)
                                    <option value="{{$item->id}}" @if($order->express_id==$item->id) selected @endif>{{$item->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>快递单号</label>
                        <div class="layui-input-block">
                            <input type="text" name="delivery_id" placeholder="请输入快递单号" value="{{$order->delivery_id}}" class="layui-input">
                        </div>
                    </div>
                </div>
                <div class="deliver_type_box deliver_type2"  @if($order->deliver_type!=2) style="display: none;" @endif>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>送货人姓名</label>
                        <div class="layui-input-block">
                            <input type="text" name="sh_delivery_name" placeholder="请输入送货人姓名" value="{{$order->delivery_name}}" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label"><span style="color: red;">*</span>送货人电话</label>
                        <div class="layui-input-block">
                            <input type="text" name="sh_delivery_id" placeholder="请输入送货人电话" value="{{$order->delivery_id}}" class="layui-input">
                        </div>
                    </div>
                </div>
                <div class="deliver_type_box deliver_type3" @if($order->deliver_type!=3) style="display: none;" @endif>
                </div>
                <div class="layui-form-item">
                    <div class="layui-input-block">
                        <button class="btn btn-primary" type="submit" id="ajaxsubmit">确认发货</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('script')
    <script>
        layui.use(['form','element'], function(){
            var form = layui.form;
            form.on('radio(deliver_type)', function(data){
                var type = data.value;
                $('.deliver_type_box').hide();
                $('.deliver_type'+type).show();
            });
        });
    </script>
@endsection