@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">订单号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[order_id]" lay-verify="" placeholder="订单号搜索"
                                       value="{{$query['order_id']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">支付方式</label>
                            <div class="layui-input-inline">
                                <select name="query[pay_type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['pay_type'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['pay_type']) && $query['pay_type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">时间类型</label>
                            <div class="layui-input-inline">
                                <select name="query[time_type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['time_types'] as $index=>$item)
                                        <option value="{{$index}}" {{ $query['time_type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <span class="static-left-text">订单总金额: {{$stats['total_money']}}</span>
                            <span class="static-left-text">|</span>
                            <span class="static-left-text">售出商品: {{$stats['total_goods_num']}}</span>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>订单号</th>
                            <th>用户信息</th>
                            <th>商品信息</th>
                            <th>实际支付</th>
                            <th>支付方式</th>
                            <th>订单状态</th>
                            <th>支付时间</th>
                            <th>下单时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr class="tr_checkbox_switch">
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                                <td>
                                    {{$item->order_id}}
                                </td>
                                <td>
                                    {{$item->real_name}}<br/>
                                    {{$item->user_phone}}
                                </td>
                                <td style="max-width: 300px;text-align: left" >
                                    @foreach($item->cartInfos as $cartInfo)
                                        @php
                                            $cartInfoDetail = $cartInfo->cart_info;
                                        @endphp
                                        <img title="{{$cartInfoDetail['productInfo']['store_name']}}" src="{{wgTomedia($cartInfoDetail['productInfo']['image'])}}" class="img_pop_show rounded img-sm"/>&nbsp;{{str_limit($cartInfoDetail['productInfo']['store_name'],30)}} | ￥{{$cartInfoDetail['productInfo']['price']}} x {{$cartInfoDetail['cart_num']}}<br/>
                                    @endforeach
                                </td>
                                <td>
                                    {{$item->pay_price}}
                                </td>
                                <td>
                                    {{$item->payTypeText}}
                                </td>
                                <td>
                                    <span style="color: {{$item->order_status_color}}">{{$item->order_status_name}}</span>
                                </td>
                                <th>
                                    @if($item->pay_time)
                                        @php echo date('Y-m-d',$item->pay_time) @endphp<br/>
                                @php echo date('H:i:s',$item->pay_time) @endphp
                                @endif
                                <th>
                                    @php $createdAt = explode(' ',$item->created_at); @endphp
                                    {{$createdAt[0]}}<br/>
                                    {{$createdAt[1]}}<br/>
                                </th>
                                <td>
                                    @include('live::shop.order.list_button', ['pager' => $pager])
                                </td>
                            </tr>
                            @if(\App\Services\PluginService::isEnabled('merch') &&
                     $item['role_type']==\App\Services\GlobalRoleService::MERCH
                     )
                                <tr style="background: #f2f2f2;">
                                    <th colspan="13" style="text-align: left;">
                                        店铺名称:
                                        <a class="link-color" href="{{wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->role->id])}}">{{$item->role->name}}</a>
                                    </th>
                                </tr>
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="{{wgRoute('liveshoporder.destroy')}}" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection