@extends('live::layouts.master')
@push('stylesheets')
    <link href="{{ URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')}}?v=33" rel="stylesheet">
@endpush
@section('head')
    <style>
        .step-region{position:relative;margin-bottom:10px}.font18{font-size:18px}.ui-step{padding:14px 0 8px 0;zoom:1;margin:0 50px}.ui-step:after{content:"";display:table;clear:both}.ui-step li{float:left;position:relative;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;text-align:center}.ui-step li::before,.ui-step li::after{position:absolute;left:0;top:27px;display:block;content:' ';width:50%;height:4px;background:#f2f3f7;z-index:1}.ui-step li::after{left:50%}.ui-step li:first-child::before{width:0}.ui-step li:last-child::after{width:0}.ui-step .ui-step-title{color:#333;font-size:12px;line-height:18px}.ui-step .ui-step-number{position:relative;display:inline-block;width:37px;height:37px;margin:10px 0;line-height:37px;background:#f2f3f7;color:#cac9c9;border-radius:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;z-index:2}.ui-step li.ui-step-done .ui-step-number{color:#fff}.ui-step .ui-step-meta{color:#ccc}.ui-step li.ui-step-done::before,.ui-step li.ui-step-done::after,.ui-step li.ui-step-done .ui-step-number{background:#54c952}.ui-step-2 li{width:50%}.ui-step-3 li{width:33.33333%}.ui-step-4 li{width:24.9999%}.ui-step-5 li{width:20%}.panel{padding:0;}.panel-default > .panel-heading{color:#333;background-color:#f5f5f5;border-color:#ddd;}.panel .panel-body{padding:15px;}.row{margin-top:15px;}
    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <div class="step-region">
                        <ul class="ui-step ui-step-4">
                            <li @if($order->created_at)class="ui-step-done"@endif>
                                <div class="ui-step-number">1</div>
                                <div class="ui-step-title">买家下单</div>
                                <div class="ui-step-meta">
                                    {{$order->created_at}}
                                </div>
                            </li>
                            <li  @if($order->paid)class="ui-step-done"@endif>
                                <div class="ui-step-number">2</div>
                                <div class="ui-step-title">买家付款</div>
                                <div class="ui-step-meta">
                                    {{$order->payTimeFormat}}
                                </div>
                            </li>
                            <li @if($order->status>=1)class="ui-step-done"@endif>
                                <div class="ui-step-number">3</div>
                                <div class="ui-step-title">
                                    商家发货
                                </div>
                                <div class="ui-step-meta">
                                    {{$order->deliverTimeFormat}}
                                </div>
                            </li>
                            <li @if($order->status>=2)class="ui-step-done"@endif>
                                <div class="ui-step-number">4</div>
                                <div class="ui-step-title">订单完成</div>
                                <div class="ui-step-meta">
                                    {{$order->finishTimeFormat}}
                                </div>
                            </li>
                        </ul>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading">
                            订单信息
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-sm-3">订单编号: {{$order->order_id}}</div>
                                <div class="col-sm-2">订单状态: <span style="color: {{$order->orderStatusColor}}">{{$order->orderStatusName}}</span></div>
                                <div class="col-sm-2">付款方式: {{$order->payTypeText}}</div>
                                <div class="col-sm-2">买家: {{$order->user->nickname}}
                                    <a data-toggle="popover" data-html="true" data-trigger="hover" data-placement="right" data-content="<table style='width:100%;'>
                    <tr>
                        <td  style='border:none;text-align:right;' colspan='2'><img src='{{$order->user->avatar}}' style='width:100px;height:100px;padding:1px;border:1px solid #ccc'  onerror='this.src=''/></td>
                    </tr>
                    <tr>
                        <td  style='border:none;text-align:right;'>ID：</td>
                        <td  style='border:none;text-align:right;'>{{$order->user->id}}</td>
                    </tr>
                    <tr>
                        <td  style='border:none;text-align:right;'>昵称：</td>
                        <td  style='border:none;text-align:right;'>
                         {{$order->user->nickname ?:'未填写'}}
                        </td>
                    </tr>
                    <tr>
                        <td  style='border:none;text-align:right;'>姓名：</td>
                        <td  style='border:none;text-align:right;'>
                         {{$order->user->realname ?: '未填写'}}                        </td>
                    </tr>
                    <tr>
                        <td  style='border:none;text-align:right;'>手机号：</td>

                        <td  style='border:none;text-align:right;'> {{$order->user->mobile ?: '未填写'}}</td>
                    </tr>
                    <tr>
                    </table>
    " data-original-title="" title=""> <i class="fa fa-question-circle-o" style="font-size: 13px;color: #2f3434;"></i></a>
                                </div>
                                <div class="col-md-3"></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">商品数量: {{$order->total_num}}</div>
                                <div class="col-sm-2">商品总价: ￥{{$order->total_price}}</div>
                                <div class="col-sm-2">支付邮费: ￥{{$order->pay_postage}}</div>
                                <div class="col-md-3">实际支付: ￥{{$order->pay_price}}</div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">下单时间: {{$order->created_at}}</div>
                                <div class="col-sm-2">支付时间: {{$order->payTimeFormat}}</div>
                                <div class="col-sm-2">发货时间: {{$order->deliverTimeFormat}}</div>
                                <div class="col-md-3">完成时间: {{$order->finishTimeFormat}}</div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">收货人: {{$order->real_name}}</div>
                                <div class="col-md-2">联系电话: {{$order->user_phone}}</div>
                                <div class="col-md-7">收货地址: {{$order->user_address}} &nbsp;<a style="color: #44abf7 !important" class="text-primary op js-clip" data-url="{{$order->user_address}}">复制</a></div>
                            </div>
                        @if($order->refund_reason_wap)
                                <div class="row">
                                    <div class="col-md-3">退款方式: {{$order->refund_type}}</div>
                                    <div class="col-md-2">退款原因: {{$order->refund_reason_wap}}</div>
                                    <div class="col-md-2">退款说明: {{$order->refund_reason_wap_explain}}</div>
                                    <div class="col-md-3">退款凭证:
                                        @php
                                            $refundReasonWapImgs = $order->refund_reason_wap_img;@endphp
                                        @foreach((array)$refundReasonWapImgs as $refundImg)
                                            <img  class="img_pop_show rounded img-sm" src="{{$refundImg}}" />
                                        @endforeach
                                    </div>
                                 </div>
                            @endif
                            @if($order->status>=2)
                            <div class="row">
                                <div class="col-md-3">配送方式: {{$order->delivery_type_text}}</div>
                                <div class="col-md-2">快递公司: {{$order->delivery_name}}</div>
                                <div class="col-md-2">快递单号: {{$order->delivery_id}}</div>
                            </div>
                            @endif
                            <div class="row">
                                <div class="col-sm-3">推广人: </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">用户备注: {{$order->mark}}</div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    订单备注: {{$order->remark}}                                                        &nbsp;<a style="color: #44abf7 !important" href="javascript:;" class="order_remark">修改</a>
                                </div>
                            </div>
                            @if($order->express_detail)
                                <div class="row">
                                    <div class="col-md-12">物流信息</div>
                                </div>
                                @foreach($order->express_detail as $index=>$item)
                                    <div class="row" style="{{$index==0 ? 'color:red':''}}">
                                        <div class="col-md-12">【{{$item['time']}}】 {{$item['status']}}</div>
                                    </div>
                                @endforeach
                            @endif
                        </div>
                    </div>

                    <div class="table-responsive m-t">
                        <table class="table invoice-table" style="margin-bottom: 0px">
                            <thead>
                            <tr>
                                <th>商品清单</th>
                                <th>规格</th>
                                <th>单价</th>
                                <th>数量</th>
                                <th>总价</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($order->goods as $cartInfo)
                                @php
                                    $cartInfoDetail = $cartInfo->cart_info;
                                @endphp
                                <tr>
                                        <td>
                                            <a href="{{wgRoute('liveshopgoods.edit',[$cartInfoDetail['productInfo']['id']])}}" target="_blank">
                                                <img title="{{$cartInfoDetail['productInfo']['store_name']}}" src="{{wgTomedia($cartInfoDetail['productInfo']['image'])}}" class="img_pop_show rounded img-sm"/>&nbsp;{{str_limit($cartInfoDetail['productInfo']['store_name'],100)}}
                                            </a>
                                        </td>
                                        <td>
                                            @if($cartInfoDetail['productInfo']['attrInfo'])
                                                {{$cartInfoDetail['productInfo']['attrInfo']['suk']}}
                                            @endif
                                        </td>
                                        <td>
                                            {{$cartInfoDetail['productInfo']['price']}}
                                        </td>
                                        <td>{{$cartInfoDetail['cart_num']}}</td>
                                        <td>{{$cartInfoDetail['truePrice']}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <table class="table invoice-total">
                        <tbody>
                        <tr>
                            <td><strong>运费 :</strong></td>
                            <td>￥{{$order->pay_postage}}</td>
                        </tr>
                        <tr>
                            <td><strong>实付金额 :</strong></td>
                            <td>￥{{$order->pay_price}}</td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="table invoice-total">
                        <tbody>
                        <tr>
                            <td>
                                @include('live::shop.order.detail_button', ['order' => $order])
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" id="oid" value="{{$order->id}}" />
@endsection
@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
        require(["{{ URL::asset('/static/web/js/plugins/sweetalert/sweetalert.min.js')}}"], function (swal) {
            layui.use(['laydate', 'element'], function () {
                $(".order_remark").click(function () {
                    var oid = $('#oid').val();
                    swal({
                        title: '订单备注',
                        input: 'textarea',
                        confirmButtonText: "提交",
                        cancelButtonText: "取消",
                        showCancelButton: true
                    }).then(function(result) {
                        var remark = result.value;
                        if(remark && result.dismiss!='cancel'){
                            var index = layer.load(0);
                            $.ajax({
                                url: '{{wgRoute("liveshoporder.remark")}}',
                                type: 'POST',
                                data: {oid:oid,remark:remark},
                                dataType: "json",
                                success: function (result) {
                                    layer.close(index);
                                    if (result.errno || result.errno == 0) {
                                        layer.msg(result.message, {time: 2000, icon: 6});
                                        window.location.reload();
                                    } else {
                                        layer.msg(result.message, {time: 2000, icon: 5});
                                    }
                                }
                            });
                        }

                    })
                })
            });
        })
    </script>
@endsection