@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">订单类型:</label>
                                <div class="layui-input-inline">
                                    <select name="query[terminal_type]" lay-verify="">
                                        <option value="">全部</option>
                                    @foreach($queryData['terminal_type'] as $index=>$item)
                                            <option value="{{$index}}" {{ $query['terminal_type']==$index ? 'selected': ''}}>{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">订单id:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[id]" lay-verify="" placeholder="订单id"
                                       value="{{$query['id']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">订单编号:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[order_sn]" lay-verify="" placeholder="订单编号"
                                       value="{{$query['order_sn']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">下单时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}" name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}" name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">收货人:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[uid]" lay-verify="" placeholder="用户id"
                                       value="{{$query['uid']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <div class="layui-inline">
                                <label class="layui-form-label">订单状态</label>
                                <div class="layui-input-inline">
                                    <select name="query[order_status]" lay-verify="">
                                        <option value="">全部</option>
                                    @foreach($queryData['order_status'] as $index=>$item)
                                            <option value="{{$index}}" {{ $query['order_status']==$index ? 'selected': ''}}>{{$item}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>

                            </div>
                        </div>
                    </form>

                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>商品</th>
                            <th>单价(元)</th>
                            <th>数量</th>
                            <th>买家</th>
                            <th>订单金额</th>
                            <th>交易状态</th>
                            <th>买家备注</th>
                            <th>交易操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        {{--@foreach($pager as $item)--}}
                            <tr>
                                <td colspan="8" style="text-align: left">
                                    订单ID：14980299 &nbsp;&nbsp;&nbsp;订单编号：127569090119083117441023233 &nbsp;&nbsp;&nbsp; 下单时间：2019/8/31 17:43:06 &nbsp;&nbsp;&nbsp; 订单状态：<label>待收货</label>
                                </td>
{{--                                @foreach($item->order_goods as $item1)--}}
                                    <tr>
                                        <td>
                                            <img src="https://i2.vzan.cc/image/liveImage/jpeg/2019/8/31/17395368f4946166c247cd9645998aea287b92.jpeg" style="width:100px;height:100px;padding:6px;">
                                        </td>
                                        <td>
                                            <span style="color:red">¥0.10</span>
                                        </td>
                                        <td style="text-align: center">
                                            1
                                        </td>
                                        <td>
                                           李睿
                                        </td>
                                        <td>
                                            <p>总额：¥0.10</p>
                                            <p>邮费：¥0.00</p>
                                        </td>
                                        <td>
                                            <strong>待收货</strong>
                                        </td>
                                        <td>
                                            买家备注
                                        </td>
                                        <td>
                                            <input type="button" class="btn btn-outline btn-info" value="修改物流信息">
                                            <input type="button" class="btn btn-outline btn-info" value="修改订单">
                                            <input type="button" class="btn btn-outline btn-info" value="确认发货">
                                        </td>
                                    </tr>
                                {{--@endforeach--}}
                            </tr>
                        {{--@endforeach--}}
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection