@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">客服名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="客服名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                            <span class="left">
                            <a class="btn btn-primary load_iframe" data-url="{{wgRoute('liveutilsuser.selectlist',['callback'=>'saveService'])}}" data-width="1000px" data-height="700px" href="javascript:;" ><i
                                        class="fa fa-plus"></i>&nbsp;添加客服</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>名称</th>
                                <th>昵称</th>
                                <th>头像</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->name}}</td>
                                    <td>{{$item->nickname}}</td>
                                    <td>
                                        <a href="{{wgTomedia($item->avatar)}}" target="_blank">
                                            <img src="{{wgTomedia($item->avatar)}}" class="rounded-circle img-md"/>
                                        </a>
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"  data-url="{{wgRoute('liveshopservice.edit',['id'=>$item->id])}}" data-width="1000px" data-height="700px">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"  class="btn btn-outline btn-danger ajax-confirm delete" data-url="{{wgRoute('liveshopservice.destroy',['id'=>$item->id])}}" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });

            form.on('switch(isshow)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.isshow = data.elem.checked ? 1 : 2;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

        /**
         * 保存客服
         * @param uids
         */
        function saveService(uids) {
            $.ajax({
                url: "{{wgRoute('liveshopservice.store')}}",
                type: 'POST',
                dateType: 'json',
                data: {uids,uids},
                success: function (res) {
                    if (res.errno == 0) {
                        location.reload();
                        layer.msg(res.message, {time: 2000, icon: 1});
                    } else {
                        layer.msg(res.message, {time: 2000, icon: 5});
                    }
                }
            });
        }
    </script>
@endsection