@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">表单名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="表单名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('liveutilsdiyform.create')}}" ><i class="fa fa-plus"></i>&nbsp;添加表单</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>名称</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>
                                        {{$item->name}}

                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="{{wgRoute('liveutilsdiyform.edit',['id'=>$item->id])}}" class="btn btn-outline btn-success">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"  class="btn btn-outline btn-danger ajax-confirm delete" data-url="{{wgRoute('liveutilsdiyform.destroy',['id'=>$item->id])}}" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
    </script>
@endsection