<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>页面装修</title>
    <!-- import CSS -->
    @include('live::layouts.css')
    <link rel="stylesheet" href="{{ URL::asset('/static/web/element-ui/index.css')}}?v=@php echo time(); @endphp">
    <link rel="stylesheet" href="{{ URL::asset('/static/web/admin/diypage/common.css')}}?v=@php echo time(); @endphp">
    <link rel="stylesheet" href="{{ URL::asset('/static/web/admin/diypage/iconfont.css')}}?v=@php echo time(); @endphp">
    <link href="{{ URL::asset('/static/web/layui/css/layui.css')}}?v=11" rel="stylesheet">
    <script src="{{ URL::asset('/static/web/js/vue.js')}}"></script>
    <script src="{{ URL::asset('/static/web/element-ui/index.js')}}"></script>
    <script src="{{ URL::asset('/static/web/admin/diypage/screenfull.js')}}?v=@php echo time(); @endphp"></script>


    <script src="{{ URL::asset('/static/web/admin/diypage/sortable.min.js')}}"></script>
    <script src="{{ URL::asset('/static/web/admin/diypage/vuedraggable.umd.min.js')}}"></script>

</head>
<body>
<script type="text/javascript">
    if (navigator.appName == 'Microsoft Internet Explorer') {
        if (navigator.userAgent.indexOf("MSIE 5.0") > 0 || navigator.userAgent.indexOf("MSIE 6.0") > 0 || navigator.userAgent.indexOf("MSIE 7.0") > 0) {
            alert('您使用的 IE 浏览器版本过低, 推荐使用 Chrome 浏览器或 IE8 及以上版本浏览器.');
        }
    }
    window.sysinfo = {
        @if( !empty($_W['uniacid']))'uniacid': '{{$_W['uniacid']}}', @endif
                @if( !empty($_W['acid']))'acid': '{{$_W['acid']}}', @endif
                @if( !empty($_W['openid']))'openid': '{{$_W['openid']}}', @endif
                @if( !empty($_W['uid']))'uid': '{{$_W['uid']}}', @endif
                @if( !empty($_W['role']))'role': '{{$_W['role']}}', @endif
        'isfounder': @if( !empty($_W['isfounder'])) 1 @else 0 @endif,
        'family': '{{IMS_FAMILY}}',
        'siteroot': '{{$_W['siteroot']}}',
        'siteurl': '{{$_W['siteurl']}}',
        'attachurl': '{{$_W['attachurl']}}',
        'attachurl_local': '{{$_W['attachurl_local']}}',
        'attachurl_remote': '{{$_W['attachurl_remote']}}',
        'module': {
            'url': '@if( defined('MODULE_URL')){{MODULE_URL}}@endif',
            'name': '@if( defined('IN_MODULE')){{IN_MODULE}}@endif'
        },
        'cookie': {'pre': '{{$_W['config']['cookie']['pre']}}'},
        'account': @php echo json_encode($_W['account']);@endphp,
        'server': {'php': '@php echo phpversion();@endphp'},
    };
</script>
@include('live::layouts.js')
<script>
    $(function () {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    })
</script>
<input type="hidden" class="saveUrl" value="{{wgRoute('liveutilsdiypage.save',['id'=>$model->id])}}"/>
<input type="hidden" class="tools" value="{{$toolsJson}}"/>
<input type="hidden" class="content" value="{{$model->content_json}}"/>
<input type="hidden" class="static_url" value="{{$_W['siteroot']}}addons/shimmer_liveshop/static/"/>

<div id="diywrapper">
    <header id="diyheader">
        <div class="left-btns" @click="goBack">
            <span class="iconfont iconfanhui colorwhite"></span>
            <span class="iconfont-text">返回</span>
        </div>
        <div class="right-btns">
            <div class="btn-item" @click="fullScreen">
                <span class="iconfont iconquanping colorwhite"></span>
                <span class="iconfont-text">全屏</span>
            </div>
            <div class="btn-item" @click="showEditBox('index',-1)">
                <span class="iconfont iconshezhi colorwhite"></span>
                <span class="iconfont-text">设置</span>
            </div>
            @if($model)
                <div class="btn-item load_iframe"
                     data-url="{{wgRoute('liveutilsdiypage.view',[$model->id])}}"
                     data-title="页面预览" data-width="350px" data-height="450px">
                    <span class="iconfont iconyulan1 colorwhite"></span>
                    <span class="iconfont-text">预览</span>
                </div>
            @endif
            <div class="btn-item" @click="save">
                <div class="save-btn">
                    <span class="iconfont iconbaocun colorwhite"></span>
                    <span class="iconfont-text">保存页面</span>
                </div>
            </div>
        </div>
    </header>
    <main id="app-main">
        <div class="left-tools">
            <el-menu :default-openeds="defaultOpeneds" class="el-menu-vertical-demo">
                <el-submenu :index="toolGroupKey" v-for="(toolGroup,toolGroupKey,toolGroupIndex) in toolGroups">
                    <template slot="title">
                        <span slot="title">@{{toolGroup.name}}</span>
                    </template>
                    <el-menu-item-group>
                        <el-menu-item @click="addTool(tool.type)" v-for="(tool,toolKey,toolIndex) in toolGroup.items">
                            <div class="flex-col flex-justify-c flex-align-c">
                                <i :class="[iconfont,tool.icon,toolicon]"></i>
                                <p class="tool-text">@{{ tool.name }}</p>
                            </div>
                        </el-menu-item>
                    </el-menu-item-group>
                </el-submenu>
            </el-menu>
        </div>
        <div class="flex-row flex-justify-c phone-box" >
            <section class="phone-content" id="phone-content">
                <div class="phone">
                    <div class="phone-inner">
                        @includeIf('live::utils.diypage.mobile.index')
                        <div class="diywrapper">
                            <draggable v-model="content.items">
                                <div v-for="(toolItem,toolIndex) in content.items">
                                    @foreach($tools as $toolGroup)
                                        @foreach($toolGroup['items'] as $tool)
                                            @includeIf("live::utils.diypage.mobile.{$tool['type']}")
                                        @endforeach
                                    @endforeach
                                </div>
                            </draggable>
                        </div>
                    </div>
                </div>
            </section>
            <div class="help-btn flex-col">
                <el-tooltip class="item" effect="dark" content="隐藏" placement="right">
                    <el-button :style="phoneBtnStyle.hide" @click="hideTools()" type="default"
                               icon="el-icon-view"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="上移组件" placement="right">
                    <el-button :style="phoneBtnStyle.arrowup" @click="arrowupTools()" type="default"
                               icon="el-icon-arrow-up"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="下移组件" placement="right">
                    <el-button :style="phoneBtnStyle.arrowdown" @click="arrowdownTools()" type="default"
                               icon="el-icon-arrow-down"></el-button>
                </el-tooltip>
                <el-tooltip class="item" effect="dark" content="复制组件" placement="right">
                    <el-button :style="phoneBtnStyle.copy" @click="copyTools()" type="default"
                               icon="el-icon-document"></el-button>
                </el-tooltip>
            </div>
        </div>
        <div class="right-box">
            <section>
                @includeIf('live::utils.diypage.form.index')
            </section>
            <section>
                @foreach($tools as $toolGroup)
                    @foreach($toolGroup['items'] as $tool)
                        @includeIf("live::utils.diypage.form.{$tool['type']}")
                    @endforeach
                @endforeach
            </section>
        </div>
    </main>

    {{--热区--}}
    {{--<div v-if="currentType=='hot_zone'">--}}
        {{--<el-dialog--}}
                {{--width="45%"--}}
                {{--custom-class="wlm-form-dialog drag-hotspots"--}}
                {{--:visible.sync="content.items[currentIndex].showDialog"--}}
                {{--title=""--}}
        {{-->--}}
            {{--<div class="wlm-dialog-fixheader">--}}
                {{--<span class="wlm-dialog-inlenr">设置热区</span>--}}
            {{--</div>--}}
            {{--<div class="wlm-table-content">--}}
                {{--<div class="wlm-dialog-main">--}}
                    {{--<div class="flex-row">--}}
                        {{--<div class="el-scrollbar" style="width: 100%; height: 490px; max-height: 490px;">--}}
                            {{--<div class="el-scrollbar__wrap" style="margin-bottom: -15px; margin-right: -15px;">--}}
                                {{--<div class="el-scrollbar__view">--}}
                                    {{--<div class="flex-row flex-grow-1 flex-justify-c"--}}
                                         {{--style="position: relative; margin: 0px auto; width: 700px;">--}}
                                        {{--<img src="https://weixin.bjsjwx.com/addons/weliam_areashop/web/uploads/67/image/2019/12/2019121821503323ba27513.jpg"--}}
                                             {{--style="width: 700px;z-index: 0;"/>--}}
                                        {{--<div class="draggable resizable vdr active"--}}
                                             {{--style="position: absolute; top: 54px; left: 382px; width: 200px; height: 200px; z-index: 2; user-select: auto;" draggable="true" @dragstart="dragStart($event)">--}}
                                            {{--<div class="handle handle-br" style="display: block">--}}
                                            {{--</div>--}}
                                            {{--<div class="drag-content flex-row flex-align-c flex-justify-c text-center">--}}
                                                {{--<p>双击添加链接</p>--}}
                                            {{--</div>--}}
                                            {{--<div class="handle-close">--}}
                                                {{--<i class="el-icon-close"></i>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                {{--</div>--}}
            {{--</div>--}}
            {{--<div class="wlm-dialog-fixfooter">--}}
                {{--<span class="dialog-footer">--}}
                    {{--<button class="el-button el-button--primary el-button--small">--}}
                        {{--<span>添加热区</span>--}}
                    {{--</button>--}}
                      {{--<button class="el-button el-button--default el-button--small">--}}
                        {{--<span>确定</span>--}}
                    {{--</button>--}}
                {{--</span>--}}
            {{--</div>--}}
        {{--</el-dialog>--}}
    {{--</div>--}}
    {{--end热区--}}

</div>
<script src="{{ URL::asset('/static/web/admin/diypage/tools_config.js')}}?v=@php echo time(); @endphp"></script>
<script src="{{ URL::asset('/static/web/admin/diypage/defauult_magic_cube_style.config.js')}}?v=@php echo time(); @endphp"></script>
<script src="{{ URL::asset('/static/web/admin/diypage/common.js')}}?v=@php echo time(); @endphp"></script>
</body>

</html>