@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">页面名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="页面名称"
                                       value="{{$query['name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">页面类型:</label>
                            <div class="layui-input-inline">
                                <select name="query[type]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['type'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['type']) && $query['type']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('liveutilsdiypage.create')}}"><i
                                        class="fa fa-plus"></i>&nbsp;新建页面</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>页面名称</th>
                                <th>页面类型</th>
                                <th>浏览量</th>
                                <th>修改时间</th>
                                <th>创建时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pager as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>
                                        {{$item->name}}
                                    </td>
                                    <td>
                                        {{$queryData['type'][$item->type]}}
                                    </td>
                                    <td>
                                        {{$item->view_num}}
                                    </td>
                                    <td>
                                        {{$item->updated_at}}
                                    </td>
                                    <td>
                                        {{$item->created_at}}
                                    </td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"
                                               data-url="{{wgRoute('liveutilsdiypage.view',[$item->id])}}"
                                               data-title="页面预览" data-width="350px" data-height="450px">
                                                预览
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="{{wgRoute('liveutilsdiypage.edit',[$item->id])}}"
                                               class="btn btn-outline btn-success">
                                                编辑
                                            </a>
                                            &nbsp;&nbsp;
                                            <a class="btn btn-outline btn-success  ajax-confirm"
                                               data-url="{{wgRoute('liveutilsdiypage.copy',[$item->id])}}"
                                               data-title="确定要复制该页面吗？" href="javascript:;">
                                                复制
                                            </a>
                                            &nbsp;&nbsp;
                                            <a href="javascript:;"
                                               class="btn btn-outline btn-danger ajax-confirm delete"
                                               data-url="{{wgRoute('liveutilsdiypage.destroy',['id'=>$item->id])}}"
                                               data-title="确定要删除吗">
                                                删除
                                            </a>
                                            &nbsp;&nbsp
                                            <a class="btn btn-outline btn-success  ajax-confirm"
                                               data-url="{{wgRoute('liveutilsdiypage.changetype',[$item->id,'type'=>2])}}" data-method="post"
                                               data-title="确定要设置该页面为首页吗？" href="javascript:;">
                                                设为首页
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </form>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
    </script>
@endsection