@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">分类名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" value="{{$query['name']}}" placeholder="请输入分类名称"
                                       class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th style="width: 100px;">名称</th>
                            <th>图片</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <th>{{$item->id}}</th>
                                <th>{{$item->name}}</th>
                                <th>
                                    <img src="{{wgTomedia($item->pic)}}" class="rounded img-md img_pop_show"/>
                                </th>
                                <th>
                                    <button class="btn btn-primary btn-sm select" data-id="{{$item->id}}"
                                            data-name="{{$item->name}}">选择
                                    </button>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        var callback = '{{$callback}}';
        var inputClass = '{{$inputClass}}';

        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;


            $(".select").click(function () {
                layer.closeAll();
                var index = parent.layer.getFrameIndex(window.name);
                if (index) {
                    parent.layer.close(index);
                }
                var id = $(this).data('id');
                var name = $(this).data('name');

                if (callback == 'set_input') {
                    $('.' + inputClass, window.parent.document).val(name);
                    //兼容Vue点击
                    $("." + inputClass, window.parent.document)[0].dispatchEvent(new Event('input'));
                    $('.category_id', window.parent.document).val(id);
                    $(".category_id", window.parent.document)[0].dispatchEvent(new Event('input'));
                } else {
                    //调用父类方法
                    window.parent.{{$callback}}(id, name);
                }
            });
        });

    </script>
@endsection