@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">商品名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[title]" value="{{$query['title']}}" placeholder="请输入商品名称"
                                       class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>商品ID</th>
                            <th style="width: 100px;">名称</th>
                            <th>商品图片</th>
                            <th>价格</th>
                            <th>库存</th>
                            <th>销量</th>
                            <th>状态</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $good)
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_{{$good->id}}"
                                           data-title="{{$good->title}}"
                                           data-thumb="{{wgTomedia($good->thumb)}}"
                                           data-sale_num="{{ $good->sale_num + $good->ficti_num}}"
                                           data-marketprice="{{$good->marketprice}}"
                                           data-productprice="{{$good->productprice}}"

                                           data-id="{{$good->id}}"></td>
                                <th>{{$good->id}}</th>
                                <th>{{$good->title}}</th>
                                <th>
                                    <img src="{{wgTomedia($good->thumb)}}" class="rounded img-md img_pop_show"/>
                                </th>
                                <th>
                                    市场价：{{$good->productprice}}<br>
                                    销售价：{{$good->marketprice}}<br>
                                    成本价：{{$good->costprice}}<br>
                                </th>
                                <th>{{$good->stock}}</th>
                                <th>{{$good->sale_num}}</th>
                                <th>
                                    @if($good->state==1)
                                        <span class="text-success">上架</span>
                                    @else
                                        <span class="text-danger">下架</span>
                                    @endif
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div style="text-align: center">
                        <input style="width: 200px" type="button" class="btn btn-success commit" value="确定">
                    </div>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        var callback = '{{$callback}}';
        var inputClass = '{{$inputClass}}';

        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            $(".line").click(function () {
                if ($(this).find(".check_item").is(":checked")) {
                    $(this).find(".check_item").attr("checked", false);
                } else {
                    $(this).find(".check_item").attr("checked", true);
                }
            });

            $(".commit").click(function () {
                layer.closeAll();
                var index = parent.layer.getFrameIndex(window.name);
                if (index) {
                    parent.layer.close(index);
                }
                //获取选择的用户id
                var ids = [];
                var titles = [];
                var goodsItems = [];
                $(".check_item:checked").each(function () {
                    var value = $(this).data('id');
                    var title = $(this).data('title');
                    var sale_num = $(this).data('sale_num');
                    var thumb = $(this).data('thumb');
                    var marketprice = $(this).data('marketprice');
                    var productprice = $(this).data('productprice');
                    ids.push(value);
                    titles.push(title);
                    goodsItems.push({
                        'id': value,
                        'title': title,
                        'sale_num': sale_num,
                        'thumb': thumb,
                        'marketprice': marketprice,
                        'productprice': productprice,
                    });
                });
                if (callback == 'set_input') {
                    var goods = $('.' + inputClass, window.parent.document).val();

                    if (!goods) {
                        goods = [];
                    } else {
                        goods = JSON.parse(goods);
                    }

                    goods = goods.concat(goodsItems);
                    goods = JSON.stringify(goods);
                    $('.' + inputClass, window.parent.document).val(goods);
                    //兼容Vue点击
                    $("." + inputClass, window.parent.document)[0].dispatchEvent(new Event('input'));
                } else {
                    //调用父类方法
                    window.parent.{{$callback}}(ids, titles, goodsItems);
                }
            });
        });

    </script>
@endsection