@extends('live::layouts.layouts')
@section('content')
<div class="col-lg-12">
    <div class="ibox">
        <div class="ibox-content">
                <div class="layui-inline">
                    <label class="layui-form-label">用户昵称:</label>
                    <div class="layui-input-inline">
                        <input type="text" name="query[nickname]" lay-verify="" placeholder="用户昵称"
                               value="{{$query['nickname']}}" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-inline" style="padding-bottom: 5px">
                    <div class="layui-input-inline">
                        <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                        <button name="submit" class="btn btn-success" type="submit">搜索</button>
                    </div>
                </div>
            </form>
            <table class="layui-table">
                <thead>
                <tr class="tr_checkbox_switch">
                    <th>
                        <input type="checkbox" class="check_all">
                    </th>
                    <th>ID</th>
                    <th>昵称</th>
                    <th>头像</th>
                    <th>省份</th>
                    <th>城市</th>
                    <th>性别</th>
                </tr>
                </thead>
                <tbody>
                @foreach($pager as $item)
                    <tr class="line">
                        <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                        <td>{{$item->id}}</td>
                        <td>{{$item->nickname}}</td>
                        <td>
                            <a href="{{wgTomedia($item->avatar)}}" target="_blank">
                                <img src="{{wgTomedia($item->avatar)}}" class="rounded-circle img-md"/>
                            </a>
                        </td>
                        <td>{{$item->province}}</td>
                        <td>{{$item->city}}</td>
                        <td>{{$item->genderText}}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            <div style="text-align: center">
                <input style="width: 200px" type="button" class="btn btn-success commit" value="确定">
            </div>
            @include('live::common.pagination', ['pager' => $pager])
        </div>
    </div>
</div>
@endsection

@section('script')
    <script>

        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            $(".line").click(function () {
                if( $(this).find(".check_item").is(":checked")){
                    $(this).find(".check_item").attr("checked",false);
                } else{
                    $(this).find(".check_item").attr("checked",true);
                }
            });

            $(".commit").click(function () {
                layer.closeAll();
                var index = parent.layer.getFrameIndex(window.name);
                if (index) {
                    parent.layer.close(index);
                }
                //获取选择的用户id
                var ids = [];
                $(".check_item:checked").each(function () {
                    var value = $(this).data('id');
                    ids.push(value);
                });
                //调用父类方法
                window.parent.{{$callback}}(ids);
            });
        });

    </script>
@endsection