@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">小视频ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入小视频ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 105px;">小视频名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入小视频名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('livevideo.create')}}" class="btn btn-primary">上传小视频</a>
                            <a  href="{{wgRoute('livecategory.index',[2])}}" class="btn btn-default">小视频分类</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $videos])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>封面</th>
                            <th>所属话题</th>
                            <th>绑定话题</th>
                            <th>小视频名称</th>
                            <th>所属分类</th>
                            <th>当前状态</th>
                            <th>浏览量</th>
                            <th>是否推荐</th>
                            <th>审核状态</th>
                            <th>上传时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($videos as $video)
                            <tr>
                                <td>{{$video->id}}</td>
                                <td>
                                    <img src="{{$video->cover}}" style="width: 107px;height: 107px;">
                                </td>
                                <td>{{$video->belong_live_name}}</td>
                                <td>{{$video->bind_live_name}}</td>
                                <td>{{$video->title}}</td>
                                <td>{{$video->cate_name}}</td>
                                <td>{{$video->isshow_text}}</td>
                                <td>{{$video->num}}</td>
                                <td>{{$video->recomment_text}}</td>
                                <td>{{$video->status_text}}</td>
                                <td>{{$video->created_at}}</td>
                                <td>{{$video->sort}}</td>
                                <td>
                                    <div class="dropdown btn  btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item " href="{{wgRoute('livevideo.edit',[$video->id])}}">
                                                    编辑
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_prompt" data-url="{{wgRoute('livevideo.change_sort',[$video->id])}}" data-title="{{$live->title}}" href="javascript:;">
                                                    排序
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('livevideo.change_recommend',[$video->id])}}" data-title="确定要操作吗" href="javascript:;">
                                                    @if($video->is_recommend==0)
                                                        推荐至热门推荐
                                                    @else
                                                        取消推荐至热门推荐
                                                    @endif

                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('livevideo.change_status',[$video->id])}}" data-title="确定要操作吗" href="javascript:;">
                                                    @if($video->isshow==1)
                                                        下架
                                                    @else
                                                        上架
                                                    @endif
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="{{wgRoute('livevideo.get_share_url',[$video->id])}}" data-title="分享链接" data-width="350px" data-height="450px">
                                                    获取分享链接
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item load_iframe" data-url="{{wgRoute('livelive.get_open_lives',[$video->id])}}" data-width="1000px" data-height="80%">
                                                    绑定话题
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm delete" data-url="{{wgRoute('livevideo.destroy',[$video->id])}}" data-title="确定要删除吗" href="javascript:;">
                                                    删除
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                    {{--<a  href="javascript:;" class="btn  btn-info">--}}
                                        {{--推荐--}}
                                    {{--</a>--}}
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $videos])
                </div>
            </div>
        </div>
    </div>
@endsection