@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">话题ID:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">话题名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $lives])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>话题ID</th>
                            <th>话题封面</th>
                            <th>话题名称</th>
                            <th>类型</th>
                            <th>创建时间</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($lives as $live)
                            <tr>
                                <th>{{$live->id}}</th>
                                <th>
                                    <img src="{{wgTomedia($live->cover)}}">
                                </th>
                                <th>{{$live->title}}</th>
                                <th>{{\Config('live.limitType')[$live->limit_type]}}</th>
                                <th>
                                    {{$live->created_at}}
                                </th>
                                <th>
                                    <a  href="javascript:;" class="btn  btn-info" onclick="bind({{$live->id}})">
                                        绑定
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $lives])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        function bind(id) {
            //var parent_index = parent.layer.getFrameIndex(window.name);
            layer.confirm('确定要绑定吗', {
                btn: ['确定', '取消'] //按钮
            }, function () {
                var index = layer.load(0);
                $.ajax({
                    url: '{{wgRoute("livevideo.bind_live_id",[$video_id])}}',
                    type: 'POST',
                    data: {live_id:id},
                    dataType: "json",
                    success: function (result) {
                        layer.close(index);
                        if (result.errno || result.errno == 0) {
                            layer.msg(result.message, {time: 2000, icon: 6});
                            if (result.redirect) {
                                window.location = result.redirect;
                            } else {
                                location.reload();
                            }
                            //parent.layer.close(parent_index);
                        } else {
                            layer.msg(result.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });

        }
    </script>
@endsection