@extends('live::layouts.layouts')
@section('content')
    <div class="" style="width: 100%;background: #fff;">
        <div class="">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">小视频名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入话题ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">分类:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <button class="btn btn-primary save">确定保存</button>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $videos])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>小视频名称</th>
                            <th>封面</th>
                            <th>分类</th>
                            <th>上传时间</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($videos as $video)
                            <tr>
                                <th><input type="checkbox" class="check_item check_item_{{$video->id}}" name="video_id[]" value="{{$video->id}}"></th>
                                <th>{{$video->id}}</th>
                                <th>{{$video->title}}</th>
                                <th>
                                    <img src="{{wgTomedia($video->cover)}}">
                                </th>

                                <th>{{$video->cate_id}}</th>
                                <th>
                                    {{$video->created_at}}
                                </th>
                                <th>{{$video->sort}}</th>
                                <th>
                                    <a class="btn  btn-info load_prompt" data-url="{{wgRoute('livevideo.change_sort',[$video->id])}}" data-title="{{$live->title}}" href="javascript:;">
                                        排序
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $videos])
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
<script>
    $(function () {
        var ids =window.parent.document.getElementById("videosIds").value;
        if (ids){
            var idsArr = ids.split(',');
            var checkId=$("input[name='video_id[]']");
            for (var i = 0; i < checkId.length; i++) {
                if (idsArr.indexOf(checkId[i].value)!=-1){
                    checkId[i].checked = true;
                }else{
                    checkId[i].checked = false;
                }
            }
        }
    })
    $('.save').click(function(){
        var checkId=$("input[name='video_id[]']:checked");
        var ids=[];
        for (var i = 0; i < checkId.length; i++) {
            if (checkId[i].checked){
                ids.push(checkId[i].value);
            }
        }
        var index = parent.layer.getFrameIndex(window.name);
        window.parent.document.getElementById("videosIds").value=ids;
        parent.layer.close(index);
    });
</script>
@endsection
