<div class="layui-form-item">
    <label class="layui-form-label">投票类型</label>
    <div class="layui-input-block">
        <select name="type" lay-verify="required" lay-search="">
            @foreach(\App\Models\ShimmerLiveshopVote::$type as $key=>$val)
                <option value="{{$key}}" @if($model->type==$key) selected @endif>{{$val}}</option>
            @endforeach
        </select>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">投票标题</label>
    <div class="layui-input-block">
        <input type="text" name="title" placeholder="投票标题" value="{{$model->title}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">开始时间</label>
    <div class="layui-input-block">
        <input type="text" class="layui-input" id="start_at" name="start_at" value="{{$model->start_at}}" readonly>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">结束时间</label>
    <div class="layui-input-block">
        <input type="text" class="layui-input" id="end_at" name="end_at" value="{{$model->end_at}}" readonly>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">投票主题图片</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_image('theme',$model->theme); @endphp
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">投票规则</label>
    <div class="layui-input-block">
        @php echo tpl_ueditor('rule',$model->rule); @endphp
    </div>
</div>
<div class="layui-form-item">
    <label class="layui-form-label">投票送礼</label>
    <div class="layui-input-block">
        <input type="radio" name="open_pay_vote" value="1" @if($model->open_pay_vote==1) checked @endif title="开启" >
        <input type="radio" name="open_pay_vote" value="2" @if($model->open_pay_vote==2) checked @endif title="关闭" >
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">免费投票</label>
    <div class="layui-input-block">
        <select name="free_vote" lay-verify="required" lay-search="">
            <option value="1">每天</option>
            <option value="2">总共</option>
        </select>
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">可免费投</label>
    <div class="layui-input-block">
        <input type="text" name="free_vote_nums" required  lay-verify="required" placeholder="可免费投" value="{{$model->free_vote_nums}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">每个选项最多可投</label>
    <div class="layui-input-block">
        <input type="text" name="same_nums" required  lay-verify="required" placeholder="每个选项最多可投" value="{{$model->same_nums}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">IP限制</label>
    <div class="layui-input-block">
        <input type="text" name="limit_ip_nums" required  lay-verify="required" placeholder="IP限制" value="{{$model->limit_ip_nums}}" class="layui-input">
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">可投区域</label>
    <div class="layui-input-block">
        @php echo wg_tpl_form_field_city('area',$model->rule); @endphp
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">投票结果查看</label>
    <div class="layui-input-block">
        <input type="radio" name="show_votes" value="1" @if($model->show_votes==1) checked @endif title="投票后立即显示" >
        <input type="radio" name="show_votes" value="2" @if($model->show_votes==2) checked @endif title="投票结束后显示" >
        <input type="radio" name="show_votes" value="2" @if($model->show_votes==2) checked @endif title="投票前可见" >
    </div>
</div>

<div class="layui-form-item">
    <label class="layui-form-label">关注公众号</label>
    <div class="layui-input-block">
        <input type="radio" name="follow_wechat" value="1" @if($model->follow_wechat==1) checked @endif title="开启" >
        <input type="radio" name="follow_wechat" value="2" @if($model->follow_wechat==2) checked @endif title="关闭" >
    </div>
</div>

@section('script')
    <script>
        layui.use(['form','laydate','element'], function(){
            var form = layui.form;
            var laydate = layui.laydate,element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '#start_at'
                ,type: 'datetime'
                ,trigger:'click'
            });
            laydate.render({
                elem: '#end_at'
                ,type: 'datetime'
                ,trigger:'click'
            });
        });
    </script>
@endsection