@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">投票标题:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入小视频ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 105px;">开始时间:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入小视频名称" class="layui-input">
                            </div>-
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入小视频名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('votevote.create')}}" class="btn btn-primary">添加投票</a>
                            <a  href="{{wgRoute('votevotegift.index')}}" class="btn btn-primary">添加投票礼物</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $votes])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>投票标题</th>
                            <th>投票类型</th>
                            <th>免费投票</th>
                            <th>可投票数</th>
                            <th>启用状态</th>
                            <th>活动状态</th>
                            <th>开始时间</th>
                            <th>结束时间</th>
                            <th>投票项</th>
                            <th>投票详情</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($votes as $vote)
                            <tr>
                                <td>{{$vote->id}}</td>
                                <td>{{$vote->title}}</td>
                                <td>{{$vote->type_text}}</td>
                                <td>{{$vote->free_vote_text}}</td>
                                <td>{{$vote->free_vote_nums}}</td>
                                <td>{{$vote->status_text}}</td>
                                <td>{{$vote->state}}</td>
                                <td>{{$vote->start_at}}</td>
                                <td>{{$vote->end_at}}</td>
                                <td>
                                    <a href="{{wgRoute('votevoteuser.index',[$vote->id])}}" class="btn  btn-info">
                                        投票项
                                    </a>
                                </td>
                                <td>
                                    <a href="{{wgRoute('votevotelog.logs',[$vote->id])}}" class="btn  btn-info">
                                        投票详情
                                    </a>
                                </td>
                                <td>
                                    <div class="dropdown btn  btn-info" >
                                        <div data-toggle="dropdown" class="dropdown-toggle" href="#">
                                            操作
                                        </div>
                                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                                            <li>
                                                <a class="dropdown-item" href="{{wgRoute('votevote.edit',[$vote->id])}}">
                                                    编辑
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('votevote.change_status',['vote_id'=>$vote->id,'status'=>$vote->status==1?0:1])}}" data-title="确定要恢复未开始状态吗" href="javascript:;">
                                                    {{$vote->status==1?'开启':'关闭'}}
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm" data-url="{{wgRoute('votevote.copy_live',[$vote->id])}}" data-title="确定要克隆该投票吗" href="javascript:;">
                                                    克隆
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item ajax-confirm delete" data-url="{{wgRoute('votevote.destroy',[$vote->id])}}" data-title="确定要删除吗" href="javascript:;">
                                                    删除
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $votes])
                </div>
            </div>
        </div>
    </div>
@endsection