@extends('live::layouts.master')
@section('title')
    直播分类
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">礼物名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入话题名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="javascript:;" data-url="{{ShimmerLiveshopRoute('votevotegift.create')}}" data-width="1000px" data-height="700px" class="btn btn-primary load_iframe">添加礼物</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $gifts])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>礼物名称</th>
                            <th>礼物图片</th>
                            <th>礼物价格</th>
                            <th>使用状态</th>
                            <th>票数</th>
                            <th>排序</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($gifts as $gift)
                            <tr>
                                <th>{{$gift->id}}</th>
                                <th>{{$gift->name}}</th>
                                <th>
                                    <img src="{{wgTomedia($gift->image)}}">
                                </th>

                                <th>{{$gift->price}}</th>
                                <th>{{\App\Models\ShimmerLiveshopVoteGift::$status[$gift->status]}}</th>
                                <th>{{intval($gift->votes)}}</th>
                                <th>{{$gift->sort}}</th>
                                <th>
                                    <a href="javascript:;" data-url="{{ShimmerLiveshopRoute('votevotegift.edit',[$gift->id])}}" data-width="1000px" data-height="700px" class="btn load_iframe btn-info">
                                        编辑
                                    </a>
                                    <a  data-url="{{ShimmerLiveshopRoute('votevotegift.change_status',[$gift->id])}}" data-title="确定要修改状态吗" href="javascript:;" class="btn ajax-confirm btn-info">
                                        @if($gift->status==1)
                                            禁用
                                        @else
                                            启用
                                        @endif
                                    </a>
                                    <a  href="javascript:;" data-url="{{ShimmerLiveshopRoute('votevotegift.destroy',[$gift->id])}}" data-title="确定要删除吗" class="btn  btn-warning ajax-confirm delete">
                                        删除
                                    </a>
                                </th>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $gifts])
                </div>
            </div>
        </div>
    </div>
@endsection