@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">投票类型:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入小视频ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>
                    @include('live::common.toolbar', ['pager' => $logs])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>投票项</th>
                            <th>图片</th>
                            <th>用户ID</th>
                            <th>用户名称</th>
                            <th>用户头像</th>
                            <th>投票类型</th>
                            <th>投票数量</th>
                            <th>投票时间</th>
                            <th>IP地址</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($logs as $log)
                            <tr>
                                <td>{{$log->vote_id}}</td>
                                <td>
                                    <img src="{{$vote->cover_text}}">
                                </td>
                                <td>{{$vote->uid}}</td>
                                <td>{{$vote->nickname}}</td>
                                <td>
                                    <img src="{{$vote->avatar}}">
                                </td>
                                <td>{{$vote->type}}</td>
                                <td>{{$vote->votes}}</td>
                                <td>{{$vote->created_at}}</td>
                                <td>{{$vote->ip}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $logs])
                </div>
            </div>
        </div>
    </div>
@endsection