@extends('live::layouts.master')
@section('title')
    频道管理
@endsection
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">投票标题:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="id"  placeholder="请输入小视频ID" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label" style="width: 105px;">开始时间:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入小视频名称" class="layui-input">
                            </div>-
                            <div class="layui-input-inline">
                                <input type="text" name="title"  placeholder="请输入小视频名称" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <button class="btn btn-success" type="submit" onclick="search()">搜索</button>
                            </div>
                        </div>
                    </form>

                    @section('toolbar')
                        <span class="left">
                            <a  href="{{wgRoute('votevoteuser.create',[\Request::route('vote_id')])}}" class="btn btn-primary">添加投票项</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $votes])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>投票项标题</th>
                            <th>图片</th>
                            <th>详情展示方式</th>
                            <th>投票数量</th>
                            <th>投票收益</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($votes as $vote)
                            <tr>
                                <td>{{$vote->id}}</td>
                                <td>{{$vote->title}}</td>
                                <td>
                                    <img src="{{$vote->cover_text}}">
                                </td>
                                <td>{{$vote->detail_type_text}}</td>
                                <td>{{intval($vote->votes)}}</td>
                                <td>{{floatval($vote->income)}}</td>
                                <td>
                                    <a href="{{wgRoute('votevoteuser.edit',[\Request::route('vote_id'),$vote->id])}}" class="btn  btn-info">
                                        编辑
                                    </a>
                                    <a class="btn  btn-info ajax-confirm delete" data-url="{{wgRoute('votevoteuser.destroy',[\Request::route('vote_id'),$vote->id])}}" data-title="确定要删除吗" href="javascript:;">
                                        删除
                                    </a>
                                    <a href="{{wgRoute('votevotelog.logs',['vote_id'=>\Request::route('vote_id'),'voteuser_id'=>$vote->id])}}" class="btn  btn-info">
                                        投票明细
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $votes])
                </div>
            </div>
        </div>
    </div>
@endsection