@extends('live::layouts.master')
@section('page_title',$pageTitle)

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox ">
                <div class="ibox-content">
                    <form id="ajaxform" action="{{ShimmerLiveshopRoute('liveweskit.update')}}" method="post"
                          class="layui-form form-horizontal">
                        {{csrf_field()}}
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">是否开启马甲</label>
                            <div class="col-sm-10">
                                <input type="checkbox" {{ $config->enabled ? 'checked' : '' }} lay-filter="config"
                                       name="enabled" lay-skin="switch" lay-text="开启|关闭" value="1">
                                <div class="form-text m-b-none">
                                </div>
                            </div>
                        </div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">播放方式</label>
                            <div class="col-sm-10">
                                <input type="radio" {{ $config->play_type==0 ? 'checked' : '' }} name="play_type" value="0" title="顺序播放"/>
                                <input type="radio" {{ $config->play_type==1 ? 'checked' : '' }} name="play_type" value="1" title="随机播放"/>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">播放次数</label>
                            <div class="col-sm-10">
                                <input type="radio" {{ $config->play_times==0 ? 'checked' : '' }} name="play_times" value="0" title="顺序播放"/>
                                <input type="radio" {{ $config->play_times==1 ? 'checked' : '' }} name="play_times" value="1" title="仅播放一次"/>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">执行频率</label>
                            <div class="col-sm-10">
                                <div class="input-group">
                                    <input type="number" class="form-control" name="send_rate" value="{{$config->send_rate}}" min="1" max="180">
                                    <span class="input-group-append">
                                    <button type="button" class="btn btn-primary">
                                        秒/次数
                                    </button>
                                </span>
                                </div>
                                <span class="form-text m-b-none">请输入1~180之间的整数</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">开始时间段</label>
                            <div class="col-sm-10 form-inline">
                                <input type="text" class="layui-input-inline form-control start_time" value="{{$config->start_time}}" name="start_time"
                                       placeholder="">
                                -
                                <input type="text" class="layui-input-inline form-control end_time" value="{{$config->end_time}}" name="end_time"
                                       placeholder="">
                                &nbsp;&nbsp;<span class="help-block">时间段间隔不能超过6小时</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">消息:</label>
                            <div class="col-sm-10">
                                <textarea name="content" placeholder="请输入评论消息"
                                          class="layui-textarea">{{$config->content}}</textarea>
                                <span class="form-text m-b-none">请输入直播主题消息,多句使用换行（回车）分割,最多不超过5000字</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">设置图片:</label>
                            <div class="col-sm-10">
                                @php echo wg_tpl_form_field_multi_image('pics',$config->pics);@endphp
                                <span class="form-text m-b-none">建议图片大小：640*120 不能超过2M 最多上传五张图片</span>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        {{--<div class="form-group  row">--}}
                        {{--<label class="col-sm-2 col-form-label">打赏礼物:</label>--}}
                        {{--<div class="col-sm-10">--}}
                        {{--<textarea name="content" placeholder="请输入分享描述"--}}
                        {{--class="layui-textarea">{{$config->content}}</textarea>--}}
                        {{--<span class="form-text m-b-none">建议图片大小：640*120 不能超过2M 最多上传五张图片</span>--}}
                        {{--</div>--}}
                        {{--</div>--}}
                        {{--<div class="hr-line-dashed"></div>--}}
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">是否开启虚拟进场</label>
                            <div class="col-sm-10">
                                <input type="checkbox"
                                       {{ $config->is_open_virtual_approach ? 'checked' : '' }} lay-filter="config"
                                       name="is_open_virtual_approach" lay-skin="switch" lay-text="开启|关闭" value="1">
                                <div class="form-text m-b-none">
                                </div>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group  row">
                            <label class="col-sm-2 col-form-label">进场频率</label>
                            <div class="col-sm-10">
                                <div class="input-group">
                                    <input type="text" class="form-control" name="approach_rate" value="{{$config->approach_rate}}" min="1" max="180">
                                    <span class="input-group-append">
                                    <button type="button" class="btn btn-primary">
                                        秒/次数
                                    </button>
                                </span>
                                </div>
                                <span class="form-text m-b-none">请输入3~180之间的整数</span>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="offset-sm-2 col-sm-4">
                                <button class="btn btn-primary" type="submit" id="ajaxsubmit">保存更改
                                </button>
                                <button class="btn btn-white" type="reset">取消</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection