<?php
namespace App\Modules\Live\Services;
use App\Modules\Live\Models\Live;
use App\Modules\Live\Models\Menu;
use App\Modules\Live\Models\ShimmerLiveshop;
use App\Modules\Live\Models\ShimmerLiveshopLive;
use App\Modules\Liveapi\Services\LiveStream\Stream\AliStreamService;

class LiveService extends BaseService {
    public function initDefault($model){
        $model->start_at = date('Y-m-d H:i:s',time());
        $model->cate_id = 0;
        $model->channel_id = 0;
        $model->style = 1;
        $model->limit_type = 0;
        $model->num_type = 1;
        $model->color = '#0000ff';
        $model->fic_num = 0;
        $model->video_type = 0;
        $model->live_status = 1;
        $model->isshow = 1;
        $model->type = \Request::input('type');
        $model->playback_type = 2;
        return $model;
    }

    public function initSave($request,$model){
        (new LiveConfigService())->save($request,$model->id,'store');
    }

    public function copyLive($model){
        $data = $model->toArray();
        unset($data['id']);
        $newModel = new ShimmerLiveshopLive();
        $newModel->fill($data);
        $newModel->live_status=1;
        $newModel->real_num=0;
        $newModel->fic_num=0;
        $newModel->start_at=date('Y-m-d H:i:s',time());
        $newModel->dateline=time();
        $newModel->save();
        (new LiveConfigService())->copyConfig($model,$newModel);
    }

    //更改排序
    public function changeSort($data,$live_id){
        $model = (new ShimmerLiveshopLive())->loadModel($live_id);
        $model->sort=intval($data);
        $model->save();
    }

    //修改直播间状态
    public function changeLiveStatus($status,$live_id){
        $model = (new ShimmerLiveshopLive())->loadModel($live_id);
        $model->live_status=$status;
        $model->save();
        if ($status==1){
            (new LivePlaybackService())->cancelCurrent($live_id);//取消当前回放
            (new LiveConfigService())->saveBackPlayConfig(['setting'=>[1=>['backplay_video'=>'']],'live_id'=>$live_id]);//修改未开播状态取消回放链接
        }
    }

    public function getVideoLives(){
        $result = ShimmerLiveshopLive::where('content_type',2)->get();
        return $result;
    }

    /**
     * 获取推流信息
     */
    public static function getPushUrl($live){
        $push_url = (new AliStreamService())->getPushStream($live);
        return $push_url;
    }
}