<?php
namespace App\Modules\Live\Services;
use App\Common\Helper;
use App\Modules\Live\Models\ShimmerLiveshopMenu;

class MenuService{

    /**
     * @return array|\Illuminate\Database\Eloquent\Collection|static[]
     * 获取菜单显示列表
     */
    public static function getMenuLists(){
        $menu = ShimmerLiveshopMenu::orderBy('sort','DESC')->orderBy('id','desc')->get();
        $menu =Helper::toLevel($menu->toArray(),'├─',0,0);
        return $menu;
    }

    public static function getAllMenuLists($id=0){
        $permission = collect(array());
        if ($id){
            $permission = PermissionService::getRole($id);
        }
        $menu = ShimmerLiveshopMenu::orderBy('sort','DESC')->orderBy('id','desc')->get();
        $data = array();
        if ($menu){
            foreach($menu as $key=>$item){
                $data[] = [
                    'id'=>$item->id,
                    'pid'=>$item->pid,
                    'name'=>$item->name,
                    'open'=>true,
                    'checked'=>$permission->contains($item->id) ? true : false,
                ];
            }
        }
        return json_encode($data,JSON_NUMERIC_CHECK);
    }

    /**
     * @return \App\Common\Array|array
     * 获取左侧菜单
     */
    public static function getLeftMenuLists($ids){
        $menu = ShimmerLiveshopMenu::searchIds($ids)->orderBy('sort','DESC')->orderBy('id','desc')->where(['status'=>1])->get();
        $data = array();
        if ($menu){
            foreach($menu as $key=>$item){
                $data[$item->id] = [
                    'id'=>$item->id,
                    'pid'=>$item->pid,
                    'name'=>$item->name,
                    'route'=>$item->route,
                    'active'=> \request()->route()->named($item->route),
                    'ico'=>$item->ico,
                    'url'=>(\Route::has($item->route)==false)?'javascript:;':wgRoute($item->route),
                ];
            }
            if ($data){
                return Helper::generateTree($data);
            }
        }
        return $data;
    }

    public static function setPageMenu($user){
        $leftMenuData = MenuService::getLeftMenuLists('');
        \View::share('leftMenuData', $leftMenuData);

//        $ids = UserRoleService::getMenuIds($user);
//        if ($user->founder_groupid!=1 && !$ids){
//            \View::share('leftMenuData', []);
//        }else{
//            $leftMenuData = MenuService::getLeftMenuLists($ids);
//            \View::share('leftMenuData', $leftMenuData);
//        }

    }
}