<?php
/**
 * 工具类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/18
 * Time: 下午2:44
 */

namespace App\Modules\Liveapi\Http\Controllers\Common;

use \App\Modules\Liveapi\Http\Controllers\Controller;
use App\Services\AppService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Validator;

class UtilsController extends Controller
{
    /**
     * 单图上传图片
     * @param Request $request
     */
    public function uploadImage(Request $request)
    {
        global $_W;
        load()->func('file');

        $file = $request->file('image');
        $_W['uniacid'] = $uniacid = AppService::$uniacid;

        $key = 'user_upload_file_num_' . $this->uid;
        $uploadNum = Cache::get($key);

        if ($uploadNum && $uploadNum >= 100) {
//           return $this->error(-1, '超过上传次数限制');
        }

        $messages = [
            'required' => '请选择需要上传的文件!',
            'mimes' => '只能上传图片!',
            'max' => '超过太大!',
        ];

        $validator = Validator::make($request->all(), [
            'image' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:5012',
        ], $messages);


        if ($validator->fails()) {
            //验证失败
            $message = $validator->errors()->first();
            return $this->error(-1, $message);
        }

        $uniqid = uniqid();
        $imageName = $uniqid . '.' . $file->getClientOriginalExtension();

        $type = 'image';
        $setting['folder'] = MODULE_NAME . "/{$type}s/{$uniacid}";
        $setting['folder'] .= '/' . date('Y/m/');

        $filepath = $setting['folder'] . $imageName;
        $param['name'] = $imageName;
        $param['tmp_name'] = $file->getPathname();

        $uploadfile = file_upload($param, $type, $filepath, true);

        if (!is_error($uploadfile)) {
            if (!$uploadNum) {
                $uploadNum++;
                Cache::put($key, $uploadNum, 86400);
            } else {
                Cache::increment($key);
            }

            $data = [
                'name' => $imageName,
                'url' => wgTomedia($uploadfile['path']),
            ];
            return $this->success($data);
        } else {
            return $this->error(-1, '上传失败:' . $uploadfile['message']);
        }
    }

    /**
     * 上传视频
     * @param Request $request
     */
    public function uploadVideo(Request $request)
    {
        global $_W;
        load()->func('file');

        $file = $request->file('video');
        $_W['uniacid'] = $uniacid = AppService::$uniacid;

        $key = 'user_upload_file_num_' . $this->uid;
        $uploadNum = Cache::get($key);

        if ($uploadNum && $uploadNum >= 100) {
//           return $this->error(-1, '超过上传次数限制');
        }

        $messages = [
            'required' => '请选择需要上传的文件!',
            'mimes' => '只能上传视频!',
            'max' => '超过太大!',
        ];

        $validator = Validator::make($request->all(), [
            'video' => 'required|file|mimes:flv,mp4,ogv,webm,rmvb,f4v,3gp,3g2,wmv|max:10240',
        ], $messages);


        if ($validator->fails()) {
            //验证失败
            $message = $validator->errors()->first();
            return $this->error(-1, $message);
        }

        $uniqid = uniqid();
        $imageName = $uniqid . '.' . $file->getClientOriginalExtension();

        $type = 'video';
        $setting['folder'] = MODULE_NAME . "/{$type}s/{$uniacid}";
        $setting['folder'] .= '/' . date('Y/m/');

        $filepath = $setting['folder'] . $imageName;
        $param['name'] = $imageName;
        $param['tmp_name'] = $file->getPathname();

        $uploadfile = file_upload($param, $type, $filepath, true);

        if (!is_error($uploadfile)) {
            if (!$uploadNum) {
                $uploadNum++;
                Cache::put($key, $uploadNum, 86400);
            } else {
                Cache::increment($key);
            }

            $data = [
                'name' => $imageName,
                'url' => wgTomedia($uploadfile['path']),
            ];
            return $this->success($data);
        } else {
            return $this->error(-1, '上传失败:' . $uploadfile['message']);
        }
    }
}