<?php
namespace App\Modules\Liveapi\Http\Controllers\Live;

use App\Events\LiveEvent;
use App\Models\ShimmerLiveshopGiveup;
use App\Models\ShimmerLiveshopLiveFollow;
use App\Models\ShimmerLiveshopLiveGoods;
use App\Models\ShimmerLiveshopLiveLog;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Modules\Liveapi\Models\ShimmerLiveshopLive;
use App\Modules\Liveapi\Services\Live\AnchorService;
use App\Modules\Liveapi\Services\LiveService;
use App\Modules\Liveapi\Services\LiveStream\StreamFactoryService;
use App\Services\ConfigService;
use Illuminate\Http\Request;

class LiveNotityController extends Controller {

    /**
     * @param Request $request
     * 开播回调
     */
    public function liveStart(Request $request){
        info('开播了:'.json_encode($request->input()));
    }

    /**
     * @param Request $request
     * 录制回调
     */
    public function liveRecord(Request $request){
        $config = ConfigService::getValueByType(2);
        $app = $request->input('app');
        $live_id = explode('_',$app)[0];
        $live = ShimmerLiveshopLive::find($live_id);
        if (!$live) return;
        $uri = $request->input('uri');
        if ($uri){

            if ($live->live_status!=3){
                $live->live_status=3;
                $live->end_at=time();
                $live->save();
            }

            $start_time = $request->input('start_time');
            $stop_time = $request->input('stop_time');
            $logs = ShimmerLiveshopLiveLog::where('video_start',$start_time)->where('video_end',$stop_time)->first();

            if (!$logs){
                $logs = new ShimmerLiveshopLiveLog();
                $logs->video_start = $start_time;
                $logs->video_end = $stop_time;
                $logs->video_time = $stop_time-$start_time;
                $logs->uniacid = $live->uniacid;
                $logs->live_id = $live->id;
                $logs->total_num = $live->fic_num;
                $logs->real_num = $live->real_num;
                $logs->title = $live->title;
                $logs->cover = $live->cover;
                $logs->local_cover = $live->local_cover;
                $logs->lat = $live->lat;
                $logs->lng = $live->lng;
                $logs->start_at = $live->start_at;
                $logs->end_at = $live->end_at;
                $logs->likes = $live->id;
            }

            if(strpos($uri,'.mp4')){
                $logs->mp4 = $config['oss_bucket'].'.'.$config['oss_endpoint'].'/'.$uri;
            }

            if(strpos($uri,'.m3u8')){
                $logs->m3u8 = $config['oss_bucket'].'.'.$config['oss_endpoint'].'/'.$uri;
            }
            $logs->save();
        }
        return $this->result();
    }
}