<?php

/**
 * 商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/9/9
 * Time: 下午4:41
 */

namespace App\Modules\Liveapi\Http\Controllers\Member;

use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Modules\Liveapi\Models\ShimmerLiveshopUserAddress;
use App\Modules\Liveapi\Services\AddressService;
use App\Services\AppService;
use Illuminate\Http\Request;

class AddressController extends Controller
{
    public function index(Request $request)
    {
        $pageSize = $request->input('limit');

        $lists = ShimmerLiveshopUserAddress::where('uid', $request->userInfo['id'])
            ->orderBy('is_default','desc')
            ->orderBy('id','desc')
            ->paginate($pageSize);
        return $this->result($lists->items());
    }

    public function store(Request $request)
    {
        $id = $request->input('id');
        $model = $this->loadModel($id);
        $data = array(
            'uniacid'=>AppService::$uniacid,
            'uid' => $request->userInfo['id'],
            'realname' => $request->input('realname'),
            'postal_code' => $request->input('postal_code'),
            'mobile' => $request->input('mobile'),
            'is_default' => $request->input('is_default'),
            'address_info' => $request->input('address_info'),
            'province' => $request->input('address.province'),
            'city' => $request->input('address.city'),
            'district' => $request->input('address.district'),
        );
        $model->fill($data)->save();
        if ($data['is_default'] == 1) {
            (new AddressService())->setDefalutAddress($model->id);
        }

        return $this->result($model);
    }

    public function detail(Request $request)
    {
        $id = $request->route('address_id');
        $model = $this->loadModel($id);
        return $this->result($model);
    }

    public function del(Request $request)
    {
        $id = $request->input('id');
        $model = ShimmerLiveshopUserAddress::find($id);
        $model->delete();
        (new AddressService())->setDefalutAddress($id);
        return $this->result();
    }

    public function changeDefault(Request $request)
    {
        $id = $request->input('id');
        (new AddressService())->setDefalutAddress($id);
        return $this->result();
    }

    public function loadModel($id)
    {

        if ($id) {
            $model = ShimmerLiveshopUserAddress::find($id);
        } else {
            $model = new ShimmerLiveshopUserAddress();
        }
        return $model;
    }

    /**
     * 获取用户默认地址
     */
    public function defaultAddress()
    {
        $data = AddressService::getUserDefaultAddress($this->uid);

        return $this->success($data);
    }

}