<?php
/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/10
 * Time: 下午4:42
 */

namespace App\Modules\Liveapi\Http\Controllers\Member;


use App\Models\ShimmerLiveshopCertification;
use App\Models\ShimmerLiveshopTemplate;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Services\MemberService;
use App\Services\TemplateService;
use Illuminate\Http\Request;

class CertificationController extends Controller
{

    /**
     * 获取用户实名认证信息
     */
    public function info()
    {
        $certification = MemberService::getCertification($this->uid);

        return $this->success($certification);
    }

    /**
     * 添加实名认证
     * @param Request $request
     */
    public function add(Request $request)
    {
        $data['realname'] = trim($request->input('realname'));
        $data['idcard'] = trim($request->input('idcard'));
        $data['idcard_front_photo'] = $request->input('idcard_front_photo');
        $data['idcard_behind_photo'] = $request->input('idcard_behind_photo');
        $data['is_default'] = (int)$request->input('is_default', 1);

        if (!$data['realname']) {
            return $this->error(-1, '请输入真实姓名');
        }
        if (!$data['idcard']) {
            return $this->error(-1, '请输入身份证号！');
        }
        if (!$data['idcard_front_photo']) {
            return $this->error(-1, '请上传身份证正面照！');
        }
        if (!$data['idcard_behind_photo']) {
            return $this->error(-1, '请上传身份证背面照');
        }

        $ret = MemberService::applyCertification($this->uid, $data);

        //获取模板消息
        $templateId = ShimmerLiveshopTemplate::getTemplateIdByKey(402);

        if ($ret) {
            //订阅消息
            $data = [
                'tmplIds' => [$templateId]
            ];
            return $this->success($data);
        } else {
            return $this->error(-1, '申请失败');
        }
    }
}