<?php

/**
 * 商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/9/9
 * Time: 下午4:41
 */

namespace App\Modules\Liveapi\Http\Controllers\Spread;
use App\Models\ShimmerLiveshopCommissionOrder;
use App\Modules\Liveapi\Http\Controllers\Controller;
use App\Modules\Liveapi\Models\ShimmerLiveshopCashApply;
use App\Modules\Liveapi\Services\Spread\CommissionService;
use App\Services\Commission\CashApplyService;
use App\Services\ConfigService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CommissionController extends Controller
{
    /**
     * @param Request $request
     * 获取提现基本信息
     */
    public function bank(Request $request){
        $config = ConfigService::getValueByType(21);
        $bank = explode("\n",$config['bank']);
        $commission = ShimmerLiveshopCommissionOrder::where('agent_uid',$request->userInfo['id'])
            ->where('status',2)
            ->where('has_withdraw',0)
            ->sum('commission');
        return $this->result([
            'min_amount'=>1,
            'commission'=>$commission,
            'bank'=>$bank
        ]);
    }

    /**
     * @param Request $request
     * 提现申请
     */
    public function cashApply(Request $request){
        $model = ShimmerLiveshopCommissionOrder::where('agent_uid',Request()->userInfo['id'])
            ->where('status',2)
            ->where('has_withdraw',0);
        $ids =$model->get()->pluck('id')->toArray();
        if (empty($ids)){
            return $this->result('','暂无可提现信息',400);
        }
        $commission = $model->sum('commission');
        if ($commission<=0){
            return $this->result('','提现金额不足',400);
        }

        DB::beginTransaction();

        ShimmerLiveshopCommissionOrder::whereIn('id', $ids)->update([
            'has_withdraw' => 2,
            'withdraw_time'=>time()
        ]);

        $data = array(
            'uniacid'=>$request->route('uniacid'),
            'uid'=>$request->userInfo['id'],
            'order_no'=>CashApplyService::createOrderNo(),
            'name'=>$request->input('name'),
            'type'=>$request->input('type'),
            'cardnum'=>$request->input('cardnum'),
            'weixin'=>$request->input('weixin'),
            'bank_address'=>$request->input('bank_address'),
            'bankname'=>$request->input('bankname'),
            'alipay_code'=>$request->input('alipay_code'),
            'remark'=>$request->input('remark'),
            'realname'=>$request->input('realname'),
            'status'=>0,
            'openid'=>'',
            'order_ids'=>$ids,
            'commission'=>$commission,
        );
        (new ShimmerLiveshopCashApply())->fill($data)->save();
        DB::commit();
        return $this->result();
    }
}