<?php
namespace App\Modules\Liveapi\Http\Middleware;

use App\Models\ShimmerLiveshopUserToken;
use App\Modules\Liveapi\Models\ShimmerLiveshopUser;
use App\Services\AppService;
use App\Services\User\UserService;
use Closure;

class Auth {
    public function handle($request, Closure $next) {
        AppService::setUniacid();
        $authori = \Request::header('authori-zation');
        $authori = explode(' ',$authori);

        $access_token = $authori[1];
        $user = [];
        if ($access_token){
            $uid = ShimmerLiveshopUserToken::where('access_token',$access_token)->value('uid');
            $user = ShimmerLiveshopUser::find($uid);
            if ($user){
                $user->total_balance = bcadd($user->balance,$user->give_balance,2);
            }
            $request->userInfo = $user;
        }
        if (!$access_token || !$user){
            return response()->json([
                'status' => 40000,
                'data' => [
                    'need_login'=>1
                ],
                'msg' => '请登录'
            ], 200, ['charset' => 'utf-8'])->send();
        }

        UserService::authToNext($user);
        AppService::setUser($user);

        return $next($request);
    }
}
