<?php
/**
 * 用户model
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/19
 * Time: 上午11:49
 */

namespace App\Modules\Liveapi\Models;


use App\Modules\Liveapi\Services\OrderService;

class ShimmerLiveshopStoreOrder extends \App\Models\ShimmerLiveshopStoreOrder
{
    protected $guarded = [];
    public $dateFormat = "U";


    /**
     * 用户订单搜索
     * @param $uid
     * @param $orderId
     * @param $type 订单类型
     * @return bool|mixed
     */
    public static function searchUserOrder($uid, $orderId, $type = 1)
    {
        $order = self::where('uid', $uid)
            ->where('order_id', $orderId)
            ->where('is_del', 0)
            ->where('type', $type)
            ->orderBy('created_at', 'desc')
            ->first();
        if (!$order) {
            return false;
        } else {
            return OrderService::tidyOrder($order, true);
        }
    }

    /**
     * 用户订单分页列表
     * @param $uid
     * @param string $status
     * @param int $page
     * @param int $limit
     * @param int $type
     * @return mixed
     */
    public static function getUserOrderList($uid, $status = '', $page = 0, $limit = 8, $type = 1)
    {
        $builder = self::where('uid', $uid)
            ->type($type);

        $builder = self::statusByWhere($status, $builder);

        $page = max(1, $page);

        $offset = ($page - 1) * $limit;

        $orders = $builder->orderBy('created_at', 'desc')
            ->offset($offset)
            ->limit($limit)
            ->get();

        foreach ($orders as $k => $order) {
            $orders[$k] = OrderService::tidyOrder($order, true);
        }

        return $orders;
    }

}