<?php
namespace App\Modules\Liveapi\Services;

use App\Modules\Liveapi\Models\ShimmerLiveshopSynopsi;
use App\Modules\Liveapi\Models\ShimmerLiveshop;
use App\Modules\Liveapi\Models\ShimmerLiveshopChannel;

class ChannelService extends BaseService {
    public static function getAll(){
        $channels = ShimmerLiveshopChannel::where('isshow',1)->orderBy('sort','desc')->select('id','name','cover')->paginate(5);
        $channels = self::DataToText($channels);
        return $channels;
    }

    public static function getChannelById($channel_id){
        $channel = ShimmerLiveshopChannel::select('id','cover','name')->find($channel_id);
        $channel = self::getText($channel);
        return $channel;
    }

    public static function getIntroByType($channel_id,$type){
        $intro = ShimmerLiveshopSynopsi::where('channel_id',$channel_id)->where('type',$type)->first();
        return $intro->setting['intro'];
    }

    public static function getIntro($channel_id){
        $intro = ShimmerLiveshopSynopsi::where('channel_id',$channel_id)->select('setting','type')->get();
        $data = array();
        foreach ($intro as $key=>$intr){
            if ($intr->setting['intro']){
                $data[$key]['name']= ShimmerLiveshopSynopsi::$type[$intr->type];
                $data[$key]['content'] = $intr->setting['intro'];
            }
        }
        return $data;
    }

    public static function DataToText($channels){
        foreach ($channels as &$channel){
            $channel = self::getText($channel);
        }
        return $channels;
    }

    public static function getText($channel){
        if ($channel->cover){
            $channel->cover = wgTomedia($channel->cover);
        }
        $channel->live_num = ShimmerLiveshopLive::where('channel_id',$channel->id)->count();
        return $channel;
    }
}