<?php
namespace App\Modules\Liveapi\Services\Live;

use App\Modules\Liveapi\Services\BaseService;
use App\Services\Chat\GoeasyService;
use App\Services\Chat\TxService;
use App\Services\ConfigService;

class ChatService extends BaseService {
    /**
     * @param Request $request
     * 获取聊天配置
     */
    public static function getChatConfig(){
        $config = ConfigService::getValueByType(3);
        $live_id = intval(Request()->route('live_id'));

        switch ($config['type_value']){
            case 1:
                $data = TxService::getTxChat($config,$live_id);
                break;
            case 2:
                $data = GoeasyService::getGoeasyChat($config,$live_id);
                break;
        }
        return $data;
    }

    /**
     * @param Request $request
     * 获取聊天配置
     */
    public static function getChatByLiveidConfig($live_id){
        $config = ConfigService::getValueByType(3);
        switch ($config['type_value']){
            case 1:
                $data = TxService::getTxChat($config,$live_id);
                break;
            case 2:
                $data = GoeasyService::getGoeasyChat($config,$live_id);
                break;
        }
        return $data;
    }
}