<?php
namespace App\Modules\Liveapi\Services\Live;

use App\Modules\Liveapi\Services\BaseService;
use App\Services\PluginService;
use Shimmer_liveshop_plugin_viewing_rewards\Services\Anchor\AnchorRewardService;
use Shimmer_liveshop_plugin_viewing_rewards\Services\Member\UserRewardService;

class PluginsService extends BaseService {

    /**
     * @param $live_id
     * @param $uid
     * @return array
     * 获取直播间支持插件
     */
    public static function getLivePlugins($live_id,$uid){
        $data = [];
        $data['viewing_rewards']['enable'] = PluginService::isEnabled('viewing_rewards');
        if ($data['viewing_rewards']['enable']){
            $data['viewing_rewards']['data'] = UserRewardService::countUsersTime($live_id,$uid) ?:false;
        }
        return $data;
    }

    public static function getAnchorLivePlugins($live_id,$uid){
        $data = [];
        $data['viewing_rewards']['enable'] = PluginService::isEnabled('viewing_rewards');
        if ($data['viewing_rewards']['enable']){
            $data['viewing_rewards']['data'] = AnchorRewardService::countAnchorTime($live_id,$uid) ?:false;
        }
        return $data;
    }

    /*
     * 插件 直播间结束
     */
    public static function liveEnd($data){
        if (PluginService::isEnabled('viewing_rewards')){
            AnchorRewardService::liveEnd($data['live_id']);
        }
    }
}