<?php
namespace App\Modules\Liveapi\Services\LiveStream\Stream;

use App\Common\Ali\LiveServices;
use App\Models\ShimmerLiveshopLiveLog;
use App\Modules\Liveapi\Services\LiveConfigService;

class AliStreamService{
    public $live=array();

    public function __construct(){
    }

    public function getStream($live){
        $this->live = $live;
        if ($live->live_status==3){
            return $this->getPlayback($live);
        }else{
            return $this->getLiveStream($live);
        }
    }

    /**
     * @param $live
     * @return array
     * 获取回放地址
     */
    public function getPlayback($live){
        $liveLogs = ShimmerLiveshopLiveLog::where('live_id',$live->id)->orderBy('id','desc')->first();
        return $this->getPlaybackStream($liveLogs);
    }

    /**
     * @param $liveLogs
     * @return array
     * 回放链接处理
     */
    public function getPlaybackStream($liveLogs){
        return ['hls'=>'https://'.$liveLogs->m3u8,'mp4'=>'https://'.$liveLogs->mp4];
    }

    /**
     * @return array
     * 拉流地址
     */
    public function getLiveStream($live){
        $config = LiveConfigService::getConfig(2);
        $rtmp = LiveServices::PrivateKeyA(time(),'rtmp://'.$config['domain_name'],'/'.$live->id.'_'.$live->uniacid.'/'.$live->uniacid.'_'.$live->id,$config['auth_main_key']);
        $hls = LiveServices::PrivateKeyA(time(),'http://'.$config['domain_name'],'/'.$live->id.'_'.$live->uniacid.'/'.$live->uniacid.'_'.$live->id.'.m3u8',$config['auth_main_key']);
        $flv = LiveServices::PrivateKeyA(time(),'http://'.$config['domain_name'],'/'.$live->id.'_'.$live->uniacid.'/'.$live->uniacid.'_'.$live->id,$config['auth_main_key']).'.flv';
        return ['rtmp'=>$rtmp,'flv'=>$flv];
    }

    /**
     * @param $live
     * @return string
     * 推流地址
     */
    public function getPushStream($live){
        $config = LiveConfigService::getConfig(2);
        $pushURl = LiveServices::PrivateKeyA(time(),$config['push_flow'],'/'.$live->id.'_'.$live->uniacid.'/'.$live->uniacid.'_'.$live->id,$config['auth_main_key'],$config['push_flow_ext']);
        return $pushURl;
    }
}
?>