<?php
namespace App\Modules\Liveapi\Services\Spread;
use App\Models\ShimmerLiveshopCommissionOrder;
use App\Modules\Liveapi\Models\ShimmerLiveshopCashApply;
use App\Modules\Liveapi\Services\BaseService;
use Illuminate\Support\Facades\DB;

class CommissionService extends BaseService {

    /**
     * @param $order_id
     * @return mixed
     * 根据订单查询佣金
     */
    public static function getCommissionByOrderId($order_id){
        if (is_array($order_id)){
            $commission = ShimmerLiveshopCommissionOrder::whereIn('status',[1,2])->whereIn('order_id',$order_id)->sum('commission');
        }else{
            $commission = ShimmerLiveshopCommissionOrder::whereIn('status',[1,2])->where('order_id',$order_id)->sum('commission');
        }
        return $commission;
    }

    /**
     * @return array
     * 佣金列表
     */
    public static function getCommissionLists(){
        $lists = ShimmerLiveshopCommissionOrder::where('agent_uid',Request()->userInfo['id'])
            ->paginate(ShimmerLiveshopCommissionOrder::PAGE_SIZE);
        $data = [];

        foreach ($lists->items() as $key=>$item){
            $data[] = array(
                'title'=>$item->type_title,
                'dateline'=>$item->created_at->format('Y-m-d H:i:s'),
                'has_withdraw'=>$item->has_withdraw,
                'commission'=>$item->commission,
            );
        }
        return $data;
    }

    /**
     * @return array
     * 提现明细
     */
    public static function getCashLists(){
        $lists = ShimmerLiveshopCashApply::where('uid',Request()->userInfo['id'])
            ->paginate(ShimmerLiveshopCashApply::PAGE_SIZE);
        $data = [];

        foreach ($lists->items() as $key=>$item){
            $data[] = array(
                'title'=>$item->status_name,
                'dateline'=>$item->created_at->format('Y-m-d H:i:s'),
                'has_withdraw'=>1,
                'commission'=>$item->commission,
            );
        }
        return $data;
    }
}