<?php

/**
 * 插件服务类
 */

namespace App\Providers;

use App\Providers\ShimmerPlugin\Plugin;
use App\Services\PluginService;
use Illuminate\Support\ServiceProvider;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Support\Facades\View;

class ShimmerPluginProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->app['shimmerPlugin']->register();
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton('shimmerPlugin', function ($app) {
            return new Plugin($app);
        });
    }

    /**
     * Get the services provided by the provider.
     *
     * @return array
     */
    public function provides()
    {
        return ['shimmerPlugin'];
    }


}
