<?php
/**
 * Service基类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/25
 * Time: 下午12:07
 */

namespace App\Services\Anchor;

use App\Models\ShimmerLiveshopAnchorApplyPay;
use App\Models\ShimmerLiveshopAnchorApplyPayConfig;
use App\Models\ShimmerLiveshopAnchorPayLevel;
use App\Services\AppService;
use App\Services\BaseService;
use Illuminate\Support\Facades\App;

class ConfigService extends BaseService
{
    public static function save($data){
        if (!$data) return false;
        foreach ($data as $datum){
            if ($datum['id']){
                $model = ShimmerLiveshopAnchorApplyPayConfig::find($datum['id']);
                if (!$model){
                    $model = new ShimmerLiveshopAnchorApplyPayConfig();
                }
                $model->uniacid = AppService::$uniacid;
                $model->price = $datum['price'];
                $model->name = $datum['name'];
                $model->give_anchor_num = $datum['give_anchor_num'];
                $model->buy_anchor_rate = $datum['buy_anchor_rate'];
                $model->commission_rate = $datum['commission_rate'];
                $model->save();
            }else{
                $model = new ShimmerLiveshopAnchorApplyPayConfig();
                $model->uniacid = AppService::$uniacid;
                $model->price = $datum['price'];
                $model->name = $datum['name'];
                $model->give_anchor_num = $datum['give_anchor_num'];
                $model->buy_anchor_rate = $datum['buy_anchor_rate'];
                $model->commission_rate = $datum['commission_rate'];
                $model->save();
            }
        }
    }

    public static function delPayConfig($id){
        $model = ShimmerLiveshopAnchorApplyPayConfig::find($id);
        $model->delete();
        return true;
    }

    /**
     * @return array
     * 获取主播付费等级
     */
    public static function getPayConfig($uid=0){
        $model = ShimmerLiveshopAnchorPayLevel::where('uniacid',AppService::$uniacid)->get()->toArray();
        if ($uid){
            $userPayLevel = ShimmerLiveshopAnchorApplyPay::where('uid',$uid)->orderBy('pay_price','desc')->first();
        }
        foreach ($model as &$item){
            $item['btn_enable'] = true;
            $item['status_text'] = '立即支付' . $item['price'] . '元开通主播';
            if ($userPayLevel->pay_price>=$item['price'] || $userPayLevel->level_id==$item['id']){
                $item['btn_enable'] = false;
                $item['status_text'] = '您已拥有该套餐权限';
            }
        }
        return $model;
    }

    /**
     * @param $uid
     * @param $payid
     * @param $order_id
     * @param $anchor_id
     * @return bool
     * 保存主播购买付费等级记录
     */
    public static function saveAnchorPayLogs($uid,$payid,$order_id,$anchor_id){
        $payLevel = ShimmerLiveshopAnchorPayLevel::find($payid);
        if (!$payLevel) return true;
        $exist = ShimmerLiveshopAnchorApplyPay::where('level_id',$payLevel->id)->where('uid',$uid)->where('order_id',$order_id)->first();
        if ($exist) return true;
        $model = new ShimmerLiveshopAnchorApplyPay();
        $model->uniacid = AppService::$uniacid;
        $model->uid = $uid;
        $model->give_anchor_num = $payLevel->give_anchor_num;
        $model->buy_anchor_rate = $payLevel->buy_anchor_rate;
        $model->commission_rate = $payLevel->commission_rate;
        $model->anchor_id = $anchor_id;
        $model->level_id = $payLevel->id;
        $model->name = $payLevel->name;
        $model->intro_pic = $payLevel->intro_pic;
        $model->cost_price = $payLevel->cost_price;
        $model->intro = $payLevel->intro;
        $model->card_pic = $payLevel->card_pic;
        $model->order_id = $order_id;
        $model->pay_price = $payLevel->price;
        $model->content = $payLevel->content;
        $model->open_ini_anchor_to_partner = $payLevel->open_ini_anchor_to_partner ? $payLevel->open_ini_anchor_to_partner : 0;
        $model->ini_anchor_nums = $payLevel->ini_anchor_nums ? $payLevel->ini_anchor_nums : 0;
        $model->to_partner_id = $payLevel->to_partner_id ?  $payLevel->to_partner_id :0;
        $model->status = 1;
        $model->save();
        return $model;
    }
}