<?php

/**
 * 商品
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/9/09
 * Time: 下午6:07
 */

namespace App\Services\Anchor;

use App\Models\ShimmerLiveshopAnchorApplyPay;
use App\Models\ShimmerLiveshopGoodsAnchorCommission;
use App\Services\BaseService;

class GoodsService extends BaseService{

    /**
     * @param $goods_id
     * @param $price
     * @return int|string
     * 主播带货佣金
     */
    public static function getGoodsCommission($goods_id,$price){
        $goodsCommission = ShimmerLiveshopGoodsAnchorCommission::where('goods_id', $goods_id)->first();
        if (!$goodsCommission) return 0;
        if (!$goodsCommission->is_commission) return 0;
        $rule = $goodsCommission->rule;
        $payLevel = ShimmerLiveshopAnchorApplyPay::where('uid',Request()->userInfo->id)->orderBy('pay_price','desc')->first();
        if ($rule[$payLevel->level_id]){
            $commission = 0;
            if ($rule[$payLevel->level_id]['first_level_rate']){
                $commission = bcmul($price,$rule[$payLevel->level_id]['first_level_rate']/100,2);
            }
            if ($rule[$payLevel->level_id]['first_level_amount']){
                $commission = $commission > $rule[$payLevel->level_id]['first_level_amount'] ? $commission : $rule[$payLevel->level_id]['first_level_amount'];
            }
            return $commission;
        }
        return 0;
    }
}