<?php
/**
 * Service基类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/25
 * Time: 下午12:07
 */

namespace App\Services;

class BaseService
{
    public $model = null;

    /**
     * 错误返回
     * @param string $msg
     * @param string $data
     * @return mixed
     */
    public static function error($code, $msg = '', $data = '')
    {
        return self::returnFormat($code, $msg, $data);
    }

    /**
     * 正确返回
     * @param string $msg
     * @param string $data
     * @return mixed
     */
    public static function success($msg = '', $data = '')
    {
        return self::returnFormat(0, $msg, $data);
    }

    /**
     * Service 基础返回，数据格式化，0正常，非0异常返回
     * @param $code
     * @param $msg
     * @param $data
     */
    public static function returnFormat($code, $msg, $data)
    {
        return array(
            'errno' => $code,
            'message' => $msg,
            'data' => $data,
        );
    }

}