<?php
/**
 * 后台服务工具
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/20
 * Time: 上午1:03
 */

namespace App\Services\Chat;
use App\Models\ShimmerLiveshopLiveChat;
use App\Services\BaseService;
use App\Third\TLSSigAPIv2;

class GoeasyService extends BaseService
{
    /**
     * @param $config
     * @param $live_id
     * @return array
     * @throws \Exception
     * 获取腾讯im 聊天配置
     */
    public static function getGoeasyChat($config,$live_id){
        if (!$live_id) return [];
        $model = ShimmerLiveshopLiveChat::where('live_id',$live_id)
            ->where('type',2)
            ->first();

        if (!$model){
            $model = new ShimmerLiveshopLiveChat();
            $model->uniacid = Request()->route('uniacid');
            $model->live_id = $live_id;
            $model->chat_id = $live_id;
            $model->usersig = '';
            $model->identifier = Request()->userInfo['nickname'];
            $model->type = 2;
            $model->save();
        }

        $data = [
            'common_key'=>$config['common_key'],
            'host'=>$config['host'],
            'chat_id'=>$model->chat_id,
            'type'=>2,
        ];
        return $data;
    }

    /**
     * @param $appid
     * @param $usersig
     * @param $identifier
     * @param $uniacid
     * @throws \Exception
     * 删除聊天配置并重新获取群组
     */
    public static function delLiveChatConfig($appid,$usersig,$identifier,$uniacid){
        $liveChatModel = ShimmerLiveshopLiveChat::where('uniacid',$uniacid);
        $live_ids = $liveChatModel->pluck('live_id')->toArray();
        $liveChatModel->delete();

        if (!$live_ids) return;

        $apiUrl = "https://console.tim.qq.com/v4/group_open_http_svc/get_appid_group_list?sdkappid={$appid}&identifier={$identifier}&usersig={$usersig}&random=99999999&contenttype=json";
        $data['GroupType'] = 'AVChatRoom';
        $response = ihttp_request($apiUrl,json_encode($data));
        $result = json_decode($response['content']);

        if ($result->ActionStatus=='OK' && $result->ErrorCode==0 && $result->TotalCount>0){
            foreach ($result->GroupIdList as $group){
                if (!$live_ids) continue;
                $live_id = array_pop($live_ids);
                $model = new ShimmerLiveshopLiveChat();
                $model->uniacid = $uniacid;
                $model->live_id = $live_id;
                $model->chat_id = $group->GroupId;
                $model->usersig = $usersig;
                $model->identifier = $identifier;
                $model->save();
            }
        }
    }

    /**
     * @param $url
     * @param $post_data
     * @return bool|string
     * post发送消息
     */
    public static function ihttp_post($url, $post_data) {
        $postdata = http_build_query($post_data);
        $options = array(
                'http' => array(
                'method' => 'POST',
                'header' => 'Content-type:application/x-www-form-urlencoded',
                'content' => $postdata,
                'timeout' => 15 * 60
            )
        );
        $context = stream_context_create($options);
        $result = file_get_contents($url, false, $context);
        return $result;
    }
}