<?php
/**
 * 后台服务工具
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/20
 * Time: 上午1:03
 */

namespace App\Services\Chat;
use App\Models\ShimmerLiveshopLiveChat;
use App\Services\BaseService;
use App\Third\TLSSigAPIv2;

class TxService extends BaseService
{
    /**
     * @param $config
     * @param $live_id
     * @return array
     * @throws \Exception
     * 获取腾讯im 聊天配置
     */
    public static function getTxChat($config,$live_id){
        if (!$live_id) return [];
        $model = ShimmerLiveshopLiveChat::where('live_id',$live_id)
            ->where('type',1)
            ->first();

        if (!$model){
            $sdk = new TLSSigAPIv2($config['sdk_appid'],$config['private']);
            $usersig = $sdk->genSig($config['identifier']);
            $url = 'https://console.tim.qq.com/v4/group_open_http_svc/create_group?usersig='.$usersig.'&identifier='.$config['identifier'].'&sdkappid='.$config['sdk_appid'].'&random=99999999&contenttype=json';
            $data['Type'] = 'AVChatRoom';
            $data['Name'] = 'TestGroup';
            $response = ihttp_request($url,json_encode($data));
            $result = json_decode($response['content']);

            if ($result->ActionStatus=='FAIL'){
                $chat_ids = ShimmerLiveshopLiveChat::get()->pluck('chat_id');

                if($chat_ids && !empty($chat_ids->toArray())){
                    $result->GroupId = $chat_ids->random();
                }else{
                    $result->GroupId ='';
                }
            }

            if ($result->GroupId){
                $model = new ShimmerLiveshopLiveChat();
                $model->uniacid = Request()->route('uniacid');
                $model->live_id = $live_id;
                $model->chat_id = $result->GroupId;
                $model->usersig = $usersig;
                $model->identifier = $config['identifier'];
                $model->type = 1;
                $model->save();
            }
        }

        $data = [
            'sdk_appid'=>$config['sdk_appid'],
            'chat_id'=>$model->chat_id,
            'usersig'=>$model->usersig,
            'identifier'=>$model->identifier,
            'type'=>1,
        ];
        return $data;
    }

    /**
     * @param $appid
     * @param $usersig
     * @param $identifier
     * @param $uniacid
     * @throws \Exception
     * 删除聊天配置并重新获取群组
     */
    public static function delLiveChatConfig($appid,$usersig,$identifier,$uniacid){
        $liveChatModel = ShimmerLiveshopLiveChat::where('uniacid',$uniacid);
        $live_ids = $liveChatModel->pluck('live_id')->toArray();
        $liveChatModel->delete();

        if (!$live_ids) return;

        $apiUrl = "https://console.tim.qq.com/v4/group_open_http_svc/get_appid_group_list?sdkappid={$appid}&identifier={$identifier}&usersig={$usersig}&random=99999999&contenttype=json";
        $data['GroupType'] = 'AVChatRoom';
        $response = ihttp_request($apiUrl,json_encode($data));
        $result = json_decode($response['content']);

        if ($result->ActionStatus=='OK' && $result->ErrorCode==0 && $result->TotalCount>0){
            foreach ($result->GroupIdList as $group){
                if (!$live_ids) continue;
                $live_id = array_pop($live_ids);
                $model = new ShimmerLiveshopLiveChat();
                $model->uniacid = $uniacid;
                $model->live_id = $live_id;
                $model->chat_id = $group->GroupId;
                $model->usersig = $usersig;
                $model->identifier = $identifier;
                $model->save();
            }
        }
    }
}