<?php
/**
 * 自定义表单
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/3
 * Time: 下午4:42
 */

namespace App\Services;


use App\Models\ShimmerLiveshopDiyformData;
use App\Models\ShimmerLiveshopDiyformForm;
use App\Modules\Live\Models\ShimmerLiveshopConfig;

class DiyFormService extends BaseService
{
    /**
     * 获取所有diy表单
     */
    public static function getAllForms()
    {
        return ShimmerLiveshopDiyformForm::get();
    }

    /**
     * @param $id
     * @return array|mixed
     * 获取表单
     */
    public static function getFormById($id)
    {
        if (!$id) return [];
        $form = ShimmerLiveshopDiyformForm::find($id);
        if (!$form) return [];
        $fields = iunserializer($form->fields);
        foreach ($fields as $key => &$field) {
            $field['value'] = $field['tp_is_default'] == 1 && $field['tp_default'] ? $field['tp_default'] : '';
        }
        return $fields;
    }

    /**
     * 保存diy form表单数据
     * @param $formId
     * @param $uid
     * @param $data
     */
    public static function saveDiyformData($formId, $uid, $data)
    {
        if (!$formId || !$data || !$uid) {
            return self::error(-1, '参数错误');
        }

        $diyform = ShimmerLiveshopDiyformForm::find($formId);
        if (!$diyform) {
            return self::error(-1, '表单不存在');
        }

        $diyformData = new ShimmerLiveshopDiyformData();
        $diyformdataData = [
            'uniacid' => AppService::$uniacid,
            'uid' => $uid,
            'form_id' => $formId,
            'fields' => $diyform->fields,
            'data_fields' => iserializer($data),
        ];

        $ret = $diyformData->fill($diyformdataData)->saveOrFail();

        if (!$ret) {
            return self::error(-1, '表单数据保存失败');
        }

        return $diyformData;
    }


    /**
     * 设置diy页面为首页
     * @param $id
     */
    public static function setDiyIndex($id)
    {
        $tarBar = ShimmerLiveshopConfig::getModelByType(15);
        $config = $tarBar->config;
        if (!$config) {
            $config = \App\Modules\Liveapi\Services\MiniProgramService::getDefaultTabbarConfig();
        }

        $list = (array)$config['list'];

        $sorts = array_column($list, 'sort');
        array_multisort($sorts, SORT_DESC, $list);

        $first = current($config['list']);

        $config['list'][$first['id']]['link'] = '/utils/pages/diypage/index?id=' . $id;

        $tarBar->config = $config;
        $tarBar->save();
    }
}