<?php
/**
 * 全局角色类型
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/17
 * Time: 下午1:51
 */

namespace App\Services;


use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStore;

class GlobalRoleService extends BaseService
{
    CONST PLATFORM = 0;
    CONST MERCH = 1;

    /**
     * 角色分配
     * @var array
     */
    public static $roleType = [
        self::PLATFORM => [
            'type' => self::PLATFORM,//类型
            'name' => '平台',//角色名称
            'model' => '',//对应model
        ],
        self::MERCH => [
            'type' => self::MERCH,
            'name' => '商户',
            'model' => ShimmerLiveshopMerchStore::class,
        ],
    ];

    /**
     * 获取角色对象
     * @param $roleType 角色类型
     * @param $roleId 角色id
     */
    public static function getRole($roleType, $roleId)
    {
        if(!$roleType || !$roleId){
            return null;
        }

        if (!isset(self::$roleType[$roleType])) {
            return null;
        }

        $roleType = self::$roleType[$roleType];

        if (!$roleType['model']) {
            return null;
        }

        $modelClass = $roleType['model'];

        $model = $modelClass::find($roleId);

        return $model;
    }
}