<?php
/**
 * 订单基础服务类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/11/19
 * Time: 上午10:57
 */

namespace App\Services;


use App\Models\ShimmerLiveshopStoreOrder;
use App\Models\ShimmerLiveshopStoreOrderCartInfo;
use App\Models\ShimmerLiveshopStoreOrderChangeLog;

class OrderService extends BaseService
{
    /**
     * 通过订单id获取商品信息
     * @param $oid
     */
    public static function getCartInfosByOid($oid)
    {
        if (!$oid) {
            return false;
        }

        return ShimmerLiveshopStoreOrderCartInfo::where('oid', $oid)->get();
    }

    /**
     * 生成唯一订单号
     * @return string
     */
    public static function getNewOrderId()
    {
        list($msec, $sec) = explode(' ', microtime());
        $msectime = (float)sprintf('%.0f', (floatval($msec) + floatval($sec)) * 1000);
        $orderId = 'wx' . $msectime . mt_rand(10000, 99999);

        if (ShimmerLiveshopStoreOrder::be(['order_id' => $orderId])) {
            $orderId = 'wx' . $msectime . mt_rand(10000, 99999);
        }

        return $orderId;
    }

    /**
     * 生成唯一退款单号
     */
    public static function getNewRefundOrderId()
    {
        list($msec, $sec) = explode(' ', microtime());
        $msectime = (float)sprintf('%.0f', (floatval($msec) + floatval($sec)) * 1000);
        $orderId = 'wxre' . $msectime . mt_rand(10000, 99999);

        if (ShimmerLiveshopStoreOrder::be(['refund_id' => $orderId])) {
            $orderId = 'wxre' . $msectime . mt_rand(10000, 99999);
        }

        return $orderId;
    }

    /**
     * 订单操作日志记录
     * @param $oid
     * @param $type
     * @param $message
     */
    public static function log($oid, $type, $message)
    {
        $log = new ShimmerLiveshopStoreOrderChangeLog();

        $data = [
            'uniacid' => AppService::$uniacid,
            'oid' => $oid,
            'change_type' => $type,
            'change_message' => $message,
        ];

        return $log->fill($data)->save($data);
    }

}