<?php
/**
 * Service基类
 * Created by PhpStorm.
 * User: lirui
 * Date: 2019/7/25
 * Time: 下午12:07
 */

namespace App\Services;

use App\Common\Sms\Sms;
use App\Modules\Liveapi\Models\ShimmerLiveshopSmslog;

class SmsService extends BaseService
{
    /**
     * @param $data
     * 发送验证码
     */
    public static function sendCode($data)
    {
        $smsConfig = ConfigService::getValueByType(4);
        $smsClass = new Sms();
        $sendData = array('code' => $data['code']);
        $ret = $smsClass->send($smsConfig, $data['mobile'], $smsConfig['vercode_tpl'], $sendData);
        self::logStore($ret, $data, $sendData, 1);
    }

    public static function logStore($ret, $data, $sendData, $type)
    {
        $data = array(
            'uniacid' => Request()->route('uniacid'),
            'uid' => Request()->userInfo['id'],
            'type' => $type,
            'data' => json_encode($sendData),
            'mobile' => $data['mobile'],
            'log' => $ret == 1 ? $ret : json_encode($ret),
        );
        (new ShimmerLiveshopSmslog())->fill($data)->save();
    }

    /**
     * 记录消息发送日志
     * @param $uid
     * @param $type 1短信 3模板消息
     * @param $mobile
     * @param $sendData
     * @param $log
     * @param $uniacid
     */
    public static function recordLog($uid, $type, $sendData, $log = 1, $mobile = '', $uniacid = 0)
    {
        $data = array(
            'uniacid' => $uniacid ? $uniacid : AppService::$uniacid,
            'uid' => $uid,
            'type' => $type,
            'data' => json_encode($sendData),
            'mobile' => $mobile,
            'log' => $log == 1 ? $log : json_encode($log),
        );

        $model = new ShimmerLiveshopSmslog();

        return $model->fill($data)->save();
    }
}