<?php

$sql = "
CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_cash_applies") . " (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(10) unsigned NOT NULL,
  `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '所属角色id',
  `role_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '所属角色',
  `category` tinyint(1) NOT NULL DEFAULT 1 COMMENT '',
  `pay_type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '',
  `name` varchar(64) DEFAULT NULL ,
  `type` varchar(32) NOT NULL DEFAULT 'bank' ,
  `cardnum` varchar(32) DEFAULT '0' ,
  `bank_address` varchar(256) DEFAULT '' ,
  `alipay_code` varchar(64) DEFAULT '' ,
  `remark` varchar(512) DEFAULT NULL,
  `balance` decimal(8,2) unsigned DEFAULT '0.00',
  `fail_msg` varchar(128) DEFAULT NULL ,
  `fail_time` int(10) unsigned DEFAULT NULL,
  `status` tinyint(2) NOT NULL DEFAULT '0' ,
  `weixin` varchar(15) DEFAULT NULL ,
  `uniacid` int(10) NOT NULL,
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  `bankname` varchar(255) DEFAULT NULL ,
  `order_ids` longtext NOT NULL ,
  `commission` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `order_no` varchar(255) NOT NULL COMMENT '',
  `openid` varchar(255) DEFAULT NULL,
  `realname` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `openid` (`uid`) USING BTREE,
  KEY `fail_time` (`fail_time`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `uniacid` (`uniacid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_commission_levels") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `name` varchar(50) DEFAULT '' ,
  `level_first` decimal(10,2) DEFAULT '0.00' ,
  `level_second` decimal(10,2) DEFAULT '0.00' ,
  `level_third` decimal(10,2) DEFAULT '0.00' ,
  `order_amount` decimal(10,2) DEFAULT '0.00' ,
  `created_at` int(10) DEFAULT NULL,
  `updated_at` int(10) DEFAULT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_uniacid` (`uniacid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_commission_orders") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) NOT NULL,
  `order_id` int(10) NOT NULL ,
  `uid` int(10) NOT NULL ,
  `agent_uid` int(10) NOT NULL ,
  `price` decimal(10,2) NOT NULL ,
  `rate` decimal(10,2) NOT NULL ,
  `commission` decimal(10,2) NOT NULL ,
  `status` tinyint(1) NOT NULL ,
  `has_withdraw` tinyint(1) NOT NULL ,
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  `withdraw_time` int(10) DEFAULT NULL ,
  `level` tinyint(1) NOT NULL ,
  `title` varchar(255) DEFAULT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '',
  `send_type` tinyint(1) NOT NULL COMMENT '',
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `order_id` (`order_id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `agent_uid` (`agent_uid`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `has_withdraw` (`has_withdraw`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_spread_posters") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) DEFAULT NULL,
  `poster` varchar(255) DEFAULT NULL ,
  `sort` int(10) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL ,
  `created_at` int(10) DEFAULT NULL,
  `updated_at` int(10) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL ,
  `local_poster` varchar(255) DEFAULT NULL COMMENT '',
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_relation_logs") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) NOT NULL,
  `parent_uid` int(10) NOT NULL ,
  `uid` int(10) NOT NULL ,
  `created_at` int(10) DEFAULT NULL,
  `updated_at` int(10) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL ,
  `type` tinyint(1) DEFAULT NULL ,
  `relation_id` int(10) DEFAULT NULL ,
  `code` varchar(255) DEFAULT NULL ,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_relations") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) NOT NULL,
  `parent_uid` int(10) NOT NULL ,
  `uid` int(10) NOT NULL ,
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `grandpa_uid` int(10) NOT NULL ,
  `grand_parent_uid` int(10) NOT NULL ,
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '',
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `parent_uid` (`parent_uid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `grandpa_uid` (`grandpa_uid`) USING BTREE,
  KEY `grand_parent_uid` (`grand_parent_uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_commissions") . " (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `is_commission` int(11) NOT NULL,
  `open_own_commission` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `rule` text COLLATE utf8_unicode_ci,
  `uniacid` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_good_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_commission_order_goods") . " (
 `id` int(11) NOT NULL AUTO_INCREMENT,
  `commission_order_id` int(11) NOT NULL COMMENT '',
  `name` varchar(255) NOT NULL,
  `thumb` varchar(255) NOT NULL,
  `total` varchar(255) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `has_commission` tinyint(1) NOT NULL,
  `commission_rate` int(11) NOT NULL,
  `commission_pay` decimal(10,2) NOT NULL,
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `deleted_at` int(11) NOT NULL,
  `uniacid` int(11) NOT NULL,
  `commission` decimal(10,2) NOT NULL COMMENT '佣金',
  PRIMARY KEY (`id`),
  KEY `commission_order_id` (`commission_order_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;;
";

we7ParseQuery($sql);

?>