<?php
$sql = "
CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_self_buy_commissions") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `is_open` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `rule` text COLLATE utf8_unicode_ci,
  `uniacid` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_good_id` (`goods_id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `is_commission` (`is_open`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_anchor_commissions") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `is_commission` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `rule` text COLLATE utf8_unicode_ci,
  `uniacid` int(10) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_good_id` (`goods_id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `is_commission` (`is_commission`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_coupon_users") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0' ,
  `code` varchar(20) NOT NULL DEFAULT '0' ,
  `coupon_id` int(11) NOT NULL DEFAULT '0' ,
  `order_id` int(11) NOT NULL DEFAULT '0' ,
  `add_time` datetime DEFAULT NULL ,
  `end_time` datetime DEFAULT NULL ,
  `use_time` datetime DEFAULT NULL ,
  `status` tinyint(1) NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `coupon_id` (`coupon_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_coupons") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `type` tinyint(2) NOT NULL DEFAULT '0' ,
  `state` tinyint(2) NOT NULL DEFAULT '1' ,
  `name` varchar(255) NOT NULL DEFAULT '' ,
  `num` int(11) NOT NULL DEFAULT '0' ,
  `left_num` int(11) NOT NULL DEFAULT '0' ,
  `discount_type` tinyint(1) NOT NULL DEFAULT '0' ,
  `discount_price` decimal(10,2) NOT NULL ,
  `discount_radio` decimal(10,2) NOT NULL ,
  `threshold` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `valid_type` tinyint(1) NOT NULL DEFAULT '0' ,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `valid_day` int(11) NOT NULL DEFAULT '0',
  `limit_count` int(11) NOT NULL ,
  `description` varchar(5000) NOT NULL ,
  `is_show_entrance` tinyint(1) NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `is_open` tinyint(1) DEFAULT '0',
  `use_num` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_expresses") . " (
  `id` mediumint(11) unsigned NOT NULL AUTO_INCREMENT ,
  `code` varchar(50) NOT NULL DEFAULT '' ,
  `name` varchar(50) NOT NULL DEFAULT '' ,
  `sort` int(11) NOT NULL DEFAULT '0' ,
  `is_show` tinyint(1) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `code` (`code`) USING BTREE,
  KEY `is_show` (`is_show`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '所属角色id',
  `role_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '所属角色',
  `category_id` varchar(255) NOT NULL ,
  `keyword` varchar(255) NOT NULL ,
  `mer_id` int(11) NOT NULL DEFAULT '0' ,
  `mer_use` tinyint(1) NOT NULL DEFAULT '0' ,
  `buyway` tinyint(1) NOT NULL DEFAULT '1' ,
  `title` varchar(255) NOT NULL ,
  `subtitle` varchar(255) NOT NULL ,
  `thirdurl` varchar(255) NOT NULL ,
  `goodssn` varchar(10) NOT NULL DEFAULT '' ,
  `unit` varchar(10) NOT NULL DEFAULT '' ,
  `buymode` tinyint(1) NOT NULL DEFAULT '1' ,
  `productprice` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `marketprice` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `costprice` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `buy_limit` int(11) NOT NULL DEFAULT '0' ,
  `state` tinyint(1) NOT NULL DEFAULT '1' ,
  `expressprice` decimal(10,2) DEFAULT '0.00' ,
  `sort` int(11) NOT NULL DEFAULT '0' ,
  `browse_num` int(11) NOT NULL ,
  `sale_num` int(11) NOT NULL DEFAULT '0' ,
  `ficti_num` int(11) NOT NULL ,
  `description` text NOT NULL ,
  `stock` int(11) NOT NULL DEFAULT '0' ,
  `video` varchar(255) NOT NULL DEFAULT '',
  `thumb` varchar(255) NOT NULL DEFAULT '',
  `local_thumb` varchar(255) NOT NULL DEFAULT '',
  `thumbs` varchar(2000) NOT NULL DEFAULT '',
  `hasoption` tinyint(1) NOT NULL DEFAULT '0' ,
  `give_integral` int(11) NOT NULL DEFAULT '0' ,
  `is_free_freight` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_new` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_vip` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_sales` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_hot` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_benefit` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_bargain` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_seckill` tinyint(1) NOT NULL ,
  `custom_tag` varchar(255) NOT NULL ,
  `is_custom_tag` tinyint(1) NOT NULL ,
  `ensures` varchar(50) NOT NULL DEFAULT '' ,
  `stateon_at` datetime NOT NULL ,
  `updated_at` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `category_id` (`category_id`) USING BTREE,
  KEY `keyword` (`keyword`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_categories") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '' ,
  `pic` varchar(255) NOT NULL DEFAULT '' ,
  `home_pic` varchar(255) NOT NULL,
  `intro` varchar(255) NOT NULL DEFAULT '' ,
  `sort` int(11) NOT NULL DEFAULT '0' ,
  `isshow` tinyint(1) NOT NULL DEFAULT '1' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uniacid` (`uniacid`) USING BTREE,
  KEY `parent_id` (`parent_id`) USING BTREE,
  KEY `isshow` (`isshow`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_category_xrefs") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0' ,
  `goods_id` int(11) NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_relations") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(10) unsigned NOT NULL ,
  `goods_id` int(10) unsigned NOT NULL ,
  `type` varchar(32) NOT NULL ,
  `category` varchar(32) NOT NULL ,
  `updated_at` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uid` (`uid`,`goods_id`,`type`,`category`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `category` (`category`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_replies") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL ,
  `oid` int(11) NOT NULL ,
  `unique` char(32) NOT NULL ,
  `goods_id` int(11) NOT NULL ,
  `reply_type` varchar(32) NOT NULL DEFAULT 'product' ,
  `goods_score` tinyint(1) NOT NULL ,
  `service_score` tinyint(1) NOT NULL ,
  `comment` varchar(512) NOT NULL ,
  `pics` text NOT NULL ,
  `merchant_reply_content` varchar(300) DEFAULT NULL ,
  `merchant_reply_time` int(11) DEFAULT NULL ,
  `is_reply` tinyint(1) NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `order_id_2` (`oid`,`unique`) USING BTREE,
  KEY `created_at` (`created_at`) USING BTREE,
  KEY `parent_id` (`reply_type`) USING BTREE,
  KEY `goods_score` (`goods_score`) USING BTREE,
  KEY `service_score` (`service_score`) USING BTREE,
  KEY `goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_spec_items") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) DEFAULT '0',
  `spec_id` int(11) NOT NULL DEFAULT '0' ,
  `title` varchar(255) DEFAULT '',
  `thumb` varchar(255) DEFAULT '',
  `show` int(11) DEFAULT '0',
  `goods_id` int(11) DEFAULT '0',
  `displayorder` int(11) DEFAULT '0',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_uniacid` (`uniacid`),
  KEY `indx_goods_id` (`goods_id`),
  KEY `indx_spec_id` (`spec_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_spec_options") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `goods_id` int(10) NOT NULL DEFAULT '0',
  `title` varchar(50) NOT NULL DEFAULT '',
  `thumb` varchar(60) NOT NULL DEFAULT '',
  `productprice` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  `marketprice` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  `costprice` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  `stock` int(11) NOT NULL DEFAULT '0',
  `weight` int(11) NOT NULL DEFAULT '0',
  `displayorder` int(11) NOT NULL DEFAULT '0',
  `spec_item_ids` varchar(255) NOT NULL DEFAULT '',
  `sale_num` int(11) NOT NULL DEFAULT '0',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_goods_id` (`goods_id`),
  KEY `spec_item_ids` (`spec_item_ids`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_specs") . " (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `title` varchar(50) NOT NULL DEFAULT '' ,
  `description` varchar(1000) NOT NULL DEFAULT '' ,
  `displaytype` tinyint(3) unsigned NOT NULL,
  `content` text NOT NULL,
  `goods_id` int(11) DEFAULT '0',
  `displayorder` int(11) DEFAULT '0',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_goods_visits") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `goods_id` int(11) NOT NULL ,
  `goods_type` varchar(32) NOT NULL ,
  `cate_id` varchar(255) NOT NULL ,
  `type` char(50) NOT NULL ,
  `uid` int(11) NOT NULL ,
  `count` int(11) NOT NULL ,
  `content` varchar(255) NOT NULL ,
  `updated_at` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `goods_id` (`goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_relation_tag_xrefs") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `relation_type` tinyint(2) NOT NULL DEFAULT '1' ,
  `tag_id` int(11) NOT NULL DEFAULT '0' ,
  `relation_id` int(11) NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tag_id` (`tag_id`),
  KEY `relation_id` (`relation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_shops") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `openh5shop` tinyint(1) NOT NULL DEFAULT '0' ,
  `name` varchar(50) DEFAULT '' ,
  `logo` varchar(255) DEFAULT '' ,
  `service_qrcode` varchar(255) DEFAULT '' ,
  `third_link` varchar(255) DEFAULT '' ,
  `phone` varchar(50) DEFAULT '' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_assets") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `mer_id` int(11) NOT NULL DEFAULT '0' ,
  `uid` int(11) NOT NULL DEFAULT '0' ,
  `realname` varchar(255) NOT NULL DEFAULT '' ,
  `mobile` varchar(255) NOT NULL DEFAULT '' ,
  `oid` int(11) NOT NULL DEFAULT '0' ,
  `category` tinyint(1) NOT NULL DEFAULT '0' ,
  `pay_type` tinyint(1) NOT NULL DEFAULT '1' ,
  `is_income` tinyint(1) NOT NULL DEFAULT '1' ,
  `money` decimal(10,2) NOT NULL ,
  `remark` varchar(255) NOT NULL DEFAULT '' ,
  `updated_at` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `oid` (`oid`),
  KEY `mer_id` (`mer_id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_carts") . " (
  `id` bigint(8) unsigned NOT NULL AUTO_INCREMENT ,
  `uniacid` int(10) unsigned NOT NULL,
  `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '所属角色id',
  `role_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '所属角色',
  `uid` int(10) unsigned NOT NULL ,
  `type` varchar(32) NOT NULL ,
  `goods_id` int(10) unsigned NOT NULL ,
  `spec_item_ids` varchar(16) NOT NULL DEFAULT '' ,
  `cart_num` smallint(5) unsigned NOT NULL DEFAULT '0' ,
  `is_pay` tinyint(1) NOT NULL DEFAULT '0' ,
  `is_new` tinyint(1) NOT NULL DEFAULT '0' ,
  `combination_id` int(11) unsigned DEFAULT '0' ,
  `seckill_id` int(10) unsigned NOT NULL DEFAULT '0' ,
  `bargain_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `relation_id` int(11) NOT NULL ,
  `relation_type` tinyint(1) NOT NULL ,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_id` (`uid`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `goods_id` (`goods_id`) USING BTREE,
  KEY `uid` (`uid`,`is_pay`) USING BTREE,
  KEY `uid_3` (`uid`,`is_new`) USING BTREE,
  KEY `type` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_order_cart_infos") . " (
  `oid` int(11) unsigned NOT NULL ,
  `uniacid` int(10) unsigned NOT NULL,
  `cart_id` int(10) unsigned NOT NULL DEFAULT '0' ,
  `goods_id` int(10) unsigned NOT NULL DEFAULT '0' ,
  `cart_info` text NOT NULL ,
  `unique` char(32) NOT NULL ,
  `relation_id` int(11) NOT NULL ,
  `relation_type` tinyint(1) NOT NULL ,
  UNIQUE KEY `oid` (`oid`,`unique`) USING BTREE,
  KEY `cart_id` (`cart_id`) USING BTREE,
  KEY `goods_id` (`goods_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_order_change_logs") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `oid` int(10) unsigned NOT NULL ,
  `change_type` varchar(32) NOT NULL ,
  `change_message` varchar(256) NOT NULL ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oid` (`oid`) USING BTREE,
  KEY `change_type` (`change_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_orders") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `role_id` int(11) NOT NULL DEFAULT '0' COMMENT '所属角色id',
  `role_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '所属角色',
  `order_id` varchar(32) NOT NULL ,
  `mer_id` int(10) unsigned NOT NULL DEFAULT '0' ,
  `unique` char(32) NOT NULL ,
  `uid` int(11) NOT NULL DEFAULT '0' ,
  `type` tinyint(4) NOT NULL DEFAULT '0' ,
  `agent_uid` int(10) NOT NULL DEFAULT '0' ,
  `real_name` varchar(32) NOT NULL ,
  `user_phone` varchar(18) NOT NULL ,
  `user_address` varchar(100) NOT NULL ,
  `cart_id` varchar(256) NOT NULL DEFAULT '[]' ,
  `total_num` int(11) unsigned NOT NULL DEFAULT '0' ,
  `total_price` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `total_postage` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `pay_price` decimal(10,2) NOT NULL DEFAULT '0.00' ,
  `pay_postage` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `deduction_price` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `coupon_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `coupon_price` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `paid` tinyint(1) unsigned NOT NULL DEFAULT '0' ,
  `pay_time` int(11) unsigned NOT NULL DEFAULT '0' ,
  `pay_type` varchar(32) NOT NULL ,
  `add_time` int(11) unsigned NOT NULL ,
  `deliver_time` int(11) NOT NULL DEFAULT '0' ,
  `finish_time` int(11) NOT NULL DEFAULT '0' ,
  `status` tinyint(1) NOT NULL DEFAULT '0' ,
  `refund_id` varchar(32) NOT NULL ,
  `refund_status` tinyint(1) unsigned NOT NULL DEFAULT '0' ,
  `refund_type` varchar(50) NOT NULL ,
  `refund_reason_wap_img` varchar(1000) NOT NULL ,
  `refund_reason_wap_explain` varchar(255) NOT NULL ,
  `refund_reason_time` int(11) unsigned NOT NULL ,
  `refund_reason_wap` varchar(255) NOT NULL ,
  `refund_reason` varchar(255) NOT NULL ,
  `refund_price` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `delivery_name` varchar(64) NOT NULL ,
  `delivery_type` varchar(32) NOT NULL ,
  `express_id` int(11) NOT NULL DEFAULT '0' ,
  `delivery_id` varchar(64) NOT NULL ,
  `gain_integral` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `use_integral` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `back_integral` decimal(8,2) unsigned NOT NULL ,
  `mark` varchar(512) NOT NULL ,
  `remark` varchar(512) NOT NULL ,
  `is_mer_check` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `combination_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `pink_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `cost` decimal(8,2) unsigned NOT NULL ,
  `seckill_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `bargain_id` int(11) unsigned NOT NULL DEFAULT '0' ,
  `is_channel` tinyint(1) unsigned NOT NULL DEFAULT '0' ,
  `is_remind` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `is_system` tinyint(1) NOT NULL DEFAULT '0' ,
  `notify_fail` varchar(255) NOT NULL ,
  `transaction_id` varchar(50) NOT NULL ,
  `is_del` tinyint(1) NOT NULL DEFAULT '0' , 
  `order_group_id` tinyint(1) NOT NULL DEFAULT '0' COMMENT '组合订单id',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `relation_id` int(11) NOT NULL DEFAULT '0' COMMENT '',
  `relation_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `order_id_2` (`order_id`,`uid`) USING BTREE,
  UNIQUE KEY `unique` (`unique`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `order_group_id` (`order_group_id`) USING BTREE,
  KEY `role_id` (`role_id`) USING BTREE,
  KEY `created_at` (`created_at`) USING BTREE,
  KEY `pay_price` (`pay_price`) USING BTREE,
  KEY `paid` (`paid`) USING BTREE,
  KEY `pay_time` (`pay_time`) USING BTREE,
  KEY `pay_type` (`pay_type`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `type` (`type`) USING BTREE,
  KEY `coupon_id` (`coupon_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_store_order_groups") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL,
  `unique` char(32) NOT NULL ,
  `order_id` varchar(32) NOT NULL COMMENT '订单号',
  `order_ids` varchar(255) NOT NULL DEFAULT '' COMMENT '订单id列表',
  `pay_price` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '实际支付价格',
  `refund_price` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' COMMENT '退款金额',
  `paid` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '支付状态',
  `transaction_id` varchar(50) NOT NULL COMMENT '微信交易id',
  `notify_fail` varchar(255) NOT NULL ,
  `pay_type` varchar(32) NOT NULL COMMENT '支付方式',
  `pay_time` int(11) unsigned NOT NULL DEFAULT '0' COMMENT '支付时间',
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  UNIQUE KEY `unique` (`unique`) USING BTREE,
  KEY `order_id` (`order_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='支付订单组';
";

we7ParseQuery($sql);

?>