<?php
$sql = "
CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_addresses") . " (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT ,
  `uniacid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL ,
  `realname` varchar(32) NOT NULL DEFAULT '' ,
  `mobile` varchar(16) NOT NULL DEFAULT '' ,
  `province` varchar(64) NOT NULL DEFAULT '' ,
  `city` varchar(64) NOT NULL DEFAULT '' ,
  `district` varchar(64) NOT NULL DEFAULT '' ,
  `address_info` varchar(256) NOT NULL DEFAULT '' ,
  `postal_code` int(10) unsigned DEFAULT NULL ,
  `lng` varchar(16) NOT NULL DEFAULT '0' ,
  `lat` varchar(16) NOT NULL DEFAULT '0' ,
  `is_default` tinyint(1) unsigned NOT NULL DEFAULT '0' ,
  `created_at` int(10) unsigned NOT NULL DEFAULT '0' ,
  `updated_at` int(10) DEFAULT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `is_default` (`is_default`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_bills") . " (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT ,
  `uniacid` int(10) unsigned NOT NULL,
  `uid` int(10) unsigned NOT NULL DEFAULT '0' ,
  `link_id` varchar(32) NOT NULL DEFAULT '0' ,
  `pm` tinyint(1) unsigned NOT NULL DEFAULT '0' ,
  `title` varchar(64) NOT NULL DEFAULT '' ,
  `category` varchar(64) NOT NULL DEFAULT '' ,
  `type` varchar(64) NOT NULL DEFAULT '' ,
  `number` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `balance` decimal(8,2) unsigned NOT NULL DEFAULT '0.00' ,
  `mark` varchar(512) NOT NULL DEFAULT '' ,
  `status` tinyint(1) NOT NULL DEFAULT '1' ,
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `created_at` (`created_at`) USING BTREE,
  KEY `pm` (`pm`) USING BTREE,
  KEY `type` (`category`,`type`,`link_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_form_ids") . " (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT ,
  `uid` int(11) DEFAULT '0' ,
  `form_id` varchar(255) NOT NULL ,
  `stop_time` int(11) unsigned DEFAULT NULL ,
  `status` tinyint(1) unsigned DEFAULT '0' ,
  `uniacid` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_identities") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(50) NOT NULL ,
  `nickname` varchar(50) NOT NULL ,
  `avatar` varchar(255) NOT NULL ,
  `identity` varchar(255) NOT NULL ,
  `config` varchar(500) NOT NULL ,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `identity` (`identity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_roles") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) DEFAULT NULL ,
  `role_id` int(10) DEFAULT NULL ,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_states") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) NOT NULL,
  `live_id` int(10) NOT NULL,
  `uid` int(10) NOT NULL,
  `is_black` tinyint(1) NOT NULL,
  `is_shut` tinyint(1) NOT NULL,
  `shut_time` int(10) NOT NULL,
  `black_time` int(10) NOT NULL,
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_user_tokens") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uid` int(10) unsigned NOT NULL ,
  `access_token` varchar(300) NOT NULL ,
  `refresh_access_token` varchar(300) NOT NULL ,
  `expires_time` int(10) NOT NULL ,
  `login_ip` varchar(32) NOT NULL ,
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`) USING BTREE,
  KEY `access_token` (`access_token`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_users") . " (
  `id` int(11) NOT NULL AUTO_INCREMENT ,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `weuid` int(11) NOT NULL DEFAULT '0' ,
  `unionid` varchar(50) NOT NULL DEFAULT '' ,
  `openid` varchar(255) NOT NULL DEFAULT '' ,
  `wxapp_openid` varchar(255) NOT NULL ,
  `nickname` varchar(255) NOT NULL DEFAULT '' ,
  `avatar` varchar(255) NOT NULL DEFAULT '' ,
  `realname` varchar(255) NOT NULL ,
  `mobile` varchar(255) NOT NULL,
  `idcard` varchar(50) NOT NULL DEFAULT '' COMMENT '',
  `gender` varchar(2) NOT NULL DEFAULT '',
  `province` varchar(255) NOT NULL DEFAULT '',
  `city` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(50) NOT NULL DEFAULT '' ,
  `state` tinyint(1) NOT NULL DEFAULT '0' ,
  `usertype` tinyint(1) NOT NULL DEFAULT '0' ,
  `country` varchar(255) NOT NULL,
  `credit` int(11) NOT NULL DEFAULT '0' COMMENT '',
  `balance` decimal(10,2) NOT NULL DEFAULT '0.00',
  `give_balance` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '',
  `pay_count` int(11) NOT NULL COMMENT '',
  `pay_money` decimal(10,2)  NOT NULL DEFAULT '0.00' COMMENT '',
  `recharge_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '',
  `follow_num` int(11) NOT NULL DEFAULT '0'  COMMENT '',
  `follower_num` int(11) NOT NULL DEFAULT '0'  COMMENT '',
  `updated_at` int(11) NOT NULL,
  `created_at` int(11) NOT NULL,
  `deleted_at` int(11) DEFAULT NULL,
  `parent_uid` int(10) NOT NULL,
  `child_nums` int(10) NOT NULL,
  `lat` double(18,15) NOT NULL DEFAULT '0.000000000000000',
  `lng` double(18,15) NOT NULL DEFAULT '0.000000000000000',
  `username` varchar(255) NOT NULL DEFAULT ''  COMMENT '用户名',
  `password` varchar(255) NOT NULL DEFAULT ''  COMMENT '密码',
  PRIMARY KEY (`id`),
  KEY `weuid` (`weuid`),
  KEY `username` (`username`(50)),
  KEY `openid` (`openid`(191)),
  KEY `uniacid` (`uniacid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='1';

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_certifications") . " (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `uid` int(10) unsigned NOT NULL COMMENT '',
  `realname` varchar(50) NOT NULL DEFAULT '' COMMENT '',
  `idcard` varchar(50) NOT NULL DEFAULT '' COMMENT '',
  `idcard_front_photo` varchar(255) NOT NULL DEFAULT '' COMMENT '',
  `idcard_behind_photo` varchar(255) NOT NULL DEFAULT '' COMMENT '',
  `is_default` tinyint(10) NOT NULL DEFAULT '0' COMMENT '',
  `check_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '',
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `deleted_at` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

CREATE TABLE IF NOT EXISTS " . tablename("shimmer_liveshop_follows") . " (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) NOT NULL,
  `target_uid` int(10) NOT NULL,
  `uid` int(10) NOT NULL,
  `created_at` int(10) NOT NULL,
  `updated_at` int(10) NOT NULL,
  `follow_type` tinyint(1) NOT NULL COMMENT '',
  `follow_relation_id` int(11) NOT NULL DEFAULT '1' COMMENT '',
  PRIMARY KEY (`id`),
  KEY `live_id` (`target_uid`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE,
  KEY `uniacid` (`uniacid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_recharge_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT '订单id',
  `recharge_credit` int(11) NOT NULL DEFAULT '0' COMMENT '充值积分',
  `recharge_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '充值余额金额',
  `give_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '赠送金额',
  `give_credit` int(11) NOT NULL DEFAULT '0' COMMENT '赠送积分',
  `type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '充值类型:1余额充值 2积分充值',
  `from` tinyint(1) NOT NULL DEFAULT 1 COMMENT '充值方式:1现金充值 2后台充值 3.后台扣款',
  `state` tinyint(1) NOT NULL DEFAULT 0 COMMENT '充值方式:0充值失败，1充值成功',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `operator` int(11) NOT NULL DEFAULT '0' COMMENT '后台操作员id',
  `created_at` int(10) NOT NULL DEFAULT 0,
  `updated_at` int(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_uniacid` (`uniacid`),
  KEY `idx_uid` (`uid`),
  KEY `idx_order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户充值记录表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_credit_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT '订单id',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id',
  `log_type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '日志类型',
  `type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '积分类型,1余额 2积分',
  `num` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '数量',
  `give_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '赠送金额',
  `give_credit` int(11) NOT NULL DEFAULT '0' COMMENT '赠送积分',
  `presentcredit` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '当前数量',
  `give_presentcredit` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '当前赠送数量',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  `operator` int(11) NOT NULL DEFAULT '0' COMMENT '后台操作员id',
  `created_at` int(10) NOT NULL DEFAULT 0,
  `updated_at` int(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_order_id` (`order_id`),
  KEY `idx_uniacid` (`uniacid`),
  KEY `idx_uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='余额积分日志表';
";

we7ParseQuery($sql);

?>