CREATE TABLE IF NOT EXISTS  `ims_shimmer_liveshop_goods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL,
  `buyway` tinyint(1) NOT NULL DEFAULT 1 COMMENT '购买方式 1.本地购买 2.链接到外部购买',
  `title` varchar(255) NOT NULL COMMENT '商品名称',
  `subtitle` varchar(255) NOT NULL COMMENT '商品副标题',
  `thirdurl` varchar(255) NOT NULL COMMENT '外链地址',
  `goodssn` varchar(10) NOT NULL DEFAULT '' COMMENT '商品编号',
  `unit` varchar(10) NOT NULL DEFAULT '' COMMENT '单位',
  `buymode` tinyint(1) NOT NULL DEFAULT '1' COMMENT '商品类型 1实物，2虚拟物品',
  `productprice` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '商品市场价',
  `marketprice` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '销售价',
  `costprice` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '商品原价',
  `buy_limit` int(11) DEFAULT '0' COMMENT '限购数量',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1上架 0下架',
  `expressprice` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '运费',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `sale_num` int(11) NOT NULL DEFAULT '0' COMMENT '销量',
  `description` text NOT NULL COMMENT '商品描述',
  `stock` int(11) NOT NULL DEFAULT '0' COMMENT '库存',
  `thumbs` varchar(2000) NOT NULL COMMENT '商品图片',
  `hasoption` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否有规格尺寸',
  `stateon_at` datetime DEFAULT NULL COMMENT '上架时间',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='商品表';

CREATE TABLE `ims_shimmer_liveshop_goods_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '分类名称',
  `home_pic` varchar(255) NOT NULL DEFAULT '' COMMENT '首页分类图片',
  `pic` varchar(255) NOT NULL DEFAULT '' COMMENT '分类图片',
  `intro` varchar(255) NOT NULL DEFAULT '' COMMENT '分类描述',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '排序',
  `isshow` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1:显示,2:隐藏',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='商品分类表';

CREATE TABLE `ims_shimmer_liveshop_goods_category_xrefs` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0' COMMENT '分类id',
  `goods_id` int(11) NOT NULL DEFAULT '0' COMMENT '商品id',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='商品分类关联表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_coupons` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0' COMMENT '',
  `type` tinyint(2) NOT NULL DEFAULT '0' COMMENT '优惠券类型 1.商品优惠券',
  `state` tinyint(2) NOT NULL DEFAULT 1 COMMENT '优惠券状态 1.未开启 2.已开启 3.已下架',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '优惠券名称',
  `num` int(11) NOT NULL DEFAULT '0' COMMENT '优惠券数量',
  `left_num` int(11) NOT NULL DEFAULT '0' COMMENT '优惠券剩余数量',
  `use_num` int(11) NOT NULL DEFAULT '0' COMMENT '优惠券使用数量',
  `discount_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '优惠方式 1.优惠金额 2.折扣',
  `discount_price` decimal(10,2) NOT NULL COMMENT '优惠金额',
  `discount_radio` decimal(10,2) NOT NULL COMMENT '折扣比例',
  `threshold` decimal(10,2) NOT NULL DEFAULT '0' COMMENT '使用门槛',
  `valid_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '有效期 1.固定日期 2.领券后多少天内有效',
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `valid_day` int(11) NOT NULL DEFAULT '0',
  `limit_count` int(11) NOT NULL COMMENT '领取数量限制',
  `description` varchar(5000) NOT NULL COMMENT '使用说明',
  `is_show_entrance` tinyint(1) NOT NULL DEFAULT '0' COMMENT '显示入口 1.优惠券显示在店铺首页',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='优惠券表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_coupon_users`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0' COMMENT '',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id',
  `code` varchar(20) NOT NULL DEFAULT '0' COMMENT '优惠券编号',
  `coupon_id` int(11) NOT NULL DEFAULT '0' COMMENT '优惠券id',
  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT '订单id',
  `add_time`   datetime DEFAULT NULL COMMENT '领取时间',
  `end_time`   datetime DEFAULT NULL COMMENT '有效期结束时间',
  `use_time`   datetime DEFAULT NULL COMMENT '使用时间',
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '状态（0：未使用，1：已使用, 2:已过期）',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='优惠券领取表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_orders`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) NOT NULL DEFAULT '0' COMMENT '',
  `order_sn` varchar(50) NOT NULL DEFAULT '' COMMENT '订单编号',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户id',
  `order_status` tinyint(2) NOT NULL DEFAULT 0 COMMENT '订单状态-1:交易关闭 0. 未付款 1.待发货 2.待收货 3.已签收 4.已退款',
  `terminal_type` tinyint(2) NOT NULL DEFAULT 1 COMMENT '订单类型 1.产品订单 2.竞拍订单',
  `expresscom` varchar(50) NOT NULL DEFAULT '' COMMENT '快递公司',
  `expresssn` varchar(50) NOT NULL DEFAULT '' COMMENT '快递单号',
  `express` varchar(255) NOT NULL DEFAULT '' COMMENT '快递',
  `amount` int(11) NOT NULL DEFAULT 0 COMMENT '订单总价',
  `dispatch` int(11) NOT NULL DEFAULT 0 COMMENT '配送方式',
  `dispatchprice` int(11) NOT NULL DEFAULT 0 COMMENT '运费价格',
  `address` varchar(1000) NOT NULL DEFAULT '' COMMENT '收货地址',
  `paydetail` varchar(255) NOT NULL DEFAULT '' COMMENT '支付详情',
  `remark` varchar(1000) NOT NULL DEFAULT '' COMMENT '备注',
  `transid` varchar(50) NOT NULL DEFAULT '' COMMENT '微信支付单号',
  `sendtype` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1快递 2.自提 3.无需配送',
  `paytype` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1.余额 2在线 3到付',
  `pay_time`   datetime NULL COMMENT '支付时间',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_sn` (`order_sn`) USING BTREE,
  KEY `uid` (`uid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='订单表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_order_goods` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) NOT NULL DEFAULT 0,
  `order_id` int(11) NOT NULL DEFAULT 0 COMMENT '订单id',
  `uid` int(11) NOT NULL DEFAULT 0 COMMENT '用户id',
  `amount` int(11) NOT NULL DEFAULT 0 COMMENT '商品总价',
  `goods_id` int(11) NOT NULL DEFAULT 0 COMMENT '商品id',
  `goodstype` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1商品类型 1.实物 2.虚拟',
  `goods_name` varchar(50) NOT NULL DEFAULT '' COMMENT '商品名称',
  `goods_amount` int(11) NOT NULL DEFAULT 0 COMMENT '商品价格',
  `optionid`int(11) NOT NULL DEFAULT 0 COMMENT '商品规格id',
  `optionname` varchar(255) NOT NULL DEFAULT '' COMMENT '商品规格',
  `buy_num` tinyint(4) NOT NULL DEFAULT 0 COMMENT '购买数量',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_id` (`order_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='订单商品表';


CREATE TABLE IF NOT EXISTS  `ims_shimmer_liveshop_goods_specs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `title` varchar(50) NOT NULL DEFAULT '' COMMENT '规格名称',
  `description` varchar(1000) NOT NULL DEFAULT '' COMMENT '规格说明',
  `displaytype` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `content` text NOT NULL DEFAULT ''
  `goods_id` int(11) DEFAULT '0',
  `displayorder` int(11) DEFAULT '0',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_goods_id` (`goods_id`)
)  ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='商品规格表';

CREATE TABLE IF NOT EXISTS  `ims_shimmer_liveshop_goods_spec_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(11) DEFAULT '0',
  `spec_id` int(11) NOT NULL DEFAULT 0 COMMENT '规格id',
  `title` varchar(255) DEFAULT '',
  `thumb` varchar(255) DEFAULT '',
  `show` int(11) DEFAULT '0',
  `goods_id` int(11) DEFAULT '0',
  `displayorder` int(11) DEFAULT '0',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_uniacid` (`uniacid`),
  KEY `indx_goods_id` (`goods_id`),
  KEY `indx_spec_id` (`spec_id`)
)  ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='商品规格项表';

CREATE TABLE IF NOT EXISTS  `ims_shimmer_liveshop_goods_spec_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `goods_id` int(10) DEFAULT '0',
  `title` varchar(50) DEFAULT '',
  `thumb` varchar(60) DEFAULT '',
  `productprice` decimal(10,2) NOT NULL DEFAULT '0.00',
  `marketprice` decimal(10,2) NOT NULL DEFAULT '0.00',
  `costprice`  decimal(10,2) NOT NULL DEFAULT '0.00',
  `stock` int(11) DEFAULT '0',
  `weight` int(11) DEFAULT '0.00',
  `displayorder` int(11) DEFAULT '0',
  `spec_item_ids` varchar(255) DEFAULT '',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `indx_goods_id` (`goods_id`)
)  ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='商品规格价格表';

CREATE TABLE IF NOT EXISTS `ims_shimmer_liveshop_shopping_cart` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uniacid` int(10) unsigned NOT NULL,
  `goods_id` int(11) NOT NULL DEFAULT '0',
  `uid` int(11) NOT NULL DEFAULT 0 COMMENT '用户id',
  `thumb` varchar(500) NOT NULL DEFAULT '' COMMENT '商品图片',
  `goods_name` varchar(50) NOT NULL DEFAULT '' COMMENT '商品名称',
  `goods_amount` int(11) NOT NULL DEFAULT 0 COMMENT '商品价格',
  `productprice` int(11) NOT NULL DEFAULT 0 COMMENT '市场价格',
  `buy_num` tinyint(4) NOT NULL DEFAULT 0 COMMENT '购买数量',
  `amount` int(11) NOT NULL DEFAULT 0 COMMENT '商品总价',
  `optionid`  int(11) NOT NULL DEFAULT 0 COMMENT '商品规格id',
  `optionname` varchar(255) NOT NULL DEFAULT '' COMMENT '商品规格',
  `goodstype` tinyint(1) NOT NULL DEFAULT 1 COMMENT '1商品类型 1.实物 2.虚拟',
  `updated_at` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='购物车';
