
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">状态:</label>
                            <div class="layui-input-inline">
                                <select name="query[status]" lay-verify="">
                                    <option value="">全部</option>
                                    <option <?php if($query['status']==1): ?> selected <?php endif; ?> value="1">启用</option>
                                    <option <?php if(isNotNullAndNotEmptyString($query['status']) && $query['status']==0): ?> selected <?php endif; ?> value="0">禁用</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">模版名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[name]" lay-verify="" placeholder="模版名称"
                                       value="<?php echo e($query['name']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a class="btn btn-primary load_iframe" data-url="<?php echo e(wgRoute('livetemplate.create')); ?>" data-width="1000px" data-height="700px" href="javascript:;" ><i
                                        class="fa fa-plus"></i>&nbsp;添加模版</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <form class="layui-form form-horizontal" id="ajaxform">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>模版名称</th>
                                <th>模版编号</th>
                                <th>模版ID</th>
                                <th>模版格式</th>
                                <th>状态</th>
                                <th>添加时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td><?php echo e($item->name); ?></td>
                                    <td><?php echo e($item->tempkey); ?></td>
                                    <td><?php echo e($item->tempid); ?></td>
                                    <td>
                                        <pre><?php echo e($item->content); ?></pre>
                                    </td>
                                    <td data-url="<?php echo e(wgRoute('livetemplate.changeStatus',['id'=>$item->id])); ?>">
                                        <input type="checkbox" <?php echo e($item->status==1 ? 'checked' : ''); ?> lay-filter="status" name="status" lay-skin="switch" lay-text="启用|禁用"
                                               value="1">
                                    </td>
                                    <td><?php echo e($item->created_at); ?></td>
                                    <td>
                                        <div class="btn-group">
                                            <a href="javascript:;" class="btn btn-outline btn-success load_iframe"  data-url="<?php echo e(wgRoute('livetemplate.edit',['id'=>$item->id])); ?>" data-width="1000px" data-height="700px">
                                                编辑
                                            </a>&nbsp;
                                            <a href="javascript:;" class="btn btn-outline btn-danger ajax-confirm delete" data-url="<?php echo e(wgRoute('livetemplate.destroy',['id'=>$item->id])); ?>" data-title="确定要删除吗">
                                                删除
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </form>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element','form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            form.on('switch(status)', function (data) {
                var params = {};
                var index = layer.load(0);
                params.status = data.elem.checked ? 1 : 0;
                var url = $(this).parent().data('url');

                $.ajax({
                    url: url,
                    type: 'POST',
                    dateType: 'json',
                    data: params,
                    success: function (res) {
                        layer.close(index);
                        if (res.errno == 0) {
                            layer.msg(res.message, {time: 2000, icon: 1});
                        } else {
                            layer.msg(res.message, {time: 2000, icon: 5});
                        }
                    }
                });
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>