
<?php $__env->startPush('stylesheets'); ?>
    <link href="<?php echo e(URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')); ?>?v=33" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="用户昵称"
                                       value="<?php echo e($query['nickname']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">申请时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="<?php echo e($query['start_time']); ?>"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="<?php echo e($query['end_time']); ?>"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a class="btn btn-primary" href="<?php echo e(wgRoute('web_plugin_merch.store.manager.create')); ?>"><i class="fa fa-plus"></i>&nbsp;添加商户</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>昵称</th>
                            <th>头像</th>
                            <th>真实姓名</th>
                            <th>手机号</th>
                            <th>申请时间</th>
                            <th>申请表单</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>"></td>
                                <td><?php echo e($item->id); ?></td>
                                <td><?php echo e($item->user->nickname); ?></td>
                                <td>
                                    <img src="<?php echo e($item->user->avatar); ?>" class="rounded-circle img-sm img_pop_show"/>
                                </td>
                                <td><?php echo e($item->user->realname); ?></td>
                                <td><?php echo e($item->user->mobile); ?></td>
                                <td><?php echo e($item->created_at); ?></td>
                                <td>
                                    <?php if($item->diyform_data_id>0): ?>
                                        <a href="javascript:;" class="link-color load_iframe" data-url="<?php echo e(wgRoute("liveutilsdiyform.fieldData",['id'=>$item->diyform_data_id])); ?>" data-width="1000px" data-height="700px" >查看表单</a>
                                    <?php else: ?>
                                        无
                                    <?php endif; ?>
                                </td>
                                <td data-id="<?php echo e($item->id); ?>">
                                    <button type="button" class="btn btn-w-m btn-success ajax-confirm" data-url="<?php echo e(wgRoute('web_plugin_merch.common.apply.checkSuccess',['id'=>$item->id])); ?>" data-method="post" data-title="确定审核通过吗？">审核通过</button>
                                    <button type="button" class="btn btn-w-m btn-danger  checkFail">审核驳回</button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定全部审核通过吗？" data-batch="id"  data-url="<?php echo e(wgRoute('web_plugin_merch.common.apply.checkSuccess')); ?>" data-method="post"><i class="fa fa-exchange"></i> 审核通过</button>
                        <button class="btn btn-default checkFail" type="button"  data-batch="id"><i class="fa fa-exchange"></i> 驳回申请</button>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });

        require(["<?php echo e(URL::asset('/static/web/js/plugins/sweetalert/sweetalert.min.js')); ?>"], function (swal) {
            layui.use(['laydate', 'element'], function () {
                $(".checkFail").click(function () {
                    //批量操作
                    if ($(this).data("batch")) {
                        var batch = $(this).data("batch");
                        var id = [];
                        $(".check_item:checked").each(function () {
                            var value = $(this).data(batch);
                            id.push(value);
                        });
                        if (id.length <= 0) {
                            layer.msg('请选择要操作的数据', {time: 2000, icon: 5});
                            return;
                        }
                    } else {
                        var id = $(this).parent().data('id');
                    }
                    swal({
                        title: '驳回原因',
                        input: 'textarea',
                        confirmButtonText: "提交",
                        cancelButtonText: "取消",
                        showCancelButton: true
                    }).then(function(result) {
                        var reason = result.value;
                        if(reason && result.dismiss!='cancel'){
                            var index = layer.load(0);
                            $.ajax({
                                url: '<?php echo e(wgRoute("web_plugin_merch.common.apply.checkFail")); ?>',
                                type: 'POST',
                                data: {id:id,reason:reason},
                                dataType: "json",
                                success: function (result) {
                                    layer.close(index);
                                    if (result.errno || result.errno == 0) {
                                        layer.msg(result.message, {time: 2000, icon: 6});
                                        location.reload();
                                    } else {
                                        layer.msg(result.message, {time: 2000, icon: 5});
                                    }
                                }
                            });
                        }

                    })
                })
            });
        })
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>