

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <div class="layui-input-inline">
                                <input type="text" name="query[keywords]" lay-verify="" placeholder="商户名称/联系人/手机号"
                                       style="width: 200px;" value="<?php echo e($query['keywords']); ?>" autocomplete="off"
                                       class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    <?php $__env->startSection('toolbar'); ?>
                        <span class="left">
                            <a class="btn btn-primary" href="<?php echo e(wgRoute('web_plugin_merch.store.manager.create')); ?>"><i
                                        class="fa fa-plus"></i>&nbsp;添加商户</a>
                        </span>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>粉丝</th>
                            <th>会员</th>
                            <th>商户名称</th>
                            <th>主营项目</th>
                            <th>联系人</th>
                            <th>入驻时间</th>
                            <th>到期时间</th>
                            <th>账户</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>"
                                           data-id="<?php echo e($item->id); ?>"></td>
                                <td><?php echo e($item->id); ?></td>
                                <td>
                                    <?php if($item->user): ?>
                                        <img src="<?php echo e($item->user->avatar); ?>"
                                             class="rounded-circle img-sm img_pop_show"/><br/>
                                        <?php echo e($item->user->nickname); ?>

                                    <?php else: ?>
                                        未绑定
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($item->user): ?>
                                        <?php echo e($item->user->realname); ?><br/>
                                        <?php echo e($item->user->mobile); ?>

                                    <?php else: ?>
                                        未绑定
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($item->name); ?></td>
                                <td><?php echo e($item->salecate); ?></td>
                                <td>
                                    <?php echo e($item->realname); ?><br/>
                                    <?php echo e($item->mobile); ?>

                                </td>
                                <td>
                                    <?php if($item->jointime): ?>
                                        <?php  echo date('Y-m-d H:i:s',$item->jointime); ?>
                                    <?php else: ?>
                                        -
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($item->accounttime): ?>
                                        <?php  echo date('Y-m-d H:i:s',$item->accounttime); ?>
                                    <?php else: ?>
                                        -
                                    <?php endif; ?>
                                </td>
                                <td>
                                    待结算: <span class="text-success"><?php echo e($item->pending_money); ?></span><br/>
                                    余额: <span class="text-danger"><?php echo e($item->balance_money); ?></span><br/>
                                    已提现: <span class="text-danger"><?php echo e($item->withdrawn_money); ?></span>
                                </td>
                                <td>
                                    <?php if($item->status == 0): ?>
                                        <span class="label">待入驻</span>
                                    <?php elseif($item->status == 1): ?>
                                        <span class="label label-success">入驻中</span>
                                    <?php elseif($item->status == 2): ?>
                                        <span class="label label-danger">暂停中</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a href="<?php echo e(wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->id])); ?>"
                                       class="btn btn-info " type="button"><i class="fa fa-paste"></i> 编辑</a>
                                    <?php if(!$item->uid): ?>
                                        <a href="javascript:;"
                                           data-url="<?php echo e(wgRoute("web_plugin_merch.store.manager.bindUser",['id'=>$item->id])); ?>"
                                           class="btn btn-info load_iframe" type="button"><i class="fa fa-user-o"></i>
                                            授权绑定</a>
                                    <?php endif; ?>
                                    <button class="btn btn-danger ajax-confirm delete" type="button"
                                            data-title="删除商品后不可恢复，确定吗？"
                                            data-url="<?php echo e(wgRoute('web_plugin_merch.store.manager.destroy',[$item->id])); ?>">
                                        <i class="fa fa-trash-o"></i> 删除
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        
                        
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>