<link rel="stylesheet" href="<?php echo e(URL::asset('/static/web/admin/diypage/goods.css')); ?>?v=<?php  echo time();  ?>">

<div class="custorm--modelbox goodscol-edit" v-if="currentType=='goods'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    商品
                </div>
            </div>
        </div>
        <div class="flex-row flex-align-c right-nav-list">
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='content' ? 'active' : '']"
                 @click="editToolElement('current_btn','content')">内容
            </div>
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='style' ? 'active' : '']"
                 @click="editToolElement('current_btn','style')">风格
            </div>
        </div>
    </div>

    <section v-if="content.items[currentIndex].current_btn=='content'">
        <div class="edit-form-item">
            <div class="form-label">
                选择商品
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].goods_from" class="flex-row" @change="goodsChangeFrom">
                        <el-radio label="upload">手动选择</el-radio>
                        <el-radio label="category">选择分类</el-radio>
                    </el-radio-group>
                </template>
            </div>

            <div class="inner">
                <div class="goodscol-add load_iframe"
                     data-url="<?php echo e(wgRoute('liveutilsgoods.selectlist',['callback'=>'addGoodsItem'])); ?>"
                     data-width="1000px"
                     data-height="700px" v-if="content.items[currentIndex].goods_from=='upload'">

                    <i class="el-icon-plus"></i>
                    添加
                </div>

                <input type="hidden" class="upload_goods"/>

                <div class="flex-row choose-item-lits" v-if="content.items[currentIndex].goods_from=='upload'">
                    <draggable v-model="content.items[currentIndex].items">
                        <div class="choose-item-child drag"
                             v-for="(item,itemIndex) in content.items[currentIndex].items">
                            <img :src="item.thumb"
                                 class="small" :title="item.title">
                            <i class="delete el-icon-close" style="font-size: 16px"
                               @click="delSubTool('goods','items',itemIndex);"></i>
                        </div>
                    </draggable>
                </div>
            </div>

            <div class="inner flex-row flex-align-c" v-if="content.items[currentIndex].goods_from=='category'">
                <div style="margin: 10px">
                    分类
                </div>
                <div class="select-btn-box">
                    <i class="icon icon-fujian select-btn-icon"></i>
                    <div class="my-link-input el-input el-input--small">
                        <input type="text" readonly="readonly" autocomplete="off" placeholder="请选择分类"
                               class="el-input__inner load_iframe category_name"
                               data-url="<?php echo e(wgRoute('liveutilsgoods.select_category',['callback'=>'set_input','input_class'=>'category_name'])); ?>"
                               v-model="content.items[currentIndex].category_name"
                               data-width="1000px"
                               data-height="700px"/>
                        <input type="hidden" class="category_id" v-model="content.items[currentIndex].category_id"/>
                    </div>
                </div>
            </div>

            <div class="stylebox flex-row flex-align-c ivu-color-picker"
                 v-if="content.items[currentIndex].goods_from=='category'">
                <span class="stylebox-label">显示条数</span>
                <el-slider
                        @change="setGoodsCategoryItems"
                        v-model="content.items[currentIndex].limit"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    {{ content.items[currentIndex].limit }}个
                </div>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                商品排序
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-select v-model="content.items[currentIndex].sort_by" placeholder="请选择">
                        <el-option
                                v-for="item in goodsSorts"
                                :key="item.value"
                                :label="item.label"
                                :value="item.value">
                        </el-option>
                    </el-select>
                </template>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].sort" class="flex-row">
                        <el-radio label="asc">正序</el-radio>
                        <el-radio label="desc">倒序</el-radio>
                    </el-radio-group>
                </template>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                购买按钮
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].show_buy_btn" class="flex-row">
                        <el-radio label="1">显示</el-radio>
                        <el-radio label="0">隐藏</el-radio>
                    </el-radio-group>
                </template>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker"
                 v-if="content.items[currentIndex].show_buy_btn==1">
                <span class="stylebox-label">文字</span>
                <el-input maxlength="4" v-model="content.items[currentIndex].buy_btn_text" size="medium"
                          placeholder="请输入购买文字"></el-input>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                标签
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].show_tag" class="flex-row">
                        <el-radio label="1">显示</el-radio>
                        <el-radio label="0">隐藏</el-radio>
                    </el-radio-group>
                </template>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker" v-if="content.items[currentIndex].show_tag==1">
                <span class="stylebox-label">文字</span>
                <el-input maxlength="4" v-model="content.items[currentIndex].tag_text" size="medium"
                          placeholder="请输入推荐文字"></el-input>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                商品原价
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].show_productprice" class="flex-row">
                        <el-radio label="1">显示</el-radio>
                        <el-radio label="0">隐藏</el-radio>
                    </el-radio-group>
                </template>
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                销量
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <template>
                    <el-radio-group v-model="content.items[currentIndex].show_sale_num" class="flex-row">
                        <el-radio label="1">显示</el-radio>
                        <el-radio label="0">隐藏</el-radio>
                    </el-radio-group>
                </template>
            </div>
        </div>

        <div class="edit-form-item" v-if="content.items[currentIndex].style==2">
            <div class="form-label">
                活动标题
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">主标题</span>
                <el-input maxlength="4" v-model="content.items[currentIndex].active_title" size="medium"
                          placeholder="请输入活动标题"></el-input>
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">副标题</span>
                <el-input maxlength="4" v-model="content.items[currentIndex].active_subtitle" size="medium"
                          placeholder="请输入活动副标题"></el-input>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label">
                上下边距
            </div>
            <div class="flex-row flex-align-c">
                <el-slider
                        v-model="content.items[currentIndex].padding_top_buttom"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    {{ content.items[currentIndex].padding_top_buttom }}px
                </div>
            </div>
            <div class="form-label">
                左右边距
            </div>
            <div class="flex-row flex-align-c">
                <el-slider
                        v-model="content.items[currentIndex].padding_left_right"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    {{ content.items[currentIndex].padding_left_right }}px
                </div>
            </div>
        </div>
    </section>

    <section class="flex-col" v-if="content.items[currentIndex].current_btn=='style'">
        <div class="es-form-item goods" style="border-bottom: 0px;">
            <div class="item-inner block"
                 style="transform: scale(0.8) translate(-50px, -50px); width: 375px;"><label
                        class="button-img block" :class="[content.items[currentIndex].style==1 ? 'active' : '']"
                        @click="editToolElement('style','1')"
                        style="border-color: rgb(237, 237, 237);">
                    <div class="es-goods-group block one">
                        <div class="es-goods-item">
                            <div data-text="推荐" class="image ">
                                <div class="qglist-i-t-bar">
                                    <div class="qglist-i-t-bar-d"></div>
                                </div>
                                <img height="140"
                                     src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                     alt=""></div>
                            <div class="detail">
                                <div class="name line-hide display-1" style="margin-bottom: 10px;"><i
                                            class="icon-tip">推荐</i>这里是商品标题
                                </div>
                                <div style="display: flex;">
                                    <div style="flex: 1 1 0%;">
                                        <div
                                                class="price display-1 flex-row flex-align-c flex-justify-b"><span
                                                    class="text">￥<span
                                                >20.00</span></span><span
                                                    class="buy buybtn1 display-1">
                                                    购买
                                                </span></div>
                                        <div
                                                class="sold display-1 flex-row flex-align-c flex-justify-b"
                                                style="margin-top: 5px;"><span class="line-through">￥0.00</span><span
                                            >0人购买</span></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
            <div class="item-inner block"
                 style="transform: scale(0.8) translate(-50px, -130px); width: 375px;"><label
                        class="button-img block"
                        :class="[content.items[currentIndex].style==2 ? 'active' : '']"
                        @click="editToolElement('style','2')"
                        style="border-color: rgb(237, 237, 237);">
                    <div class="es-goods-group block one">
                        <div class="es-goods-header flex-row flex-align-c flex-justify-b">
                            <div class="flex-col"><span
                                        class="title">这里是主标题</span> <span
                                        class="sub-title">这里是副标题</span></div>
                            
                        </div>
                        <div class="es-goods-item">
                            <div data-text="推荐" class="image ">
                                <div class="qglist-i-t-bar">
                                    <div class="qglist-i-t-bar-d"></div>
                                </div>
                                <img height="140"
                                     src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                     alt=""></div>
                            <div class="detail">
                                <div class="name line-hide display-1" style="margin-bottom: 10px;"><i
                                            class="icon-tip">推荐</i>这里是商品标题
                                </div>
                                <div style="display: flex;">
                                    <div style="flex: 1 1 0%;">
                                        <div
                                                class="price display-1 flex-row flex-align-c flex-justify-b"><span
                                                    class="text">￥<span
                                                >20.00</span></span><span
                                                    class="buy buybtn1 display-1">
                                                    购买
                                                </span></div>
                                        <div
                                                class="sold display-1 flex-row flex-align-c flex-justify-b"
                                                style="margin-top: 5px;"><span class="line-through">￥0.00</span><span
                                            >0人购买</span></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
            <div class="item-inner block"
                 style="transform: scale(0.8) translate(-50px, -190px); width: 375px;"><label
                        class="button-img block"
                        :class="[content.items[currentIndex].style==3 ? 'active' : '']"
                        @click="editToolElement('style','3')"
                        style="border-color: rgb(237, 237, 237);">
                    <div class="es-goods-group  list">
                        <div class="es-goods-item">
                            <div data-text="推荐" class="image display-2"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt=""></div>
                            <div class="detail">
                                <div class="name line-hide">这里是商品标题</div>
                                <div style="display: flex;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="margin-top: 4px;"><span
                                                    class="text">￥<span
                                                >20.00</span></span> <span
                                                    class="productprice">￥99.00</span>
                                        </div>
                                    </div>
                                    <span class="buy buybtn1 display-2">
                                            购买
                                        </span></div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
            <div class="item-inner block "
                 style="transform: scale(0.8) translate(-50px, -230px); width: 375px;"><label
                        class="button-img block"
                        :class="[content.items[currentIndex].style==4 ? 'active' : '']"
                        @click="editToolElement('style','4')"
                        style="border-color: rgb(237, 237, 237);">
                    <div class="es-goods-group block two">
                        <div class="es-goods-item" style="margin-top: 20px;">
                            <div data-text="推荐" class="image display-3"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt=""></div>
                            <div class="detail">
                                <div class="name line-hide">请选择商品...</div>
                                <div style="display: flex; margin-top: 10px;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="line-height: 1;"><span
                                                    class="text">0.00元</span></div>
                                        <div class="sold flex-row flex-align-c flex-justify-b"
                                             style="line-height: 1.5;"><span class="line-through">0.00</span>
                                            <span>已售</span></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="es-goods-item" style="margin-top: 20px;">
                            <div data-text="推荐" class="image display-3"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt=""></div>
                            <div class="detail">
                                <div class="name line-hide">请选择商品...</div>
                                <div style="display: flex; margin-top: 10px;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="line-height: 1;"><span
                                                    class="text">0.00元</span></div>
                                        <div class="sold flex-row flex-align-c flex-justify-b"
                                             style="line-height: 1.5;"><span class="line-through">0.00</span>
                                            <span>已售</span></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
            <div class="item-inner block "
                 style="transform: scale(0.8) translate(-50px, -230px); width: 375px;overflow: hidden;"><label
                        class="button-img block"
                        :class="[content.items[currentIndex].style==5 ? 'active' : '']"
                        @click="editToolElement('style','5')"
                        style="border-color: rgb(237, 237, 237);">
                    <div class="es-goods-group block two swiper">
                        <div class="es-goods-item" style="margin-top: 20px;">
                            <div data-text="推荐" class="image display-5"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt=""></div>
                            <div class="detail">
                                <div class="name line-hide">请选择商品...</div>
                                <div style="display: flex; margin-top: 10px;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="line-height: 1;"><span class="text">0.00元</span>
                                        </div>
                                        <div class="sold flex-row flex-align-c flex-justify-b" style="line-height: 1.5;">
                                            <span class="line-through">0.00</span>
                                            <span>已售</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="es-goods-item" style="margin-top: 20px;">
                            <div data-text="推荐" class="image display-5"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt=""></div>
                            <div class="detail">
                                <div class="name line-hide">请选择商品...</div>
                                <div style="display: flex; margin-top: 10px;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="line-height: 1;"><span
                                                    class="text">0.00元</span></div>
                                        <div class="sold flex-row flex-align-c flex-justify-b"
                                             style="line-height: 1.5;">
                                            <span class="line-through">0.00</span>
                                            <span>已售</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="es-goods-item" style="margin-top: 20px;">
                            <div data-text="推荐" class="image display-5"><img
                                        src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png"
                                        alt="">
                            </div>
                            <div class="detail">
                                <div class="name line-hide">请选择商品...</div>
                                <div style="display: flex; margin-top: 10px;">
                                    <div style="flex: 1 1 0%;">
                                        <div class="price" style="line-height: 1;"><span class="text">0.00元</span></div>
                                        <div class="sold flex-row flex-align-c flex-justify-b" style="line-height: 1.5;"><span class="line-through">0.00</span>
                                            <span>已售</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
        </div>
    </section>

</div>