
<?php $__env->startSection('page_title'); ?>
    实名认证
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">真实姓名:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[realname]" lay-verify="" placeholder="真实姓名"
                                       value="<?php echo e($query['realname']); ?>" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="<?php echo e($currentPageNum); ?>">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>

                    <?php echo $__env->make('live::common.toolbar', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>用户id</th>
                            <th>用户昵称</th>
                            <th>真实姓名</th>
                            <th>身份证号</th>
                            <th>身份证正面照</th>
                            <th>身份证背面照</th>
                            <th>审核状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_<?php echo e($item->id); ?>" data-id="<?php echo e($item->id); ?>"></td>
                                <td><?php echo e($item->id); ?></td>
                                <td><?php echo e($item->uid); ?></td>
                                <td><?php echo e($item->user->nickname); ?></td>

                                <td><?php echo e($item->realname); ?></td>
                                <td><?php echo e($item->idcard); ?></td>

                                <td>
                                    <img src="<?php echo e(wgTomedia($item->idcard_front_photo)); ?>" class="img-md img_pop_show"/>
                                </td>
                                <td>
                                    <img src="<?php echo e(wgTomedia($item->idcard_behind_photo)); ?>" class="img-md img_pop_show"/>
                                </td>
                                <td>
                                    <?php if($item->check_status==0): ?>
                                        <span class="label label-info">待审核</span>
                                    <?php elseif($item->check_status==1): ?>
                                        <span class="label label-success">审核通过</span>
                                    <?php elseif($item->check_status==2): ?>
                                        <span class="label label-danger">审核未通过</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <div class="btn-group">
                                        <button data-toggle="dropdown" class="btn btn-primary dropdown-toggle">审核 </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="dropdown-item ajax-confirm" href="javascript:;"  data-title="确定审核通过吗？" data-url="<?php echo e(wgRoute('live.member.certification.check',['check_status'=>1,'id'=>$item->id])); ?>" data-method="post">审核通过</a></li>
                                            <li><a class="dropdown-item load_iframe" href="javascript:;" data-url="<?php echo e(wgRoute('live.member.certification.check_reject',['check_status'=>2,'id'=>$item->id])); ?>" data-width="1000px" data-height="700px">审核不通过</a></li>
                                        </ul>
                                    </div>
                                    <a class="btn btn-outline btn-success"
                                       href="<?php echo e(wgRoute('live.member.certification.edit',[$item->id])); ?>">编辑</a>
                                    <button type="button" class="btn btn-outline btn-danger  ajax-confirm delete" data-title="删除实名认证后不可恢复，确定吗？" data-url="<?php echo e(wgRoute('live.member.certification.destroy',[$item->id])); ?>">删除
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php $__env->startSection('batch_btn'); ?>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定审核通过吗？" data-batch="id" data-url="<?php echo e(wgRoute('live.member.certification.check',['check_status'=>1])); ?>" data-method="post"><i class="fa fa-gear"></i> 审核通过
                        </button>
                        <button class="btn btn-default ajax-confirm" type="button" data-title="确定审核不通过吗？" data-batch="id" data-url="<?php echo e(wgRoute('live.member.certification.check',['check_status'=>2])); ?>" data-method="post"><i class="fa fa-gear"></i> 审核不通过
                        </button>
                        <button class="btn btn-default ajax-confirm delete" type="button" data-title="确定全部删除吗？" data-batch="id"  data-url="<?php echo e(wgRoute('live.member.certification.destroy',[$item->id])); ?>" data-method="post"><i class="fa fa-trash-o"></i> 批量删除
                        </button>
                    <?php $__env->stopSection(); ?>
                    <?php echo $__env->make('live::common.pagination', ['pager' => $pager], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('live::layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>