<div class="custorm--modelbox notice-edit" v-if="currentType=='audio'">
    <div class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">
                    音频播放
                </div>
            </div>
        </div>
        <div class="flex-row flex-align-c right-nav-list">
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='content' ? 'active' : '']"
                 @click="editToolElement('current_btn','content')">内容
            </div>
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='style' ? 'active' : '']"
                 @click="editToolElement('current_btn','style')">风格
            </div>
        </div>
    </div>

    <section v-if="content.items[currentIndex].current_btn=='content'">
        <div class="edit-form-item">
            <div class="form-label">
                音频选择
            </div>
            <div class="uploadSourceAudio" @click="uploadAudio('url')">
                <i class="el-icon-plus" style="font-size: 36px; line-height: 80px;"></i>
            </div>
            <div class="filename" v-if="content.items[currentIndex].filename">
                {{ content.items[currentIndex].filename }}
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                颜色选择
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">颜色</span>
                <el-color-picker size="mini" v-model="content.items[currentIndex].color">
                </el-color-picker>
                <span class="ivu-input">{{ content.items[currentIndex].color }}</span>
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                标题文字
            </div>
            <div class="stylebox flex-row flex-align-c ivu-color-picker">
                <span class="stylebox-label">文字</span>
                <el-input v-model="content.items[currentIndex].text" size="medium" placeholder="请输入音频描述"></el-input>
            </div>
        </div>
        <div class="edit-form-item">
            <div class="form-label">
                音频图片
            </div>
            <div class="stylebox flex-row ivu-color-picker">
                <span class="stylebox-label">图片</span>
                <div class="flex-col">
                    <div class="item" style="position: relative;">
                        <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                        <div class="item-inner">
                            <div class="small" style="align-self: start;">
                                <div @click="uploadImg('image')" class="uploadSource solid" style="cursor: pointer">
                                    <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                    <div class="img"
                                         :style="{'background-image':'url('+content.items[currentIndex].image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="flex-col" v-if="content.items[currentIndex].current_btn=='style'">
        <p class="text-center">风格一</p>
        <div class="audio-item" @click="editToolElement('style','1')" style="overflow: hidden;"
             :class="[content.items[currentIndex].style==1 ? 'active' : '']">
            <div class="es-audio style1 flex-row" style="margin-top: 5px; margin-bottom: 5px;">
                <div class="img">
                    <i class="el-icon-video-play"></i>
                </div>
                <div class="content">
                    <div class="name" style="color: rgb(51, 51, 51);">
                        主标题
                    </div>
                    <div class="cap-slider">
                        <div class="cap-slider__bar">
                            <span class="cap-slider__finished-portion"
                                  style="background-color: rgb(68, 187, 0); width: 0%;"></span>
                            <span class="cap-slider__pivot"
                                  style="background-color: rgb(255, 255, 255); left: 0%; margin-left: -2px;">

                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <p class="text-center">风格二</p>
        <div class="audio-item" @click="editToolElement('style','2')" style="overflow: hidden;"
             :class="[content.items[currentIndex].style==2 ? 'active' : '']">
            <div class="es-audio style2 flex-row flex-align-c" style="margin-top: 5px; margin-bottom: 5px;">
                <i class="el-icon-video-play"></i>
                <div class="content">
                    <div class="name" style="color: rgb(51, 51, 51);">
                        主标题
                    </div>
                </div>
            </div>
        </div>
        <p class="text-center">风格三</p>
        <div class="audio-item" @click="editToolElement('style','3')" style="overflow: hidden;"
             :class="[content.items[currentIndex].style==3 ? 'active' : '']">
            <div class="es-audio style3" style="margin-top: 5px; margin-bottom: 5px;">
                <div class="img">
                    <img src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png" />
                </div>
                <img src="/addons/shimmer_liveshop/static/web/admin/diypage/images/audio1.png" class="audio1">
            </div>
        </div>
        <p class="text-center">风格四</p>
        <div class="audio-item" @click="editToolElement('style','4')" style="overflow: hidden;"
             :class="[content.items[currentIndex].style==4 ? 'active' : '']">
            <div class="es-audio style4" style="margin-top: 5px; margin-bottom: 5px;">
                <div class="img">
                    <img src="/addons/shimmer_liveshop/static/web/admin/diypage/images/nopic.png" />
                </div>
                <img src="/addons/shimmer_liveshop/static/web/admin/diypage/images/audio2.png" class="audio2">
            </div>
        </div>
    </section>

</div>