<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>后台管理
        <?php if(View::hasSection('page_title')): ?>
            | <?php echo $__env->yieldContent('page_title'); ?>
        <?php endif; ?>
    </title>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link href="<?php echo e(URL::asset('/static/web/css/bootstrap.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/web/font-awesome/css/font-awesome.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/lib/Hui/css/iconfont.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/web/css/animate.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/web/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/web/layui/css/layui.css')); ?>?v=22" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/lib/toastr/toastr.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('/static/web/we7/resource/css/common.css')); ?>" rel="stylesheet">

    <script src="<?php echo e(URL::asset('/static/web/js/jquery-3.1.1.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/slimscroll/jquery.slimscroll.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/inspinia.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/echarts.common.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/metisMenu/jquery.metisMenu.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/theme/macarons.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/plugins/echarts/theme/westeros.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/lib/toastr/toastr.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/static/web/js/require.js')); ?>"></script>
</head>

<body>
<?php echo $__env->make('live::layouts.toastr', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php echo $__env->yieldPushContent('scripts'); ?>

<div id="wrapper">
    <nav class="navbar-default navbar-static-side" role="navigation">
        <div class="sidebar-collapse">
            <ul class="nav metismenu" id="side-menu">
                <li class="nav-header">
                    <div class="dropdown profile-element">
                        <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                            <span class="block m-t-xs font-bold"><?php echo e(Auth::guard('manager')->user()->username); ?></span>
                            <span class="text-muted text-xs block">管理<b class="caret"></b></span>
                        </a>
                        <ul class="dropdown-menu animated fadeInRight m-t-xs">
                            <li><a class="dropdown-item" href="<?php echo e(Request()->getSchemeAndHttpHost()); ?>">返回系统</a></li>
                        </ul>
                    </div>
                    <div class="logo-element">
                    </div>
                </li>
                <?php $__currentLoopData = $leftMenuData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1=>$menuData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li  <?php if($menuData['active']): ?> class="active" <?php endif; ?>>
                        <a href="<?php echo e($menuData['url']); ?>">
                            <i class="fa <?php echo e($menuData['ico']); ?>"></i>
                            <span class="nav-label"><?php echo e($menuData['name']); ?></span>
                            <?php if(isset($menuData['child'])): ?>
                                <span class="fa arrow"></span>
                            <?php endif; ?>
                        </a>
                        <?php if(isset($menuData['child'])): ?>
                            <ul class="nav nav-second-level collapse">
                                <?php $__currentLoopData = $menuData['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2=>$md): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="<?php echo e($md['active'] ? 'active' : ''); ?>">
                                        <a href="<?php echo e($md['url']); ?>">
                                            <?php echo e($md['name']); ?>

                                            <?php if(isset($md['child'])): ?>
                                                <span class="fa arrow"></span>
                                            <?php endif; ?>
                                        </a>
                                        <?php if(isset($md['child'])): ?>
                                            <ul class="nav nav-third-level collapse" style="">
                                                <?php $__currentLoopData = $md['child']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key3=>$md3): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li class="<?php echo e($md3['active'] ? 'active' : ''); ?>">
                                                        <a href="<?php echo e($md3['url']); ?>">
                                                            <?php echo e($md3['name']); ?>

                                                        </a>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        <?php endif; ?>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    </nav>
    <div id="page-wrapper" class="gray-bg">
        <div class="wrapper wrapper-content animated fadeInRight">
            <?php echo $__env->yieldContent('content'); ?>
        </div>
        <?php echo $__env->make('live::layouts.copyright', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
<?php echo $__env->yieldContent('script'); ?>

</body>
</html>
