<div class="custorm--modelbox notice-edit" v-if="currentType=='magic_cube'">
    <div data-v-b53895d4="" class="right-nav flex-row flex-justify-b">
        <div class="flex-col flex-grow-1">
            <div class="flex-row flex-align-c flex-justify-b">
                <div class="right-nav-title">魔方</div>
            </div>
        </div>
        <div class="flex-row flex-align-c right-nav-list">
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='content' ? 'active' : '']"
                 @click="editToolElement('current_btn','content')">内容
            </div>
            <div class="right-nav-item" :class="[content.items[currentIndex].current_btn=='style' ? 'active' : '']"
                 @click="editToolElement('current_btn','style')">风格
            </div>
        </div>
    </div>

    <section v-if="content.items[currentIndex].current_btn=='content'">
        <div class="edit-form-item">
            <div class="form-label" style="margin-top: 20px">
                魔方布局
            </div>
            <div class="flex-row flex-align-c">
                <section class="el-container">
                    <main class="el-main pad-no square-container" style="overflow: visible">
                        <section class="layout">
                            <div style="overflow: hidden;">
                                <ul v-for="cubeUl in [1,2,3,4]">
                                    <li v-for="cubeLi in [1,2,3,4]" class="custom-rubik-cube"
                                        :class="[ (content.items[currentIndex].select_cubes && content.items[currentIndex].select_cubes.indexOf(cubeUl+':'+cubeLi)!==-1) || content.items[currentIndex].select_cube == cubeUl+':'+cubeLi ? 'selected' : '']"
                                        @mouseover="mouseoverMagiCube(cubeUl,cubeLi,$event)"
                                        @mouseout="mouseoutMagiCube(cubeUl,cubeLi,$event)"
                                        @click="selectMagiCube(cubeUl,cubeLi,$event)">
                                        <div>+</div>
                                    </li>
                                </ul>
                            </div>
                            <div class="selected-rubik-cube"
                                 :class="[content.items[currentIndex].select_item_index==itemIndex ? 'current' :'']"
                                 v-for="(item,itemIndex) in content.items[currentIndex].items"
                                 @click="selectMagicCubeItem(itemIndex)"
                                 style="box-sizing: border-box;"
                                 :style="{top:item.top*70+'px','left':item.left*70+'px','width':item.width*70+'px','height':item.height*70+'px','padding-top':item.height*70/2-10+'px'}">
                                <i class="el-icon-circle-close"
                                   @click="delMagicCubeItem(itemIndex)"
                                   v-if="content.items[currentIndex].select_item_index==itemIndex"
                                ></i>
                                {{ item.width*70 }}x{{ item.height*70 }}
                            </div>
                        </section>
                    </main>
                </section>
            </div>
        </div>

        <div class="edit-form-item" v-for="(item,itemIndex in content.items[currentIndex].items">
            <div class="form-label">
                图片
            </div>

            <div class="stylebox flex-row ivu-color-picker">
                <span class="stylebox-label">图片</span>
                <div class="flex-col">
                    <div class="item" style="position: relative;">
                        <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                        <div class="item-inner">
                            <div class="small" style="align-self: start;">
                                <div @click="uploadImg('items',itemIndex,'image')" class="uploadSource solid"
                                     style="cursor: pointer">
                                    <i class="delete ivu-icon iconfont icon-input_clear" style="font-size: 16px"></i>
                                    <div class="img"
                                         :style="{'background-image':'url('+item.image+')','width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                         v-if="item.image">
                                    </div>
                                    <div class="img"
                                         :style="{'background-image': 'url(<?php echo e(URL::asset('/static/web/admin/diypage/nopic.png')); ?>)', 'width': '50px', 'height': '50px', 'background-repeat': 'no-repeat', 'background-size': 'cover', 'background-position': '50% center'}"
                                         v-else>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="stylebox flex-row ivu-color-picker">
                <span class="stylebox-label">链接地址</span>
                <div class="flex-col">
                    <div class="item" style="position: relative;">
                        <i class="el-icon-circle-close-outline delete-child" style="cursor: pointer"></i>
                        <div class="item-inner">
                            <div class="small" style="align-self: start;">
                                <input type="text" class="form-control input-sm diy-bind select-link  ajax-link"
                                       data-url="<?php echo e(wgRoute('liveutilsuser.get-page-urls')); ?>" placeholder="请选择链接地址"
                                       v-model="item.link" :data-id="'magic_cube_'+itemIndex" :id="'magic_cube_'+itemIndex"
                                       readonly="">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="edit-form-item">
            <div class="form-label" style="margin-top: 20px">
                图片间隙
            </div>
            <div class="flex-row flex-align-c">
                <el-slider
                        v-model="content.items[currentIndex].padding"
                        style="width: 70%">
                </el-slider>
                <div class="coupon-showslider">
                    {{ content.items[currentIndex].padding }}px
                </div>
            </div>
        </div>
    </section>

    <section v-if="content.items[currentIndex].current_btn=='style'">
        <div class="edit-form-item" style="overflow: hidden">
            <div class="es-form-item cube">
                <div class="item-inner block" @click="setMagicCubeStyle(0)">
                    <label class="button-img block flex-row flex-align-c flex-justify-c"
                           :class="[content.items[currentIndex].style==0 ? 'active' : '']"
                    >
                        <img src="/addons/shimmer_liveshop/static/web/admin/diypage/images/magic_cube_style_default.png"/>
                    </label>
                </div>
                <div class="item-inner" v-for="styleItem in [1,2,3,4,5,6,7,8]" @click="setMagicCubeStyle(styleItem)">
                    <label class="button-img block flex-row flex-align-c flex-justify-c"
                           :class="[content.items[currentIndex].style==styleItem ? 'active' : '']"
                    >
                        <img :src="['/addons/shimmer_liveshop/static/web/admin/diypage/images/magic_cube_style_'+styleItem+'.png']"/>
                    </label>
                </div>
            </div>
        </div>
    </section>
</div>