<?php

/**
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/23
 * Time: 下午10:55
 */

namespace Shimmer_liveshop_plugin_merch\Http\Controllers\Api\User;

use App\Modules\Liveapi\Services\Live\AnchorService;
use Illuminate\Http\Request;
use Shimmer_liveshop_plugin_merch\Http\Controllers\Api\Controller;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchGoodsCategory;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStore;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreRelation;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreVisit;
use Shimmer_liveshop_plugin_merch\Services\GoodsService;
use Shimmer_liveshop_plugin_merch\Services\StoreService;
use Shimmer_liveshop_plugin_merch\Services\StoreStatService;

class GoodsController extends Controller
{
    /**
     * 获取店铺商品列表
     * @param Request $request
     */
    public function getList(Request $request)
    {
        $id = $request->route('store_id');

        $page = $request->input('page');
        $limit = $request->input('limit');
        $keyword = $request->input('keyword');
        $sid = (int)$request->input('sid');
        $sort = $request->input('sort');
        $news = $request->input('news');
        $priceOrder = $request->input('priceOrder');
        $salesOrder = $request->input('salesOrder');

        $query = [];
        $sort = [];
        if ($keyword) {
            $query['keyword'] = $keyword;
        }
        if ($sid) {
            $query['sid'] = $sid;
        }
        if ($news) {
            $query['news'] = $news;
        }
        if ($priceOrder) {
            $sort['priceOrder'] = $priceOrder;
        }
        if ($salesOrder) {
            $sort['salesOrder'] = $salesOrder;
        }

        $data = GoodsService::getGoodsList($id, $query, $sort, $page, $limit);

        return $this->success($data);
    }

    /**
     * 获取店铺商品列表
     * @param Request $request
     */
    public function category(Request $request)
    {
        $id = $request->route('store_id');

        if (!$id) {
            return $this->error(-1, '参数错误');
        }

        $data = ShimmerLiveshopMerchGoodsCategory::where('store_id', $id)
            ->orderBy('sort', 'desc')
            ->get();

        return $this->success($data);
    }
}