<?php

namespace Shimmer_liveshop_plugin_merch\Http\Controllers\Web\Common;

use App\Modules\Live\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Shimmer_liveshop_plugin_merch\Services\StoreStatService;

class IndexController extends Controller
{
    public function index()
    {
        return view('plugin_test::index', [
            'welcome' => '你好我是wuhua',
        ]);
    }

    /**
     * 订单图表数据
     * @param Request $request
     */
    public function orderChart(Request $request)
    {
        //默认30天
        $cycle = $request->input('cycle', 'thirtyday');

        $data = StoreStatService::getOrderChartData($cycle);

        return [
            'status' => 200,
            'msg' => 'ok',
            'data' => $data,
        ];
    }

    /**
     * 用户图表数据
     * @param Request $request
     */
    public function userChart(Request $request)
    {
        $data = StoreStatService::getUserChatData();

        return [
            'status' => 200,
            'msg' => 'ok',
            'data' => $data,
        ];
    }

}