<?php

/**
 * 多商户配置相关
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/1
 * Time: 下午04:26
 */

namespace Shimmer_liveshop_plugin_merch\Http\Controllers\Web\Common;

use App\Services\DiyFormService;
use App\Services\FormService;
use Illuminate\Http\Request;
use Shimmer_liveshop_plugin_merch\Http\Controllers\Web\Controller;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchConfig;

class SettingController extends Controller
{
    /**
     * 系统配置
     */
    public function edit(Request $request, $uniacid)
    {
        $routes = explode('.', $request->route()->getName());
        $type = end($routes);

        $configTypes = ShimmerLiveshopMerchConfig::$configTypes;

        $config = ShimmerLiveshopMerchConfig::type($type)->first();
        $config = $config['config'];

        $this->setPageTitle('多商户' . $configTypes[$type]);

        $formatMethod = "format" . ucfirst($type);

        if (method_exists($this, $formatMethod)) {
            $config = $this->$formatMethod($config);
        }

        return plugin_view("setting.edit", [
            'configTypes' => $configTypes,
            'type' => $type,
            'config' => $config
        ]);
    }

    /**
     * @param $config
     */
    private function formatInto($config)
    {
        $config['forms'] = DiyFormService::getAllForms();

        return $config;
    }

    /**
     * 保存系统配置
     * @param $type
     */
    public function save(Request $request, $uniacid, $type)
    {
        if (!$type) {
            $this->result(-1, '参数错误');
        }

        $uniacid = $request->route('uniacid');
        $config = ShimmerLiveshopMerchConfig::type($type)->first();

        $configPost = $request->input('config');

        if ($config) {
            $config->config = $configPost;
        } else {
            $config = new ShimmerLiveshopMerchConfig();
            $config->type = $type;
            $config->uniacid = $uniacid;
            $config->config = $configPost;
        }

        if (method_exists($this, "systemSave{$type}")) {
            $method = "systemSave{$type}";
            $config->config = $this->$method($configPost);
        }

        $config->save();

        return $this->result(0, '保存成功');
    }

    /**
     * @param $config
     */
    public function systemSaveInto($config)
    {
        $config['intro'] = FormService::richTextImageTolocal($config['intro']);
        $config['apply_protocol_content'] = FormService::richTextImageTolocal($config['apply_protocol_content']);

        return $config;
    }

    /**
     * @param $config
     */
    public function systemSaveBase($config)
    {
        $config['integrity']['approve'] = FormService::richTextImageTolocal($config['integrity']['approve']);
        $config['integrity']['service'] = FormService::richTextImageTolocal($config['integrity']['service']);

        return $config;
    }
}