<?php

namespace Shimmer_liveshop_plugin_merch\Http\Controllers\Web;

use App\Models\ShimmerLiveshopStoreCart;
use App\Services\GlobalRoleService;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreRelation;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreVisit;
use Shimmer_liveshop_plugin_merch\Services\StoreStatService;

class IndexController extends Controller
{
    public function index()
    {
        $data = [];

//        //待发货数量
        $data['to_delivered_num'] = StoreStatService::getToDeliveredNum();
//        //待退款数量
        $data['pending_refund_num'] = StoreStatService::getPendingRefundNum();
//        //提现申请数量
        $data['withdraw_num'] = StoreStatService::getWithdrawNum();

//        //订单总数
        $data['today_order_num'] = StoreStatService::getTodayOrderNum();

        //访问量
        $data['visit_num'] = ShimmerLiveshopMerchStoreVisit::where('type', 'view')->count();

        //收藏
        $data['collect_num'] = ShimmerLiveshopMerchStoreRelation::where('type', 'collect')->count();

        //购物车
        $data['cart_num'] = ShimmerLiveshopStoreCart::where('role_type', GlobalRoleService::MERCH)
            ->where('is_pay', 0)
            ->count();

//        //交易额
        $data['today_order_pay_money'] = StoreStatService::getTodayOrderPayMoney();

        return view('plugin_merch::index', [
            'data' => $data,
        ]);
    }
}