<?php

/**
 * 订单支付成功，店铺账户更新
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/2/21
 * Time: 1:13 PM
 */

namespace Shimmer_liveshop_plugin_merch\Listeners\Order;

use App\Events\OrderPaySuccess;
use App\Services\GlobalRoleService;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreBill;
use Shimmer_liveshop_plugin_merch\Services\StoreService;

class OrderSuccessAccount
{
    public $event;
    public $order;
    public $attach;
    public $payType;

    /**
     * Handle the event.
     *
     * @param  OrderPaySuccess $event
     * @return void
     */
    public function handle(OrderPaySuccess $event)
    {
        $this->order = $event->order;
        $this->attach = $event->attach;
        $this->payType = $event->payType;

        if ($this->order->role_type
            != GlobalRoleService::MERCH
            || $this->order->role_id <= 0
        ) {
            return;
        }

        $role = GlobalRoleService::getRole($this->order->role_type, $this->order->role_id);

        if (!$role) {
            Log::error('店铺不存在556');
            return;
        }

        $moneyGroup = StoreService::getIncomeMoney($this->order->pay_price, $role);
        if ($moneyGroup['money'] <= 0) {
            return;
        }

        $role->pending_money = $role->pending_money + $moneyGroup['money'];
        $role->save();

        //记录账单
        ShimmerLiveshopMerchStoreBill::addRecord(1, $this->order->uid, $this->order->id, $role->id, $moneyGroup['money'], 1, 1, $moneyGroup['platformDeduct'], 0);
    }

}
