<?php

/**
 * 店铺浏览
 * Class ShimmerLiveshopGoodsVisit
 * @package App\Models
 */

namespace Shimmer_liveshop_plugin_merch\Models;

use App\Models\BaseUniacidModel;
use App\Services\AppService;
use Carbon\Carbon;

class ShimmerLiveshopMerchStoreVisit extends BaseUniacidModel
{
    protected $guarded = [];
    public $dateFormat = "U";

    public static $type = [
        'visit' => '点赞数',
    ];

    /**
     * 添加数量
     * @param $storeId
     * @param $uid
     * @param string $type
     */
    public static function addVisit($storeId, $uid, $type = 'view')
    {
        if (!$storeId || !$uid) {
            return;
        }

        $date = date('Y-m-d');

        $visit = self::getUserVisit($storeId, $uid, $type, $date);

        if (!$visit) {
            $data = [
                'uniacid' => AppService::$uniacid,
                'store_id' => $storeId,
                'uid' => $uid,
                'type' => $type,
                'count' => 1,
                'visit_date' => $date,
            ];
            return self::create($data);
        } else {
            $visit->count = $visit->count + 1;
            return $visit->save();
        }
    }

    /**
     * 获取用户访问
     * @param $storeId
     * @param $uid
     * @param string $type
     * @param string $date 访问日期
     */
    public static function getUserVisit($storeId, $uid, $type = 'view', $date = '')
    {
        if (!$storeId || !$uid) {
            return null;
        }

        $builder = self::where('store_id', $storeId)
            ->where('uid', $uid)
            ->where('type', $type);

        if ($date) {
            $builder->where('visit_date', $date);
        }
        return $builder->first();
    }

}