@extends('live::layouts.master')
@push('stylesheets')
    <link href="{{ URL::asset('/static/web/css/plugins/sweetalert/sweetalert.css')}}?v=33" rel="stylesheet">
@endpush
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户昵称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[nickname]" lay-verify="" placeholder="用户昵称"
                                       value="{{$query['nickname']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">申请时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('web_plugin_merch.store.manager.create')}}"><i class="fa fa-plus"></i>&nbsp;添加商户</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>昵称</th>
                            <th>头像</th>
                            <th>真实姓名</th>
                            <th>手机号</th>
                            <th>申请时间</th>
                            <th>申请表单</th>
                            <th>驳回原因</th>
                            <th>驳回时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->user->nickname}}</td>
                                <td>
                                    <img src="{{$item->user->avatar}}" class="rounded-circle img-sm img_pop_show"/>
                                </td>
                                <td>{{$item->user->realname}}</td>
                                <td>{{$item->user->mobile}}</td>
                                <td>{{$item->created_at}}</td>
                                <td>
                                    @if($item->diyform_data_id>0)
                                        <a href="javascript:;" class="link-color load_iframe" data-url="{{wgRoute("liveutilsdiyform.fieldData",['id'=>$item->diyform_data_id])}}" data-width="1000px" data-height="700px" >查看表单</a>
                                    @else
                                        无
                                    @endif
                                </td>
                                <td>{{$item->reason}}</td>
                                <td>{{$item->updated_at}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection