@extends('live::layouts.master')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <div class="layui-input-inline">
                                <input type="text" name="query[keywords]" lay-verify="" placeholder="商户名称/联系人/手机号" style="width: 200px;" value="{{$query['keywords']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')
                        <span class="left">
                            <a class="btn btn-primary" href="{{wgRoute('web_plugin_merch.store.manager.create')}}"><i class="fa fa-plus"></i>&nbsp;添加商户</a>
                        </span>
                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="check_all">
                            </th>
                            <th>ID</th>
                            <th>粉丝</th>
                            <th>会员</th>
                            <th>商户名称</th>
                            <th>主营项目</th>
                            <th>联系人</th>
                            <th>入驻时间</th>
                            <th>到期时间</th>
                            <th>状态</th>
                            <th>操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr>
                                <td><input type="checkbox" class="check_item check_item_{{$item->id}}" data-id="{{$item->id}}"></td>
                                <td>{{$item->id}}</td>
                                <td>
                                    @if($item->user)
                                        <img src="{{$item->user->avatar}}"
                                             class="rounded-circle img-sm img_pop_show"/><br/>
                                        {{$item->user->nickname}}
                                    @else
                                        未绑定
                                    @endif
                                </td>
                                <td>
                                    @if($item->user)
                                        {{$item->user->realname}}<br/>
                                        {{$item->user->mobile}}
                                    @else
                                        未绑定
                                    @endif
                                </td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->salecate}}</td>
                                <td>
                                    {{$item->realname}}<br/>
                                    {{$item->mobile}}
                                </td>
                                <td>
                                    @if($item->jointime)
                                        @php echo date('Y-m-d H:i:s',$item->jointime);@endphp
                                    @else
                                        -
                                    @endif
                                </td>
                                <td>
                                    @if($item->accounttime)
                                        @php echo date('Y-m-d H:i:s',$item->accounttime);@endphp
                                    @else
                                        -
                                    @endif
                                </td>
                                <td>
                                    @if($item->status == 0)
                                        <span class="label">待入驻</span>
                                    @elseif($item->status == 1)
                                        <span class="label label-success">入驻中</span>
                                    @elseif($item->status == 2)
                                        <span class="label label-danger">暂停中</span>
                                    @endif
                                </td>
                                <td>
                                    <a href="{{wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->id])}}" class="btn btn-info " type="button"><i class="fa fa-paste"></i> 编辑</a>
                                    @if(!$item->uid)
                                        <a href="javascript:;" data-url="{{wgRoute("web_plugin_merch.store.manager.bindUser",['id'=>$item->id])}}"  class="btn btn-info load_iframe" type="button"><i class="fa fa-user-o"></i> 授权绑定</a>
                                    @endif
                                    <button class="btn btn-danger ajax-confirm delete" type="button"  data-title="删除商品后不可恢复，确定吗？" data-url="{{wgRoute('web_plugin_merch.store.manager.destroy',[$item->id])}}"><i class="fa fa-trash-o"></i> 删除</button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @section('batch_btn')
                        {{--<button class="btn btn-default ajax-confirm" type="button" data-title="确定全部审核通过吗？" data-batch="id"  data-url="{{wgRoute('web_plugin_merch.common.apply.checkSuccess')}}" data-method="post"><i class="fa fa-exchange"></i> 审核通过</button>--}}
                        {{--<button class="btn btn-default checkFail" type="button"  data-batch="id"><i class="fa fa-exchange"></i> 驳回申请</button>--}}
                    @endsection
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element', 'form'], function () {
            var laydate = layui.laydate, element = layui.element;
            var form = layui.form;
            var layer = layui.layer;

            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });

    </script>
@endsection