@extends('live::layouts.master')
@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-content">
                    <form class="layui-form" action="">
                        <div class="layui-inline">
                            <label class="layui-form-label">店铺名称:</label>
                            <div class="layui-input-inline">
                                <input type="text" name="query[store_name]" lay-verify="" placeholder="店铺搜索"
                                       value="{{$query['store_name']}}" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">账单类型</label>
                            <div class="layui-input-inline">
                                <select name="query[category]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['category'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['category']) && $query['category']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">收支类型</label>
                            <div class="layui-input-inline">
                                <select name="query[income]" lay-verify="">
                                    <option value="">全部</option>
                                    @foreach($queryData['income'] as $index=>$item)
                                        <option value="{{$index}}" {{ isNotNullAndNotEmptyString($query['income']) && $query['income']==$index ? 'selected': ''}}>{{$item}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="layui-inline">
                            <label class="layui-form-label">账单时间:</label>
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input  start_time" value="{{$query['start_time']}}"
                                       name="query[start_time]"
                                       readonly>
                            </div>
                            -
                            <div class="layui-input-inline" style="width: 150px;">
                                <input type="text" class="layui-input end_time" value="{{$query['end_time']}}"
                                       name="query[end_time]"
                                       readonly>
                            </div>
                        </div>
                        <div class="layui-inline" style="padding-bottom: 5px">
                            <div class="layui-input-inline">
                                <input type="hidden" name="page_num" value="{{$currentPageNum}}">
                                <button name="submit" class="btn btn-success" type="submit">搜索</button>
                                <input name="submit" type="submit" class="btn btn-success" value="导出"/>
                            </div>
                        </div>
                    </form>
                    @section('toolbar')

                    @endsection
                    @include('live::common.toolbar', ['pager' => $pager])
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>订单id</th>
                            <th>店铺名称</th>
                            <th>账单类型</th>
                            <th>收支类型</th>
                            <th>金额</th>
                            <th>平台扣除</th>
                            <th>分销扣除</th>
                            <th>备注</th>
                            <th>账单时间</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($pager as $item)
                            <tr class="tr_checkbox_switch">
                                <td>
                                    <a class="link-color" href="{{wgRoute('liveshoporder.list.all',['query'=>['order_id'=>$item->order->order_id]])}}">{{$item->order->order_id}}</a>
                                </td>
                                <td>
                                    <a class="link-color" href="{{wgRoute('web_plugin_merch.store.manager.edit',['id'=>$item->store->id])}}">{{$item->store->name}}</a>
                                </td>
                                <td>
                                    {{$queryData['category'][$item->category]}}
                                </td>
                                <td>
                                    {{$queryData['income'][$item->income]}}
                                </td>
                                <td>
                                    {{$item->money}}
                                </td>
                                <td>
                                    {{$item->platform_deduct}}
                                </td>
                                <td>
                                    {{$item->commission_deduct}}
                                </td>
                                <td>
                                    {{$item->remark}}
                                </td>
                                <td>
                                    {{$item->created_at}}
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    @include('live::common.pagination', ['pager' => $pager])
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        layui.use(['laydate', 'element'], function () {
            var laydate = layui.laydate, element = layui.element;
            //日期时间选择器
            laydate.render({
                elem: '.start_time'
                , type: 'datetime'
            });
            laydate.render({
                elem: '.end_time'
                , type: 'datetime'
            });
        });
    </script>
@endsection