<?php
/**
 * 店铺
 * Created by PhpStorm.
 * User: lirui
 * Date: 2020/1/28
 * Time: 下午9:46
 */

namespace Shimmer_liveshop_plugin_merch\Services;


use App\Models\ShimmerLiveshopStoreAsset;
use App\Models\ShimmerLiveshopTemplate;
use App\Models\ShimmerLiveshopUser;
use App\Modules\Liveapi\Services\Spread\CommissionService;
use App\Services\AppService;
use App\Services\BaseService;
use App\Modules\Liveapi\Services\MiniProgramService;
use App\Services\TemplateService;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchConfig;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStore;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreApply;
use Shimmer_liveshop_plugin_merch\Models\ShimmerLiveshopMerchStoreBill;

class CashApplyService extends \App\Services\Commission\CashApplyService
{

    /**
     * 商户提现审核通过
     * @param $cashApply
     * @return mixed
     * @throws \Throwable
     */
    public static function withdrawCheckSuccess($cashApply)
    {
        if (!$cashApply) {
            return self::error(-1, '申请记录不存在');
        }

        $user = $cashApply->user;

        $page = '/merch/pages/account/index';

        $balance = $cashApply->balance;
        $remark = "到账金额:" . $balance;

        $data = [
            'thing2' => [
                'value' => '商户提现',
            ],
            'phrase3' => [
                'value' => '已通过',
            ],
            'date8' => [
                'value' => date('Y-m-d H:i:s'),
            ],
            'thing5' => [
                'value' => $remark
            ]
        ];

        $store = StoreService::getStoreById($cashApply->role_id);

        if (!$store) {
            return self::error(-1, '商户不存在');
        }

        TemplateService::pushQueue('商户提现打款成功', $cashApply->uid, 1482, $data, $page, 1);

        //插入资产明细
        ShimmerLiveshopStoreAsset::addRecord(ShimmerLiveshopStoreAsset::MERCH_WITHDRAW, $store->id, $cashApply->uid, $user->realname, $user->mobile, 0, $cashApply->balance, 2, $cashApply->type, $remark);
    }

    /**
     * 提现申请成功
     * @param $cashApply
     */
    public static function balanceExtractSuccess($cashApply)
    {
        $balance = $cashApply->balance;

        $store = StoreService::getStoreById($cashApply->role_id);
        $store->balance_money = max(0, ($store->balance_money - $cashApply->balance));
        $store->withdrawn_money = $store->withdrawn_money + $cashApply->balance;

        $ret = $store->saveOrFail();

        if (!$ret) {
            apiException('商户余额更新失败');
        }

        //记录账单
        ShimmerLiveshopMerchStoreBill::addRecord(4, $cashApply->uid, 0, $store->id, $balance, 2, 2, 0, 0);
    }

    /**
     * 商户提现审核拒绝
     * @param $cashApply
     * @return mixed
     * @throws \Throwable
     */
    public static function withdrawCheckFail($cashApply, $failMsg)
    {
        if (!$cashApply) {
            return self::error(-1, '申请记录不存在');
        }

        $balance = $cashApply->balance;
        $store = StoreService::getStoreById($cashApply->role_id);

        $page = '/merch/pages/account/index';
        $data = [
            'thing2' => [
                'value' => '商户提现',
            ],
            'phrase3' => [
                'value' => '已驳回',
            ],
            'date8' => [
                'value' => date('Y-m-d H:i:s'),
            ],
            'thing5' => [
                'value' => '驳回原因:' . $failMsg
            ]
        ];
        TemplateService::pushQueue('商户提现审核驳回', $cashApply->uid, 1482, $data, $page, 1);

        $store->balance_money = $store->balance_money + $cashApply->balance;
        $store->withdrawn_money = max(0, $store->withdrawn_money - $cashApply->balance);
        $ret = $store->saveOrFail();

        if (!$ret) {
            apiException('商户余额更新失败');
        }

        //记录账单
        ShimmerLiveshopMerchStoreBill::addRecord(5, $cashApply->uid, 0, $store->id, $balance, 2, 1, 0, 0);
    }
}